// Class: Readbdt
// Automatically generated by MethodBase::MakeClass
//

/* configuration options =====================================================

#GEN -*-*-*-*-*-*-*-*-*-*-*- general info -*-*-*-*-*-*-*-*-*-*-*-

Method         : BDT::bdt
TMVA Release   : 4.1.0         [262400]
ROOT Release   : 5.28/00       [334848]
Creator        : suehara
Date           : Mon Oct 15 20:18:45 2012
Host           : Linux cw104.cc.kek.jp 2.6.18-164.el5 #1 SMP Tue Aug 18 15:51:48 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Dir            : /gpfs/fs01/ilc/suehara/mokkadbd
Training events: 846677
Analysis type  : [Classification]


#OPT -*-*-*-*-*-*-*-*-*-*-*-*- options -*-*-*-*-*-*-*-*-*-*-*-*-

# Set by User:
V: "False" [Verbose output (short form of "VerbosityLevel" below - overrides the latter one)]
H: "False" [Print method-specific help message]
NTrees: "1000" [Number of trees in the forest]
BoostType: "Grad" [Boosting type for the trees in the forest]
UseBaggedGrad: "True" [Use only a random subsample of all events for growing the trees in each iteration. (Only valid for GradBoost)]
GradBaggingFraction: "5.000000e-01" [Defines the fraction of events to be used in each iteration when UseBaggedGrad=kTRUE. (Only valid for GradBoost)]
Shrinkage: "1.000000e-01" [Learning rate for GradBoost algorithm]
nCuts: "20" [Number of steps during node cut optimisation]
NNodesMax: "8" [Max number of nodes in tree]
# Default:
VerbosityLevel: "Default" [Verbosity level]
VarTransform: "None" [List of variable transformations performed before training, e.g., "D_Background,P_Signal,G,N_AllClasses" for: "Decorrelation, PCA-transformation, Gaussianisation, Normalisation, each for the given class of events ('AllClasses' denotes all events of all classes, if no class indication is given, 'All' is assumed)"]
CreateMVAPdfs: "False" [Create PDFs for classifier outputs (signal and background)]
IgnoreNegWeightsInTraining: "False" [Events with negative weights are ignored in the training (but are included for testing and performance evaluation)]
RenormByClass: "False" [individually re-normalize each event class to the original size after boosting]
AdaBoostR2Loss: "quadratic" [Type of Loss function in AdaBoostR2t (Linear,Quadratic or Exponential)]
AdaBoostBeta: "1.000000e+00" [Parameter for AdaBoost algorithm]
UseRandomisedTrees: "False" [Choose at each node splitting a random set of variables]
UseNvars: "3" [Number of variables used if randomised tree option is chosen]
UsePoissonNvars: "True" [use *UseNvars* not as fixed number but as mean of a possion distr. in each split]
UseNTrainEvents: "846677" [number of randomly picked training events used in randomised (and bagged) trees]
UseWeightedTrees: "True" [Use weighted trees or simple average in classification from the forest]
UseYesNoLeaf: "True" [Use Sig or Bkg categories, or the purity=S/(S+B) as classification of the leaf node]
NodePurityLimit: "5.000000e-01" [In boosting/pruning, nodes with purity > NodePurityLimit are signal; background otherwise.]
SeparationType: "giniindex" [Separation criterion for node splitting]
nEventsMin: "1322" [Minimum number of events required in a leaf node (default Classification: max(40, N_train/(Nvar^2)/10) ) Regression: 10]
UseFisherCuts: "False" [use multivariate splits using the Fisher criterium]
MinLinCorrForFisher: "8.000000e-01" [the minimum linear correlation between two variables demanded for use in fisher criterium in node splitting]
UseExclusiveVars: "False" [individual variables already used in fisher criterium are not anymore analysed individually for node splitting]
PruneStrength: "0.000000e+00" [Pruning strength]
PruneMethod: "nopruning" [Method used for pruning (removal) of statistically insignificant branches]
PruneBeforeBoost: "False" [Flag to prune the tree before applying boosting algorithm]
PruningValFraction: "5.000000e-01" [Fraction of events to use for optimizing automatic pruning.]
MaxDepth: "3" [Max depth of the decision tree allowed]
##


#VAR -*-*-*-*-*-*-*-*-*-*-*-* variables *-*-*-*-*-*-*-*-*-*-*-*-

NVar 8
trk1d0sig                     trk1d0sig                     trk1d0sig                     trk1d0sig                                                       'F'    [-868.867675781,51287.9648438]
trk2d0sig                     trk2d0sig                     trk2d0sig                     trk2d0sig                                                       'F'    [-964.903869629,1738.77502441]
trk1z0sig                     trk1z0sig                     trk1z0sig                     trk1z0sig                                                       'F'    [-9032.51757812,32075.4433594]
trk2z0sig                     trk2z0sig                     trk2z0sig                     trk2z0sig                                                       'F'    [-1070.00463867,14114.5830078]
trk1pt_jete                   trk1pt_jete                   trk1pt_jete                   trk1pt_jete                                                     'F'    [0.000506710435729,0.999863803387]
trk2pt_jete                   trk2pt_jete                   trk2pt_jete                   trk2pt_jete                                                     'F'    [0,0.9649528265]
jprobr                        jprobr                        jprobr                        jprobr                                                          'F'    [0,0.999997198582]
jprobz                        jprobz                        jprobz                        jprobz                                                          'F'    [0,0.999998927116]
NSpec 2
aux                           aux                           aux                           aux                                                             'F'    [-1,-1]
nvtx                          nvtx                          nvtx                          nvtx                                                            'F'    [0,0]


============================================================================ */

#include <vector>
#include <cmath>
#include <string>
#include <iostream>

#ifndef NN
#define NN new BDT_DecisionTreeNode
#endif
   
#ifndef BDT_DecisionTreeNode__def
#define BDT_DecisionTreeNode__def
   
class BDT_DecisionTreeNode {
   
public:
   
   // constructor of an essentially "empty" node floating in space
   BDT_DecisionTreeNode ( BDT_DecisionTreeNode* left,
                          BDT_DecisionTreeNode* right,
                          double cutValue, bool cutType, int selector,
                          int nodeType, double purity, double response ) :
   fLeft    ( left     ),
   fRight   ( right    ),
   fCutValue( cutValue ),
   fCutType ( cutType  ),
   fSelector( selector ),
   fNodeType( nodeType ),
   fPurity  ( purity   ),
   fResponse( response ){}

   virtual ~BDT_DecisionTreeNode();

   // test event if it decends the tree at this node to the right
   virtual bool GoesRight( const std::vector<double>& inputValues ) const;
   BDT_DecisionTreeNode* GetRight( void )  {return fRight; };

   // test event if it decends the tree at this node to the left 
   virtual bool GoesLeft ( const std::vector<double>& inputValues ) const;
   BDT_DecisionTreeNode* GetLeft( void ) { return fLeft; };   

   // return  S/(S+B) (purity) at this node (from  training)

   double GetPurity( void ) const { return fPurity; } 
   // return the node type
   int    GetNodeType( void ) const { return fNodeType; }
   double GetResponse(void) const {return fResponse;}

private:

   BDT_DecisionTreeNode*   fLeft;     // pointer to the left daughter node
   BDT_DecisionTreeNode*   fRight;    // pointer to the right daughter node
   double                  fCutValue; // cut value appplied on this node to discriminate bkg against sig
   bool                    fCutType;  // true: if event variable > cutValue ==> signal , false otherwise
   int                     fSelector; // index of variable used in node selection (decision tree)   
   int                     fNodeType; // Type of node: -1 == Bkg-leaf, 1 == Signal-leaf, 0 = internal 
   double                  fPurity;   // Purity of node from training
   double                  fResponse; // Regression response value of node
}; 
   
//_______________________________________________________________________
BDT_DecisionTreeNode::~BDT_DecisionTreeNode()
{
   if (fLeft  != NULL) delete fLeft;
   if (fRight != NULL) delete fRight;
}; 
   
//_______________________________________________________________________
bool BDT_DecisionTreeNode::GoesRight( const std::vector<double>& inputValues ) const
{
   // test event if it decends the tree at this node to the right
   bool result = (inputValues[fSelector] > fCutValue );
   if (fCutType == true) return result; //the cuts are selecting Signal ;
   else return !result;
}
   
//_______________________________________________________________________
bool BDT_DecisionTreeNode::GoesLeft( const std::vector<double>& inputValues ) const
{
   // test event if it decends the tree at this node to the left
   if (!this->GoesRight(inputValues)) return true;
   else return false;
}
   
#endif
   
#ifndef IClassifierReader__def
#define IClassifierReader__def

class IClassifierReader {

 public:

   // constructor
   IClassifierReader() : fStatusIsClean( true ) {}
   virtual ~IClassifierReader() {}

   // return classifier response
   virtual double GetMvaValue( const std::vector<double>& inputValues ) const = 0;

   // returns classifier status
   bool IsStatusClean() const { return fStatusIsClean; }

 protected:

   bool fStatusIsClean;
};

#endif

class Readbdt : public IClassifierReader {

 public:

   // constructor
   Readbdt( std::vector<std::string>& theInputVars ) 
      : IClassifierReader(),
        fClassName( "Readbdt" ),
        fNvars( 8 ),
        fIsNormalised( false )
   {      
      // the training input variables
      const char* inputVars[] = { "trk1d0sig", "trk2d0sig", "trk1z0sig", "trk2z0sig", "trk1pt_jete", "trk2pt_jete", "jprobr", "jprobz" };

      // sanity checks
      if (theInputVars.size() <= 0) {
         std::cout << "Problem in class \"" << fClassName << "\": empty input vector" << std::endl;
         fStatusIsClean = false;
      }

      if (theInputVars.size() != fNvars) {
         std::cout << "Problem in class \"" << fClassName << "\": mismatch in number of input values: "
                   << theInputVars.size() << " != " << fNvars << std::endl;
         fStatusIsClean = false;
      }

      // validate input variables
      for (size_t ivar = 0; ivar < theInputVars.size(); ivar++) {
         if (theInputVars[ivar] != inputVars[ivar]) {
            std::cout << "Problem in class \"" << fClassName << "\": mismatch in input variable names" << std::endl
                      << " for variable [" << ivar << "]: " << theInputVars[ivar].c_str() << " != " << inputVars[ivar] << std::endl;
            fStatusIsClean = false;
         }
      }

      // initialize min and max vectors (for normalisation)
      fVmin[0] = -868.86767578125;
      fVmax[0] = 51287.96484375;
      fVmin[1] = -964.903869628906;
      fVmax[1] = 1738.77502441406;
      fVmin[2] = -9032.517578125;
      fVmax[2] = 32075.443359375;
      fVmin[3] = -1070.00463867188;
      fVmax[3] = 14114.5830078125;
      fVmin[4] = 0.000506710435729474;
      fVmax[4] = 0.999863803386688;
      fVmin[5] = 0;
      fVmax[5] = 0.964952826499939;
      fVmin[6] = 0;
      fVmax[6] = 0.999997198581696;
      fVmin[7] = 0;
      fVmax[7] = 0.999998927116394;

      // initialize input variable types
      fType[0] = 'F';
      fType[1] = 'F';
      fType[2] = 'F';
      fType[3] = 'F';
      fType[4] = 'F';
      fType[5] = 'F';
      fType[6] = 'F';
      fType[7] = 'F';

      // initialize constants
      Initialize();

   }

   // destructor
   virtual ~Readbdt() {
      Clear(); // method-specific
   }

   // the classifier response
   // "inputValues" is a vector of input values in the same order as the 
   // variables given to the constructor
   double GetMvaValue( const std::vector<double>& inputValues ) const;

 private:

   // method-specific destructor
   void Clear();

   // common member variables
   const char* fClassName;

   const size_t fNvars;
   size_t GetNvar()           const { return fNvars; }
   char   GetType( int ivar ) const { return fType[ivar]; }

   // normalisation of input variables
   const bool fIsNormalised;
   bool IsNormalised() const { return fIsNormalised; }
   double fVmin[8];
   double fVmax[8];
   double NormVariable( double x, double xmin, double xmax ) const {
      // normalise to output range: [-1, 1]
      return 2*(x - xmin)/(xmax - xmin) - 1.0;
   }

   // type of input variable: 'F' or 'I'
   char   fType[8];

   // initialize internal variables
   void Initialize();
   double GetMvaValue__( const std::vector<double>& inputValues ) const;

   // private members (method specific)
   std::vector<BDT_DecisionTreeNode*> fForest;       // i.e. root nodes of decision trees
   std::vector<double>                fBoostWeights; // the weights applied in the individual boosts
};

double Readbdt::GetMvaValue__( const std::vector<double>& inputValues ) const
{
   double myMVA = 0;
   for (unsigned int itree=0; itree<fForest.size(); itree++){
      BDT_DecisionTreeNode *current = fForest[itree];
      while (current->GetNodeType() == 0) { //intermediate node
         if (current->GoesRight(inputValues)) current=(BDT_DecisionTreeNode*)current->GetRight();
         else current=(BDT_DecisionTreeNode*)current->GetLeft();
      }
      myMVA += current->GetResponse();
   }
   return 2.0/(1.0+exp(-2.0*myMVA))-1.0;
};

void Readbdt::Initialize()
{
  // itree = 0
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16993,-0.0245105) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0834173,-0.0374874) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0364298,-0.0445355) , 
0.00226756, 1, 6, 0, 0.0492083,-0.284125) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0268242,-0.0459764) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0185067,-0.047224) , 
0.274377, 1, 7, 0, 0.0199016,-0.313432) , 
0.0476189, 1, 6, 0, 0.0229576,-0.310376) , 
0.047619, 1, 7, 0, 0.0604913,-0.272842)    );
  // itree = 1
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402296,0.0103444) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445321,0.0167982) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.271612,-0.00925825) , 
0.00226756, 1, 6, 0, 0.319041,-0.280838) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.156473,-0.026529) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0953471,-0.0356979) , 
0.319728, 1, 7, 0, 0.107924,-0.313499) , 
0.0476188, 1, 6, 0, 0.129962,-0.31009) , 
0.0476189, 1, 7, 0, 0.199553,-0.273012)    );
  // itree = 2
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.871378,0.0807068) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.629617,0.0444426) , 
0.0476189, 0, 6, 0, 0.846164,-0.309892) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.435761,0.0153641) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.243278,-0.0135082) , 
39.7021, 1, 1, 0, 0.431547,-0.173595) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.253444,-0.0119835) , 
81.5133, 1, 1, 0, 0.427352,-0.163444) , 
0.0476186, 0, 7, 0, 0.739486,-0.27259)    );
  // itree = 3
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170536,-0.0234957) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.144843,-0.0266985) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0429978,-0.0423743) , 
3.04696, 0, 1, 0, 0.0498803,-0.269377) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0261246,-0.0447774) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0181608,-0.0460583) , 
0.319731, 1, 7, 0, 0.0198015,-0.297706) , 
0.0476189, 1, 6, 0, 0.0229465,-0.294744) , 
0.047619, 1, 7, 0, 0.0606241,-0.258989)    );
  // itree = 4
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404129,0.0100544) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.440468,0.0155889) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.275794,-0.00831987) , 
0.00226752, 1, 6, 0, 0.320824,-0.268193) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16553,-0.0240282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0968101,-0.034328) , 
0.274377, 1, 7, 0, 0.108364,-0.297311) , 
0.0476181, 1, 6, 0, 0.130458,-0.294283) , 
0.0476189, 1, 7, 0, 0.200245,-0.25874)    );
  // itree = 5
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847254,0.0706226) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439928,0.0151421) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.24754,-0.0127117) , 
64.713, 1, 1, 0, 0.436329,-0.170363) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.348795,0.00196769) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.115682,-0.0329037) , 
0.0387881, 1, 4, 0, 0.217331,0.161075) , 
-9.80504, 0, 3, 0, 0.426129,-0.154926) , 
0.0476189, 0, 7, 0, 0.739486,-0.258768)    );
  // itree = 6
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170538,-0.0226143) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0858393,-0.0340407) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0362925,-0.0421383) , 
0.00226752, 1, 6, 0, 0.0497996,-0.252907) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0261789,-0.0436006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.018125,-0.0449611) , 
0.319736, 1, 7, 0, 0.0197839,-0.282945) , 
0.0476181, 1, 6, 0, 0.0228941,-0.279833) , 
0.047619, 1, 7, 0, 0.0605157,-0.245992)    );
  // itree = 7
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403749,0.00946186) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451105,0.017321) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.272119,-0.00805903) , 
0.00226753, 1, 6, 0, 0.320363,-0.251345) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16282,-0.0233993) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0974985,-0.0331332) , 
0.274376, 1, 7, 0, 0.108468,-0.282929) , 
0.0476188, 1, 6, 0, 0.130439,-0.279654) , 
0.047619, 1, 7, 0, 0.200259,-0.246075)    );
  // itree = 8
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.871868,0.0682437) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.632472,0.0376544) , 
0.0476189, 0, 6, 0, 0.846868,-0.279502) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436313,0.0138194) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.239158,-0.0140341) , 
39.6748, 1, 1, 0, 0.431879,-0.159502) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.255449,-0.0112897) , 
81.5133, 1, 1, 0, 0.427616,-0.149093) , 
0.047619, 0, 7, 0, 0.739814,-0.246203)    );
  // itree = 9
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169252,-0.0219705) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0919655,-0.0318288) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0377516,-0.0409373) , 
0.00226756, 1, 6, 0, 0.0526045,-0.237667) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0272623,-0.042294) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0183583,-0.0438691) , 
0.274376, 1, 7, 0, 0.0198458,-0.268379) , 
0.0476189, 1, 6, 0, 0.0232697,-0.265169) , 
0.0476183, 1, 7, 0, 0.0604861,-0.233529)    );
  // itree = 10
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402813,0.00882926) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.444944,0.0159554) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270424,-0.007993) , 
0.00226756, 1, 6, 0, 0.31877,-0.239187) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.15735,-0.023088) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0958589,-0.0322895) , 
0.319728, 1, 7, 0, 0.108527,-0.268674) , 
0.0476189, 1, 6, 0, 0.130474,-0.265595) , 
0.0476189, 1, 7, 0, 0.200185,-0.233699)    );
  // itree = 11
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846943,0.0604312) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472352,0.0183544) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152462,-0.0285405) , 
3.07366, 1, 1, 0, 0.436947,-0.160506) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44196,0.0165661) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.124959,-0.0308132) , 
0.030242, 1, 4, 0, 0.245789,0.26334) , 
39.0817, 1, 1, 0, 0.428215,-0.141146) , 
0.0476189, 0, 7, 0, 0.740335,-0.233685)    );
  // itree = 12
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529029,0.0344171) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.188418,-0.0180972) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0792564,-0.0352785) , 
0.00226723, 1, 7, 0, 0.14963,-0.15329) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0515227,-0.0374352) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0200757,-0.0426008) , 
0.0476188, 1, 6, 0, 0.0233347,-0.251504) , 
0.0476187, 1, 7, 0, 0.0544367,-0.227317) , 
36.9498, 0, 1, 0, 0.0609836,-0.221144)    );
  // itree = 13
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40567,0.00879312) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445868,0.0163027) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.273758,-0.00668221) , 
0.00226752, 1, 6, 0, 0.320744,-0.224241) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.157287,-0.0220724) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0956439,-0.0312913) , 
0.319727, 1, 7, 0, 0.108384,-0.254867) , 
0.0476181, 1, 6, 0, 0.130555,-0.251669) , 
0.0476188, 1, 7, 0, 0.20085,-0.221702)    );
  // itree = 14
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.748805,0.0464811) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.547742,0.0265355) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.28125,-0.00895585) , 
0.0330027, 1, 5, 0, 0.441478,0.0135102) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.156077,-0.0264003) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0408255,-0.0435425) , 
0.0786142, 1, 4, 0, 0.0862116,0.44886) , 
0.0408026, 1, 4, 0, 0.281606,0.20942) , 
19.7118, 1, 1, 0, 0.739789,-0.221565)    );
  // itree = 15
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232123,-0.00914774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.12831,-0.0264884) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0706043,-0.0354523) , 
0.00226722, 1, 7, 0, 0.105892,-0.185584) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0422601,-0.0380036) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0183979,-0.0420669) , 
0.0476188, 1, 6, 0, 0.0206108,-0.242467) , 
0.0476189, 1, 7, 0, 0.0366118,-0.231794) , 
9.25044, 0, 0, 0, 0.0608336,-0.210044)    );
  // itree = 16
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40392,0.00870937) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.447114,0.0163481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.26921,-0.00676775) , 
0.00226752, 1, 6, 0, 0.317611,-0.210471) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.163406,-0.0203142) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0974288,-0.0301355) , 
0.274377, 1, 7, 0, 0.10849,-0.243078) , 
0.0476181, 1, 6, 0, 0.130173,-0.239697) , 
0.0476189, 1, 7, 0, 0.199832,-0.210437)    );
  // itree = 17
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746802,0.043314) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.57046,0.0286157) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.423385,0.0111216) , 
0.0124709, 1, 4, 0, 0.489499,-0.0425891) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.1777,-0.021962) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0382716,-0.0426244) , 
0.089825, 1, 4, 0, 0.115459,0.41945) , 
0.0314451, 1, 4, 0, 0.28324,0.212196) , 
30.5689, 1, 1, 0, 0.739592,-0.20991)    );
  // itree = 18
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169375,-0.0187656) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.090524,-0.0281717) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0368753,-0.0381936) , 
0.00226737, 1, 6, 0, 0.0515558,-0.200829) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0267801,-0.0396668) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0187267,-0.0412885) , 
0.274377, 1, 7, 0, 0.0200793,-0.231985) , 
0.0476181, 1, 6, 0, 0.0233558,-0.228742) , 
0.0476189, 1, 7, 0, 0.0606641,-0.199518)    );
  // itree = 19
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199948,-0.0150831) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.254403,-0.0110993) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.221187,-0.0183979) , 
0.0140552, 1, 4, 0, 0.23685,-0.0247361) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152947,-0.0304796) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0997862,-0.0386778) , 
0.101945, 1, 4, 0, 0.130822,0.441836) , 
0.0356132, 1, 4, 0, 0.182875,0.212777) , 
30.5689, 1, 1, 0, 0.199681,-0.199651)    );
  // itree = 20
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847062,0.0503924) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47923,0.0144088) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.411619,0.00544669) , 
0.00226751, 0, 7, 0, 0.435523,-0.130847) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.437387,0.0150824) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102342,-0.0318248) , 
0.0363234, 1, 4, 0, 0.251251,0.256929) , 
37.8173, 1, 1, 0, 0.42698,-0.11287) , 
0.047619, 0, 7, 0, 0.740248,-0.19918)    );
  // itree = 21
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169588,-0.0183503) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0902615,-0.027268) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0365746,-0.0373595) , 
0.00226737, 1, 6, 0, 0.0512571,-0.190213) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0265955,-0.0388283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0182197,-0.0405189) , 
0.274377, 1, 7, 0, 0.0196212,-0.219833) , 
0.0476181, 1, 6, 0, 0.0229197,-0.216745) , 
0.0476189, 1, 7, 0, 0.0603284,-0.189797)    );
  // itree = 22
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199736,-0.0143548) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.259368,-0.00992266) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.234074,-0.0156508) , 
0.013775, 1, 4, 0, 0.246772,-0.0399439) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.172267,-0.0272518) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103554,-0.0378141) , 
0.0856642, 1, 4, 0, 0.140291,0.413403) , 
0.0303708, 1, 4, 0, 0.186716,0.215747) , 
33.6558, 1, 1, 0, 0.199545,-0.189748)    );
  // itree = 23
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746209,0.0382878) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.562999,0.0255847) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.381415,0.00395863) , 
0.0160481, 1, 4, 0, 0.47768,-0.0156127) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.162292,-0.0234327) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0329095,-0.0427252) , 
0.102245, 1, 4, 0, 0.108302,0.438464) , 
0.0359547, 1, 4, 0, 0.289016,0.216312) , 
32.3412, 1, 1, 0, 0.739447,-0.189425)    );
  // itree = 24
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464463,0.0281708) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.146023,-0.0207149) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0622087,-0.0333473) , 
0.00226752, 1, 6, 0, 0.113998,-0.146523) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0386892,-0.0367255) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0179671,-0.0398329) , 
0.285712, 1, 7, 0, 0.0226709,-0.208334) , 
0.0476181, 1, 6, 0, 0.0472278,-0.191714) , 
5.40985, 0, 1, 0, 0.0609197,-0.179725)    );
  // itree = 25
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40386,0.0103139) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.444742,0.018533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.271611,-0.00384124) , 
0.00226753, 1, 6, 0, 0.318877,-0.179969) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.163297,-0.017927) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0971204,-0.0280862) , 
0.274376, 1, 7, 0, 0.108186,-0.208867) , 
0.0476188, 1, 6, 0, 0.13015,-0.205855) , 
0.047619, 1, 7, 0, 0.200013,-0.180366)    );
  // itree = 26
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846432,0.0454273) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482148,0.0117146) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.410793,0.00271313) , 
0.00226751, 0, 7, 0, 0.436121,-0.122851) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.430536,0.01169) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.100992,-0.0318316) , 
0.0363234, 1, 4, 0, 0.244653,0.262208) , 
37.8173, 1, 1, 0, 0.427262,-0.105036) , 
0.047619, 0, 7, 0, 0.739389,-0.180091)    );
  // itree = 27
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510143,0.0309963) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.167019,-0.0165609) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0630379,-0.032364) , 
0.00226752, 1, 6, 0, 0.128851,-0.125667) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0381552,-0.0360451) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0180966,-0.0391064) , 
0.285714, 1, 7, 0, 0.0226746,-0.197879) , 
0.0476181, 1, 6, 0, 0.0520761,-0.177883) , 
22.7987, 0, 1, 0, 0.0603885,-0.17105)    );
  // itree = 28
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.352509,0.00272861) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388037,0.00941096) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208049,-0.0210041) , 
-34.9915, 0, 3, 0, 0.383659,-0.126734) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.222524,-0.00975564) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0967784,-0.0271921) , 
0.285713, 1, 7, 0, 0.125129,-0.198406) , 
0.0476189, 1, 6, 0, 0.196683,-0.178569) , 
4.49505, 0, 3, 0, 0.200337,-0.171151)    );
  // itree = 29
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850723,0.0440424) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.565224,0.0157331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.432193,0.00424376) , 
0.00226756, 0, 6, 0, 0.480819,-0.124542) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.407821,0.00694035) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.109906,-0.031121) , 
0.0305231, 1, 4, 0, 0.228533,0.248915) , 
22.7987, 1, 1, 0, 0.466897,-0.103934) , 
0.0476189, 0, 6, 0, 0.739889,-0.170581)    );
  // itree = 30
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168729,-0.01635) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.143304,-0.0159393) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0447663,-0.0335858) , 
3.04696, 0, 1, 0, 0.0515052,-0.16392) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0755102,-0.0280263) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0194395,-0.0381371) , 
25.3781, 0, 2, 0, 0.0201207,-0.187754) , 
0.0476189, 1, 6, 0, 0.0233831,-0.185276) , 
0.047619, 1, 7, 0, 0.0605403,-0.162218)    );
  // itree = 31
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403883,0.00957792) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446162,0.0185099) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270696,-0.00348712) , 
0.00226756, 1, 6, 0, 0.318915,-0.164395) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16298,-0.0162261) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0967625,-0.026264) , 
0.274382, 1, 7, 0, 0.107823,-0.188169) , 
0.0476189, 1, 6, 0, 0.129726,-0.185702) , 
0.0476187, 1, 7, 0, 0.199634,-0.162303)    );
  // itree = 32
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846969,0.0410252) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510588,0.0146181) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.285764,-0.0144802) , 
7.21163, 1, 0, 0, 0.433639,-0.108996) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482004,0.0152425) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102697,-0.0356694) , 
0.0482047, 1, 4, 0, 0.322735,0.123697) , 
121.28, 1, 0, 0, 0.426108,-0.0931951) , 
0.0476189, 0, 7, 0, 0.739717,-0.161861)    );
  // itree = 33
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520992,0.0310504) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169652,-0.0149103) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0626909,-0.0310172) , 
0.00226756, 1, 6, 0, 0.130847,-0.112452) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0394896,-0.0343004) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0182801,-0.0377596) , 
0.285712, 1, 7, 0, 0.0230853,-0.17788) , 
0.0476188, 1, 6, 0, 0.0532218,-0.159583) , 
30.5689, 0, 1, 0, 0.0604936,-0.153969)    );
  // itree = 34
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.314641,-0.0029025) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198105,-0.0116235) , 
8.42325, 0, 1, 0, 0.200031,-0.157874) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.240181,-0.0123226) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168337,-0.0281587) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0758258,-0.0423732) , 
0.0811699, 1, 4, 0, 0.124779,0.390475) , 
0.028821, 1, 4, 0, 0.172378,0.207859) , 
48.6744, 1, 1, 0, 0.199716,-0.153716)    );
  // itree = 35
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747194,0.0307837) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.562082,0.0219195) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.423155,0.00770763) , 
0.0115911, 1, 4, 0, 0.479386,-0.0254591) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.214741,-0.0146266) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0627119,-0.0367652) , 
0.0640372, 1, 4, 0, 0.119597,0.394456) , 
0.0331907, 1, 4, 0, 0.288131,0.197758) , 
25.863, 1, 1, 0, 0.739496,-0.154135)    );
  // itree = 36
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16998,-0.0148293) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.090083,-0.023326) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0365216,-0.0338418) , 
0.00226756, 1, 6, 0, 0.0511555,-0.147793) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0269941,-0.0352003) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0185106,-0.0371324) , 
0.274376, 1, 7, 0, 0.0199394,-0.169654) , 
0.0476189, 1, 6, 0, 0.0231723,-0.16739) , 
0.0476187, 1, 7, 0, 0.0606755,-0.146102)    );
  // itree = 37
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.365575,0.00704076) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.345455,0.000123676) , 
0.038299, 1, 4, 0, 0.35601,0.141573) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.411703,0.0120035) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193457,-0.0116259) , 
-5.25145, 1, 3, 0, 0.195981,-0.155959) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195379,-0.0212667) , 
-46.6733, 0, 3, 0, 0.195977,-0.153692) , 
4.49505, 0, 3, 0, 0.199697,-0.146829)    );
  // itree = 38
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747089,0.0291726) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.566646,0.0227129) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.395166,0.00506602) , 
0.014414, 1, 4, 0, 0.478999,-0.0190141) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.162389,-0.02066) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0307692,-0.0407557) , 
0.102243, 1, 4, 0, 0.107514,0.402765) , 
0.0359547, 1, 4, 0, 0.29223,0.193041) , 
30.5689, 1, 1, 0, 0.740091,-0.146495)    );
  // itree = 39
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.531099,0.0306769) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.302461,0.00979571) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102329,-0.0240247) , 
2.41871, 0, 1, 0, 0.133964,-0.0981851) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0928875,-0.0227995) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0226677,-0.0358616) , 
191.516, 0, 0, 0, 0.0231079,-0.161169) , 
0.0476189, 1, 6, 0, 0.0541595,-0.143527) , 
36.9498, 0, 1, 0, 0.0606813,-0.138804)    );
  // itree = 40
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199971,-0.0100815) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.268696,-0.00546494) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.209979,-0.0179716) , 
0.0157116, 1, 4, 0, 0.240014,-0.0146301) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.149262,-0.0309073) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0888231,-0.0400709) , 
0.101923, 1, 4, 0, 0.123585,0.408467) , 
0.0356132, 1, 4, 0, 0.179654,0.204713) , 
33.6558, 1, 1, 0, 0.199676,-0.138389)    );
  // itree = 41
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747289,0.0276992) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.55454,0.0198752) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.410847,0.00596708) , 
0.0142739, 1, 4, 0, 0.484032,-0.0263175) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.184116,-0.0177422) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0370599,-0.0393124) , 
0.0901252, 1, 4, 0, 0.117201,0.391636) , 
0.0317865, 1, 4, 0, 0.285192,0.200233) , 
30.5689, 1, 1, 0, 0.740119,-0.13893)    );
  // itree = 42
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170258,-0.0134223) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0645319,-0.0269164) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0273724,-0.0339369) , 
0.0476179, 1, 6, 0, 0.0350065,-0.141006) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0315219,-0.0335243) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0178781,-0.0361929) , 
0.142857, 1, 6, 0, 0.0201697,-0.154553) , 
0.274376, 1, 7, 0, 0.0229718,-0.151995) , 
0.047619, 1, 7, 0, 0.0606162,-0.132061)    );
  // itree = 43
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203465,-0.0194774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403573,0.0118909) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.369786,0.0116024) , 
0.00226756, 1, 6, 0, 0.391142,-0.0985352) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.226395,-0.00559659) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.096349,-0.0239676) , 
0.285714, 1, 7, 0, 0.125933,-0.153664) , 
0.0476189, 1, 6, 0, 0.199358,-0.138401) , 
19.7118, 0, 1, 0, 0.199437,-0.132084)    );
  // itree = 44
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.74581,0.0260985) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.586466,0.0234593) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.422182,0.00738423) , 
0.0124598, 1, 4, 0, 0.494845,-0.02796) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.180717,-0.0179763) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0380835,-0.0385878) , 
0.0898432, 1, 4, 0, 0.116376,0.379646) , 
0.0314451, 1, 4, 0, 0.288392,0.194388) , 
30.5689, 1, 1, 0, 0.738657,-0.131742)    );
  // itree = 45
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529683,0.0283072) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.634196,0.0562703) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.312436,0.0103316) , 
0.0404506, 0, 4, 0, 0.452211,0.182387) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.1182,-0.0196061) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0226668,-0.0348098) , 
0.0476189, 1, 6, 0, 0.0486559,-0.134097) , 
8.41023, 0, 1, 0, 0.0552654,-0.128914) , 
48.6744, 0, 1, 0, 0.0606096,-0.125333)    );
  // itree = 46
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.382049,0.0101157) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489834,0.0263899) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18145,-0.0113227) , 
0.0136052, 1, 7, 0, 0.227343,-0.139817) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.100309,-0.022453) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0654574,-0.0293776) , 
0.185839, 1, 4, 0, 0.0965066,-0.148341) , 
0.285714, 1, 7, 0, 0.126258,-0.146402) , 
0.0476175, 1, 6, 0, 0.200302,-0.125533)    );
  // itree = 47
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847236,0.033477) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482995,0.0040593) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.412876,-0.00282642) , 
0.00226751, 0, 7, 0, 0.437715,-0.0840626) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457157,0.0134947) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118822,-0.0251773) , 
0.0318345, 1, 4, 0, 0.254844,0.225238) , 
37.8173, 1, 1, 0, 0.42908,-0.0694579) , 
0.0476189, 0, 7, 0, 0.740634,-0.125591)    );
  // itree = 48
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517857,0.0281079) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.1666,-0.011685) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.062797,-0.0278586) , 
0.00226756, 1, 6, 0, 0.128408,-0.0863973) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0239411,-0.0339636) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0123799,-0.036748) , 
0.182637, 1, 5, 0, 0.0227741,-0.139477) , 
0.0476188, 1, 6, 0, 0.0521351,-0.124724) , 
22.7987, 0, 1, 0, 0.0605767,-0.11911)    );
  // itree = 49
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199736,-0.00826196) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.246819,-0.00700041) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.225102,-0.0140777) , 
0.0157118, 1, 4, 0, 0.23634,-0.0249501) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.143899,-0.0307568) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113092,-0.0355197) , 
0.0768933, 1, 5, 0, 0.127911,0.377192) , 
0.0356132, 1, 4, 0, 0.181273,0.179281) , 
33.6558, 1, 1, 0, 0.199467,-0.119163)    );
  // itree = 50
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846868,0.0319577) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470172,0.00334304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.15292,-0.0348129) , 
3.07552, 1, 1, 0, 0.434922,-0.0796894) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.437749,0.0109195) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111976,-0.0252849) , 
0.0321553, 1, 4, 0, 0.243755,0.223169) , 
39.0817, 1, 1, 0, 0.426142,-0.0657793) , 
0.047619, 0, 7, 0, 0.739377,-0.119219)    );
  // itree = 51
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.153719,-0.0129935) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.128342,-0.0161308) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0371454,-0.0310781) , 
77.4592, 0, 0, 0, 0.0393798,-0.126773) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0192174,-0.03435) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.011441,-0.0363431) , 
0.185586, 1, 4, 0, 0.0183734,-0.13369) , 
0.285714, 1, 7, 0, 0.0231605,-0.132114) , 
0.0476175, 1, 6, 0, 0.0607989,-0.113063)    );
  // itree = 52
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379162,0.00972803) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47794,0.0231734) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169365,-0.0113415) , 
0.0158728, 1, 7, 0, 0.211674,-0.126741) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0992511,-0.021209) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0587723,-0.0295917) , 
0.182637, 1, 5, 0, 0.0952416,-0.134029) , 
0.333331, 1, 7, 0, 0.1263,-0.132085) , 
0.0476189, 1, 6, 0, 0.199369,-0.113203)    );
  // itree = 53
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850738,0.0315332) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.476841,0.000649973) , 
0.0476188, 0, 6, 0, 0.74622,-0.117735) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.548535,0.0204967) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.28678,-0.00586739) , 
0.0332432, 1, 5, 0, 0.427586,0.0194014) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0567345,-0.0345364) , 
0.0592274, 1, 4, 0, 0.293139,0.166612) , 
30.5689, 1, 1, 0, 0.739394,-0.113451)    );
  // itree = 54
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511608,0.0273159) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.179424,-0.00914944) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0803223,-0.0259951) , 
0.00226722, 1, 7, 0, 0.143865,-0.0771594) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0350644,-0.0299327) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0202031,-0.0336756) , 
0.274375, 1, 7, 0, 0.0230096,-0.123882) , 
0.0476188, 1, 7, 0, 0.0523071,-0.112555) , 
19.7118, 0, 1, 0, 0.0612764,-0.106864)    );
  // itree = 55
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199373,-0.00720047) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250894,-0.00490701) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.225786,-0.0135879) , 
0.014055, 1, 4, 0, 0.237538,-0.0127268) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.181935,-0.0250675) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0802205,-0.0398477) , 
135.136, 1, 0, 0, 0.129931,0.371694) , 
0.0356132, 1, 4, 0, 0.181951,0.185856) , 
33.6558, 1, 1, 0, 0.199119,-0.107179)    );
  // itree = 56
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.759242,0.0227389) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.212488,-0.0293024) , 
4.18118, 1, 1, 0, 0.744035,-0.110349) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.57122,0.0213861) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.333333,0.00125718) , 
0.0194798, 1, 4, 0, 0.450522,0.0216835) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0773256,-0.03011) , 
0.0561419, 1, 4, 0, 0.307846,0.180987) , 
52.661, 1, 1, 0, 0.739397,-0.107251)    );
  // itree = 57
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.52501,0.0241644) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.617496,0.0487818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.30306,0.00789269) , 
0.0404506, 0, 4, 0, 0.435247,0.15533) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.117758,-0.0176202) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0225555,-0.0327425) , 
0.0476189, 1, 6, 0, 0.0484503,-0.110235) , 
8.42325, 0, 1, 0, 0.0548572,-0.105836) , 
48.6744, 0, 1, 0, 0.0602727,-0.102721)    );
  // itree = 58
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401654,0.0110335) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.374751,0.0199547) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.155392,-0.0114794) , 
0.0952358, 1, 6, 0, 0.214722,-0.108275) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114384,-0.0177491) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0763052,-0.0256171) , 
0.182637, 1, 5, 0, 0.11057,-0.120623) , 
0.274375, 1, 7, 0, 0.130182,-0.118298) , 
0.0476187, 1, 7, 0, 0.199472,-0.102541)    );
  // itree = 59
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.752129,0.020894) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503185,0.00921106) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.231421,-0.0201982) , 
0.0404474, 1, 5, 0, 0.412412,0.0168928) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.14478,-0.0275052) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0405451,-0.0414808) , 
0.0783551, 1, 4, 0, 0.0846758,0.346904) , 
0.0405539, 1, 4, 0, 0.266783,0.163533) , 
9.05078, 1, 1, 0, 0.738993,-0.102377)    );
  // itree = 60
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520778,0.0229368) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417472,0.0316593) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.134571,-0.015364) , 
5.78914, 0, 3, 0, 0.147979,-0.0647381) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.034656,-0.0289673) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0196329,-0.0329705) , 
0.274376, 1, 7, 0, 0.0224754,-0.113362) , 
0.0476188, 1, 7, 0, 0.0533504,-0.1014) , 
32.3412, 0, 1, 0, 0.0603866,-0.0975142)    );
  // itree = 61
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.278262,-0.00430703) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478234,0.0282985) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.339548,0.00259316) , 
8.7297, 1, 1, 0, 0.459716,-0.0145487) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.362769,0.0097229) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.112953,-0.0176879) , 
0.142857, 1, 7, 0, 0.176081,-0.111581) , 
10.7881, 0, 0, 0, 0.194869,-0.105154) , 
54.7717, 0, 0, 0, 0.199412,-0.0977201)    );
  // itree = 62
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846413,0.0273629) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.443965,-0.00187642) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.231037,-0.0151279) , 
-39.0236, 0, 3, 0, 0.438601,-0.0658325) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.315639,-0.00951721) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0975869,-0.0356752) , 
0.041904, 1, 4, 0, 0.2064,0.20912) , 
12.5254, 1, 3, 0, 0.426529,-0.0515374) , 
0.047619, 0, 7, 0, 0.739223,-0.0973044)    );
  // itree = 63
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.554556,0.0407805) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.322653,0.0119771) , 
0.0405539, 0, 4, 0, 0.428031,0.149433) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.551417,0.0320488) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346648,0.0152522) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0455494,-0.0272848) , 
-5.2213, 1, 3, 0, 0.0491438,-0.0997828) , 
-46.6442, 1, 3, 0, 0.0521439,-0.0979364) , 
4.52221, 0, 3, 0, 0.06083,-0.0922201)    );
  // itree = 64
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.378282,0.00813438) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386467,0.011308) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125622,-0.0147792) , 
0.0476189, 1, 6, 0, 0.194828,-0.102242) , 
4.18118, 0, 1, 0, 0.199996,-0.0952638) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.228888,-0.00954118) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.104807,-0.0352231) , 
0.0361315, 1, 4, 0, 0.164879,0.156481) , 
52.661, 1, 1, 0, 0.199625,-0.0926039)    );
  // itree = 65
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846199,0.0261527) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.552804,0.0093444) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.425567,-0.00573984) , 
0.0152244, 0, 7, 0, 0.481154,-0.116994) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40433,-0.00465873) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.243243,-0.00610037) , 
90.7342, 1, 1, 0, 0.399649,-0.0144036) , 
0.00226745, 0, 7, 0, 0.427523,-0.0494889) , 
0.047619, 0, 7, 0, 0.739046,-0.0924965)    );
  // itree = 66
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517509,0.0202752) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169117,-0.00801939) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0633669,-0.0245724) , 
0.0022675, 1, 6, 0, 0.130537,-0.061675) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0928218,-0.0146799) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0222081,-0.0315076) , 
223.688, 0, 0, 0, 0.0225881,-0.103963) , 
0.0476179, 1, 6, 0, 0.0527469,-0.0921483) , 
30.5689, 0, 1, 0, 0.0599596,-0.0885433)    );
  // itree = 67
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203852,-0.0170963) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403314,0.0104049) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.371323,0.0128634) , 
0.00226752, 1, 6, 0, 0.391631,-0.0626135) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.131107,-0.0129167) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.082222,-0.0231716) , 
0.183801, 1, 5, 0, 0.12624,-0.103743) , 
0.0476181, 1, 6, 0, 0.20002,-0.0923085) , 
22.7987, 0, 1, 0, 0.20009,-0.0878853)    );
  // itree = 68
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746961,0.0176006) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.553778,0.0177582) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.419771,0.0071832) , 
0.0149673, 1, 4, 0, 0.495481,-0.0536528) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227439,-0.00906756) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0596383,-0.0321324) , 
0.0578537, 1, 4, 0, 0.117365,0.305753) , 
0.030194, 1, 4, 0, 0.286571,0.14492) , 
25.863, 1, 1, 0, 0.739165,-0.0878886)    );
  // itree = 69
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.533611,0.0206437) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.172772,-0.00685471) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0631006,-0.0239709) , 
0.00226737, 1, 6, 0, 0.132997,-0.055862) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0243808,-0.03044) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0126978,-0.0340241) , 
0.182637, 1, 5, 0, 0.0232008,-0.0988146) , 
0.0476181, 1, 6, 0, 0.0539465,-0.0867868) , 
36.9498, 0, 1, 0, 0.0604791,-0.0836412)    );
  // itree = 70
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381081,0.00953386) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.150767,-0.00832099) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.128718,-0.012825) , 
0.0087523, 1, 5, 0, 0.131124,-0.0980722) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0949707,-0.0197491) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0600977,-0.0274764) , 
0.0389748, 0, 4, 0, 0.0840509,-0.107635) , 
0.183801, 1, 5, 0, 0.126426,-0.0990266) , 
0.0476189, 1, 6, 0, 0.199842,-0.0833732)    );
  // itree = 71
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.849819,0.0250355) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.567658,0.00259046) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.431393,-0.00419389) , 
0.00226756, 0, 6, 0, 0.481317,-0.058633) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388099,0.00536056) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0805979,-0.0287685) , 
0.0408203, 1, 4, 0, 0.233579,0.179993) , 
22.7987, 1, 1, 0, 0.467586,-0.0454074) , 
0.0476188, 0, 6, 0, 0.739252,-0.0836302)    );
  // itree = 72
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169511,-0.00825673) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0627519,-0.020085) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0262203,-0.0290171) , 
0.0952358, 1, 6, 0, 0.0360919,-0.0827963) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208903,-0.0309059) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0116288,-0.0338954) , 
0.183801, 1, 5, 0, 0.0199668,-0.0955953) , 
0.274377, 1, 7, 0, 0.0230141,-0.0931766) , 
0.047619, 1, 7, 0, 0.0602199,-0.0797577)    );
  // itree = 73
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403411,0.00998058) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.410621,0.0225664) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1618,-0.00647703) , 
0.0476179, 1, 6, 0, 0.213165,-0.08332) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114148,-0.0145634) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0763543,-0.0226206) , 
0.183801, 1, 5, 0, 0.110404,-0.0953627) , 
0.274377, 1, 7, 0, 0.129964,-0.0930705) , 
0.0476189, 1, 7, 0, 0.199605,-0.0795846)    );
  // itree = 74
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847301,0.0234867) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482162,-0.000903163) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.413305,-0.0047048) , 
0.00226751, 0, 7, 0, 0.437671,-0.0500537) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.431651,0.0114516) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.112718,-0.0203946) , 
0.0318345, 1, 4, 0, 0.240755,0.177219) , 
37.8173, 1, 1, 0, 0.428386,-0.0393373) , 
0.047619, 0, 7, 0, 0.740618,-0.0793669)    );
  // itree = 75
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.526786,0.0197315) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.430793,0.03169) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.119934,-0.01381) , 
4.52221, 0, 3, 0, 0.13377,-0.0501427) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0898241,-0.0132231) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0227181,-0.0300273) , 
223.688, 0, 0, 0, 0.0230738,-0.0894951) , 
0.0476189, 1, 6, 0, 0.054114,-0.0784603) , 
37.8173, 0, 1, 0, 0.0606188,-0.0754889)    );
  // itree = 76
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199449,-0.00387518) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.252798,-0.00913039) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.242397,-0.00429774) , 
0.029819, 0, 5, 0, 0.246605,-0.0305586) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.185159,-0.0218346) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118694,-0.0329269) , 
0.0691066, 1, 4, 0, 0.143315,0.319162) , 
0.0359547, 1, 4, 0, 0.195015,0.144115) , 
24.07, 1, 1, 0, 0.19937,-0.0753242)    );
  // itree = 77
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.759667,0.0164471) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.342804,-0.0159199) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0786716,-0.0433909) , 
0.0331624, 1, 4, 0, 0.213964,0.146406) , 
4.18118, 1, 1, 0, 0.744619,-0.0777745) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487592,0.013001) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106746,-0.0216004) , 
0.0362616, 1, 4, 0, 0.290173,0.148659) , 
52.661, 1, 1, 0, 0.739767,-0.0753569)    );
  // itree = 78
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.154384,-0.00819819) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0403416,-0.0239351) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0232452,-0.0294971) , 
0.00645454, 1, 5, 0, 0.0245889,-0.0844058) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0536887,-0.0268289) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0131328,-0.0325629) , 
0.0476178, 1, 7, 0, 0.0153356,-0.0925338) , 
0.135546, 1, 5, 0, 0.0231231,-0.0856933) , 
0.0476188, 1, 6, 0, 0.061062,-0.0716433)    );
  // itree = 79
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247385,-0.00673904) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.150027,-0.0274288) , 
0.0408026, 1, 4, 0, 0.202733,0.146879) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386012,0.00712511) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.391854,0.0109568) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125535,-0.0117128) , 
0.0476179, 1, 6, 0, 0.198725,-0.0770949) , 
-14.0072, 1, 3, 0, 0.199571,-0.0760752) , 
19.7118, 0, 1, 0, 0.199631,-0.0717941)    );
  // itree = 80
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.74845,0.0145258) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.546681,0.016088) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.27685,-0.00956328) , 
0.0348001, 1, 5, 0, 0.446027,-0.0216186) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.15758,-0.0163928) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0396825,-0.0353794) , 
0.0782729, 1, 4, 0, 0.0866914,0.326137) , 
0.0404789, 1, 4, 0, 0.282033,0.137091) , 
19.7118, 1, 1, 0, 0.739351,-0.0717378)    );
  // itree = 81
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.547667,0.0374582) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.309573,0.0113396) , 
0.0347469, 0, 4, 0, 0.429373,0.145667) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.548891,0.0298094) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351468,0.0172942) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0460586,-0.0240237) , 
-5.22375, 1, 3, 0, 0.0496749,-0.0745143) , 
-46.6454, 1, 3, 0, 0.0526112,-0.0729336) , 
4.52221, 0, 3, 0, 0.0613257,-0.0678773)    );
  // itree = 82
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.254572,-0.00929099) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.583733,0.0387858) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.306979,0.00283465) , 
0.0470202, 0, 4, 0, 0.418374,-0.0104591) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.290744,0.00479276) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103584,-0.0152338) , 
0.333333, 1, 7, 0, 0.174177,-0.0814515) , 
9.25044, 0, 0, 0, 0.198423,-0.0744027) , 
9.05143, 0, 1, 0, 0.19995,-0.0684027)    );
  // itree = 83
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847063,0.0210117) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.527557,0.00307903) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.406626,-0.0102679) , 
0.00874599, 0, 7, 0, 0.481398,-0.0943498) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417025,-0.00508788) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.302677,-0.0101302) , 
66.5224, 1, 0, 0, 0.398346,-0.000301681) , 
0.00226745, 0, 7, 0, 0.42659,-0.0322846) , 
0.047619, 0, 7, 0, 0.739655,-0.0685463)    );
  // itree = 84
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170442,-0.00627195) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0650161,-0.0168605) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0265393,-0.0270134) , 
0.0952253, 1, 6, 0, 0.0377453,-0.0660947) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0240004,-0.0282404) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0184261,-0.0301981) , 
0.596158, 1, 7, 0, 0.0207279,-0.0792128) , 
0.229026, 1, 7, 0, 0.0233066,-0.0772249) , 
0.0476189, 1, 7, 0, 0.0607101,-0.0650618)    );
  // itree = 85
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.413122,0.0104714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129806,-0.00977342) , 
0.0476188, 1, 7, 0, 0.199655,-0.0677455) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243222,-0.00422115) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.14968,-0.0256257) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0991792,-0.0338281) , 
0.0901367, 1, 4, 0, 0.126455,0.286725) , 
0.0317865, 1, 4, 0, 0.178788,0.129206) , 
37.8173, 1, 1, 0, 0.19937,-0.065062)    );
  // itree = 86
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850761,0.0208599) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.476908,-0.00321176) , 
0.0476189, 0, 6, 0, 0.746116,-0.0681497) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507064,0.0142474) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200227,-0.00600774) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0321258,-0.0339603) , 
0.089825, 1, 4, 0, 0.123993,0.282526) , 
0.0314451, 1, 4, 0, 0.295637,0.122854) , 
36.9498, 1, 1, 0, 0.739901,-0.0655145)    );
  // itree = 87
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.522474,0.017226) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.171996,-0.00429469) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0622737,-0.0216868) , 
0.00226756, 1, 6, 0, 0.13214,-0.0408764) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0763798,-0.0116587) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0208431,-0.029038) , 
9.25044, 0, 0, 0, 0.0226741,-0.0747559) , 
0.0476189, 1, 6, 0, 0.0532208,-0.0653018) , 
32.3412, 0, 1, 0, 0.060177,-0.0625536)    );
  // itree = 88
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200678,-0.0158089) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402508,0.00851241) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.371905,0.0126543) , 
0.00226756, 1, 6, 0, 0.391285,-0.042461) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227394,0.00705245) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125607,-0.00995111) , 
60.3482, 0, 2, 0, 0.126498,-0.0749647) , 
0.0476189, 1, 6, 0, 0.199927,-0.065951) , 
22.7987, 0, 1, 0, 0.199941,-0.0624586)    );
  // itree = 89
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755452,0.0131207) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481809,0.00306635) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.216304,-0.0236783) , 
0.0402345, 1, 5, 0, 0.400199,0.0197794) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170129,-0.0231904) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0479733,-0.0391271) , 
0.0687398, 1, 4, 0, 0.096294,0.274003) , 
0.0355849, 1, 4, 0, 0.254732,0.141466) , 
5.96452, 1, 1, 0, 0.739521,-0.062725)    );
  // itree = 90
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168606,-0.00603115) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0544501,-0.0183331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0247273,-0.0268025) , 
0.190472, 1, 6, 0, 0.0357544,-0.061409) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208232,-0.0285631) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.012095,-0.0319237) , 
0.183801, 1, 5, 0, 0.0199551,-0.0729793) , 
0.274382, 1, 7, 0, 0.0229385,-0.0707945) , 
0.0476189, 1, 7, 0, 0.0601415,-0.0598062)    );
  // itree = 91
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401716,0.00869782) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.365818,0.0214899) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.149294,-0.00530469) , 
0.0952358, 1, 6, 0, 0.204524,-0.0619768) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.112342,-0.0116984) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0741128,-0.0205155) , 
0.183801, 1, 5, 0, 0.108574,-0.0731177) , 
0.319729, 1, 7, 0, 0.130519,-0.0705697) , 
0.047619, 1, 7, 0, 0.200055,-0.0589915)    );
  // itree = 92
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751512,0.0124659) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424865,0.00439634) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.246663,-0.032177) , 
24.07, 0, 1, 0, 0.314853,0.0668681) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.115461,-0.0422604) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0911425,-0.0222872) , 
32.3412, 1, 1, 0, 0.107174,0.222205) , 
0.0404789, 1, 4, 0, 0.21905,0.138526) , 
4.49505, 1, 3, 0, 0.739063,-0.0592275)    );
  // itree = 93
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169786,-0.00523859) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0634153,-0.0158312) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.026658,-0.025625) , 
0.0952239, 1, 6, 0, 0.0373567,-0.0575144) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0214013,-0.0279619) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00995196,-0.0325418) , 
0.229751, 1, 5, 0, 0.0206521,-0.0693195) , 
0.229025, 1, 7, 0, 0.0231791,-0.0675337) , 
0.0476189, 1, 7, 0, 0.0605987,-0.0563912)    );
  // itree = 94
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402706,0.00870696) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.378898,0.022385) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.15461,-0.00426786) , 
0.0952358, 1, 6, 0, 0.215564,-0.0582873) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114263,-0.0108369) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0760371,-0.019601) , 
0.181028, 1, 5, 0, 0.110378,-0.0694474) , 
0.274376, 1, 7, 0, 0.130212,-0.067343) , 
0.047619, 1, 7, 0, 0.199992,-0.0561687)    );
  // itree = 95
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850687,0.0186244) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.477174,-0.00380995) , 
0.0476189, 0, 6, 0, 0.746126,-0.0592293) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.544471,0.0179595) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.275355,-0.00337591) , 
0.0323836, 1, 5, 0, 0.417329,0.00230436) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0568547,-0.0285708) , 
0.0624124, 1, 4, 0, 0.290707,0.118546) , 
33.6558, 1, 1, 0, 0.739452,-0.0566244)    );
  // itree = 96
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.533139,0.0177566) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478177,0.035949) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.139692,-0.0087152) , 
12.5254, 0, 3, 0, 0.149955,-0.0305096) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0351472,-0.0225113) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0201639,-0.0279874) , 
0.274377, 1, 7, 0, 0.0229894,-0.064216) , 
0.047619, 1, 7, 0, 0.0542541,-0.0559159) , 
36.9498, 0, 1, 0, 0.0608616,-0.0534319)    );
  // itree = 97
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401974,0.00824432) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412118,0.0215677) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.162965,-0.0019654) , 
0.0476179, 1, 6, 0, 0.215011,-0.0549008) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114702,-0.0101613) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0764293,-0.0188895) , 
0.183801, 1, 5, 0, 0.110925,-0.0662064) , 
0.274376, 1, 7, 0, 0.130653,-0.0640635) , 
0.0476189, 1, 7, 0, 0.199778,-0.0534873)    );
  // itree = 98
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746008,0.0105092) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.565631,0.0164283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.375436,0.00227818) , 
0.0157149, 1, 4, 0, 0.475083,-0.0388572) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127503,-0.0160377) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0890282,-0.0223978) , 
0.0762298, 1, 5, 0, 0.107662,0.283473) , 
0.0356132, 1, 4, 0, 0.288874,0.1245) , 
33.6558, 1, 1, 0, 0.739427,-0.0533623)    );
  // itree = 99
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521608,0.016392) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170907,-0.00275177) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0642845,-0.0193629) , 
0.00226752, 1, 6, 0, 0.13252,-0.0311365) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0243692,-0.0261628) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.015378,-0.0298393) , 
0.13785, 1, 5, 0, 0.0229748,-0.0625265) , 
0.0476181, 1, 6, 0, 0.0535585,-0.0537628) , 
32.3412, 0, 1, 0, 0.0605167,-0.0512663)    );
  // itree = 100
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206554,-0.0152932) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402867,0.0078616) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.370119,0.0119824) , 
0.00226754, 1, 6, 0, 0.39083,-0.0348094) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.131511,-0.00660692) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0897412,-0.0169147) , 
0.18623, 1, 4, 0, 0.126937,-0.062626) , 
0.0476189, 1, 6, 0, 0.200239,-0.0548993) , 
19.7118, 0, 1, 0, 0.200361,-0.051322)    );
  // itree = 101
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850084,0.0171618) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493208,-0.00224864) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.216192,-0.0143442) , 
-46.6444, 0, 3, 0, 0.487871,-0.0372428) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276023,-0.0152532) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0827182,-0.0364405) , 
0.0418801, 1, 4, 0, 0.181228,0.166119) , 
4.52221, 1, 3, 0, 0.467861,-0.0239724) , 
0.0476174, 0, 6, 0, 0.739458,-0.0514667)    );
  // itree = 102
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.528314,0.0160627) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466307,0.0335695) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13941,-0.00781644) , 
12.5254, 0, 3, 0, 0.148894,-0.0266811) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0357094,-0.0212766) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0198386,-0.0273793) , 
0.274377, 1, 7, 0, 0.0228169,-0.0588633) , 
0.0476189, 1, 7, 0, 0.0537436,-0.050969) , 
32.3412, 0, 1, 0, 0.0608307,-0.0485287)    );
  // itree = 103
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403217,0.00813427) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.375093,0.0197312) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.151927,-0.00342372) , 
0.0952358, 1, 6, 0, 0.212576,-0.0503102) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114547,-0.00930165) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0746375,-0.0184902) , 
0.183801, 1, 5, 0, 0.110613,-0.0609793) , 
0.274376, 1, 7, 0, 0.129922,-0.0589589) , 
0.0476189, 1, 7, 0, 0.19957,-0.0489614)    );
  // itree = 104
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747611,0.00956787) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.572669,0.0174679) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.285607,-0.00784762) , 
0.0330027, 1, 5, 0, 0.464296,-0.0389416) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.1901,-0.00780429) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0476827,-0.0303029) , 
0.0687812, 1, 4, 0, 0.102254,0.268647) , 
0.0356132, 1, 4, 0, 0.280162,0.117498) , 
25.863, 1, 1, 0, 0.739701,-0.0487893)    );
  // itree = 105
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524153,0.0155238) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170706,-0.00205063) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0621023,-0.0191235) , 
0.0022675, 1, 6, 0, 0.131123,-0.0281998) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0240376,-0.0254549) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0132689,-0.0301535) , 
0.182637, 1, 5, 0, 0.022954,-0.0571347) , 
0.0476175, 1, 6, 0, 0.0531701,-0.049052) , 
30.5689, 0, 1, 0, 0.060426,-0.0466253)    );
  // itree = 106
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404997,0.00827626) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.365891,0.0187795) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14808,-0.00329062) , 
0.0952358, 1, 6, 0, 0.202923,-0.0498484) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.112171,-0.00925664) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0836799,-0.0164075) , 
0.185586, 1, 4, 0, 0.109095,-0.0587261) , 
0.319728, 1, 7, 0, 0.13057,-0.0566942) , 
0.047619, 1, 7, 0, 0.200618,-0.0467936)    );
  // itree = 107
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753152,0.00948463) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503684,0.00600426) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.23019,-0.0184) , 
0.0366847, 1, 5, 0, 0.406097,0.0205305) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.147225,-0.0218843) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0409475,-0.0368687) , 
0.0782409, 1, 4, 0, 0.0854163,0.283123) , 
0.0404506, 1, 4, 0, 0.263319,0.137445) , 
9.05143, 1, 1, 0, 0.739946,-0.046301)    );
  // itree = 108
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509144,0.0169232) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170567,-0.00167224) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0631059,-0.0192951) , 
0.00453503, 1, 7, 0, 0.129731,-0.028533) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.032355,-0.0215702) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0198559,-0.0266849) , 
0.267579, 1, 7, 0, 0.0216743,-0.054953) , 
0.0952379, 1, 7, 0, 0.051551,-0.0476482) , 
19.7118, 0, 1, 0, 0.0604925,-0.0444674)    );
  // itree = 109
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.239719,-0.0117704) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441261,0.0153382) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.392635,0.00523309) , 
0.00226723, 0, 7, 0, 0.40965,-0.0202819) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213516,0.00490545) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110761,-0.00928185) , 
0.274377, 1, 7, 0, 0.130186,-0.0539602) , 
0.0476189, 1, 7, 0, 0.199747,-0.0455775) , 
-23.7213, 1, 3, 0, 0.20011,-0.0438349)    );
  // itree = 110
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846764,0.0148218) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481943,-0.00431436) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.428629,-0.0049465) , 
0.00226751, 0, 7, 0, 0.448194,-0.0330546) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.339619,-0.00301302) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0856531,-0.0287463) , 
0.0356851, 1, 4, 0, 0.201052,0.162167) , 
8.04907, 1, 1, 0, 0.42472,-0.0145122) , 
0.0476189, 0, 7, 0, 0.739047,-0.0438561)    );
  // itree = 111
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.533985,0.0144139) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.171758,-0.00171372) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0654883,-0.0171095) , 
0.00226752, 1, 6, 0, 0.133553,-0.0239063) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0238338,-0.0247427) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0128184,-0.0297855) , 
0.182637, 1, 5, 0, 0.0227281,-0.0525614) , 
0.0476189, 1, 6, 0, 0.0538415,-0.0445167) , 
36.9498, 0, 1, 0, 0.060554,-0.0424735)    );
  // itree = 112
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.258873,-0.00857368) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401832,0.00697956) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.370965,0.0113111) , 
0.00226756, 1, 6, 0, 0.390214,-0.0313529) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.201759,0.00114951) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125392,-0.00637215) , 
191.516, 0, 0, 0, 0.125856,-0.0525419) , 
0.0476188, 1, 6, 0, 0.19809,-0.0467521) , 
9.05078, 0, 1, 0, 0.199716,-0.0419922)    );
  // itree = 113
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850584,0.0147894) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.602063,0.00142424) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.464418,-0.0111093) , 
0.00658677, 0, 6, 0, 0.562205,-0.0554537) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.423063,-0.00528136) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.322452,-0.005337) , 
107.985, 1, 0, 0, 0.413577,0.00279677) , 
0.00226753, 0, 6, 0, 0.465701,-0.0176316) , 
0.0476189, 0, 6, 0, 0.739366,-0.0423151)    );
  // itree = 114
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169009,-0.003474) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0608889,-0.0124895) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0255756,-0.0230143) , 
0.0952278, 1, 6, 0, 0.0351453,-0.0416623) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0236053,-0.024234) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0185759,-0.0265713) , 
0.585358, 1, 7, 0, 0.0204448,-0.05111) , 
0.274376, 1, 7, 0, 0.0232241,-0.0493238) , 
0.047619, 1, 7, 0, 0.0603328,-0.0405999)    );
  // itree = 115
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212191,-0.0133426) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434125,0.0135803) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.241345,-0.00842572) , 
0.0394443, 0, 4, 0, 0.314769,0.019689) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467956,0.0220897) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.177109,-0.00224226) , 
10.7881, 0, 0, 0, 0.195425,-0.0461645) , 
54.7717, 0, 0, 0, 0.200075,-0.0435987) , 
19.7118, 0, 1, 0, 0.200312,-0.0407349)    );
  // itree = 116
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.74635,0.00763611) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.573034,0.0178999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.382934,0.00518335) , 
0.0157149, 1, 4, 0, 0.483775,-0.068444) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.160638,-0.00660116) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0292793,-0.0314752) , 
0.101923, 1, 4, 0, 0.106164,0.2391) , 
0.0356132, 1, 4, 0, 0.289153,0.0900658) , 
33.6558, 1, 1, 0, 0.739631,-0.0400344)    );
  // itree = 117
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168538,-0.00334054) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0552418,-0.0131934) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0237504,-0.0234714) , 
0.142854, 1, 6, 0, 0.0333686,-0.0407884) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.020433,-0.0253317) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0129299,-0.0291289) , 
0.185014, 1, 4, 0, 0.0196195,-0.0497749) , 
0.319726, 1, 7, 0, 0.0227563,-0.0477246) , 
0.0476187, 1, 7, 0, 0.0599922,-0.0392117)    );
  // itree = 118
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200073,3.66227e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.272662,0.00649866) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.225694,-0.00746933) , 
0.0139295, 1, 4, 0, 0.248856,-0.0754208) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.166667,-0.0217668) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0974265,-0.0332872) , 
0.0898432, 1, 4, 0, 0.134907,0.233799) , 
0.0314451, 1, 4, 0, 0.185498,0.0965131) , 
32.3412, 1, 1, 0, 0.199853,-0.0388517)    );
  // itree = 119
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846891,0.0131451) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.548427,0.00244954) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.425037,-0.0093918) , 
0.0152244, 0, 7, 0, 0.47894,-0.0636785) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467638,0.00260494) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.309088,-0.0168459) , 
0.0482909, 1, 4, 0, 0.398927,0.0148045) , 
0.00226745, 0, 7, 0, 0.426328,-0.0120724) , 
0.047619, 0, 7, 0, 0.73967,-0.0384132)    );
  // itree = 120
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.282315,0.0108688) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.523629,0.039207) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.302601,0.0177568) , 
0.0339518, 0, 4, 0, 0.407705,0.156032) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.155759,0.00349486) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0369998,-0.0208805) , 
10.7881, 0, 0, 0, 0.0435906,-0.0442792) , 
6.14693, 0, 1, 0, 0.0481295,-0.0417822) , 
54.7717, 0, 0, 0, 0.0608198,-0.0367521)    );
  // itree = 121
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199567,1.45132e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.242847,0.000482488) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.22567,-0.00737792) , 
0.0132483, 1, 4, 0, 0.234088,-0.0663794) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.174555,-0.0200452) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107375,-0.0314165) , 
0.0851904, 1, 4, 0, 0.143443,0.220954) , 
0.0298526, 1, 4, 0, 0.18258,0.0968932) , 
30.5689, 1, 1, 0, 0.199309,-0.0370163)    );
  // itree = 122
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746668,0.00686351) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.567647,0.0149524) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.395845,0.00511711) , 
0.0127573, 1, 4, 0, 0.469113,-0.0500733) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.155047,-0.00853501) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0295176,-0.031265) , 
0.10225, 1, 4, 0, 0.102386,0.249554) , 
0.0359547, 1, 4, 0, 0.282308,0.102552) , 
30.5689, 1, 1, 0, 0.739526,-0.0370588)    );
  // itree = 123
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.554512,0.0335686) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.319978,0.0130865) , 
0.041805, 0, 4, 0, 0.424658,0.129811) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.535934,0.0231616) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.343987,0.017999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0455583,-0.0178989) , 
-5.252, 1, 3, 0, 0.0490979,-0.0402982) , 
-46.673, 1, 3, 0, 0.0519615,-0.039179) , 
4.49505, 0, 3, 0, 0.0605652,-0.0352779)    );
  // itree = 124
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381586,0.00704894) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.166,0.00437385) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.132101,-0.00377962) , 
0.00437618, 1, 5, 0, 0.134065,-0.0423184) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.391232,0.0140459) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0872768,-0.0130699) , 
0.0476179, 1, 7, 0, 0.104,-0.0486595) , 
0.0919003, 1, 5, 0, 0.126403,-0.0439343) , 
0.0476189, 1, 6, 0, 0.200111,-0.0350795)    );
  // itree = 125
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.84682,0.012234) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451775,-0.00387523) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.220508,-0.0115422) , 
-46.6442, 0, 3, 0, 0.446654,-0.0235) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.274383,-0.0162033) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103679,-0.0340048) , 
0.0383709, 1, 4, 0, 0.185955,0.137024) , 
4.52221, 1, 3, 0, 0.425795,-0.0106559) , 
0.0476188, 0, 7, 0, 0.739218,-0.0350945)    );
  // itree = 126
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529046,0.0232697) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.546267,0.0149916) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125258,-0.00581696) , 
22.7987, 0, 1, 0, 0.142967,-0.0161215) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0239141,-0.0228816) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0131979,-0.0283494) , 
0.183801, 1, 5, 0, 0.0228485,-0.0429971) , 
0.0476188, 1, 6, 0, 0.0570322,-0.0353487) , 
-41.0958, 1, 3, 0, 0.0600831,-0.0341532)    );
  // itree = 127
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379278,0.00634001) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481955,0.0474269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.224917,0.011787) , 
0.0364358, 0, 4, 0, 0.303687,-0.0206789) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.128362,-0.00406181) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0904226,-0.0138421) , 
0.186141, 1, 4, 0, 0.12416,-0.0433344) , 
-6.99833, 1, 2, 0, 0.126746,-0.043008) , 
0.0476189, 1, 6, 0, 0.199817,-0.033798)    );
  // itree = 128
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747079,0.0064129) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464938,0.000964752) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.271022,-0.0173444) , 
0.0154352, 1, 4, 0, 0.375957,0.0417243) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.148509,-0.0226557) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0663684,-0.0349806) , 
0.0995533, 1, 4, 0, 0.113936,0.229411) , 
0.0348423, 1, 4, 0, 0.24391,0.13631) , 
12.4999, 1, 3, 0, 0.739568,-0.0340707)    );
  // itree = 129
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454948,0.0215003) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.144987,-0.00520062) , 
4.52221, 0, 3, 0, 0.16967,-0.00899286) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.172192,0.0047762) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0318716,-0.0186169) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0194071,-0.0243934) , 
0.319728, 1, 7, 0, 0.0222575,-0.0406107) , 
5.78863, 0, 1, 0, 0.0232178,-0.0402362) , 
0.047619, 1, 7, 0, 0.0605288,-0.0322765)    );
  // itree = 130
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379884,0.00636903) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393454,0.0346617) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.128536,-0.00386594) , 
5.43105, 0, 3, 0, 0.130017,-0.040279) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.187927,0.00851143) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0860927,-0.014571) , 
0.0929679, 1, 6, 0, 0.0919963,-0.0484356) , 
0.185675, 1, 4, 0, 0.125863,-0.0411701) , 
0.0476189, 1, 6, 0, 0.199342,-0.0325387)    );
  // itree = 131
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.779586,0.0083693) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.396558,-0.0131099) , 
14.4859, 1, 0, 0, 0.744873,-0.0340731) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.681456,0.012803) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551158,0.003381) , 
0.0133128, 1, 4, 0, 0.606581,-0.0262996) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169725,-0.0325251) , 
0.043473, 1, 4, 0, 0.44618,0.0875954) , 
161.737, 1, 0, 0, 0.740264,-0.0321958)    );
  // itree = 132
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.52988,0.0224348) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.407171,0.0214275) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.165556,0.0139734) , 
0.0475213, 1, 6, 0, 0.348668,0.103219) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511332,0.0214748) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0473824,-0.0162485) , 
-32.438, 1, 3, 0, 0.0510083,-0.0350293) , 
3.85249, 0, 3, 0, 0.0562821,-0.0325799) , 
41.9836, 0, 3, 0, 0.0602155,-0.0311016)    );
  // itree = 133
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199852,0.000641996) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.258772,0.00389756) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.22362,-0.00831647) , 
0.016051, 1, 4, 0, 0.242154,-0.0645878) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.15112,-0.0229022) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0880361,-0.0331579) , 
0.102263, 1, 4, 0, 0.125308,0.216751) , 
0.0359547, 1, 4, 0, 0.181673,0.0810361) , 
33.6558, 1, 1, 0, 0.199583,-0.0309935)    );
  // itree = 134
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.748631,0.00551661) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.548571,0.0147123) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.284784,-0.0051626) , 
0.0348001, 1, 5, 0, 0.449321,-0.0287698) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.155352,-0.00988464) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0377193,-0.0309657) , 
0.0782729, 1, 4, 0, 0.0849948,0.241078) , 
0.0404789, 1, 4, 0, 0.282014,0.0951501) , 
19.7118, 1, 1, 0, 0.739467,-0.0306277)    );
  // itree = 135
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.254524,0.0122551) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.682552,0.0397523) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.357236,0.0118257) , 
0.0669578, 0, 4, 0, 0.463244,0.130755) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.167734,0.0131242) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0420558,-0.017412) , 
150.353, 0, 0, 0, 0.0426012,-0.0370213) , 
5.80986, 0, 1, 0, 0.0509227,-0.0337022) , 
23.7041, 0, 2, 0, 0.0604099,-0.0296732)    );
  // itree = 136
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.253157,-0.00702225) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432016,0.00999128) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.26201,-0.00774763) , 
0.03857, 0, 4, 0, 0.336519,0.0606918) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491015,0.0294737) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.146229,-0.00629079) , 
3.40623, 0, 0, 0, 0.194309,-0.0345115) , 
33.9603, 0, 2, 0, 0.197416,-0.0324317) , 
84.5511, 0, 0, 0, 0.199503,-0.0290556)    );
  // itree = 137
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850126,0.0110662) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491152,-0.00455052) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.423409,-0.00549461) , 
36.1941, 1, 2, 0, 0.485874,-0.0183234) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.354909,0.000954861) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0773117,-0.0260875) , 
0.0404506, 1, 4, 0, 0.216415,0.129145) , 
11.9172, 1, 1, 0, 0.465731,-0.00729929) , 
0.0476189, 0, 6, 0, 0.739247,-0.0292549)    );
  // itree = 138
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.251598,0.0107785) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.633682,0.0331237) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.310361,0.00772795) , 
0.0405413, 0, 4, 0, 0.462265,0.1247) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.153125,0.00436715) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0411008,-0.0172182) , 
67.5062, 0, 0, 0, 0.0428231,-0.0351865) , 
5.80986, 0, 1, 0, 0.0510757,-0.0320407) , 
23.7041, 0, 2, 0, 0.0602784,-0.0284211)    );
  // itree = 139
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.319327,0.000857999) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.329032,0.00372733) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270057,-0.0106011) , 
0.0331624, 1, 4, 0, 0.2978,0.133162) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389269,0.00881869) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.184141,3.33349e-05) , 
24.2779, 0, 0, 0, 0.191494,-0.0355182) , 
5.80986, 0, 1, 0, 0.193577,-0.0322132) , 
23.7041, 0, 2, 0, 0.199356,-0.0285582)    );
  // itree = 140
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.779248,0.00721325) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.393698,-0.0130046) , 
14.4667, 1, 0, 0, 0.74421,-0.0297967) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.675094,0.0118088) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539683,0.00266887) , 
0.0151534, 1, 4, 0, 0.609345,-0.0267866) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16597,-0.031839) , 
0.0433116, 1, 4, 0, 0.44728,0.0848323) , 
161.737, 1, 0, 0, 0.739626,-0.028027)    );
  // itree = 141
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152319,-0.00148601) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.191504,0.00901544) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0231573,-0.0215071) , 
5.43105, 0, 3, 0, 0.0240517,-0.0350752) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0161855,-0.0254097) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00610077,-0.0316149) , 
0.0386631, 0, 4, 0, 0.0130561,-0.0435825) , 
0.181028, 1, 5, 0, 0.0229322,-0.0359413) , 
0.0476189, 1, 6, 0, 0.0602972,-0.0271645)    );
  // itree = 142
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403474,0.00643001) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.297197,0.0167128) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.130858,-0.00235222) , 
0.190472, 1, 6, 0, 0.185741,-0.030449) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.106945,-0.00730989) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0572308,-0.0204824) , 
0.275701, 1, 5, 0, 0.104783,-0.037191) , 
0.410432, 1, 7, 0, 0.130041,-0.0350876) , 
0.047619, 1, 7, 0, 0.199852,-0.026925)    );
  // itree = 143
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751077,0.00481403) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.53789,0.0110033) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.278612,-0.00879503) , 
0.0331584, 1, 5, 0, 0.443353,-0.0188919) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169928,-0.0124637) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0476346,-0.0307268) , 
0.0687701, 1, 4, 0, 0.0950669,0.217127) , 
0.0356132, 1, 4, 0, 0.274095,0.0958075) , 
11.9172, 1, 1, 0, 0.739484,-0.0268378)    );
  // itree = 144
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.153027,-0.00118955) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.139126,0.0129313) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0843493,-0.00273544) , 
0.0275783, 0, 4, 0, 0.101781,0.00633339) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0332884,-0.0164719) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0201864,-0.0227094) , 
0.138326, 1, 6, 0, 0.0216024,-0.0351795) , 
9.11649, 0, 2, 0, 0.0231736,-0.034366) , 
0.0476189, 1, 6, 0, 0.0606314,-0.0257295)    );
  // itree = 145
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401218,0.00596761) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.316284,0.0168451) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.139454,-0.00164189) , 
0.190472, 1, 6, 0, 0.202229,-0.0270656) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.11178,-0.00585121) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0749605,-0.0147309) , 
0.183801, 1, 5, 0, 0.108129,-0.0357653) , 
0.319728, 1, 7, 0, 0.129564,-0.0337836) , 
0.047619, 1, 7, 0, 0.198831,-0.0257877)    );
  // itree = 146
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846991,0.00956741) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481711,-0.0056301) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.430359,-0.00503911) , 
0.00226751, 0, 7, 0, 0.449295,-0.0168771) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338356,-0.000363363) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0745268,-0.026558) , 
0.0404506, 1, 4, 0, 0.206934,0.126829) , 
8.04907, 1, 1, 0, 0.426424,-0.00331558) , 
0.0476189, 0, 7, 0, 0.739669,-0.0260357)    );
  // itree = 147
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.672368,0.0340075) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.30023,0.00322456) , 
0.0404506, 0, 4, 0, 0.466293,0.112122) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313726,0.0359565) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.108396,-0.00598798) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0206781,-0.0218245) , 
0.142856, 1, 7, 0, 0.0466243,-0.0294519) , 
-8.58062, 1, 3, 0, 0.0476224,-0.028791) , 
5.96452, 0, 1, 0, 0.0608564,-0.0243368)    );
  // itree = 148
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.316518,-0.000483905) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.283086,0.00185806) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185449,-0.0205078) , 
0.0362644, 1, 4, 0, 0.228016,0.118696) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441266,0.0151096) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194473,0.000627773) , 
-4.57471, 1, 3, 0, 0.197222,-0.0285598) , 
-32.0851, 1, 3, 0, 0.197463,-0.0274083) , 
6.41982, 0, 3, 0, 0.199802,-0.0244948)    );
  // itree = 149
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846718,0.00901168) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.534055,-0.000182441) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.40873,-0.0114999) , 
0.0109057, 0, 7, 0, 0.477122,-0.0494675) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.414803,-0.00500902) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196693,-0.0138468) , 
12.5254, 1, 3, 0, 0.39888,0.0236673) , 
0.00226751, 0, 7, 0, 0.425584,-0.00129339) , 
0.0476189, 0, 7, 0, 0.73917,-0.0243848)    );
  // itree = 150
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.153334,-0.000915256) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.036309,-0.0129859) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0229832,-0.020578) , 
0.00869686, 1, 5, 0, 0.0244246,-0.030551) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0415617,-0.0232557) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0114418,-0.0269211) , 
0.0476179, 1, 7, 0, 0.0130319,-0.0393081) , 
0.182637, 1, 5, 0, 0.0232861,-0.0314261) , 
0.0476189, 1, 6, 0, 0.0608319,-0.0233305)    );
  // itree = 151
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257477,-0.00621629) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457759,0.0126415) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.273935,-0.00652144) , 
0.0439649, 0, 4, 0, 0.345804,0.0512235) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417844,0.0110982) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.184833,0.000599472) , 
20.3526, 0, 0, 0, 0.194311,-0.0285236) , 
33.9603, 0, 2, 0, 0.197622,-0.0267809) , 
84.5511, 0, 0, 0, 0.199859,-0.0239524)    );
  // itree = 152
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846946,0.00869468) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517433,0.000351027) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.470743,-0.00610594) , 
0.0873754, 0, 5, 0, 0.481927,-0.0510392) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469926,0.00268223) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.304309,-0.0166052) , 
0.0482765, 1, 4, 0, 0.398193,0.0256809) , 
0.00226751, 0, 7, 0, 0.426662,-0.000403379) , 
0.047619, 0, 7, 0, 0.739599,-0.0232931)    );
  // itree = 153
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.280019,0.00942872) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.292885,0.0204621) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13548,0.00206214) , 
2.06629, 0, 1, 0, 0.19418,0.0383711) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212766,0.0206681) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0364487,-0.0170514) , 
27.678, 0, 2, 0, 0.0371808,-0.031388) , 
10.7874, 0, 0, 0, 0.0475792,-0.0267677) , 
54.7717, 0, 0, 0, 0.0602173,-0.0229676)    );
  // itree = 154
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402441,0.00540864) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351173,0.0204812) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.161223,0.00372819) , 
0.19045, 1, 6, 0, 0.240687,-0.0197071) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.126061,-0.00229635) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0884886,-0.011413) , 
0.805636, 1, 7, 0, 0.115318,-0.0307727) , 
0.183675, 1, 7, 0, 0.129722,-0.0295013) , 
0.047619, 1, 7, 0, 0.199394,-0.0226033)    );
  // itree = 155
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754836,0.00412054) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495513,0.00381418) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.229944,-0.0184206) , 
0.0365613, 1, 5, 0, 0.407217,0.0159146) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.173896,-0.0155636) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0448101,-0.0344415) , 
0.0687701, 1, 4, 0, 0.0952821,0.215827) , 
0.0356132, 1, 4, 0, 0.257316,0.111983) , 
5.96452, 1, 1, 0, 0.739003,-0.0223351)    );
  // itree = 156
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.541118,0.0203237) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.194743,0.003414) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0651652,-0.0143595) , 
0.00453488, 1, 7, 0, 0.147329,-0.0053663) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0229977,-0.0194949) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0123216,-0.0263669) , 
0.183801, 1, 5, 0, 0.0219276,-0.0293266) , 
0.0952379, 1, 7, 0, 0.057551,-0.0225201) , 
-41.0958, 1, 3, 0, 0.060758,-0.0214997)    );
  // itree = 157
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389412,0.00630414) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.261705,0.0140864) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156556,0.00210012) , 
26.56, 0, 0, 0, 0.15973,-0.0256074) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248142,0.00377788) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0908069,-0.00866306) , 
0.0476188, 1, 6, 0, 0.102381,-0.0313435) , 
0.482997, 1, 7, 0, 0.122752,-0.0293059) , 
0.0952379, 1, 7, 0, 0.199719,-0.0216389)    );
  // itree = 158
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.854756,0.00911661) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472068,-0.00545848) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.227149,-0.00858601) , 
-39.0264, 0, 3, 0, 0.466649,-0.00974226) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320559,-0.00359573) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0944206,-0.0252046) , 
0.0418769, 1, 4, 0, 0.207409,0.121869) , 
12.5254, 1, 3, 0, 0.454753,-0.00370293) , 
0.095238, 0, 7, 0, 0.739634,-0.0219075)    );
  // itree = 159
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.171185,3.01725e-06) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.050326,-0.00836139) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0228318,-0.0185377) , 
0.142847, 1, 6, 0, 0.0301826,-0.0228108) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0200762,-0.0208086) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0130564,-0.025679) , 
0.184694, 1, 4, 0, 0.0193297,-0.0297885) , 
0.455782, 1, 7, 0, 0.023206,-0.0272962) , 
0.047619, 1, 7, 0, 0.0609953,-0.0203225)    );
  // itree = 160
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380878,0.00500609) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.138666,0.000777714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106118,-0.0072968) , 
0.0913186, 1, 5, 0, 0.130662,-0.0273513) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.420282,0.0180799) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.073759,-0.0142332) , 
0.0476177, 1, 7, 0, 0.0930591,-0.0348515) , 
0.186126, 1, 4, 0, 0.126527,-0.028176) , 
0.0476179, 1, 6, 0, 0.20006,-0.0209082)    );
  // itree = 161
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850656,0.00814097) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491104,-0.00356094) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.210869,-0.00864676) , 
-46.6444, 0, 3, 0, 0.485828,-0.011341) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276043,-0.0118023) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0865385,-0.0297103) , 
0.0418769, 1, 4, 0, 0.185379,0.12401) , 
4.52221, 1, 3, 0, 0.466083,-0.00244593) , 
0.0476188, 0, 6, 0, 0.73948,-0.0205303)    );
  // itree = 162
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.153502,-0.000507208) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0250839,-0.0178122) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0134969,-0.0251667) , 
0.182637, 1, 5, 0, 0.0239944,-0.02625) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.022963,-0.0197923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0135761,-0.0253294) , 
0.183687, 1, 6, 0, 0.0151215,-0.0338251) , 
0.186754, 1, 4, 0, 0.023029,-0.0270742) , 
0.0476189, 1, 6, 0, 0.0606543,-0.0198008)    );
  // itree = 163
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.390754,0.00601792) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.309177,0.0280964) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.161126,0.00267337) , 
4.80087, 0, 2, 0, 0.165147,-0.0225985) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.23268,0.0181024) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0994397,-0.0071994) , 
9.25044, 0, 0, 0, 0.103948,-0.0286483) , 
0.439913, 1, 7, 0, 0.122911,-0.0267737) , 
0.095238, 1, 7, 0, 0.199928,-0.0197198)    );
  // itree = 164
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846325,0.0070777) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.53196,0.00253529) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.471378,-0.00573129) , 
0.131063, 0, 5, 0, 0.479881,-0.0466911) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467635,0.00288264) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.306159,-0.0153136) , 
0.0482903, 1, 4, 0, 0.397376,0.0236431) , 
0.00226751, 0, 7, 0, 0.425574,-0.000394943) , 
0.047619, 0, 7, 0, 0.738648,-0.0198062)    );
  // itree = 165
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.330132,0.0189472) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.630326,0.0306374) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.342567,0.00826902) , 
0.041805, 0, 4, 0, 0.473885,0.11764) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212953,0.0050957) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.044262,-0.0129652) , 
42.0264, 0, 0, 0, 0.0520919,-0.0219157) , 
12.5254, 0, 3, 0, 0.0573763,-0.0201672) , 
193.908, 0, 0, 0, 0.0604605,-0.0189976)    );
  // itree = 166
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401137,0.00417097) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.318059,0.0169326) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.133687,-0.000176274) , 
0.142847, 1, 6, 0, 0.185095,-0.0197139) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.249587,0.00412722) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0927244,-0.00706687) , 
0.0476189, 1, 6, 0, 0.104549,-0.0279429) , 
0.410432, 1, 7, 0, 0.129654,-0.025378) , 
0.047619, 1, 7, 0, 0.198858,-0.0190434)    );
  // itree = 167
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.760731,0.00350975) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.433125,-0.0013835) , 
44.4809, 1, 0, 0, 0.744068,-0.0205193) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.684284,0.00939535) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559471,-0.000283299) , 
0.0141341, 1, 4, 0, 0.618764,-0.0226662) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185959,-0.031034) , 
0.039917, 1, 4, 0, 0.453709,0.0873813) , 
191.516, 1, 0, 0, 0.740705,-0.0192697)    );
  // itree = 168
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409085,0.0327641) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.166544,-0.0028864) , 
0.0433849, 0, 4, 0, 0.257553,0.0511598) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403347,0.0259475) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.190455,0.00951497) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0324025,-0.0170456) , 
5.39576, 0, 0, 0, 0.0494327,-0.0219116) , 
174.343, 0, 0, 0, 0.0514229,-0.0211045) , 
23.7041, 0, 2, 0, 0.0609622,-0.0177602)    );
  // itree = 169
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402448,0.00422261) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.372882,0.0171128) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.154147,0.00242691) , 
0.0952358, 1, 6, 0, 0.212953,-0.0175905) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114634,-0.00303153) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0845499,-0.0109127) , 
0.185247, 1, 4, 0, 0.111342,-0.0261717) , 
0.274377, 1, 7, 0, 0.1306,-0.0245453) , 
0.047619, 1, 7, 0, 0.199953,-0.0180503)    );
  // itree = 170
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846975,0.00661907) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.516933,0.000405224) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.474697,-0.0049746) , 
0.0873754, 0, 5, 0, 0.484789,-0.0464963) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469521,0.00305351) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.306441,-0.0147218) , 
0.0482799, 1, 4, 0, 0.39891,0.0234506) , 
0.00226751, 0, 7, 0, 0.428345,-0.000523206) , 
0.047619, 0, 7, 0, 0.740236,-0.0188516)    );
  // itree = 171
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473743,0.0176525) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.146447,-0.000779613) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0469968,-0.0135924) , 
0.00907014, 1, 7, 0, 0.102493,-0.0138963) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208536,-0.0188856) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0138432,-0.0241243) , 
0.185014, 1, 4, 0, 0.020073,-0.0252068) , 
0.190476, 1, 7, 0, 0.0470773,-0.021501) , 
5.96452, 0, 1, 0, 0.0605458,-0.0173959)    );
  // itree = 172
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381953,0.0043649) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.297869,0.0182496) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123595,0.00346519) , 
0.333325, 1, 7, 0, 0.189583,-0.0182426) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.117976,-0.00311541) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0807149,-0.0129745) , 
0.186687, 1, 4, 0, 0.113959,-0.0250053) , 
0.183674, 1, 6, 0, 0.125998,-0.0239287) , 
0.0476189, 1, 6, 0, 0.199888,-0.0170184)    );
  // itree = 173
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.84689,0.00625087) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489692,-0.00379052) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.258839,-0.0136119) , 
4.32231, 1, 1, 0, 0.480291,-0.0446826) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466,0.00256821) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.310315,-0.0135712) , 
0.0482756, 1, 4, 0, 0.398494,0.0237241) , 
0.00226745, 0, 7, 0, 0.426379,0.000403655) , 
0.047619, 0, 7, 0, 0.739874,-0.0175104)    );
  // itree = 174
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.156474,8.88725e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0550519,-0.00529643) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.023883,-0.0160517) , 
0.0952358, 1, 6, 0, 0.0308168,-0.0178889) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208584,-0.0186724) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.01312,-0.0243879) , 
0.185586, 1, 4, 0, 0.0200164,-0.0245208) , 
0.310665, 1, 7, 0, 0.0219919,-0.0233078) , 
0.095238, 1, 7, 0, 0.0608112,-0.016486)    );
  // itree = 175
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.318365,-0.000867994) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.554738,0.0257196) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.323198,0.00189333) , 
0.0440336, 0, 4, 0, 0.42741,0.0387884) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.579868,0.0351253) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.167627,-0.00112163) , 
-7.21941, 1, 2, 0, 0.171535,-0.0257102) , 
8.28436, 0, 0, 0, 0.194997,-0.0197959) , 
25.3781, 0, 2, 0, 0.200555,-0.0168119)    );
  // itree = 176
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.855589,0.00716672) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.667331,-0.0131745) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505951,-0.00155372) , 
0.0477262, 0, 7, 0, 0.557412,-0.0342285) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467261,0.00241252) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.303559,-0.0149512) , 
0.0482793, 1, 4, 0, 0.395057,0.0197354) , 
0.00453503, 0, 7, 0, 0.45372,0.000237018) , 
0.0952375, 0, 7, 0, 0.739735,-0.016467)    );
  // itree = 177
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.339943,0.0193699) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.41541,0.0259997) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152106,-0.00906068) , 
0.0403933, 0, 4, 0, 0.262422,0.0322425) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.121591,0.0061212) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0272923,-0.0185582) , 
2.47499, 0, 0, 0, 0.0466656,-0.0195491) , 
44.4809, 0, 0, 0, 0.0576895,-0.0169028) , 
191.516, 0, 0, 0, 0.060952,-0.0157205)    );
  // itree = 178
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380928,0.00384229) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.159619,0.00676549) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129556,-0.000384163) , 
0.00652269, 1, 5, 0, 0.131961,-0.0211752) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.367411,0.00819101) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0776899,-0.0114622) , 
0.047615, 1, 7, 0, 0.0934969,-0.0277386) , 
0.136978, 1, 5, 0, 0.125965,-0.0221984) , 
0.0476189, 1, 6, 0, 0.199759,-0.0157087)    );
  // itree = 179
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.855928,0.00683679) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.556237,-0.00462109) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.405291,-0.00425987) , 
0.00453503, 0, 7, 0, 0.460881,-0.00393958) , 
0.0952379, 0, 7, 0, 0.744317,-0.0171063) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.438809,0.00622568) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.120336,-0.0215452) , 
0.0400688, 1, 4, 0, 0.27576,0.106276) , 
-25.195, 0, 3, 0, 0.740204,-0.0160232)    );
  // itree = 180
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.535149,0.0178601) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521447,0.0139529) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.120905,-0.0024396) , 
11.9172, 0, 1, 0, 0.144302,-0.00208115) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0248841,-0.0157323) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0181302,-0.020278) , 
0.0919003, 1, 5, 0, 0.0231573,-0.0213669) , 
0.0476181, 1, 6, 0, 0.0576913,-0.0158693) , 
-41.067, 1, 3, 0, 0.0607599,-0.0150281)    );
  // itree = 181
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380623,0.00361656) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.159226,0.00678443) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.130001,-0.000124318) , 
0.0065643, 1, 5, 0, 0.132347,-0.0207387) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.103212,-0.00576305) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0705031,-0.0159956) , 
0.0400117, 0, 4, 0, 0.092494,-0.026434) , 
0.13785, 1, 5, 0, 0.126194,-0.0216181) , 
0.0476188, 1, 6, 0, 0.199856,-0.0152214)    );
  // itree = 182
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.85071,0.00592029) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.770715,0.012785) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.619949,0.02042) , 
0.047619, 0, 7, 0, 0.663769,-0.0479256) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458806,-0.0165005) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.291194,-0.0181192) , 
0.00226737, 0, 6, 0, 0.34499,0.0297605) , 
2.26163, 1, 0, 0, 0.466813,7.23115e-05) , 
0.0476188, 0, 6, 0, 0.739935,-0.0150607)    );
  // itree = 183
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.515059,0.00909576) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479242,0.0329404) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.121213,-0.00229028) , 
12.5254, 0, 3, 0, 0.128098,-0.00364148) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0247404,-0.0152251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0174945,-0.0203707) , 
0.0919003, 1, 5, 0, 0.022888,-0.0204094) , 
0.0476189, 1, 6, 0, 0.0520663,-0.0157591) , 
19.7118, 0, 1, 0, 0.0610272,-0.0142688)    );
  // itree = 184
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.400142,0.00283338) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40908,0.01548) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.162529,0.00474831) , 
0.0476179, 1, 6, 0, 0.212825,-0.0132401) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114633,-0.00216224) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0758188,-0.0115959) , 
0.182637, 1, 5, 0, 0.11076,-0.0215498) , 
0.274377, 1, 7, 0, 0.130124,-0.0199733) , 
0.047619, 1, 7, 0, 0.199197,-0.0142096)    );
  // itree = 185
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.855786,0.00628615) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.56343,-0.00376323) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.421016,-0.00295741) , 
0.00453503, 0, 7, 0, 0.475151,-0.00714867) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276815,-0.0128831) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102625,-0.0282928) , 
0.041904, 1, 4, 0, 0.193394,0.105918) , 
4.52221, 1, 3, 0, 0.454951,0.000957372) , 
0.0952375, 0, 7, 0, 0.740215,-0.0143364)    );
  // itree = 186
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464962,0.0152701) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0947487,-0.00112187) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0803383,-0.00728697) , 
0.0482137, 0, 4, 0, 0.0870362,-0.0114941) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0345302,-0.0164405) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0177922,-0.0186454) , 
0.0476189, 1, 6, 0, 0.0190725,-0.0213784) , 
0.333333, 1, 7, 0, 0.0475872,-0.0172314) , 
5.96452, 0, 1, 0, 0.0609297,-0.0136794)    );
  // itree = 187
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381134,0.00334029) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220634,0.0161454) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190019,0.0112869) , 
0.0456593, 1, 5, 0, 0.206293,-0.013105) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.119302,-0.0020624) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0694437,-0.0148479) , 
0.225201, 1, 5, 0, 0.115908,-0.0204507) , 
0.138326, 1, 6, 0, 0.125788,-0.0196478) , 
0.0476189, 1, 6, 0, 0.199629,-0.0142402)    );
  // itree = 188
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.85055,0.00529001) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.630302,0.00382944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551944,-0.0049694) , 
0.125627, 0, 5, 0, 0.564013,-0.0300673) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494714,0.00562948) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.316359,-0.0141452) , 
0.0482137, 1, 4, 0, 0.415799,0.0154731) , 
0.00226756, 0, 6, 0, 0.467516,-0.00041764) , 
0.0476189, 0, 6, 0, 0.740282,-0.0143625)    );
  // itree = 189
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.155514,0.000205663) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.109326,0.0165385) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0250561,-0.0140534) , 
9.11649, 0, 2, 0, 0.0268416,-0.0158205) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0369774,-0.0154501) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0172043,-0.0189808) , 
0.0476188, 1, 6, 0, 0.0186069,-0.0212701) , 
0.569163, 1, 7, 0, 0.0222993,-0.0188265) , 
0.095238, 1, 7, 0, 0.0607391,-0.0131797)    );
  // itree = 190
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40403,0.00304433) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.372309,0.0152173) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156235,0.00400337) , 
0.0952239, 1, 6, 0, 0.214686,-0.0121567) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.116177,-0.00139676) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0826616,-0.00948845) , 
0.13785, 1, 5, 0, 0.110953,-0.0202229) , 
0.274377, 1, 7, 0, 0.130573,-0.0186972) , 
0.047619, 1, 7, 0, 0.200422,-0.0134667)    );
  // itree = 191
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.84664,0.00449789) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488385,0.00826862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.479549,-0.00521902) , 
32.5698, 0, 0, 0, 0.480847,-0.0409996) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471673,0.00361752) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.308726,-0.0116608) , 
0.0482799, 1, 4, 0, 0.401216,0.0234695) , 
0.00226751, 0, 7, 0, 0.428494,0.00138539) , 
0.0476186, 0, 7, 0, 0.739534,-0.0132434)    );
  // itree = 192
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513471,0.00831977) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.164704,0.00705282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0729667,-0.0144056) , 
2.26163, 0, 0, 0, 0.127474,-0.00315378) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0233173,-0.0151615) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0119315,-0.0239656) , 
0.226285, 1, 5, 0, 0.0225408,-0.0184526) , 
0.0476189, 1, 6, 0, 0.051608,-0.0142148) , 
19.7118, 0, 1, 0, 0.0606054,-0.0128468)    );
  // itree = 193
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401254,0.00248181) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.374844,0.0154115) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152593,0.00298224) , 
0.0952358, 1, 6, 0, 0.212547,-0.0119134) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.113952,-0.00168562) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0665827,-0.0136497) , 
0.229751, 1, 5, 0, 0.110868,-0.0194527) , 
0.274378, 1, 7, 0, 0.130046,-0.0180307) , 
0.047619, 1, 7, 0, 0.199118,-0.0127387)    );
  // itree = 194
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.862369,0.00669862) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.756408,-0.0089569) , 
0.138322, 0, 6, 0, 0.850741,-0.0183378) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.563334,-0.00356933) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.419216,-0.00279978) , 
0.00226756, 0, 6, 0, 0.470283,-0.00158227) , 
0.0476188, 0, 6, 0, 0.741841,-0.0135418) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.263296,-0.00220028) , 
-50.0014, 0, 3, 0, 0.739243,-0.0129024)    );
  // itree = 195
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320551,0.0194957) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504474,0.015488) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125905,-0.00198002) , 
12.5254, 0, 3, 0, 0.14036,-0.00234685) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0222987,-0.0152309) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0129052,-0.0226014) , 
0.183801, 1, 5, 0, 0.021358,-0.0179787) , 
0.142857, 1, 7, 0, 0.0586475,-0.0130805) , 
-112.438, 1, 2, 0, 0.0605349,-0.0123795)    );
  // itree = 196
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402305,0.00252359) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346885,0.0146063) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138646,0.00271779) , 
0.0952358, 1, 6, 0, 0.18615,-0.0124553) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.24641,0.00388743) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0934237,-0.00470117) , 
0.0476189, 1, 6, 0, 0.104948,-0.0190938) , 
0.410431, 1, 7, 0, 0.130233,-0.0170267) , 
0.0476189, 1, 7, 0, 0.199771,-0.0119575)    );
  // itree = 197
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.856346,0.00538295) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.672403,-0.0112953) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501917,-0.00139985) , 
0.0477243, 0, 7, 0, 0.556039,-0.0324794) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471976,0.00345902) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.305957,-0.0125661) , 
0.0482799, 1, 4, 0, 0.398734,0.0177143) , 
0.00453486, 0, 7, 0, 0.455324,-0.000342816) , 
0.0952379, 0, 7, 0, 0.740688,-0.0126945)    );
  // itree = 198
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.328142,0.0147133) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.324573,0.0203315) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.149678,-0.0038765) , 
0.0407061, 0, 4, 0, 0.226983,0.0327535) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.040052,-0.0108666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0297238,-0.0171416) , 
0.191019, 1, 4, 0, 0.0389613,-0.0179826) , 
14.4667, 0, 0, 0, 0.056172,-0.0133385) , 
161.737, 0, 0, 0, 0.0603811,-0.0121122)    );
  // itree = 199
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40448,0.00266597) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.344503,0.0137287) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13755,0.00237443) , 
0.0952358, 1, 6, 0, 0.184598,-0.0126818) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.108958,-0.00245286) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.071547,-0.0111013) , 
0.181028, 1, 5, 0, 0.105203,-0.0183276) , 
0.410431, 1, 7, 0, 0.130029,-0.0165622) , 
0.0476189, 1, 7, 0, 0.200161,-0.0118447)    );
  // itree = 200
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747462,0.00157243) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417406,0.00380077) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.116315,-0.0196848) , 
0.0415971, 1, 4, 0, 0.261276,0.0931479) , 
-24.4023, 0, 3, 0, 0.743133,-0.0129536) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44569,0.00981423) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113179,-0.0119645) , 
0.0422879, 1, 4, 0, 0.284477,0.08999) , 
59.8632, 1, 3, 0, 0.740134,-0.0122805)    );
  // itree = 201
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.281106,0.00730302) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511238,0.0300808) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.300491,0.0177284) , 
0.0339518, 0, 4, 0, 0.401332,0.132345) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.150456,0.0069492) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.036308,-0.0122997) , 
10.7881, 0, 0, 0, 0.0426096,-0.01634) , 
5.10456, 0, 1, 0, 0.047869,-0.01416) , 
54.7717, 0, 0, 0, 0.0605989,-0.0115634)    );
  // itree = 202
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313116,-0.00266189) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.419964,0.00591603) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.27573,-0.00761752) , 
0.0723072, 0, 4, 0, 0.317621,0.0355192) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468761,0.0159857) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.182265,0.00107541) , 
17.6054, 0, 0, 0, 0.188848,-0.016347) , 
36.7279, 0, 0, 0, 0.193791,-0.0143561) , 
23.7041, 0, 2, 0, 0.199285,-0.0115763)    );
  // itree = 203
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.85015,0.00403956) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.574486,-0.00233816) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.240814,-0.0294229) , 
2.79251, 1, 3, 0, 0.562521,-0.0268135) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49459,0.00555637) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.318306,-0.0124984) , 
0.0482094, 1, 4, 0, 0.416553,0.0162517) , 
0.0022672, 0, 6, 0, 0.467496,0.00122186) , 
0.0476179, 0, 6, 0, 0.740022,-0.011209)    );
  // itree = 204
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.612651,0.036107) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.401754,0.0142055) , 
0.159104, 0, 5, 0, 0.431894,0.0999166) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.540584,0.015264) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235804,0.0132774) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0440847,-0.00974152) , 
-2.8156, 1, 3, 0, 0.0488157,-0.0142141) , 
-46.673, 1, 3, 0, 0.0517458,-0.0135414) , 
4.49505, 0, 3, 0, 0.0605854,-0.0109032)    );
  // itree = 205
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.280051,-0.00262238) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.187573,-0.0206979) , 
0.066931, 1, 4, 0, 0.251992,0.0754402) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.225573,-0.00374225) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.406413,0.00680531) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.179636,0.000666896) , 
13.009, 0, 0, 0, 0.197733,-0.0134066) , 
212.368, 0, 0, 0, 0.197893,-0.013048) , 
9.05143, 0, 1, 0, 0.19934,-0.0106815)    );
  // itree = 206
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751189,0.00166602) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510246,0.0175837) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.115561,0.00248669) , 
0.0301817, 1, 4, 0, 0.295455,0.0255346) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208899,-0.0308517) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138584,-0.0333266) , 
11.4549, 1, 2, 0, 0.191579,0.134484) , 
33.6558, 0, 1, 0, 0.225411,0.0990001) , 
4.49505, 1, 3, 0, 0.738944,-0.010594)    );
  // itree = 207
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478899,0.0107049) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152552,0.00154924) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0480535,-0.0107991) , 
0.00907013, 1, 7, 0, 0.106536,-0.00566232) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0238851,-0.0126319) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0177726,-0.0174553) , 
0.575961, 1, 7, 0, 0.0202724,-0.0162704) , 
0.190474, 1, 7, 0, 0.0487503,-0.0127684) , 
9.05143, 0, 1, 0, 0.0603845,-0.0105765)    );
  // itree = 208
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.383525,0.00621738) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.181931,0.00131081) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.117467,-0.00820319) , 
0.226285, 1, 5, 0, 0.177982,-0.016059) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.369424,-0.00340983) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.09237,-0.00889826) , 
0.0476177, 1, 7, 0, 0.140002,-0.024949) , 
0.19106, 1, 4, 0, 0.173947,-0.0170034) , 
9.25044, 0, 0, 0, 0.200003,-0.0104799)    );
  // itree = 209
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.865009,0.00570868) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.648661,-0.00398992) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.409605,-0.00334228) , 
0.00907001, 0, 7, 0, 0.510363,-0.00305125) , 
0.190476, 0, 7, 0, 0.744905,-0.0117641) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.427156,0.00427019) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.120096,-0.0186957) , 
0.0368923, 1, 4, 0, 0.258539,0.0911141) , 
-23.7213, 0, 3, 0, 0.740534,-0.0108396)    );
  // itree = 210
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404765,0.0269369) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.163477,-0.00356323) , 
0.0434574, 0, 4, 0, 0.255732,0.0413605) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.420244,0.026168) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.190611,0.00921055) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.032252,-0.0132152) , 
5.39576, 0, 0, 0, 0.0492602,-0.0131282) , 
174.343, 0, 0, 0, 0.0512961,-0.0123915) , 
23.7041, 0, 2, 0, 0.0607445,-0.00990724)    );
  // itree = 211
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379489,0.00206269) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.150054,0.00507835) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.12857,0.000644562) , 
0.00875195, 1, 5, 0, 0.130911,-0.0142164) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.341509,0.00379013) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0696247,-0.0112396) , 
0.0476179, 1, 7, 0, 0.0839867,-0.0219118) , 
0.183801, 1, 5, 0, 0.126218,-0.0149861) , 
0.0476189, 1, 6, 0, 0.199311,-0.00993066)    );
  // itree = 212
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.849795,0.00346312) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.620152,0.00246315) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.548635,-0.00480401) , 
0.120497, 0, 5, 0, 0.560166,-0.0243805) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491643,0.00515636) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.317288,-0.0120557) , 
0.0483615, 1, 4, 0, 0.41475,0.0155067) , 
0.00226756, 0, 6, 0, 0.465466,0.00159552) , 
0.0476188, 0, 6, 0, 0.739097,-0.0100116)    );
  // itree = 213
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.145416,0.000476654) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.111111,0.017984) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0242484,-0.0118273) , 
9.11649, 0, 2, 0, 0.0259158,-0.0115965) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.033991,-0.0154393) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0171154,-0.016755) , 
0.0476189, 1, 6, 0, 0.0183021,-0.0167902) , 
0.591831, 1, 7, 0, 0.0217439,-0.0144424) , 
0.142856, 1, 7, 0, 0.0608971,-0.0093664)    );
  // itree = 214
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208333,-0.00816878) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418559,0.00560751) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.274397,-0.00806334) , 
0.0760738, 0, 4, 0, 0.310154,0.0214167) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351361,0.00525396) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111234,-0.00188924) , 
0.238094, 1, 7, 0, 0.193276,-0.0121086) , 
42.0815, 0, 0, 0, 0.199531,-0.0103144) , 
193.908, 0, 0, 0, 0.199631,-0.009389)    );
  // itree = 215
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755749,0.00143215) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.366275,-0.000680269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.089155,-0.0284017) , 
0.11951, 1, 5, 0, 0.324678,0.0286895) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0383982,-0.0187649) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0376344,-0.0376452) , 
29.3265, 0, 1, 0, 0.038055,0.22837) , 
0.0801556, 1, 4, 0, 0.253452,0.0783098) , 
5.96452, 1, 1, 0, 0.739927,-0.0098312)    );
  // itree = 216
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.570191,0.0168605) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.180868,0.00270574) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0516324,-0.0100002) , 
0.004535, 1, 6, 0, 0.131454,-0.000837819) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0230784,-0.0130233) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0151391,-0.0198864) , 
0.182542, 1, 4, 0, 0.0221835,-0.0144543) , 
0.0952358, 1, 6, 0, 0.0582463,-0.00996044) , 
-68.7439, 1, 3, 0, 0.0603396,-0.00947426)    );
  // itree = 217
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380563,0.00204676) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.324318,0.01892) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131793,0.00785277) , 
0.333322, 1, 7, 0, 0.208977,-0.00734984) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.119642,-0.000919442) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0679612,-0.0138326) , 
0.229751, 1, 5, 0, 0.116254,-0.0148476) , 
0.138319, 1, 6, 0, 0.126401,-0.0140271) , 
0.0476181, 1, 6, 0, 0.199768,-0.00961977)    );
  // itree = 218
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.779621,0.00236906) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.393326,-0.00868405) , 
14.457, 1, 0, 0, 0.744461,-0.0103683) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.643269,0.00943189) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.484979,0.00106277) , 
0.023356, 1, 4, 0, 0.592363,-0.0247416) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152256,-0.0279673) , 
0.0477276, 1, 4, 0, 0.447722,0.0626451) , 
161.737, 1, 0, 0, 0.739936,-0.00925493)    );
  // itree = 219
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.144851,0.000353463) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0292083,-0.00782748) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0178698,-0.0170784) , 
0.134338, 1, 5, 0, 0.0272607,-0.00995978) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.035204,-0.014262) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0179866,-0.0153074) , 
0.0476189, 1, 6, 0, 0.0192462,-0.0149877) , 
0.469389, 1, 7, 0, 0.0217615,-0.0134097) , 
0.142856, 1, 7, 0, 0.0608641,-0.00877592)    );
  // itree = 220
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.38023,0.00191483) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.165151,0.00905916) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131749,0.00138535) , 
0.00437618, 1, 5, 0, 0.1337,-0.0121445) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.115442,-0.000792311) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0875747,-0.00995389) , 
0.0424859, 0, 4, 0, 0.105448,-0.0175497) , 
0.0919003, 1, 5, 0, 0.12651,-0.0135202) , 
0.0476189, 1, 6, 0, 0.199849,-0.00890073)    );
  // itree = 221
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.851011,0.00330563) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.587482,-0.00138631) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.452694,-0.0105701) , 
0.00442751, 0, 6, 0, 0.563494,-0.0224987) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496311,0.00577015) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.31314,-0.0120127) , 
0.0482131, 1, 4, 0, 0.415284,0.0155219) , 
0.00226756, 0, 6, 0, 0.467127,0.0022225) , 
0.0476188, 0, 6, 0, 0.740204,-0.00902721)    );
  // itree = 222
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.537368,0.014237) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.677397,0.0332021) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.378148,-0.00151658) , 
0.0745471, 0, 5, 0, 0.491516,0.0750946) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.354778,0.0169668) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0474907,-0.00740347) , 
3.66568, 0, 3, 0, 0.0537721,-0.00982277) , 
-24.4151, 1, 3, 0, 0.057699,-0.00906099) , 
59.8632, 0, 3, 0, 0.0608079,-0.00840827)    );
  // itree = 223
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40361,0.00184273) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.330511,0.0129967) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.147829,0.00241475) , 
0.19045, 1, 6, 0, 0.215603,-0.00739192) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114236,-0.00093908) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0752428,-0.00909571) , 
0.183801, 1, 5, 0, 0.110385,-0.0135658) , 
0.274376, 1, 7, 0, 0.130272,-0.0123989) , 
0.047619, 1, 7, 0, 0.199822,-0.00820422)    );
  // itree = 224
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.760345,0.000808217) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.433338,0.00181404) , 
42.0753, 1, 0, 0, 0.742823,-0.00947329) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.642968,0.00427092) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489712,-0.00446627) , 
0.019013, 1, 4, 0, 0.576957,-0.0119381) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.15492,-0.0306509) , 
0.0548815, 1, 4, 0, 0.451432,0.0674319) , 
193.908, 1, 0, 0, 0.739506,-0.00859777)    );
  // itree = 225
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152555,0.00088605) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0284456,-0.0085046) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0203268,-0.0150605) , 
0.0936797, 1, 4, 0, 0.0262064,-0.0108459) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0570687,-0.0139066) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0171115,-0.0161249) , 
0.0476189, 1, 7, 0, 0.0186431,-0.0156963) , 
0.591836, 1, 6, 0, 0.0231795,-0.0127871) , 
0.0476189, 1, 6, 0, 0.0605285,-0.00821614)    );
  // itree = 226
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.283875,-0.00295531) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.256151,-0.0116279) , 
0.0799399, 1, 5, 0, 0.274819,0.0769233) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21009,-0.0128533) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.429885,0.0183311) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193075,0.000753952) , 
2.68265, 0, 3, 0, 0.198672,-0.00997284) , 
-39.048, 1, 3, 0, 0.198748,-0.00935611) , 
12.4999, 0, 3, 0, 0.199889,-0.00806289)    );
  // itree = 227
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850604,0.00290083) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.565293,-0.00277308) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.422955,-0.00160374) , 
0.00226756, 0, 6, 0, 0.473695,0.000811026) , 
0.0476188, 0, 6, 0, 0.743434,-0.00891211) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.426684,0.00746054) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111044,-0.017181) , 
0.0418962, 1, 4, 0, 0.261747,0.0848562) , 
-33.1814, 0, 3, 0, 0.739822,-0.00820894)    );
  // itree = 228
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.275614,0.00565204) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247467,0.0154397) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.148226,0.00374365) , 
0.041907, 0, 4, 0, 0.19459,0.036374) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0382334,-0.00906319) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0298055,-0.0147034) , 
0.143482, 1, 4, 0, 0.0368711,-0.0139646) , 
10.7874, 0, 0, 0, 0.0473647,-0.0106154) , 
54.7717, 0, 0, 0, 0.0598022,-0.0086459)    );
  // itree = 229
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403587,0.00169939) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.318636,0.0125808) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.140993,0.00181649) , 
0.190472, 1, 6, 0, 0.203977,-0.00735773) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.111871,-0.00131997) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0746454,-0.00873117) , 
0.182637, 1, 5, 0, 0.108163,-0.0137675) , 
0.319728, 1, 7, 0, 0.130074,-0.0123017) , 
0.047619, 1, 7, 0, 0.200044,-0.00795409)    );
  // itree = 230
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754577,0.000974899) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.633464,0.0117837) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.484008,0.000886209) , 
0.0174612, 1, 4, 0, 0.566404,-0.0103432) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.244251,-0.0179773) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0820054,-0.0414142) , 
0.125407, 1, 4, 0, 0.187838,0.122645) , 
0.0439415, 1, 4, 0, 0.422411,0.0402408) , 
23.7041, 1, 2, 0, 0.739311,-0.00810103)    );
  // itree = 231
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.156015,0.000918516) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114579,0.0230474) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0261839,-0.00930782) , 
4.80087, 0, 2, 0, 0.0285708,-0.00816025) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0204052,-0.013203) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.011271,-0.0218671) , 
0.182637, 1, 5, 0, 0.0195048,-0.0132463) , 
0.439913, 1, 7, 0, 0.022322,-0.0116658) , 
0.095238, 1, 7, 0, 0.0608674,-0.00737431)    );
  // itree = 232
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402459,0.00146314) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.377447,0.011859) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.155474,0.00377171) , 
0.0952358, 1, 6, 0, 0.215761,-0.00549263) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114293,-0.000783376) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0744089,-0.00907684) , 
0.180161, 1, 5, 0, 0.1102,-0.0129366) , 
0.274376, 1, 7, 0, 0.130117,-0.0115321) , 
0.0476187, 1, 7, 0, 0.199739,-0.00735067)    );
  // itree = 233
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.876029,0.00582218) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.78244,-0.00359714) , 
0.410432, 0, 7, 0, 0.846815,-0.0117578) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48116,-0.00282189) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.40545,-0.00187222) , 
0.00226723, 0, 7, 0, 0.431741,0.00286331) , 
0.047619, 0, 7, 0, 0.742664,-0.00808907) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.257049,-0.00258197) , 
-41.0958, 0, 3, 0, 0.739529,-0.00748655)    );
  // itree = 234
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152199,0.000817078) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0256714,-0.00959191) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0163649,-0.0171807) , 
0.136978, 1, 5, 0, 0.0242947,-0.0106515) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0591427,-0.0120824) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0123413,-0.0199852) , 
0.0476177, 1, 7, 0, 0.0149778,-0.0177729) , 
0.186643, 1, 4, 0, 0.02328,-0.011427) , 
0.0476179, 1, 6, 0, 0.0605786,-0.00731063)    );
  // itree = 235
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380576,0.00145207) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.19215,0.0117751) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.136978,0.00277644) , 
0.136978, 1, 5, 0, 0.183338,-0.00686758) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.117073,-0.00096415) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0764336,-0.0122696) , 
0.181644, 1, 4, 0, 0.112484,-0.0127475) , 
0.229025, 1, 6, 0, 0.127224,-0.0115243) , 
0.0476188, 1, 6, 0, 0.200545,-0.0074558)    );
  // itree = 236
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755245,0.00103292) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.581378,0.00637996) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494208,0.0194043) , 
38.9619, 1, 1, 0, 0.568831,-0.0150891) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.264678,-0.0135554) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.109449,-0.0360752) , 
0.0919477, 1, 4, 0, 0.180129,0.127026) , 
0.0476592, 1, 4, 0, 0.430044,0.0356535) , 
23.7041, 1, 2, 0, 0.740193,-0.00758383)    );
  // itree = 237
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.539488,0.0137419) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.173809,0.00282033) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0448084,-0.00849074) , 
0.00680222, 1, 6, 0, 0.119824,0.000472068) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.022067,-0.0119157) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.011283,-0.0218055) , 
0.226285, 1, 5, 0, 0.0213325,-0.0120262) , 
0.142856, 1, 6, 0, 0.0574526,-0.00744266) , 
-41.0958, 1, 3, 0, 0.060519,-0.00683718)    );
  // itree = 238
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.253561,-0.00736732) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.31896,-0.00791325) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17382,0.00935457) , 
0.0475829, 1, 7, 0, 0.247989,0.0481898) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338156,-0.00360099) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193207,0.0018296) , 
44.4809, 0, 0, 0, 0.198493,-0.00926673) , 
191.516, 0, 0, 0, 0.198836,-0.00886832) , 
9.05078, 0, 1, 0, 0.200322,-0.00709945)    );
  // itree = 239
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.851025,0.00253071) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.624826,0.00313039) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551962,-0.00381119) , 
0.125627, 0, 5, 0, 0.562976,-0.0224392) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492296,0.00510658) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.314718,-0.0111047) , 
0.0482909, 1, 4, 0, 0.413915,0.0171529) , 
0.00226737, 0, 6, 0, 0.466057,0.0033035) , 
0.0476181, 0, 6, 0, 0.739867,-0.00682688)    );
  // itree = 240
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.144524,0.0005407) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.030741,-0.00396731) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0209789,-0.0121269) , 
0.0108711, 1, 5, 0, 0.0223198,-0.0102958) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0140855,-0.0182114) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00527519,-0.0283728) , 
0.0360898, 0, 4, 0, 0.0115108,-0.0181607) , 
0.228297, 1, 5, 0, 0.021593,-0.0108246) , 
0.142856, 1, 7, 0, 0.0604643,-0.00683908)    );
  // itree = 241
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.39029,0.00242639) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.314204,0.0216269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152345,-9.98948e-05) , 
1.44373, 0, 1, 0, 0.176577,-0.00630532) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.252067,0.00448315) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0944691,-0.00309518) , 
0.0476189, 1, 6, 0, 0.106595,-0.0119065) , 
0.353745, 1, 7, 0, 0.122276,-0.0106515) , 
0.095238, 1, 7, 0, 0.199503,-0.00677576)    );
  // itree = 242
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846743,0.00210468) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482882,-0.00315696) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.479624,0.00714559) , 
26.101, 1, 2, 0, 0.482601,-0.0365595) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471236,0.00353039) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.304325,-0.00916678) , 
0.0483439, 1, 4, 0, 0.398677,0.0232896) , 
0.00226723, 0, 7, 0, 0.427293,0.00288248) , 
0.047619, 0, 7, 0, 0.739661,-0.00687696)    );
  // itree = 243
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.138818,0.0010731) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0394595,0.00302332) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0222109,-0.011525) , 
0.00646527, 1, 5, 0, 0.0235512,-0.00989593) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.04956,-0.0152276) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0131166,-0.0180805) , 
0.0476179, 1, 7, 0, 0.0148828,-0.0155555) , 
0.135771, 1, 5, 0, 0.0221849,-0.010788) , 
0.0952378, 1, 6, 0, 0.0609677,-0.00608261)    );
  // itree = 244
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.20811,-0.00611683) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44248,0.00678738) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270931,-0.00755922) , 
0.0404396, 0, 4, 0, 0.346261,0.0285573) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.190015,0.00185635) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.160759,-0.00382323) , 
0.191037, 1, 4, 0, 0.186927,-0.0103408) , 
21.5203, 0, 0, 0, 0.199756,-0.00720908) , 
223.688, 0, 0, 0, 0.199829,-0.00665266)    );
  // itree = 245
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755125,0.00109792) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.250202,-0.000607403) , 
-46.673, 0, 3, 0, 0.752111,-0.00854077) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.295268,0.0140071) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232243,-0.0241838) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0763268,-0.0382163) , 
0.112657, 1, 5, 0, 0.196741,0.113386) , 
48.6744, 0, 1, 0, 0.222133,0.0857923) , 
4.49505, 1, 3, 0, 0.7397,-0.00633176)    );
  // itree = 246
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470165,0.013749) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.174688,0.00206666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0448407,-0.0084398) , 
0.0113376, 1, 7, 0, 0.115789,-0.00176068) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0215053,-0.0108953) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0119213,-0.0199548) , 
0.182637, 1, 5, 0, 0.0205438,-0.010558) , 
0.238095, 1, 7, 0, 0.0554453,-0.00733434) , 
-11.8143, 1, 3, 0, 0.0606134,-0.006213)    );
  // itree = 247
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388854,0.00210814) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276668,0.01944) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.157727,0.00358104) , 
9.11649, 0, 2, 0, 0.160345,-0.00670822) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.104549,-0.00248249) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.050299,-0.0168002) , 
0.321651, 1, 5, 0, 0.102961,-0.0116064) , 
0.482996, 1, 7, 0, 0.123339,-0.00986697) , 
0.095238, 1, 7, 0, 0.199982,-0.00586175)    );
  // itree = 248
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.859811,0.00318706) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.606728,-0.00383199) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.404311,-0.00269934) , 
0.00680253, 0, 7, 0, 0.483889,0.0005429) , 
0.142857, 0, 7, 0, 0.742617,-0.00656087) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.428571,0.00692527) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.116422,-0.0143338) , 
0.0418907, 1, 4, 0, 0.262471,0.0746796) , 
-33.1814, 0, 3, 0, 0.739129,-0.00597065)    );
  // itree = 249
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409741,0.0246203) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.167701,-0.00256938) , 
0.0476709, 0, 4, 0, 0.253657,0.0368407) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402533,0.0229555) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232566,0.0072975) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.039478,-0.00762861) , 
18.838, 0, 0, 0, 0.049883,-0.00826956) , 
193.018, 0, 0, 0, 0.0514686,-0.00777032) , 
23.7041, 0, 2, 0, 0.0607728,-0.00571742)    );
  // itree = 250
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257093,-0.00650322) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424681,0.00213983) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.232211,0.00508775) , 
0.0158723, 1, 7, 0, 0.323911,-0.00311361) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.255596,0.00505842) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0951272,-0.00261312) , 
0.0476189, 1, 6, 0, 0.107749,-0.0108975) , 
0.333331, 1, 7, 0, 0.198727,-0.00762142) , 
9.05143, 0, 1, 0, 0.200289,-0.00605942)    );
  // itree = 251
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.8499,0.00181778) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.689067,0.000377441) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.406438,-0.0053228) , 
0.047619, 0, 7, 0, 0.564502,-0.021022) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49235,0.00521841) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.310492,-0.0107724) , 
0.0482799, 1, 4, 0, 0.411707,0.0157975) , 
0.00226756, 0, 6, 0, 0.46499,0.0029577) , 
0.0476189, 0, 6, 0, 0.738832,-0.00601483)    );
  // itree = 252
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127357,0.000257196) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0328901,-0.000829271) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0200995,-0.0118862) , 
0.00875229, 1, 5, 0, 0.02145,-0.00951107) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0153846,-0.0153161) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00565262,-0.0273082) , 
0.0363868, 0, 4, 0, 0.0125123,-0.0150917) , 
0.183801, 1, 5, 0, 0.0205627,-0.0100651) , 
0.238095, 1, 7, 0, 0.0604433,-0.00602416)    );
  // itree = 253
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21201,-0.0114766) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.428899,0.00382242) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.275447,-0.0063896) , 
0.0867276, 0, 4, 0, 0.302976,0.0338789) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320282,-0.00208051) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193737,0.00138568) , 
5.80986, 0, 1, 0, 0.196165,-0.00793373) , 
36.6602, 0, 2, 0, 0.199869,-0.00648397) , 
-41.0958, 1, 3, 0, 0.199947,-0.0059802)    );
  // itree = 254
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.760804,0.000445695) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.429285,0.00165804) , 
42.0542, 1, 0, 0, 0.743203,-0.00673418) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.660441,0.00557789) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529178,-0.00181742) , 
0.0169638, 1, 4, 0, 0.6,-0.0221325) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159149,-0.0278507) , 
0.0479528, 1, 4, 0, 0.458256,0.0606075) , 
193.908, 1, 0, 0, 0.739952,-0.00596595)    );
  // itree = 255
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.646583,0.0220156) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.279932,-0.00154152) , 
0.0321659, 0, 4, 0, 0.467489,0.0699189) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168935,0.0117835) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0502059,-0.00442005) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0352458,-0.00977325) , 
0.0919003, 1, 5, 0, 0.0466466,-0.00825066) , 
-112.438, 1, 2, 0, 0.0472817,-0.00800723) , 
5.96452, 0, 1, 0, 0.0604772,-0.00556017)    );
  // itree = 256
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.390232,0.00201628) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.150246,0.00397604) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0972917,-0.00652839) , 
0.180727, 1, 5, 0, 0.144421,-0.00682518) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224185,-0.000578527) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0851748,-0.00588436) , 
0.0476174, 1, 6, 0, 0.0945997,-0.0112904) , 
0.65533, 1, 7, 0, 0.121937,-0.00884035) , 
0.095238, 1, 7, 0, 0.19945,-0.00554265)    );
  // itree = 257
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.750377,0.000484377) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.267775,-0.00291544) , 
-22.2699, 0, 3, 0, 0.745855,-0.0064863) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.410744,0.00646505) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.175409,-0.00942639) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0802139,-0.0252957) , 
0.100808, 1, 5, 0, 0.131845,0.13796) , 
0.0352097, 1, 5, 0, 0.250483,0.0689214) , 
16.1339, 1, 3, 0, 0.739192,-0.00547201)    );
  // itree = 258
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.42446,0.0134148) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468864,0.023606) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.094687,0.00201958) , 
0.0476085, 1, 6, 0, 0.267872,0.0604428) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464262,0.00815507) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0469575,-0.00562718) , 
-24.9296, 1, 3, 0, 0.0500639,-0.00793364) , 
193.908, 0, 0, 0, 0.0519292,-0.00734809) , 
4.49505, 0, 3, 0, 0.060527,-0.00542047)    );
  // itree = 259
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250805,-0.0069491) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.349916,0.00406657) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.328246,-0.00912341) , 
54.0597, 1, 2, 0, 0.34889,-0.00214186) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.120684,-0.000221578) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0773391,-0.00936065) , 
0.180727, 1, 5, 0, 0.116251,-0.0095026) , 
0.142857, 1, 6, 0, 0.198971,-0.00688532) , 
9.05143, 0, 1, 0, 0.200376,-0.00531328)    );
  // itree = 260
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.91379,0.0112412) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.864993,0.00275939) , 
0.183801, 0, 5, 0, 0.869831,-0.00952801) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.554382,-0.00240361) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.217957,0.000414667) , 
90.3637, 1, 3, 0, 0.55115,-3.0361e-05) , 
0.285713, 0, 7, 0, 0.742448,-0.00573162) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.257815,-0.00111366) , 
-41.067, 0, 3, 0, 0.739336,-0.00528579)    );
  // itree = 261
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.526567,0.00209565) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.360374,0.0231808) , 
22.7987, 0, 1, 0, 0.423779,0.0781067) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.54122,0.0107864) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.238664,0.0140321) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0442661,-0.00613751) , 
-2.81481, 1, 3, 0, 0.0490882,-0.00731699) , 
-46.673, 1, 3, 0, 0.0519715,-0.00687062) , 
4.49505, 0, 3, 0, 0.0606243,-0.00489301)    );
  // itree = 262
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402558,0.000759276) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.283951,0.0180322) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159527,0.00414613) , 
9.11649, 0, 2, 0, 0.162472,-0.00574269) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.230169,0.000542852) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0875831,-0.00477114) , 
0.0476189, 1, 6, 0, 0.0974927,-0.0105356) , 
0.591836, 1, 7, 0, 0.129866,-0.00814775) , 
0.047619, 1, 7, 0, 0.199403,-0.00500108)    );
  // itree = 263
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744286,0.000439418) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.40224,-0.0107417) , 
-2.91054, 0, 1, 0, 0.742535,-0.00607919) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.646454,0.0041671) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519016,-0.000762217) , 
0.0191724, 1, 4, 0, 0.594463,-0.0221276) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16313,-0.0276391) , 
0.0479528, 1, 4, 0, 0.458811,0.055019) , 
193.908, 1, 0, 0, 0.739321,-0.0053871)    );
  // itree = 264
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.539162,0.0128582) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.583121,0.0314657) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.317369,0.00334663) , 
0.0787376, 0, 4, 0, 0.398498,0.0664095) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.329302,0.0138465) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0444761,-0.00599756) , 
3.2221, 0, 3, 0, 0.0517603,-0.0067423) , 
-4.77222, 1, 3, 0, 0.0581138,-0.0054019) , 
79.17, 0, 3, 0, 0.0606068,-0.00495193)    );
  // itree = 265
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.362149,0.00237396) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.131865,0.00223355) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0834998,-0.00703855) , 
0.183801, 1, 5, 0, 0.126723,-0.0076922) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21534,-0.00207702) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0837407,-0.00595298) , 
0.047617, 1, 6, 0, 0.0923999,-0.0117867) , 
0.76871, 1, 7, 0, 0.115124,-0.00907595) , 
0.190476, 1, 7, 0, 0.200132,-0.00516167)    );
  // itree = 266
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.860941,0.00287864) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.611149,-0.00295437) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.400629,-0.0023144) , 
0.00680253, 0, 7, 0, 0.482529,0.00197969) , 
0.142856, 0, 7, 0, 0.742509,-0.00544014) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.625755,0.0161003) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.245931,-0.0185381) , 
0.0334527, 1, 4, 0, 0.425714,0.0626722) , 
-112.438, 0, 2, 0, 0.740154,-0.00493385)    );
  // itree = 267
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.1261,0.000617253) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0235452,-0.00861805) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0132439,-0.0176031) , 
0.181028, 1, 5, 0, 0.0225563,-0.00833585) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0393805,-0.0142244) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.011196,-0.0193926) , 
0.0952353, 1, 7, 0, 0.013395,-0.0154117) , 
0.18638, 1, 4, 0, 0.0215606,-0.00910492) , 
0.142857, 1, 6, 0, 0.0603276,-0.00507275)    );
  // itree = 268
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.266868,-0.0094524) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.261146,0.000893377) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.181392,-0.0188302) , 
0.0415971, 1, 4, 0, 0.220158,0.0582775) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.347263,0.00300459) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.115275,-0.00121426) , 
0.142854, 1, 6, 0, 0.199346,-0.00618729) , 
-34.5771, 1, 3, 0, 0.19949,-0.00574176) , 
-112.438, 1, 2, 0, 0.199964,-0.00525187)    );
  // itree = 269
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.861978,0.00323076) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.593138,0.00299011) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.386139,0.0143776) , 
22.7987, 1, 1, 0, 0.583806,-0.00814773) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512206,-0.00947722) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.150624,-0.0223975) , 
40.2774, 1, 0, 0, 0.46497,0.0172878) , 
0.0481852, 1, 4, 0, 0.529432,0.00349046) , 
0.142854, 0, 6, 0, 0.738701,-0.00426703)    );
  // itree = 270
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.137927,0.00121949) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0250478,-0.00713925) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0173453,-0.0136452) , 
0.0919003, 1, 5, 0, 0.0231299,-0.00765948) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0431087,-0.0127571) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0107292,-0.0197527) , 
0.0952353, 1, 7, 0, 0.0132873,-0.0152495) , 
0.232094, 1, 4, 0, 0.0224041,-0.00821915) , 
0.0952378, 1, 6, 0, 0.0608207,-0.00423849)    );
  // itree = 271
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.215242,-0.00831893) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495009,0.0117962) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.291035,-0.00507965) , 
0.0433026, 0, 4, 0, 0.377096,0.0252995) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.184695,0.00117481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152616,-0.00523607) , 
0.190925, 1, 4, 0, 0.181293,-0.00824375) , 
14.4667, 0, 0, 0, 0.199147,-0.00518529) , 
161.737, 0, 0, 0, 0.199394,-0.00422749)    );
  // itree = 272
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.86374,0.00326161) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.553582,-0.00253507) , 
0.142854, 0, 6, 0, 0.753803,-0.00626952) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.340859,-0.00233778) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0449438,-0.0255269) , 
0.0703974, 1, 4, 0, 0.256027,0.0500845) , 
8.04907, 1, 1, 0, 0.742397,-0.00497829) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.276477,0.00320561) , 
59.8632, 1, 3, 0, 0.739432,-0.00445893)    );
  // itree = 273
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127026,0.000894252) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0232214,-0.00817907) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00884871,-0.0225971) , 
0.271542, 1, 5, 0, 0.0225932,-0.0075795) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0148267,-0.0163219) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00931532,-0.0228434) , 
0.755033, 1, 6, 0, 0.0136012,-0.0142362) , 
0.186554, 1, 4, 0, 0.0216172,-0.00830206) , 
0.142856, 1, 6, 0, 0.0606883,-0.00427473)    );
  // itree = 274
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401879,0.000295676) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.3211,0.0105099) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13213,0.00109182) , 
0.142854, 1, 6, 0, 0.184968,-0.00391203) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.251759,0.00415669) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0930298,-0.00254576) , 
0.0476181, 1, 6, 0, 0.105006,-0.00865633) , 
0.41043, 1, 7, 0, 0.129973,-0.00717498) , 
0.0476189, 1, 7, 0, 0.199492,-0.00413063)    );
  // itree = 275
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.860637,0.00255268) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.694319,-0.00791961) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521077,0.00169631) , 
0.0456756, 0, 7, 0, 0.611293,-0.0184752) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.415765,0.00273319) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.358848,-0.0116574) , 
0.000323906, 1, 7, 0, 0.397598,0.0164098) , 
0.0068027, 0, 7, 0, 0.479748,0.00299904) , 
0.142857, 0, 7, 0, 0.74004,-0.00465991)    );
  // itree = 276
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.326943,0.01321) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468859,0.0347581) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.209955,0.000908338) , 
0.113306, 0, 4, 0, 0.247338,0.0286193) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.204668,0.00819526) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0349483,-0.00787916) , 
7.67119, 0, 0, 0, 0.051085,-0.00593131) , 
33.7919, 0, 2, 0, 0.0575948,-0.00478525) , 
193.908, 0, 0, 0, 0.0606772,-0.00409353)    );
  // itree = 277
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257611,-0.0100699) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470349,0.00981901) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.300726,-0.00297016) , 
4.18566, 0, 0, 0, 0.362805,0.00211689) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.136793,0.00237393) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0983311,-0.00329311) , 
0.575965, 1, 7, 0, 0.114026,-0.00805303) , 
0.190476, 1, 7, 0, 0.199078,-0.00457617) , 
-112.438, 1, 2, 0, 0.199492,-0.00407169)    );
  // itree = 278
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.752284,0.000863749) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510678,0.0179197) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.124193,0.00730805) , 
0.0281356, 1, 4, 0, 0.294868,0.00152682) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.343076,-0.0440666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.142648,-0.0247726) , 
0.0474591, 0, 6, 0, 0.188968,0.11057) , 
25.863, 0, 1, 0, 0.227833,0.0705519) , 
4.49505, 1, 3, 0, 0.740088,-0.00450541)    );
  // itree = 279
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.128129,0.00104796) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0233042,-0.00709494) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0127837,-0.0169335) , 
0.182637, 1, 5, 0, 0.0221891,-0.00668927) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0281243,-0.0163673) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0159495,-0.013108) , 
0.0476188, 1, 6, 0, 0.0167209,-0.0107597) , 
0.81859, 1, 7, 0, 0.0206492,-0.00783552) , 
0.238094, 1, 7, 0, 0.0607793,-0.00378105)    );
  // itree = 280
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.375684,0.0016041) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231533,0.0153076) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14188,0.00278595) , 
9.11649, 0, 2, 0, 0.143611,-0.00513225) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.229216,0.000198678) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0872806,-0.00414694) , 
0.0476174, 1, 6, 0, 0.0971445,-0.00913531) , 
0.591839, 1, 7, 0, 0.118092,-0.00733071) , 
0.142857, 1, 7, 0, 0.19949,-0.00367636)    );
  // itree = 281
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755658,0.000618879) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.62849,0.0111665) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.484904,0.00143908) , 
0.0195031, 1, 4, 0, 0.571173,-0.0156949) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247705,-0.0144471) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0753984,-0.0386513) , 
0.125402, 1, 4, 0, 0.188386,0.108641) , 
0.0439415, 1, 4, 0, 0.426344,0.0313481) , 
23.7041, 1, 2, 0, 0.740311,-0.0044485)    );
  // itree = 282
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.154993,0.00109871) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0277138,-0.0041907) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0149344,-0.0155779) , 
0.180727, 1, 5, 0, 0.026308,-0.0047318) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.032819,-0.0129503) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0170468,-0.0114605) , 
0.0476189, 1, 6, 0, 0.0181574,-0.00927564) , 
0.569161, 1, 7, 0, 0.0218076,-0.00724067) , 
0.0952374, 1, 7, 0, 0.06017,-0.00406853)    );
  // itree = 283
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403507,0.00036618) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.264795,0.00934321) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118191,0.00031702) , 
0.190472, 1, 6, 0, 0.160966,-0.00411439) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.228155,-3.17711e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0881725,-0.00368399) , 
0.0476188, 1, 6, 0, 0.0979853,-0.00896796) , 
0.591836, 1, 7, 0, 0.129291,-0.00655543) , 
0.0476189, 1, 7, 0, 0.199226,-0.00357295)    );
  // itree = 284
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.757965,0.000918051) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.225567,-0.0245942) , 
3.68377, 1, 3, 0, 0.74709,-0.00487788) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.41741,0.00318805) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110764,-0.0151892) , 
0.0415971, 1, 4, 0, 0.263446,0.0614652) , 
-24.4023, 0, 3, 0, 0.74268,-0.00427304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.272625,0.00172661) , 
59.8632, 1, 3, 0, 0.739707,-0.00381078)    );
  // itree = 285
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.278367,0.00476528) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.307209,0.0217405) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17956,0.0116904) , 
1.69875, 0, 1, 0, 0.232737,0.063869) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.177153,0.00848972) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0357514,-0.00714651) , 
9.87999, 0, 0, 0, 0.042838,-0.00690244) , 
14.4778, 0, 2, 0, 0.0482725,-0.00487709) , 
54.7717, 0, 0, 0, 0.0608357,-0.00344422)    );
  // itree = 286
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.359458,0.00114631) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.147032,0.00564509) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.124548,0.00144817) , 
0.0459501, 1, 5, 0, 0.136338,-0.00552623) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.326892,0.000447908) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0925951,-0.0045709) , 
0.0476183, 1, 7, 0, 0.101574,-0.00925736) , 
0.569159, 1, 6, 0, 0.120573,-0.00721822) , 
0.0952376, 1, 6, 0, 0.199989,-0.00380921)    );
  // itree = 287
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751211,2.02572e-06) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.635064,0.0137871) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.399208,0.00304393) , 
0.0259633, 1, 4, 0, 0.542417,-0.0214049) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.142371,-0.024583) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0574221,-0.0390364) , 
0.144372, 1, 4, 0, 0.104736,0.18707) , 
0.0761964, 1, 4, 0, 0.440749,0.0270213) , 
84.5511, 1, 0, 0, 0.739534,-0.00367781)    );
  // itree = 288
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.342035,0.0147791) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495654,-0.00588162) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185568,0.0167664) , 
37.6176, 0, 1, 0, 0.214459,0.0426672) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.110415,-0.00468668) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0201009,-0.009568) , 
0.047619, 1, 7, 0, 0.039358,-0.00935359) , 
1.84308, 0, 1, 0, 0.0579795,-0.00382132) , 
193.908, 0, 0, 0, 0.0612473,-0.00305636)    );
  // itree = 289
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.333326,0.00153194) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.123622,0.00248544) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0797231,-0.00560265) , 
0.180727, 1, 5, 0, 0.118918,-0.00631047) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205237,-0.00405539) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0805087,-0.00623387) , 
0.0476188, 1, 6, 0, 0.0884374,-0.00970712) , 
0.829933, 1, 7, 0, 0.110427,-0.00725671) , 
0.285714, 1, 7, 0, 0.200477,-0.00369145)    );
  // itree = 290
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.870787,0.00277377) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.56822,-0.00165251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.237304,0.000375204) , 
-29.5649, 0, 3, 0, 0.561639,-0.000898114) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243851,0.0133585) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152591,-0.0260358) , 
24.07, 0, 1, 0, 0.19287,0.0738051) , 
6.52815, 1, 3, 0, 0.545533,0.00236453) , 
0.285714, 0, 7, 0, 0.739536,-0.00363941)    );
  // itree = 291
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.126989,0.000965196) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0233688,-0.00705186) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0127661,-0.0164891) , 
0.183801, 1, 5, 0, 0.0223791,-0.00649215) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0166965,-0.0120265) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0130208,-0.017868) , 
0.0759281, 0, 5, 0, 0.0145077,-0.0118321) , 
0.186126, 1, 4, 0, 0.0215221,-0.00707358) , 
0.142854, 1, 6, 0, 0.0605311,-0.00343917)    );
  // itree = 292
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346026,0.00139978) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.142056,0.00418322) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0980905,-0.00420969) , 
0.134338, 1, 5, 0, 0.134484,-0.00466597) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.237486,0.00173476) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0885989,-0.0033251) , 
0.0476189, 1, 6, 0, 0.0992397,-0.00840887) , 
0.564625, 1, 7, 0, 0.112219,-0.00703049) , 
0.238095, 1, 7, 0, 0.199457,-0.00330207)    );
  // itree = 293
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.905927,0.01211) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.857028,0.00126272) , 
0.186687, 0, 4, 0, 0.862304,-0.00684479) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.685067,-0.0038835) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.423691,-0.0013994) , 
0.00680254, 0, 6, 0, 0.531912,0.00209981) , 
0.142854, 0, 6, 0, 0.7403,-0.00354184) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.245564,-0.000127785) , 
-80.4128, 0, 3, 0, 0.738653,-0.00325608)    );
  // itree = 294
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469519,0.00936214) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0820375,-0.000387811) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0603173,-0.00552918) , 
0.0895584, 1, 5, 0, 0.0770677,-0.00300649) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0339378,-0.0106076) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0171724,-0.0101642) , 
0.0476189, 1, 6, 0, 0.0184044,-0.00781513) , 
0.428571, 1, 7, 0, 0.0469741,-0.00547326) , 
5.96452, 0, 1, 0, 0.0603302,-0.00347716)    );
  // itree = 295
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.254753,-0.0098109) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209192,-0.0120454) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.246137,-0.00680583) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19829,0.00071978) , 
-24.4023, 1, 3, 0, 0.198704,-0.00414971) , 
59.8632, 0, 3, 0, 0.198762,-0.00380685) , 
-129.13, 1, 2, 0, 0.199075,-0.00338584)    );
  // itree = 296
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.756019,0.00051711) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.378315,0.00055865) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0968393,-0.0255648) , 
0.110769, 1, 5, 0, 0.334856,0.0140653) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0705191,-0.0181559) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0183486,-0.033211) , 
0.133471, 1, 4, 0, 0.0464871,0.174483) , 
0.0704835, 1, 4, 0, 0.253484,0.0593318) , 
5.96452, 1, 1, 0, 0.740095,-0.00297012)    );
  // itree = 297
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.136199,0.00101442) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0278776,-0.00284071) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0145113,-0.015193) , 
0.180727, 1, 5, 0, 0.0264053,-0.00345422) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0372055,-0.00937275) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0176714,-0.00964534) , 
0.0476181, 1, 6, 0, 0.0191412,-0.00739902) , 
0.421771, 1, 7, 0, 0.0208142,-0.00649048) , 
0.190476, 1, 7, 0, 0.0606867,-0.00318199)    );
  // itree = 298
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.390051,0.0010207) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169969,0.00369666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113158,-0.00618422) , 
0.180727, 1, 5, 0, 0.163678,-0.00331891) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243714,0.00243901) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0924438,-0.00207569) , 
0.0476189, 1, 6, 0, 0.103639,-0.00727784) , 
0.439914, 1, 7, 0, 0.122211,-0.00605322) , 
0.095238, 1, 7, 0, 0.199588,-0.00320035)    );
  // itree = 299
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.869714,0.00218087) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.59199,0.00250253) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.438347,0.021726) , 
76.9869, 1, 1, 0, 0.589417,-0.00739006) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.538075,-0.00623804) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.158795,-0.0178673) , 
48.2884, 1, 0, 0, 0.49788,0.0117627) , 
0.0482799, 1, 4, 0, 0.547451,0.00139088) , 
0.285714, 0, 7, 0, 0.739762,-0.00327995)    );
  // itree = 300
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.405177,0.0204502) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169825,-0.00247218) , 
0.0476395, 0, 4, 0, 0.253087,0.0300544) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.415136,0.0213348) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.229211,0.00547981) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0392484,-0.00535147) , 
18.8006, 0, 0, 0, 0.0495433,-0.00516927) , 
193.018, 0, 0, 0, 0.0511682,-0.00472266) , 
23.7041, 0, 2, 0, 0.0604295,-0.00312755)    );
  // itree = 301
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276328,-0.00660604) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.588388,0.0213696) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.321617,-0.0012508) , 
0.0383786, 0, 4, 0, 0.45302,0.0363378) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.180086,0.000636588) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.147142,-0.00590247) , 
0.190949, 1, 4, 0, 0.176592,-0.00703559) , 
10.7874, 0, 0, 0, 0.195011,-0.00414547) , 
54.7717, 0, 0, 0, 0.199459,-0.00300354)    );
  // itree = 302
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.905035,0.0114427) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.857392,0.0010922) , 
0.186754, 0, 4, 0, 0.86259,-0.00621354) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.68859,-0.00322377) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.427892,-0.00101421) , 
0.00680246, 0, 6, 0, 0.536782,0.00176541) , 
0.142856, 0, 6, 0, 0.743472,-0.00329639) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.266958,0.00287279) , 
-41.0958, 0, 3, 0, 0.740386,-0.00292456)    );
  // itree = 303
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.153316,0.00122922) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0280686,-0.00315234) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0183382,-0.0111134) , 
0.0919003, 1, 5, 0, 0.0255254,-0.00432433) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0594415,-0.0100317) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0171082,-0.0105775) , 
0.0476189, 1, 7, 0, 0.0186641,-0.008138) , 
0.637185, 1, 6, 0, 0.0231052,-0.00566954) , 
0.0476188, 1, 6, 0, 0.0606513,-0.00284509)    );
  // itree = 304
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.43867,0.00547894) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123228,0.000850721) , 
0.0476175, 1, 6, 0, 0.210036,0.00079685) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.25328,0.00143399) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18935,-0.00158523) , 
24.07, 0, 1, 0, 0.19042,-0.00685842) , 
0.0480945, 0, 4, 0, 0.199631,-0.00326374) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.171006,-0.0146481) , 
-80.4128, 0, 3, 0, 0.199535,-0.00296586)    );
  // itree = 305
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753621,0.000103914) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.636684,0.0112587) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.486019,0.00164445) , 
0.0166954, 1, 4, 0, 0.563503,-0.0112959) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.236042,-0.0139443) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0804762,-0.0362404) , 
0.136219, 1, 4, 0, 0.185828,0.108758) , 
0.0476826, 1, 4, 0, 0.431788,0.0305735) , 
26.6705, 1, 2, 0, 0.739452,-0.00275703)    );
  // itree = 306
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127414,0.000917351) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0307765,0.000320122) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.020662,-0.00836776) , 
0.0128727, 1, 5, 0, 0.0223517,-0.00543744) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0116959,-0.0212628) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00858209,-0.0191056) , 
0.428561, 1, 7, 0, 0.00969085,-0.0132413) , 
0.270328, 1, 5, 0, 0.0217603,-0.005802) , 
0.142857, 1, 6, 0, 0.060875,-0.00268628)    );
  // itree = 307
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.230127,0.00268) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.166239,-0.0211345) , 
0.0475663, 1, 4, 0, 0.209351,0.0501324) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389554,-0.00012994) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.333766,0.00724101) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.191307,9.18054e-05) , 
2.07933, 0, 3, 0, 0.198947,-0.00363394) , 
-3.32992, 1, 1, 0, 0.199783,-0.00329715) , 
193.908, 0, 0, 0, 0.199891,-0.00269282)    );
  // itree = 308
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.772367,0.000609301) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509298,0.00641901) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113727,-0.0317178) , 
0.0758893, 1, 4, 0, 0.403694,0.0225113) , 
21.5203, 1, 0, 0, 0.74256,-0.00336708) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.56645,0.0001271) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.349376,-0.0112055) , 
0.0379784, 1, 5, 0, 0.471186,0.0438697) , 
223.688, 1, 0, 0, 0.740099,-0.00293885)    );
  // itree = 309
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.584507,0.0122195) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.185346,0.00290007) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0418146,-0.00563159) , 
0.0136054, 1, 7, 0, 0.117605,0.0023132) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.02386,-0.00428215) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0185059,-0.0092975) , 
0.59184, 1, 7, 0, 0.0205034,-0.00556571) , 
0.285714, 1, 7, 0, 0.0594607,-0.0024047) , 
-80.4128, 1, 3, 0, 0.0612195,-0.00214001)    );
  // itree = 310
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210844,0.00312499) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1989,-0.0173878) , 
162.011, 1, 0, 0, 0.210713,0.00145409) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213894,-0.000911158) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.274364,0.00168708) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.188763,-0.00154747) , 
19.2528, 0, 1, 0, 0.189997,-0.00579688) , 
81.2046, 0, 1, 0, 0.190171,-0.00646373) , 
0.0480951, 0, 4, 0, 0.199797,-0.0027535)    );
  // itree = 311
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.872557,0.00210073) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.588256,-0.00140046) , 
0.333333, 0, 7, 0, 0.752597,-0.00381024) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385255,0.00443589) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.108619,-0.0204132) , 
0.108478, 1, 5, 0, 0.338927,-0.00620088) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0409154,-0.021386) , 
0.0802149, 1, 4, 0, 0.263569,0.0370352) , 
9.05078, 1, 1, 0, 0.739444,-0.0027116)    );
  // itree = 312
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.126876,0.000918573) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0229377,-0.00608124) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.01119,-0.0175039) , 
0.229751, 1, 5, 0, 0.0222146,-0.00528415) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0411578,-0.0109196) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.01121,-0.0163299) , 
0.0952353, 1, 7, 0, 0.0134884,-0.0108326) , 
0.186554, 1, 4, 0, 0.0212653,-0.00588774) , 
0.142856, 1, 6, 0, 0.0603072,-0.0027462)    );
  // itree = 313
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404706,-0.000532148) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.272808,0.00417629) , 
0.0113378, 1, 7, 0, 0.346402,0.00276479) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.187455,0.00934915) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.188567,0.0105576) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111768,-0.000315865) , 
-43.3203, 1, 2, 0, 0.112161,-0.00570637) , 
194.453, 0, 2, 0, 0.112555,-0.0055788) , 
0.238095, 1, 7, 0, 0.19986,-0.0024638)    );
  // itree = 314
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755539,0.00263808) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.768336,-0.000714855) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176098,-0.021036) , 
36.7279, 1, 0, 0, 0.750449,-0.00335433) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.177594,-0.0239221) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0539941,-0.0416492) , 
0.225175, 1, 4, 0, 0.159941,0.0915558) , 
12.2488, 1, 2, 0, 0.722196,0.00118653) , 
0.0481996, 1, 4, 0, 0.739939,-0.00279302)    );
  // itree = 315
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507374,0.00673142) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.188717,0.00362141) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0551838,-0.00866217) , 
0.0068027, 1, 7, 0, 0.136304,0.00207771) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0250505,-0.00372493) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0184717,-0.00889983) , 
0.591836, 1, 7, 0, 0.0214476,-0.00490719) , 
0.142857, 1, 7, 0, 0.0572893,-0.0027275) , 
-33.1814, 1, 3, 0, 0.0606811,-0.00239231)    );
  // itree = 316
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.245675,0.00142732) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.210215,-0.00900338) , 
0.0332886, 1, 5, 0, 0.231476,0.0362257) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199798,-0.00881939) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.448419,0.0112684) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.180067,-0.00075606) , 
4.23807, 0, 2, 0, 0.199546,-0.00367255) , 
235.506, 0, 0, 0, 0.199547,-0.00327155) , 
186.119, 0, 2, 0, 0.199802,-0.00295695)    );
  // itree = 317
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.87078,0.00196801) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.573181,-0.00128781) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.220607,-0.00331826) , 
5.96452, 1, 1, 0, 0.549894,0.00102884) , 
0.285713, 0, 7, 0, 0.742019,-0.0031155) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.60782,0.013803) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.212719,-0.0196864) , 
0.0426403, 1, 4, 0, 0.430955,0.0460738) , 
-112.438, 0, 2, 0, 0.739774,-0.0027605)    );
  // itree = 318
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127809,0.000828707) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0956366,0.0124115) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0606061,0.00463702) , 
0.380547, 1, 6, 0, 0.0777323,0.0147417) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.073267,0.0145351) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0183726,-0.0087819) , 
12.0921, 0, 0, 0, 0.0194911,-0.00578528) , 
19.2441, 0, 2, 0, 0.0202441,-0.00551988) , 
0.238095, 1, 7, 0, 0.0605371,-0.00256227)    );
  // itree = 319
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.279153,-0.0060649) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.598803,0.0203632) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.335471,0.000707846) , 
0.0433026, 0, 4, 0, 0.454878,0.0360931) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.180111,0.000582222) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.143527,-0.00665305) , 
0.191, 1, 4, 0, 0.176231,-0.00624194) , 
10.7881, 0, 0, 0, 0.194683,-0.00343841) , 
54.7717, 0, 0, 0, 0.19926,-0.00226991)    );
  // itree = 320
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.756289,-0.000275573) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.647725,0.0155518) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.483016,0.00675666) , 
0.0228937, 1, 4, 0, 0.591407,-0.0370714) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232696,-0.00807274) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0624066,-0.0367793) , 
0.135839, 1, 4, 0, 0.177286,0.116754) , 
0.0472549, 1, 4, 0, 0.444094,0.0176479) , 
54.7717, 1, 0, 0, 0.739228,-0.00225148)    );
  // itree = 321
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.136123,0.00101484) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0242002,-0.00372957) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0136993,-0.013382) , 
0.180727, 1, 5, 0, 0.023061,-0.00355589) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0317797,-0.0118911) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0167091,-0.00911204) , 
0.0476188, 1, 6, 0, 0.017691,-0.00671761) , 
0.768708, 1, 7, 0, 0.021241,-0.00462746) , 
0.190476, 1, 7, 0, 0.0608074,-0.00197661)    );
  // itree = 322
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.288432,-0.00264375) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.274837,-0.00698656) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189189,0.00243969) , 
0.285651, 1, 6, 0, 0.232755,0.037158) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494563,0.0118658) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195446,0.000769025) , 
6.48763, 0, 3, 0, 0.197271,-0.00475972) , 
191.516, 0, 0, 0, 0.197506,-0.00448232) , 
5.40985, 0, 1, 0, 0.20054,-0.00255211)    );
  // itree = 323
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754723,7.74141e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380236,0.000209013) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0940416,-0.0266103) , 
0.110682, 1, 5, 0, 0.337995,0.0105812) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0716659,-0.016122) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0195045,-0.0313866) , 
0.126803, 1, 4, 0, 0.046953,0.161238) , 
0.066931, 1, 4, 0, 0.251302,0.0554579) , 
5.96452, 1, 1, 0, 0.738748,-0.00202353)    );
  // itree = 324
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.316663,0.017761) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0535442,-0.00166614) , 
-6.99833, 1, 2, 0, 0.0663673,0.00157903) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.301352,-0.0108935) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.059845,-0.00113643) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0427162,-0.0079265) , 
0.0459501, 1, 5, 0, 0.053624,-0.0050859) , 
-34.5771, 1, 3, 0, 0.0553332,-0.00552557) , 
0.0483027, 0, 4, 0, 0.0604937,-0.00220285)    );
  // itree = 325
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212083,0.00288809) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248099,0.00766915) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.203741,-0.00896538) , 
0.0350028, 1, 5, 0, 0.229658,-0.0902022) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.36926,0.00456306) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.184889,-0.00167937) , 
4.91309, 0, 1, 0, 0.189319,-0.00424268) , 
33.1828, 0, 1, 0, 0.189963,-0.00561462) , 
0.0482525, 0, 4, 0, 0.200298,-0.0021053)    );
  // itree = 326
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.915152,0.00895859) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.867214,0.00108005) , 
0.180219, 0, 5, 0, 0.87211,-0.00503446) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.574095,-0.00141916) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.237107,0.00492988) , 
90.3432, 1, 3, 0, 0.570967,0.00108423) , 
0.333333, 0, 7, 0, 0.742063,-0.00239214) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.261409,0.000929816) , 
-41.0958, 0, 3, 0, 0.738955,-0.00207168)    );
  // itree = 327
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.555084,0.0259324) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0533351,-0.00155729) , 
91.8349, 0, 0, 0, 0.0658647,0.00126666) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.316864,-0.0150243) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0593563,-0.00112125) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0420635,-0.0077975) , 
0.0459501, 1, 5, 0, 0.0530979,-0.00495826) , 
75.6694, 0, 1, 0, 0.0552698,-0.00575407) , 
0.0482756, 0, 4, 0, 0.0602173,-0.00247559)    );
  // itree = 328
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.264089,-0.0121194) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208847,0.00295469) , 
91.8349, 0, 0, 0, 0.210203,0.00169442) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212544,-0.000399119) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205411,5.34157e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.164608,-0.00349826) , 
0.0459501, 1, 5, 0, 0.190632,-0.00554604) , 
90.7342, 0, 1, 0, 0.190771,-0.00610289) , 
0.0482525, 0, 4, 0, 0.199861,-0.00245544)    );
  // itree = 329
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755223,0.000144738) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.253841,-0.00468393) , 
6.61798, 1, 1, 0, 0.742199,-0.00263469) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.655057,0.00209627) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.561978,-0.00132139) , 
0.0139681, 1, 4, 0, 0.607541,-0.0280954) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194429,-0.0183636) , 
0.0397557, 1, 4, 0, 0.454489,0.0453389) , 
193.908, 1, 0, 0, 0.738906,-0.00208556)    );
  // itree = 330
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524038,0.00977791) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.670117,0.0250308) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.378133,-0.00558206) , 
0.074565, 0, 5, 0, 0.490566,0.0389633) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.349178,0.0126221) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0471345,-0.00322953) , 
3.69421, 0, 3, 0, 0.0532924,-0.00306164) , 
-24.3983, 1, 3, 0, 0.0571947,-0.0026866) , 
59.8632, 0, 3, 0, 0.0601693,-0.00228205)    );
  // itree = 331
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.226311,-0.00497765) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492673,0.0092195) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.289344,-0.00479323) , 
0.0401975, 0, 4, 0, 0.380324,0.019109) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.18459,0.000836921) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.154867,-0.00467107) , 
0.190949, 1, 4, 0, 0.181445,-0.00547563) , 
14.4859, 0, 0, 0, 0.199494,-0.00324454) , 
161.737, 0, 0, 0, 0.199907,-0.00256082)    );
  // itree = 332
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.869738,0.00140636) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.709254,-0.00149966) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.404711,-0.00116712) , 
0.0136054, 0, 7, 0, 0.549497,0.0016639) , 
0.285714, 0, 7, 0, 0.741314,-0.00229558) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459928,-0.00170533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.390683,0.00284228) , 
0.0368232, 1, 5, 0, 0.422705,0.051682) , 
-112.438, 0, 2, 0, 0.739057,-0.00191334)    );
  // itree = 333
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.13823,0.00105916) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0436753,0.0145101) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0229934,-0.00555713) , 
0.00437618, 1, 5, 0, 0.0241859,-0.00339025) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0499586,-0.0124442) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0147166,-0.0106613) , 
0.0476178, 1, 7, 0, 0.0164854,-0.00760351) , 
0.0919003, 1, 5, 0, 0.0222192,-0.00446631) , 
0.0952362, 1, 6, 0, 0.0607976,-0.00190877)    );
  // itree = 334
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250702,-0.00531664) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320571,-0.00693384) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.162562,0.00733632) , 
0.0475908, 1, 7, 0, 0.239012,0.0425561) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.341972,-0.00483481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19214,0.000944867) , 
42.0425, 0, 0, 0, 0.197851,-0.00307577) , 
193.908, 0, 0, 0, 0.198126,-0.00277065) , 
9.05078, 0, 1, 0, 0.199543,-0.00183004)    );
  // itree = 335
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755037,0.00241872) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.857706,0.00127775) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.427057,-0.00446288) , 
0.0476189, 0, 6, 0, 0.751855,-0.00203941) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170161,-0.0275303) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0578414,-0.0435511) , 
0.21236, 1, 4, 0, 0.15043,0.0734964) , 
-6.99833, 0, 2, 0, 0.722906,0.00159647) , 
0.0480951, 1, 4, 0, 0.739976,-0.00214399)    );
  // itree = 336
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.321382,0.0103998) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.371402,0.0162092) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.153742,-0.00626938) , 
0.0407061, 0, 4, 0, 0.24855,0.0205747) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0426197,-0.00275938) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0334364,-0.00946313) , 
0.190947, 1, 4, 0, 0.0416428,-0.00432237) , 
21.494, 0, 0, 0, 0.0584532,-0.00229959) , 
223.688, 0, 0, 0, 0.0608229,-0.00189985)    );
  // itree = 337
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211745,0.00255913) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.310694,0.00161878) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107741,-0.000200757) , 
0.333333, 1, 7, 0, 0.193028,-0.00175177) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.30179,-0.00965881) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129971,0.00154234) , 
0.0476169, 1, 6, 0, 0.186581,-0.0106603) , 
0.016477, 0, 4, 0, 0.190503,-0.00524064) , 
0.0481996, 0, 4, 0, 0.200454,-0.00197962)    );
  // itree = 338
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754567,0.00222351) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.804219,0.00316877) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125139,-0.0429129) , 
6.03158, 1, 0, 0, 0.761149,-0.00530854) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.219173,-0.0129991) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0779327,-0.0345172) , 
0.128171, 1, 4, 0, 0.165906,0.100233) , 
26.1651, 1, 0, 0, 0.72226,0.00158682) , 
0.0481952, 1, 4, 0, 0.739453,-0.00205704)    );
  // itree = 339
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.544118,0.0106461) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500364,-0.00785224) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.401318,0.0158153) , 
47.9149, 0, 1, 0, 0.421237,0.061062) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500777,0.00480187) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0486493,-0.00269315) , 
-32.2162, 1, 3, 0, 0.0521547,-0.00348891) , 
5.6813, 0, 3, 0, 0.0581375,-0.00244253) , 
89.4555, 0, 3, 0, 0.0602438,-0.00214714)    );
  // itree = 340
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346124,0.000797421) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.128726,0.00349444) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.112215,-0.000228785) , 
0.013045, 1, 5, 0, 0.114989,-0.00390899) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0700499,-0.00864382) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0460666,-0.0186114) , 
0.404413, 1, 5, 0, 0.0616291,-0.0111037) , 
0.273956, 1, 5, 0, 0.112562,-0.00423625) , 
0.238095, 1, 7, 0, 0.199822,-0.00157262)    );
  // itree = 341
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754848,0.000152719) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.268429,-0.00257318) , 
9.05078, 1, 1, 0, 0.745884,-0.00235453) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.399367,-0.00252019) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151311,-0.021286) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0713771,-0.00689897) , 
72.5999, 1, 0, 0, 0.11058,0.124341) , 
0.0400688, 1, 4, 0, 0.249667,0.050638) , 
-11.8143, 0, 3, 0, 0.73974,-0.00169843)    );
  // itree = 342
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.52869,0.0090665) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.57071,0.00958187) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.400637,0.00897166) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0503682,-0.00225261) , 
5.68839, 0, 3, 0, 0.0553523,-0.00238067) , 
-66.5188, 1, 3, 0, 0.0575431,-0.00211914) , 
59.8632, 0, 3, 0, 0.0606249,-0.00173585)    );
  // itree = 343
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380457,-0.000572908) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.165473,0.00876894) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131239,0.00196033) , 
0.00429089, 1, 5, 0, 0.133192,-0.00280836) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.115071,0.000250739) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0863576,-0.00852433) , 
0.0422961, 0, 4, 0, 0.104799,-0.00690589) , 
0.0901093, 1, 5, 0, 0.125805,-0.00387444) , 
0.0476189, 1, 6, 0, 0.199435,-0.00167368)    );
  // itree = 344
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755029,0.000167462) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.628528,0.0098777) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491079,0.00164372) , 
0.0191036, 1, 4, 0, 0.572457,-0.013174) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.249069,-0.010351) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0798611,-0.0335383) , 
0.123693, 1, 4, 0, 0.190008,0.0919579) , 
0.0432448, 1, 4, 0, 0.426932,0.0268296) , 
23.7041, 1, 2, 0, 0.739906,-0.00182588)    );
  // itree = 345
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.662435,0.0359091) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.164075,-0.00751546) , 
0.043473, 0, 4, 0, 0.340909,0.0452432) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481285,-0.00994502) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.225849,0.00372954) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0465773,-0.00204647) , 
44.4809, 0, 0, 0, 0.0546558,-0.00186687) , 
57.6866, 0, 1, 0, 0.0573511,-0.0022658) , 
191.516, 0, 0, 0, 0.0606208,-0.00171797)    );
  // itree = 346
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210485,0.00208642) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.255871,0.00792036) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.235329,-0.00427763) , 
0.035527, 1, 5, 0, 0.247448,-0.0834007) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199471,-0.000223995) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.143137,-0.00633341) , 
0.0905142, 1, 5, 0, 0.18908,-0.00389876) , 
25.863, 0, 1, 0, 0.190144,-0.00534843) , 
0.0482137, 0, 4, 0, 0.199653,-0.00186434)    );
  // itree = 347
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.870259,0.00140431) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.708337,-0.00152041) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.413696,-0.0005461) , 
0.0136052, 0, 7, 0, 0.555028,0.00101279) , 
0.285714, 0, 7, 0, 0.744836,-0.00222434) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.416772,0.00137873) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106195,-0.0154065) , 
0.0415971, 1, 4, 0, 0.258263,0.0507404) , 
-14.0072, 0, 3, 0, 0.739237,-0.00161485)    );
  // itree = 348
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.676813,0.0359633) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.167615,-0.00682302) , 
0.0475663, 0, 4, 0, 0.334679,0.0421128) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469128,-0.0115902) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.240154,0.00297966) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0462188,-0.00203588) , 
42.0438, 0, 0, 0, 0.0558375,-0.00189349) , 
80.5128, 0, 1, 0, 0.0574653,-0.00218397) , 
193.908, 0, 0, 0, 0.0605413,-0.00169246)    );
  // itree = 349
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210743,0.00219364) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13366,-0.0260856) , 
47.1589, 1, 3, 0, 0.210189,0.00208881) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211242,-0.000684863) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.233586,-2.31965e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.188254,-0.00142547) , 
39.9914, 0, 1, 0, 0.188575,-0.00370976) , 
82.9368, 0, 1, 0, 0.188738,-0.00444533) , 
0.0480951, 0, 4, 0, 0.198795,-0.00138178)    );
  // itree = 350
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.779583,0.000871448) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.395222,-0.00486136) , 
14.4859, 1, 0, 0, 0.744564,-0.00238118) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.64159,0.00574558) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.474294,-0.00241178) , 
0.0233652, 1, 4, 0, 0.589379,-0.0205825) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152036,-0.0208614) , 
0.0477276, 1, 4, 0, 0.443708,0.0392127) , 
161.737, 1, 0, 0, 0.739844,-0.00172855)    );
  // itree = 351
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.658428,0.0335862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.168391,-0.006711) , 
0.0475663, 0, 4, 0, 0.330606,0.0380076) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477393,-0.0104799) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498248,0.0112818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.05403,-0.00146954) , 
53.1558, 0, 3, 0, 0.055854,-0.00181954) , 
79.268, 0, 1, 0, 0.0575688,-0.00209216) , 
193.908, 0, 0, 0, 0.0606428,-0.0016407)    );
  // itree = 352
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.214904,-0.00904999) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.550487,0.0152661) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19354,0.000981358) , 
-6.99833, 1, 2, 0, 0.21026,0.000561346) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235797,0.0019126) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189721,-0.000960138) , 
49.2669, 0, 1, 0, 0.190132,-0.00517427) , 
0.0480908, 0, 4, 0, 0.199575,-0.00248337) , 
-33.1814, 1, 3, 0, 0.199692,-0.00213486)    );
  // itree = 353
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.756207,0.00231851) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.804689,0.00331782) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125371,-0.0418961) , 
6.03018, 1, 0, 0, 0.761443,-0.00400332) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209029,-0.0129008) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0568217,-0.0371508) , 
0.168071, 1, 4, 0, 0.171251,0.0891443) , 
26.1651, 1, 0, 0, 0.722993,0.00206502) , 
0.048089, 1, 4, 0, 0.740662,-0.00177667)    );
  // itree = 354
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.128131,0.000972085) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.027018,-0.000687694) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0199969,-0.00601067) , 
0.419501, 1, 7, 0, 0.021327,-0.00353619) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0168317,-0.00926363) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00988558,-0.0181912) , 
0.673468, 1, 7, 0, 0.0137553,-0.00836862) , 
0.185586, 1, 4, 0, 0.0205001,-0.00406393) , 
0.238095, 1, 7, 0, 0.0605718,-0.00152364)    );
  // itree = 355
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210491,0.00190495) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.268456,0.00833308) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.234503,-0.00363592) , 
0.0188577, 1, 4, 0, 0.252632,-0.086073) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.202695,-0.000230594) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.163257,-0.00301868) , 
0.0456593, 1, 5, 0, 0.188283,-0.00290831) , 
22.7987, 0, 1, 0, 0.189559,-0.00455762) , 
0.048199, 0, 4, 0, 0.199364,-0.00146084)    );
  // itree = 356
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75915,0.00200405) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.73073,-0.00211146) , 
0.0480951, 1, 4, 0, 0.745818,-0.00239122) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500377,0.0141552) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.250444,-0.00156365) , 
0.0214741, 1, 5, 0, 0.360411,-0.0190065) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102483,-0.0237142) , 
0.0727761, 1, 5, 0, 0.260949,0.0470326) , 
-14.0072, 0, 3, 0, 0.740188,-0.0018173)    );
  // itree = 357
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469206,0.00771124) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213992,0.0116393) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0649023,-0.000967572) , 
0.190468, 1, 6, 0, 0.146984,0.024774) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152097,0.00426021) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0380088,-0.00415849) , 
14.4593, 0, 0, 0, 0.0460049,-0.00355187) , 
161.737, 0, 0, 0, 0.0468744,-0.00330798) , 
5.80986, 0, 1, 0, 0.0604055,-0.00170582)    );
  // itree = 358
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380893,-0.000663531) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.139741,0.00408862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0977413,-0.0057474) , 
0.186554, 1, 4, 0, 0.134967,-0.00274161) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.303792,-0.00356868) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0864491,-0.00604422) , 
0.0476178, 1, 7, 0, 0.0939678,-0.0070707) , 
0.773241, 1, 6, 0, 0.126354,-0.00365098) , 
0.0476189, 1, 6, 0, 0.199754,-0.00150867)    );
  // itree = 359
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.762097,9.11154e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.4655,-0.00308372) , 
23.7041, 1, 2, 0, 0.751357,-0.00185903) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.429197,0.00952812) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.143496,-0.0111467) , 
0.0743205, 1, 5, 0, 0.354663,-0.0235945) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.037218,-0.0153007) , 
0.0801288, 1, 4, 0, 0.273314,0.0189666) , 
11.9172, 1, 1, 0, 0.739649,-0.00134896)    );
  // itree = 360
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.55364,0.021283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0542904,-0.000566614) , 
91.8349, 0, 0, 0, 0.0667063,0.00201344) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.322222,-0.0129623) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.314734,-0.0130872) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0502626,-0.00209909) , 
25.7384, 0, 1, 0, 0.0535084,-0.0040145) , 
87.4528, 0, 1, 0, 0.055336,-0.00457391) , 
0.0482525, 0, 4, 0, 0.0606634,-0.0014875)    );
  // itree = 361
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21177,0.00185177) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227463,0.004315) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208189,-0.00688913) , 
0.0332054, 1, 5, 0, 0.21917,-0.0851075) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.204481,0.00010972) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1644,-0.0027815) , 
0.0456593, 1, 5, 0, 0.189849,-0.00316357) , 
37.8173, 0, 1, 0, 0.190285,-0.00438381) , 
0.0480951, 0, 4, 0, 0.200347,-0.00133047)    );
  // itree = 362
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.759888,0.00131132) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.434683,0.0125922) , 
24.07, 1, 1, 0, 0.753593,-0.00460425) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.775867,0.000317119) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.160479,-0.0228801) , 
14.3386, 1, 0, 0, 0.728757,5.32617e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.143772,-0.02017) , 
168.085, 1, 0, 0, 0.722767,0.00182493) , 
0.0482137, 1, 4, 0, 0.739138,-0.00158941)    );
  // itree = 363
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.24545,0.0152373) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313879,0.0142969) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0526105,-0.00134739) , 
-6.77394, 1, 2, 0, 0.0654761,0.00138081) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.302942,-0.0157107) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0522592,-0.00205284) , 
58.0532, 0, 1, 0, 0.0549493,-0.00406249) , 
0.0482137, 0, 4, 0, 0.0598643,-0.001521) , 
-3.32186, 1, 1, 0, 0.0606586,-0.00124019)    );
  // itree = 364
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.319069,0.000589299) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.121826,0.00299194) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0937553,-0.00383913) , 
0.777773, 1, 7, 0, 0.111053,-0.00329046) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0829076,-0.00440719) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0775778,-0.00930628) , 
0.0759281, 0, 5, 0, 0.0797236,-0.00857748) , 
0.185147, 1, 4, 0, 0.107685,-0.00385886) , 
0.333331, 1, 7, 0, 0.19946,-0.00129025)    );
  // itree = 365
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.869426,0.000994955) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.757632,-0.0031492) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.555857,0.00286211) , 
0.0524779, 0, 7, 0, 0.709475,-0.0057816) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409229,0.00283819) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.395251,-0.00686118) , 
0.00064779, 1, 7, 0, 0.404612,0.0100783) , 
0.0136052, 0, 7, 0, 0.547907,0.00262366) , 
0.285714, 0, 7, 0, 0.739636,-0.0013417)    );
  // itree = 366
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465664,0.00869826) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.280742,0.0122181) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0484696,-0.00189048) , 
-6.77394, 1, 2, 0, 0.059282,0.000109965) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.331636,-0.00891035) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0485167,-0.00253287) , 
24.07, 0, 1, 0, 0.0520181,-0.00421544) , 
0.0482381, 0, 4, 0, 0.055418,-0.00219091) , 
-11.8143, 1, 3, 0, 0.0604432,-0.00154064)    );
  // itree = 367
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.242041,-0.0131309) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.210661,0.00203561) , 
-11.8143, 1, 3, 0, 0.21105,0.00182099) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.217881,0.000952283) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.356024,0.005481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.186822,-0.00102813) , 
6.60214, 0, 3, 0, 0.189916,-0.0034866) , 
94.9741, 0, 1, 0, 0.190082,-0.00403474) , 
0.0482525, 0, 4, 0, 0.199903,-0.00129181)    );
  // itree = 368
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751807,0.00036583) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464716,0.00915751) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110444,0.0120739) , 
0.0305711, 1, 4, 0, 0.268492,-0.00283468) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.225104,-0.0289118) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156714,-0.0241217) , 
10.3588, 1, 0, 0, 0.190106,0.101927) , 
22.7987, 0, 1, 0, 0.221261,0.060289) , 
4.52221, 1, 3, 0, 0.739479,-0.00109345)    );
  // itree = 369
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.317852,0.00870878) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.371657,0.0145734) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152653,-0.00629069) , 
0.0407061, 0, 4, 0, 0.24822,0.0175189) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.147341,0.00633533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0391233,-0.00320274) , 
-5.35433, 1, 2, 0, 0.0417865,-0.00317939) , 
21.5272, 0, 0, 0, 0.058435,-0.00151011) , 
223.688, 0, 0, 0, 0.0607174,-0.00119208)    );
  // itree = 370
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212476,0.0022238) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.203747,-0.0145076) , 
162.011, 1, 0, 0, 0.212382,0.000939884) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.221293,0.000488492) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.202104,-0.000426176) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.166714,-0.0022895) , 
0.0456593, 1, 5, 0, 0.18925,-0.0034598) , 
74.8037, 0, 1, 0, 0.189505,-0.00417456) , 
0.0480945, 0, 4, 0, 0.200217,-0.00177963)    );
  // itree = 371
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.752541,3.72271e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385614,0.0040064) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0904295,-0.0220476) , 
0.119411, 1, 5, 0, 0.339907,-0.00391771) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0452128,-0.0192385) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0335954,-0.00867992) , 
103.808, 1, 0, 0, 0.0396142,0.141885) , 
0.0802239, 1, 4, 0, 0.263924,0.0329746) , 
9.05143, 1, 1, 0, 0.739291,-0.00142068)    );
  // itree = 372
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127425,0.00117517) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0232097,-0.00346263) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0178383,-0.00899887) , 
0.795916, 1, 6, 0, 0.0220669,-0.00336129) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0238474,-0.0165949) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00934499,-0.0174291) , 
0.190471, 1, 7, 0, 0.0113805,-0.0110486) , 
0.279577, 1, 4, 0, 0.0215291,-0.00374811) , 
0.142857, 1, 6, 0, 0.0607139,-0.00114389)    );
  // itree = 373
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.295374,0.000941814) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.117642,0.00204748) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.105304,-0.000825272) , 
0.0108706, 1, 5, 0, 0.106913,-0.00401469) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.158834,0.000570686) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0522332,-0.010692) , 
0.0952181, 1, 6, 0, 0.0653094,-0.0099211) , 
0.228297, 1, 5, 0, 0.104219,-0.00439714) , 
0.428571, 1, 7, 0, 0.199757,-0.00114899)    );
  // itree = 374
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744261,-0.00029243) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.52754,0.0158661) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129475,0.0343821) , 
0.0359547, 1, 4, 0, 0.325982,-0.0387143) , 
65.069, 1, 1, 0, 0.740974,-0.00195018) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.641738,0.0145731) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.255398,-0.0103002) , 
0.0326168, 1, 4, 0, 0.434711,0.0369147) , 
-112.438, 0, 2, 0, 0.73879,-0.00167304)    );
  // itree = 375
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0664206,0.00117732) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.119176,0.00212463) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0215345,-0.00445419) , 
0.142854, 1, 6, 0, 0.05637,-2.61836e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.111515,-0.00677457) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0255952,-0.00277907) , 
0.0476172, 1, 6, 0, 0.0530672,-0.00860098) , 
0.0210235, 0, 4, 0, 0.0546802,-0.00441341) , 
0.0482131, 0, 4, 0, 0.0601769,-0.00153358)    );
  // itree = 376
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320163,0.000686065) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.344217,0.0161985) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198858,-0.00460239) , 
0.00680257, 1, 6, 0, 0.255066,-0.00951884) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.097263,-0.000394119) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0484479,-0.016389) , 
0.277443, 1, 4, 0, 0.0948056,-0.003606) , 
0.0476181, 1, 6, 0, 0.107379,-0.0040699) , 
0.333331, 1, 7, 0, 0.199563,-0.00138858)    );
  // itree = 377
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.7572,0.00151166) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.478881,0.0157704) , 
76.9869, 1, 1, 0, 0.755034,-0.0040501) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.759099,1.45762e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.157119,-0.0274997) , 
-6.77394, 0, 2, 0, 0.731151,0.000286653) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0987912,-0.0152226) , 
-11.8143, 0, 3, 0, 0.7235,0.00170472) , 
0.0481934, 1, 4, 0, 0.740266,-0.00135508)    );
  // itree = 378
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432452,0.0313481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.114845,-0.00941793) , 
0.0247124, 0, 4, 0, 0.2458,0.0365806) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.413162,0.0177386) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21999,0.0056726) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0351765,-0.00466082) , 
8.01809, 0, 0, 0, 0.0572587,-0.00190975) , 
237.46, 0, 0, 0, 0.0589753,-0.00153755) , 
186.119, 0, 2, 0, 0.0604759,-0.00123137)    );
  // itree = 379
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.27665,-0.00303345) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.302767,0.00144894) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107961,-0.000357961) , 
0.428571, 1, 7, 0, 0.204231,-0.00153696) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.181592,0.00285177) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113257,-0.011393) , 
0.0400117, 0, 4, 0, 0.159148,-0.00831379) , 
0.135771, 1, 5, 0, 0.19759,-0.00253516) , 
5.96452, 0, 1, 0, 0.200094,-0.00119719)    );
  // itree = 380
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.867562,0.00113512) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.737636,-0.00351787) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528962,0.00213347) , 
0.0437324, 0, 7, 0, 0.682985,-0.00637564) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.410493,0.0031015) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.386431,-0.00712458) , 
0.000539878, 1, 7, 0, 0.402611,0.0116616) , 
0.0113378, 0, 7, 0, 0.526689,0.00367928) , 
0.238094, 0, 7, 0, 0.74024,-0.000999178)    );
  // itree = 381
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127255,0.00101924) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.024698,-0.00181469) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0172554,-0.00825018) , 
0.0905142, 1, 5, 0, 0.0228444,-0.00237655) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0325537,-0.012285) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0114593,-0.0135649) , 
0.142853, 1, 7, 0, 0.0137752,-0.0085176) , 
0.186126, 1, 4, 0, 0.0218624,-0.00304149) , 
0.142857, 1, 6, 0, 0.0608769,-0.000859791)    );
  // itree = 382
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.318671,0.000363054) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.353594,0.0161635) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.211322,-0.00214323) , 
0.00453505, 1, 6, 0, 0.257339,-0.0102533) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0982853,-0.000176626) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.064583,-0.00943652) , 
0.184827, 1, 4, 0, 0.0946055,-0.00307604) , 
0.0476181, 1, 6, 0, 0.107284,-0.00363521) , 
0.333333, 1, 7, 0, 0.199102,-0.000908193)    );
  // itree = 383
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.872179,0.001152) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.763691,-0.0033695) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.553302,0.0042938) , 
0.0461067, 0, 7, 0, 0.729024,-0.00402721) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.407966,0.00245996) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.40365,-0.00564911) , 
0.000755684, 1, 7, 0, 0.406532,0.00845085) , 
0.0158727, 0, 7, 0, 0.566143,0.00227506) , 
0.333328, 0, 7, 0, 0.739337,-0.000892211)    );
  // itree = 384
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114096,0.000974769) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0206859,-0.00434956) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00974122,-0.0167994) , 
0.273956, 1, 5, 0, 0.0202046,-0.00327715) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0139465,-0.00938411) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00822541,-0.0207312) , 
0.0907254, 0, 5, 0, 0.0100394,-0.0103734) , 
0.324396, 1, 4, 0, 0.0198494,-0.0035251) , 
0.333333, 1, 7, 0, 0.0607845,-0.000919131)    );
  // itree = 385
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.414885,0.00568199) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385501,0.00454552) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18359,-0.000367649) , 
4.17418, 0, 1, 0, 0.187772,-0.0018585) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.249282,0.00878574) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.122724,-0.0176996) , 
0.0306929, 1, 4, 0, 0.184,-0.0368182) , 
52.661, 1, 1, 0, 0.187745,-0.00210902) , 
-6.99833, 1, 2, 0, 0.199448,-0.00116279)    );
  // itree = 386
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753879,-3.20486e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.287544,-0.00210446) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0640569,-0.0213622) , 
0.159254, 1, 5, 0, 0.255113,0.0296142) , 
8.04907, 1, 1, 0, 0.742403,-0.00176834) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445897,0.00673939) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110272,0.00183671) , 
0.0404789, 1, 4, 0, 0.281377,0.0417797) , 
59.8632, 1, 3, 0, 0.739462,-0.00149057)    );
  // itree = 387
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127142,0.00108989) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0259432,-0.000652043) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0192856,-0.00648135) , 
0.0459501, 1, 5, 0, 0.0229491,-0.00227375) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0172304,-0.00857507) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00993635,-0.0184906) , 
0.378556, 1, 4, 0, 0.0161666,-0.00649539) , 
0.139944, 1, 4, 0, 0.0218239,-0.0029741) , 
0.142857, 1, 6, 0, 0.0607817,-0.000746804)    );
  // itree = 388
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227955,-6.52125e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19185,-0.0151112) , 
0.0475663, 1, 4, 0, 0.215726,0.036613) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388294,0.00141176) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.181542,0.000261722) , 
14.4859, 0, 0, 0, 0.199531,-0.00166221) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195165,-0.00623328) , 
66.4467, 1, 1, 0, 0.199513,-0.00198518) , 
161.737, 0, 0, 0, 0.19976,-0.00139639)    );
  // itree = 389
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.870204,0.000794468) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55807,-0.00102449) , 
0.285714, 0, 7, 0, 0.746837,-0.00100521) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.527583,0.016357) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.124519,0.0235285) , 
0.0359708, 1, 4, 0, 0.362256,-0.0679906) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0775805,-0.00792486) , 
0.112778, 1, 5, 0, 0.296572,-0.0243008) , 
30.5689, 1, 1, 0, 0.739832,-0.00136764)    );
  // itree = 390
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.135885,0.00072398) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0887466,0.0102241) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0214576,-0.00352938) , 
57.2634, 0, 2, 0, 0.022145,-0.00224529) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0324432,-0.00995101) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0154491,-0.00870021) , 
0.0476188, 1, 6, 0, 0.0165076,-0.00574201) , 
0.845804, 1, 7, 0, 0.0208419,-0.00305352) , 
0.190476, 1, 7, 0, 0.060431,-0.0012572)    );
  // itree = 391
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.332966,0.000277107) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.118621,0.00191628) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0757383,-0.00553606) , 
0.183801, 1, 5, 0, 0.114579,-0.00255736) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.090206,-0.00180481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0813875,-0.0079834) , 
0.0759281, 0, 5, 0, 0.0849726,-0.00707817) , 
0.185586, 1, 4, 0, 0.111374,-0.00304685) , 
0.285713, 1, 7, 0, 0.200706,-0.000774288)    );
  // itree = 392
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.748069,-0.000294477) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.415834,0.0127231) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.067042,0.0193681) , 
0.062088, 1, 4, 0, 0.299471,-0.022081) , 
30.5689, 1, 1, 0, 0.741818,-0.00158098) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.608905,0.0109811) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.213287,-0.0125341) , 
0.0427609, 1, 4, 0, 0.425938,0.0436721) , 
-112.438, 0, 2, 0, 0.739511,-0.00125053)    );
  // itree = 393
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127401,0.0011465) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0257749,-0.000606107) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0192815,-0.0061276) , 
0.0459501, 1, 5, 0, 0.0227955,-0.00215656) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0155402,-0.00850938) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0125782,-0.0146612) , 
0.0733878, 0, 5, 0, 0.0138163,-0.00754769) , 
0.186274, 1, 4, 0, 0.021818,-0.00274349) , 
0.142856, 1, 6, 0, 0.0609785,-0.000536291)    );
  // itree = 394
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.353263,0.0118531) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.291618,-0.00631027) , 
0.0400423, 1, 4, 0, 0.32091,0.0548549) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.396256,0.00764077) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193419,1.691e-05) , 
3.77488, 0, 3, 0, 0.198115,-0.00243341) , 
-6.88699, 1, 3, 0, 0.200021,-0.00154424) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176322,-0.0127073) , 
105.022, 1, 3, 0, 0.199932,-0.00133727)    );
  // itree = 395
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.873366,0.00140003) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.764022,-0.00311465) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.552983,0.00416628) , 
0.0461067, 0, 7, 0, 0.72927,-0.0049177) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404894,0.00216266) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.403929,-0.00532131) , 
0.00075579, 1, 7, 0, 0.404576,0.00962646) , 
0.0158728, 0, 7, 0, 0.565994,0.00239597) , 
0.333333, 0, 7, 0, 0.739759,-0.00103169)    );
  // itree = 396
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.138066,0.00107397) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0323285,0.00465283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0214804,-0.0045235) , 
0.0107752, 1, 5, 0, 0.0229726,-0.00226095) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0231911,-0.0168306) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0101122,-0.0137173) , 
0.14284, 1, 7, 0, 0.011576,-0.00831401) , 
0.226285, 1, 5, 0, 0.0221945,-0.00267424) , 
0.0952358, 1, 6, 0, 0.0607269,-0.000708649)    );
  // itree = 397
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.22406,-0.00051205) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.290862,0.00893931) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169136,-0.00321117) , 
1.20629, 0, 1, 0, 0.199556,-0.00106872) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243302,0.00201735) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.143656,-0.0154297) , 
0.0361244, 1, 4, 0, 0.19403,-0.0515224) , 
42.4675, 1, 1, 0, 0.199509,-0.00150584) , 
191.516, 0, 0, 0, 0.199793,-0.00111962)    );
  // itree = 398
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.869843,0.000753371) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.758137,-0.00251444) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.553224,0.00231676) , 
0.0524801, 0, 7, 0, 0.708978,-0.00676338) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409541,0.00273446) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.396243,-0.00564407) , 
0.000647863, 1, 7, 0, 0.405148,0.00978772) , 
0.0136052, 0, 7, 0, 0.547753,0.00201934) , 
0.285712, 0, 7, 0, 0.739968,-0.00114258)    );
  // itree = 399
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.558899,0.0191456) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0532427,-0.000712262) , 
91.8349, 0, 0, 0, 0.0661337,0.00161477) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.319163,-0.0114418) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.341297,-0.00735342) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0496188,-0.00187648) , 
25.7384, 0, 1, 0, 0.0530637,-0.00315329) , 
87.4528, 0, 1, 0, 0.0548735,-0.00364483) , 
0.048199, 0, 4, 0, 0.0601484,-0.00118092)    );
  // itree = 400
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211841,0.00179905) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.278413,-0.00314125) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.269814,0.00376077) , 
0.0629355, 0, 5, 0, 0.271866,-0.0331526) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.19764,-0.000255119) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.142401,-0.0055317) , 
0.0905142, 1, 5, 0, 0.187422,-0.00266915) , 
11.9172, 0, 1, 0, 0.189762,-0.00351382) , 
0.0480951, 0, 4, 0, 0.20011,-0.00105833)    );
  // itree = 401
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.861859,0.000968136) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749802,-0.010608) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.597924,0.00112526) , 
0.0456745, 0, 6, 0, 0.680899,-0.00634542) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.422969,-0.00758788) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.422449,0.00407256) , 
0.000323922, 0, 6, 0, 0.42262,0.00903188) , 
0.00680253, 0, 6, 0, 0.529046,0.00269551) , 
0.142854, 0, 6, 0, 0.73843,-0.000687738)    );
  // itree = 402
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0671211,0.00168083) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493228,0.00294041) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.222264,-0.0166514) , 
0.0357376, 0, 5, 0, 0.330625,-0.0524551) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.054724,0.000568847) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.030231,-0.0115084) , 
0.0913186, 1, 5, 0, 0.0502445,-0.00177551) , 
24.07, 0, 1, 0, 0.0557595,-0.00277236) , 
0.0480945, 0, 4, 0, 0.0610852,-0.000317325)    );
  // itree = 403
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257856,-0.00968388) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.324199,0.000793283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107612,-8.60893e-05) , 
0.333333, 1, 7, 0, 0.199682,-0.000791864) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227651,0.000524459) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107833,-0.0202696) , 
0.062088, 1, 4, 0, 0.186791,-0.0240479) , 
33.6558, 1, 1, 0, 0.199514,-0.00109402) , 
-112.438, 1, 2, 0, 0.199939,-0.000776503)    );
  // itree = 404
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.871264,0.00282242) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.800303,-0.00695469) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.637031,0.00207164) , 
0.0524783, 0, 6, 0, 0.763514,-0.00321785) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465202,-0.00538144) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.417421,0.0027561) , 
0.000647833, 0, 6, 0, 0.433277,0.00692434) , 
0.0136054, 0, 6, 0, 0.599023,0.00183398) , 
0.285713, 0, 6, 0, 0.740346,-0.000973601)    );
  // itree = 405
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.110142,0.000822357) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.122525,0.012539) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0453237,-0.0119624) , 
0.00226722, 1, 7, 0, 0.0640828,-0.00961529) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0187799,-0.00452039) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00392997,-0.0267232) , 
0.464743, 1, 4, 0, 0.0185948,-0.00300661) , 
0.0476189, 1, 7, 0, 0.0207224,-0.00331571) , 
0.238095, 1, 6, 0, 0.0603499,-0.00094894)    );
  // itree = 406
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380072,-0.00106807) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.139582,0.0034) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0887856,-0.00548772) , 
0.182637, 1, 5, 0, 0.134249,-0.00176262) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.26511,0.000854558) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0859455,-0.00542604) , 
0.0952366, 1, 7, 0, 0.0962434,-0.00618421) , 
0.773241, 1, 6, 0, 0.126254,-0.00269274) , 
0.0476189, 1, 6, 0, 0.199507,-0.00100592)    );
  // itree = 407
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850475,-0.000388843) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.568542,-0.0010532) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.484215,0.00927032) , 
-25.9881, 0, 2, 0, 0.564095,-0.0152247) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424582,0.00453303) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.387474,-0.00850467) , 
0.000215952, 1, 6, 0, 0.415092,0.0131687) , 
0.00226753, 0, 6, 0, 0.467038,0.00327002) , 
0.0476188, 0, 6, 0, 0.739775,-0.000871736)    );
  // itree = 408
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521709,-0.00402165) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.160608,0.00219969) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.034016,-0.00235508) , 
0.0204081, 1, 7, 0, 0.0895165,0.00217588) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0365799,-0.00627131) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0180355,-0.0040192) , 
0.0476188, 1, 6, 0, 0.0194149,-0.00282625) , 
0.428571, 1, 7, 0, 0.054097,-0.000351487) , 
36.9498, 0, 1, 0, 0.060547,-0.000686063)    );
  // itree = 409
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.356658,0.00375431) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.572141,0.0145345) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19164,0.000475978) , 
-6.99833, 1, 2, 0, 0.207746,9.08916e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.275503,0.00275558) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185128,-0.00117309) , 
14.4944, 0, 1, 0, 0.186318,-0.00419016) , 
0.0482137, 0, 4, 0, 0.196394,-0.00217716) , 
4.49505, 0, 3, 0, 0.200131,-0.000872999)    );
  // itree = 410
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.889621,0.00204794) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.718083,-0.000596721) , 
0.0476188, 0, 6, 0, 0.876916,-0.00315751) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.763114,-0.00163575) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.412953,-0.000237041) , 
0.0204078, 0, 7, 0, 0.605977,0.00140705) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.218236,-6.93119e-05) , 
-80.4128, 0, 3, 0, 0.60353,0.00186489) , 
0.428571, 0, 7, 0, 0.740162,-0.000645193)    );
  // itree = 411
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.530907,0.00842502) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.66626,0.0238643) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.371698,-0.00515059) , 
0.0758157, 0, 5, 0, 0.484262,0.0354802) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385824,0.0133475) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0447285,-0.00269478) , 
4.37184, 0, 1, 0, 0.0526164,-0.00177358) , 
-18.6303, 1, 3, 0, 0.0570267,-0.00139294) , 
53.8089, 0, 3, 0, 0.0602915,-0.00103287)    );
  // itree = 412
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.29489,0.00052953) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.35809,0.0146975) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.211579,-0.0018415) , 
0.00226752, 1, 6, 0, 0.246825,-0.00865109) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0968146,-0.0001428) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0631146,-0.00917432) , 
0.18572, 1, 4, 0, 0.0932526,-0.00294313) , 
0.0476189, 1, 6, 0, 0.104659,-0.00336708) , 
0.428571, 1, 7, 0, 0.199891,-0.000740702)    );
  // itree = 413
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.790356,0.00156446) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.605383,0.00706759) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.331971,-0.0102635) , 
0.0226527, 1, 4, 0, 0.468029,0.00469672) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.103699,-0.0320709) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0335899,-0.0426365) , 
0.303957, 1, 4, 0, 0.0949555,0.0840793) , 
0.0935338, 1, 4, 0, 0.386404,0.0220648) , 
9.25044, 1, 0, 0, 0.740366,-0.000697894)    );
  // itree = 414
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.120523,0.000960631) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0233694,-0.00119134) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0145637,-0.00964972) , 
0.136978, 1, 5, 0, 0.0219217,-0.00163019) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0295419,-0.0118431) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0165093,-0.00616533) , 
0.0476188, 1, 6, 0, 0.0173629,-0.00437544) , 
0.761903, 1, 7, 0, 0.0201735,-0.00268295) , 
0.285714, 1, 7, 0, 0.0607126,-0.000563246)    );
  // itree = 415
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.307216,0.000438009) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.353905,0.0131921) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.217866,-0.000697458) , 
0.00226753, 1, 6, 0, 0.250609,-0.00795939) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.104977,0.00223932) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0857989,-0.0031235) , 
0.705214, 1, 7, 0, 0.0948887,-0.00263512) , 
0.0476189, 1, 6, 0, 0.106778,-0.00304161) , 
0.380952, 1, 7, 0, 0.200356,-0.000613809)    );
  // itree = 416
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.764342,0.00166112) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.734601,-0.00165343) , 
0.0480945, 1, 4, 0, 0.75034,-0.00183518) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.300916,-0.00940148) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0874848,-0.018675) , 
0.0801556, 1, 4, 0, 0.253665,0.0347733) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0725863,-0.0280835) , 
0.14984, 1, 5, 0, 0.224644,0.0504417) , 
5.45651, 1, 3, 0, 0.739341,-0.000741423)    );
  // itree = 417
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524465,0.0258501) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.151509,-0.00603287) , 
0.0480256, 0, 4, 0, 0.252272,0.0187246) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.411939,0.0155732) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.395007,0.0132714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0425608,-0.00339112) , 
3.45909, 0, 1, 0, 0.0554969,-0.00160018) , 
237.46, 0, 0, 0, 0.0569454,-0.00132772) , 
104.225, 0, 2, 0, 0.0602937,-0.000983968)    );
  // itree = 418
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.254392,-0.00347157) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.317072,0.00106973) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110963,0.000541857) , 
0.38095, 1, 7, 0, 0.205998,-0.00023684) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.177508,0.00148395) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118246,-0.00963268) , 
0.0396923, 0, 4, 0, 0.158163,-0.0068992) , 
0.13785, 1, 5, 0, 0.199121,-0.00119472) , 
9.05143, 0, 1, 0, 0.200621,-0.000609069)    );
  // itree = 419
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.805219,0.00371225) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.742198,-0.000621657) , 
0.13785, 0, 5, 0, 0.751231,-0.000941598) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.399406,0.00619782) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.032767,-0.0175802) , 
0.0801288, 1, 4, 0, 0.324254,-0.0105152) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0743494,-0.0152988) , 
0.119522, 1, 5, 0, 0.271487,0.019067) , 
11.9172, 1, 1, 0, 0.739687,-0.000460145)    );
  // itree = 420
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.522339,-0.00352098) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.157852,0.00206941) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0336783,-0.00225235) , 
0.0204081, 1, 7, 0, 0.088005,0.00201184) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208818,-0.00218034) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0164928,-0.00758983) , 
0.782312, 1, 7, 0, 0.0190413,-0.00280246) , 
0.428571, 1, 7, 0, 0.0531242,-0.000423163) , 
30.5689, 0, 1, 0, 0.0605825,-0.000758995)    );
  // itree = 421
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.42238,0.00641457) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208387,-0.00182062) , 
45.4319, 1, 1, 0, 0.37433,0.0426743) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.282984,-0.00115603) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195425,0.000144396) , 
8.04907, 0, 1, 0, 0.196798,-0.00137251) , 
5.57792, 0, 3, 0, 0.199712,-0.000649615) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.175202,-0.0132063) , 
89.4555, 1, 3, 0, 0.199604,-0.000421266)    );
  // itree = 422
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.864669,0.000840213) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.713861,-0.00490974) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521356,0.00223449) , 
0.043624, 0, 7, 0, 0.647367,-0.00931657) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412545,0.00317789) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.375792,-0.00678877) , 
0.000431909, 1, 7, 0, 0.400542,0.012505) , 
0.00907013, 0, 7, 0, 0.502091,0.00352717) , 
0.190476, 0, 7, 0, 0.739625,-0.00047037)    );
  // itree = 423
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.101723,0.000736743) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.063223,0.00510166) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0259325,-0.0125556) , 
0.00453505, 1, 6, 0, 0.0378744,-0.00743269) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0176284,-0.00456543) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00878709,-0.016438) , 
0.319687, 1, 4, 0, 0.0173145,-0.00291782) , 
0.0476189, 1, 6, 0, 0.018839,-0.00325259) , 
0.428569, 1, 7, 0, 0.060345,-0.000780084)    );
  // itree = 424
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.38011,0.00396557) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195088,0.000149297) , 
4.18118, 0, 1, 0, 0.200242,-0.000285086) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.223891,0.00620722) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189516,-0.00483623) , 
0.0239661, 1, 5, 0, 0.206168,-0.0959006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.11058,-0.0190891) , 
0.0703613, 1, 5, 0, 0.17109,-0.029232) , 
52.661, 1, 1, 0, 0.199927,-0.000597373)    );
  // itree = 425
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.872762,0.000867644) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.765015,-0.00263124) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546789,0.00325854) , 
0.0461058, 0, 7, 0, 0.72927,-0.00437236) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403305,0.00172884) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.401767,-0.00485216) , 
0.00075579, 1, 7, 0, 0.402793,0.00917834) , 
0.0158723, 0, 7, 0, 0.565153,0.00243943) , 
0.33333, 0, 7, 0, 0.739165,-0.000621603)    );
  // itree = 426
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.527325,-0.00395406) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.666499,0.0174282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.346664,0.00506163) , 
0.066931, 0, 4, 0, 0.437967,0.054668) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.150508,0.011821) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0481417,-0.000990498) , 
223.688, 0, 0, 0, 0.0486805,-0.00113293) , 
8.41023, 0, 1, 0, 0.0551586,-0.000204351) , 
48.6744, 0, 1, 0, 0.060567,-0.000475535)    );
  // itree = 427
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434502,0.00103891) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.290655,-0.00445088) , 
0.093989, 0, 4, 0, 0.316956,0.0243229) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207265,-0.00536625) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386753,-0.00119119) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.192603,0.000325473) , 
-3.32992, 1, 1, 0, 0.19342,-0.00227296) , 
193.018, 0, 0, 0, 0.193484,-0.0019804) , 
23.7041, 0, 2, 0, 0.19917,-0.000769024)    );
  // itree = 428
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753436,-2.48753e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.240851,-0.010107) , 
8.41023, 1, 1, 0, 0.744984,-0.000291562) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.514459,0.0149568) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.298201,0.0189366) , 
0.023761, 1, 5, 0, 0.403878,-0.0880348) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.10771,0.00217816) , 
0.0697548, 1, 5, 0, 0.295195,-0.0259789) , 
48.6744, 1, 1, 0, 0.739886,-0.000582721)    );
  // itree = 429
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.113572,0.000814595) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0210423,-0.00253935) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00837547,-0.0182461) , 
0.3168, 1, 5, 0, 0.0206661,-0.0019121) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0183876,-0.00101013) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.009752,-0.0174383) , 
0.0759281, 0, 5, 0, 0.0132623,-0.00624781) , 
0.185014, 1, 4, 0, 0.0198584,-0.0023851) , 
0.333333, 1, 7, 0, 0.0606538,-0.000451491)    );
  // itree = 430
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210798,0.00130695) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.277309,0.00437066) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.201131,-0.000297843) , 
9.05143, 0, 1, 0, 0.203596,-0.000490263) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.304443,0.000998884) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.161572,-0.00279297) , 
8.87741, 0, 1, 0, 0.165506,-0.00872382) , 
0.0452571, 1, 5, 0, 0.189648,-0.00350522) , 
0.0480945, 0, 4, 0, 0.199559,-0.00109011)    );
  // itree = 431
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747965,-1.87871e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.566054,-0.00901167) , 
194.453, 1, 2, 0, 0.746944,0.00019662) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.55094,0.0162583) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.277926,0.00880153) , 
0.0350406, 1, 5, 0, 0.42809,-0.0748528) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.060414,0.014693) , 
0.0592427, 1, 4, 0, 0.294713,-0.0245084) , 
30.5689, 1, 1, 0, 0.739971,-0.000184312)    );
  // itree = 432
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521634,-0.00474906) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489165,0.000264213) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.37298,0.0220465) , 
22.6454, 0, 1, 0, 0.404535,0.0830607) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.122228,-0.00189844) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0220693,-0.00256311) , 
0.0476183, 1, 7, 0, 0.0453185,-0.00282146) , 
4.18643, 0, 1, 0, 0.0552432,-0.000448643) , 
52.661, 0, 1, 0, 0.0602664,-0.000750331)    );
  // itree = 433
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209072,-0.00261442) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.419875,0.00708021) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.192574,-0.000184554) , 
3.557, 0, 1, 0, 0.199404,-0.000283346) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.228888,4.24767e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.141285,-0.0141289) , 
0.0359547, 1, 4, 0, 0.184959,-0.0545647) , 
44.9174, 1, 1, 0, 0.199285,-0.000730171) , 
193.908, 0, 0, 0, 0.199395,-0.000336007)    );
  // itree = 434
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755322,0.00145635) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.764371,-0.000456347) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169825,-0.0170006) , 
22.738, 1, 0, 0, 0.731111,0.000665731) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.262901,-0.0163274) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0463918,0.00278894) , 
26.6873, 1, 1, 0, 0.157593,0.122994) , 
140.477, 1, 0, 0, 0.723026,0.00239024) , 
0.0482799, 1, 4, 0, 0.740229,-0.000256973)    );
  // itree = 435
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.126069,0.000764361) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0299378,0.0035259) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0215887,-0.00313169) , 
0.00934549, 1, 4, 0, 0.0224032,-0.00167069) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0417778,-0.00921981) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.011429,-0.0118919) , 
0.0952342, 1, 7, 0, 0.0137817,-0.00673303) , 
0.186126, 1, 4, 0, 0.0214635,-0.00222241) , 
0.142854, 1, 6, 0, 0.0602356,-0.000610791)    );
  // itree = 436
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.271802,-0.00930393) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.210455,0.00190551) , 
91.8349, 0, 0, 0, 0.212005,0.00177886) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220273,0.0015829) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.262575,0.00166289) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189576,-0.000740864) , 
26.4609, 0, 1, 0, 0.190228,-0.00217743) , 
67.6324, 0, 1, 0, 0.190502,-0.00279841) , 
0.0480945, 0, 4, 0, 0.200583,-0.000652571)    );
  // itree = 437
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.759982,0.000569357) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.215064,-0.0208237) , 
4.18118, 1, 1, 0, 0.744915,-0.000686356) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.582868,0.015564) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196009,0.0220761) , 
0.0279405, 1, 4, 0, 0.402787,-0.0819616) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0878828,-0.00449813) , 
0.0754601, 1, 5, 0, 0.298051,-0.0248112) , 
52.661, 1, 1, 0, 0.740141,-0.000944088)    );
  // itree = 438
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0670087,0.00157061) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499431,0.00335009) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.217489,-0.0163912) , 
0.035527, 0, 5, 0, 0.329197,-0.0501059) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0572284,0.00159464) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.036963,-0.0068583) , 
0.0459501, 1, 5, 0, 0.0498639,-0.00151543) , 
22.7987, 0, 1, 0, 0.0553712,-0.00247344) , 
0.0480945, 0, 4, 0, 0.060833,-0.000241466)    );
  // itree = 439
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.256643,-0.00938864) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.316622,-0.00371771) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198347,0.000349826) , 
12.5254, 0, 3, 0, 0.199512,-0.000395946) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224643,0.00645961) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.132743,-0.01436) , 
0.032741, 1, 5, 0, 0.170357,-0.0334306) , 
65.069, 1, 1, 0, 0.199287,-0.000651468) , 
-112.438, 1, 2, 0, 0.199705,-0.000362029)    );
  // itree = 440
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754081,0.00112146) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.768903,-0.00349435) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.764238,0.00354241) , 
0.0436877, 0, 5, 0, 0.766869,-0.00283055) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.186995,-0.0127979) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0528678,-0.0354263) , 
0.230285, 1, 4, 0, 0.168615,0.0725817) , 
20.6668, 1, 0, 0, 0.722688,0.00273858) , 
0.0480951, 1, 4, 0, 0.739401,1.59054e-05)    );
  // itree = 441
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525399,0.00742339) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.682507,0.0216386) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.397306,-0.00364272) , 
0.0758867, 0, 5, 0, 0.505486,0.0349498) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.352996,0.011268) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0476004,-0.00144941) , 
3.66568, 0, 3, 0, 0.0538485,-0.000701443) , 
-24.4151, 1, 3, 0, 0.0579508,-0.000377621) , 
59.8632, 0, 3, 0, 0.0609877,-8.79139e-05)    );
  // itree = 442
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.533825,0.0118453) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19492,0.000381518) , 
-6.77394, 1, 2, 0, 0.211627,0.00145911) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.214286,0.00165522) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235404,0.00112061) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.188536,-0.00103549) , 
39.1849, 0, 1, 0, 0.188873,-0.00209085) , 
82.101, 0, 1, 0, 0.189052,-0.00252826) , 
0.0482137, 0, 4, 0, 0.19961,-0.000663453)    );
  // itree = 443
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.872202,0.000607013) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.762893,-0.00294206) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55087,0.0039188) , 
0.0461082, 0, 7, 0, 0.72794,-0.00360449) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40466,0.00196198) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.402548,-0.00442189) , 
0.000755662, 1, 7, 0, 0.403957,0.00903795) , 
0.0158729, 0, 7, 0, 0.564967,0.00275501) , 
0.333333, 0, 7, 0, 0.738807,-4.77877e-05)    );
  // itree = 444
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529915,-0.0046791) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.777279,0.0189498) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.37998,-0.00217652) , 
0.0803561, 0, 4, 0, 0.481157,0.020241) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0541651,0.000473458) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0400841,-0.00381763) , 
0.0919003, 1, 5, 0, 0.0507917,-0.000555271) , 
16.0199, 0, 1, 0, 0.0561738,-0.000295196) , 
65.069, 0, 1, 0, 0.0603583,-0.000536937)    );
  // itree = 445
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.275125,0.00121729) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462188,0.0165759) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.28679,-0.00577331) , 
0.00453387, 1, 7, 0, 0.340856,-0.0121614) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0964915,-0.00263653) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0422142,-0.0201897) , 
0.325504, 1, 4, 0, 0.0946693,-0.00249417) , 
0.0476189, 1, 7, 0, 0.105152,-0.00290579) , 
0.38095, 1, 6, 0, 0.199211,-0.000245771)    );
  // itree = 446
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.874197,0.000801423) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.779588,-0.00270864) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.570601,0.00351092) , 
0.0526941, 0, 7, 0, 0.747936,-0.00310249) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4138,-0.00350854) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.40443,0.00174735) , 
0.000863823, 0, 7, 0, 0.407525,0.00715727) , 
0.0181404, 0, 7, 0, 0.585901,0.00178113) , 
0.380952, 0, 7, 0, 0.739479,-0.000451817)    );
  // itree = 447
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.319336,0.00951246) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.704031,0.00632897) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.281466,-0.0183176) , 
0.038445, 0, 5, 0, 0.516426,-0.0280618) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475172,0.00294056) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0500559,-0.000522243) , 
16.0199, 0, 1, 0, 0.0551033,-0.000476567) , 
65.069, 0, 1, 0, 0.0586764,-0.000690224) , 
-112.438, 1, 2, 0, 0.0604941,-0.000401444)    );
  // itree = 448
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.275535,-0.00253264) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.237349,-0.000588818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.205282,0.000338956) , 
193.908, 0, 0, 0, 0.205513,-0.000210816) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.193493,0.0035301) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.134014,-0.00676011) , 
0.041742, 0, 4, 0, 0.172492,-0.00641072) , 
0.0913186, 1, 5, 0, 0.197556,-0.00170471) , 
5.96452, 0, 1, 0, 0.200021,-0.000572614)    );
  // itree = 449
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.761533,0.000996156) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.426905,0.00724254) , 
22.7987, 1, 1, 0, 0.75503,-0.00292954) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.786814,0.00137282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156326,-0.023102) , 
9.71079, 1, 0, 0, 0.728532,3.41442e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.148826,-0.0155432) , 
162.011, 1, 0, 0, 0.722299,0.00139319) , 
0.0482137, 1, 4, 0, 0.739703,-0.000905287)    );
  // itree = 450
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.722826,0.0331817) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.229435,-0.000500789) , 
0.0784313, 0, 4, 0, 0.339443,0.0349299) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463683,-0.0113665) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.292695,0.0178519) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0407291,-0.00383235) , 
2.5101, 0, 1, 0, 0.0534636,-0.000690553) , 
50.8865, 0, 1, 0, 0.055968,-0.00111834) , 
161.737, 0, 0, 0, 0.0603839,-0.00055678)    );
  // itree = 451
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.288317,-0.00357806) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199021,0.000290647) , 
-1.91986, 1, 1, 0, 0.200076,-0.000146913) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.256329,0.0100538) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.187942,-0.00593897) , 
0.0170603, 1, 4, 0, 0.213265,-0.0630789) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0916442,-0.0206849) , 
0.0861935, 1, 4, 0, 0.181881,-0.0241686) , 
37.8173, 1, 1, 0, 0.199829,-0.000472787)    );
  // itree = 452
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754162,0.00106995) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.761588,-0.000140271) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174784,-0.0255484) , 
-6.77394, 0, 2, 0, 0.737613,0.000800914) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.105777,0.0060967) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0255668,-0.0208637) , 
0.109888, 1, 4, 0, 0.0699029,0.0732951) , 
8.04907, 1, 1, 0, 0.721952,0.00250132) , 
0.0481996, 1, 4, 0, 0.739099,-0.000113752)    );
  // itree = 453
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.53824,0.00594459) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.676279,0.00431164) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.284149,-0.0150372) , 
0.0355687, 0, 5, 0, 0.508887,-0.0225887) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.3888,0.0140073) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0452692,-0.00187536) , 
4.16027, 0, 1, 0, 0.054002,-0.00041823) , 
52.661, 0, 1, 0, 0.0574657,-0.000587046) , 
-41.067, 1, 3, 0, 0.0606093,-0.000353639)    );
  // itree = 454
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.255487,-0.00887745) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.293264,-0.00276465) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199068,0.000421504) , 
10.4028, 0, 1, 0, 0.200405,-0.000330963) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208146,0.00106733) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.120222,-0.0160647) , 
0.0699548, 1, 5, 0, 0.1774,-0.0324746) , 
52.1134, 1, 1, 0, 0.200181,-0.000644863) , 
-129.13, 1, 2, 0, 0.200496,-0.000389054)    );
  // itree = 455
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.758786,0.000355594) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.213109,-0.019623) , 
4.18643, 1, 1, 0, 0.743669,9.3578e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.540903,0.0142919) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.302533,0.0152377) , 
0.0237419, 1, 5, 0, 0.419937,-0.0786657) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.116293,0.00626754) , 
0.06827, 1, 5, 0, 0.309272,-0.023515) , 
52.661, 1, 1, 0, 0.739018,-0.000159211)    );
  // itree = 456
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.518806,0.0044613) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0785628,0.000871168) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.06906,-0.00231455) , 
0.0901093, 1, 5, 0, 0.0762893,0.000368195) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0694944,0.00914887) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0176026,-0.00602526) , 
9.25044, 0, 0, 0, 0.0191228,-0.00326566) , 
0.523792, 1, 6, 0, 0.0569065,-0.000863896) , 
-33.1814, 1, 3, 0, 0.0604164,-0.000658795)    );
  // itree = 457
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.242718,0.00728583) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16539,-0.0159479) , 
0.0477276, 1, 4, 0, 0.217273,0.0309912) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.359551,-0.00163399) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.293009,-0.00155166) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196878,0.000369821) , 
6.59609, 0, 1, 0, 0.19935,-0.00130269) , 
-2.60354, 1, 1, 0, 0.200303,-0.000971764) , 
193.908, 0, 0, 0, 0.200493,-0.000612943)    );
  // itree = 458
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.877396,0.00127038) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.61418,-0.000828926) , 
0.428571, 0, 7, 0, 0.747372,-0.000319934) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520941,0.0112231) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.114746,0.0153786) , 
0.0356132, 1, 4, 0, 0.352441,-0.0557132) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0822864,-0.00372243) , 
0.105336, 1, 5, 0, 0.286568,-0.0193255) , 
30.5689, 1, 1, 0, 0.740258,-0.000613359)    );
  // itree = 459
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.532723,-0.00306966) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.166971,0.0198088) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.109467,0.000158206) , 
0.0858879, 0, 5, 0, 0.135212,0.0240661) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379856,0.0175432) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0436519,-0.00237772) , 
3.76195, 0, 1, 0, 0.0531681,-0.00030724) , 
-1.91307, 1, 1, 0, 0.0541297,-2.15901e-05) , 
37.8173, 0, 1, 0, 0.0606733,-0.000269641)    );
  // itree = 460
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.279148,-0.000495951) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.22342,-0.0117552) , 
0.158999, 1, 5, 0, 0.271188,0.0201932) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.20445,0.000514225) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.157513,-0.00201859) , 
0.135546, 1, 5, 0, 0.197538,-0.00132423) , 
8.04907, 0, 1, 0, 0.199245,-0.000825519) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.191679,-0.0104168) , 
59.8632, 1, 3, 0, 0.199197,-0.000515098)    );
  // itree = 461
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.876519,0.000945057) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.613649,-0.000653044) , 
0.428571, 0, 7, 0, 0.746526,-0.000325532) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.535811,0.0126262) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.115081,0.0172972) , 
0.0360736, 1, 4, 0, 0.357334,-0.0616086) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0786934,-0.00390885) , 
0.112778, 1, 5, 0, 0.292988,-0.0250027) , 
36.9498, 1, 1, 0, 0.740277,-0.000665573)    );
  // itree = 462
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.528158,-0.00352372) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467749,0.00194581) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.370131,0.0217335) , 
15.7234, 0, 1, 0, 0.408452,0.0729063) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.142632,0.0170902) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0456315,-0.0014521) , 
194.453, 0, 2, 0, 0.0460844,-0.00165352) , 
4.18643, 0, 1, 0, 0.0560041,0.000387524) , 
52.661, 0, 1, 0, 0.0609809,0.000166478)    );
  // itree = 463
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235044,0.00261834) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19774,-0.0129209) , 
0.0433116, 1, 4, 0, 0.221899,0.0263231) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388382,0.000773188) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.181271,6.56582e-05) , 
14.4859, 0, 0, 0, 0.199439,-0.000471331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.191035,-0.00426293) , 
64.3503, 1, 1, 0, 0.199401,-0.000783554) , 
161.737, 0, 0, 0, 0.199748,-0.000365171)    );
  // itree = 464
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.757263,0.00030603) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.377292,-0.00214601) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0955497,-0.0240483) , 
0.108391, 1, 5, 0, 0.334168,0.00764753) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0682881,-0.00990629) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0198498,-0.0282247) , 
0.133395, 1, 4, 0, 0.0457271,0.0989927) , 
0.0703974, 1, 4, 0, 0.251627,0.0337872) , 
5.40985, 1, 1, 0, 0.74053,-0.000495837)    );
  // itree = 465
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.662437,0.0255923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.165866,-0.00511199) , 
0.0479528, 0, 4, 0, 0.332411,0.0280623) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.279534,0.0160389) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49601,-0.00770575) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0534611,-0.00020078) , 
45.6865, 0, 1, 0, 0.0567941,-0.000630011) , 
179.118, 0, 2, 0, 0.0577553,-0.000363481) , 
193.908, 0, 0, 0, 0.06081,-4.73299e-05)    );
  // itree = 466
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.353913,0.000378778) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111704,4.35448e-05) , 
0.238095, 1, 7, 0, 0.200492,0.000255062) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.239249,0.00473064) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.148885,-0.0109426) , 
0.0359708, 1, 4, 0, 0.201923,-0.0522806) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.128954,-0.0158849) , 
0.104434, 1, 5, 0, 0.183846,-0.0190452) , 
30.5689, 1, 1, 0, 0.200231,-4.73762e-05)    );
  // itree = 467
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.76005,0.000534195) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.213408,-0.0190938) , 
4.18643, 1, 1, 0, 0.744998,-0.000325321) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.538625,0.0132532) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.296475,0.0139707) , 
0.0237583, 1, 5, 0, 0.416025,-0.0780766) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110526,0.00447823) , 
0.0697548, 1, 5, 0, 0.301664,-0.024824) , 
52.661, 1, 1, 0, 0.740226,-0.000589016)    );
  // itree = 468
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51572,-0.0027009) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.158824,0.00268533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0519471,-0.00492563) , 
0.00453512, 1, 6, 0, 0.116701,0.00268754) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0228839,-0.00116461) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0177312,-0.00673286) , 
0.0935302, 1, 4, 0, 0.0215013,-0.0017442) , 
0.0952378, 1, 6, 0, 0.0521651,-0.000316744) , 
24.07, 0, 1, 0, 0.0602768,-0.000595502)    );
  // itree = 469
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.269754,-0.00716151) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.286204,0.0008604) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102476,-0.000737434) , 
0.47619, 1, 7, 0, 0.200125,-0.000911503) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224947,0.0062194) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.137428,-0.0116346) , 
0.0326338, 1, 5, 0, 0.174731,-0.0274517) , 
65.069, 1, 1, 0, 0.199923,-0.00112273) , 
-112.438, 1, 2, 0, 0.200432,-0.000907551)    );
  // itree = 470
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.763212,0.0062056) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.750353,-0.00158731) , 
0.0141034, 1, 4, 0, 0.754524,-0.00219231) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.776235,0.000519437) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.165283,-0.0177641) , 
14.3272, 1, 0, 0, 0.729351,0.00061623) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.152542,-0.0154214) , 
168.085, 1, 0, 0, 0.723515,0.00182705) , 
0.0480951, 1, 4, 0, 0.740008,-0.000310757)    );
  // itree = 471
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417472,0.00620902) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.689093,0.0184674) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.39186,0.000902728) , 
0.110682, 0, 5, 0, 0.456448,0.0288788) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0484808,-0.000349964) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0297014,-0.00767346) , 
0.13785, 1, 5, 0, 0.0457897,-0.00151567) , 
8.04907, 0, 1, 0, 0.0522368,-0.0010385) , 
4.52221, 0, 3, 0, 0.0607122,-0.000205448)    );
  // itree = 472
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381862,-3.36183e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.117591,-4.30554e-05) , 
0.142857, 1, 7, 0, 0.198846,4.66126e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.252255,0.00717192) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.157447,-0.00875627) , 
0.0359708, 1, 4, 0, 0.212127,-0.0580714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113503,-0.0185007) , 
0.112985, 1, 5, 0, 0.188974,-0.0237127) , 
30.5689, 1, 1, 0, 0.198694,-0.000319926)    );
  // itree = 473
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.783866,0.00139246) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.736599,-0.000514002) , 
0.0919003, 0, 5, 0, 0.747953,-0.000406496) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.422915,0.0124407) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0338733,-0.00469716) , 
0.0804701, 1, 4, 0, 0.33639,-0.0535986) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0657596,-0.0108956) , 
0.139924, 1, 5, 0, 0.288195,-0.0255073) , 
24.07, 1, 1, 0, 0.739872,-0.000847636)    );
  // itree = 474
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338696,0.00665168) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.794872,0.00993029) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.360742,-0.0096887) , 
0.0624124, 0, 4, 0, 0.504809,-0.0236296) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.185347,0.00209448) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0458464,-0.000461586) , 
42.0542, 0, 0, 0, 0.0517063,-0.000198206) , 
24.7217, 0, 1, 0, 0.0575562,-0.000500722) , 
193.908, 0, 0, 0, 0.060774,-0.000189452)    );
  // itree = 475
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211837,0.00117256) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250377,0.0107911) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.205723,-0.00342953) , 
0.0142795, 1, 4, 0, 0.223382,-0.0561057) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199427,6.81521e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.143326,-0.00518237) , 
0.0919003, 1, 5, 0, 0.1893,-0.00145386) , 
37.8173, 0, 1, 0, 0.189809,-0.00227022) , 
0.0479877, 0, 4, 0, 0.200155,-0.000202242)    );
  // itree = 476
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749034,-0.000217739) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.296847,0.014489) , 
24.2319, 1, 1, 0, 0.743006,-0.000543361) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.662838,-0.000563911) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.568065,-0.00241048) , 
0.0145012, 1, 4, 0, 0.617471,-0.025408) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.206149,-0.012593) , 
0.0356534, 1, 4, 0, 0.448269,0.0265118) , 
191.516, 1, 0, 0, 0.73965,-0.000235293)    );
  // itree = 477
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.522581,-0.00427331) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.071341,0.00134961) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.019296,-0.00456941) , 
0.571427, 1, 6, 0, 0.0555823,0.000753959) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0486353,-0.000688832) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0288096,-0.0121398) , 
0.0400626, 0, 4, 0, 0.0421111,-0.00491566) , 
0.135546, 1, 5, 0, 0.0535927,-8.33733e-05) , 
33.6558, 0, 1, 0, 0.0604621,-0.000448275)    );
  // itree = 478
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235172,-0.000112961) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199646,0.00019456) , 
223.688, 0, 0, 0, 0.199852,5.33139e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.244371,0.00758251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.207378,-0.00309227) , 
0.0144096, 1, 4, 0, 0.219739,-0.0552066) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106529,-0.0169361) , 
0.0707487, 1, 4, 0, 0.184564,-0.0199005) , 
30.5689, 1, 1, 0, 0.199615,-0.000255969)    );
  // itree = 479
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75963,0.000468109) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208344,-0.0191417) , 
4.18643, 1, 1, 0, 0.744418,0.000193672) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.557428,0.0107857) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.271589,0.00900987) , 
0.0330027, 1, 5, 0, 0.418403,-0.0687776) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.053939,0.0184352) , 
0.0707487, 1, 4, 0, 0.304991,-0.0266294) , 
52.661, 1, 1, 0, 0.739717,-9.33167e-05)    );
  // itree = 480
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529695,-0.00362399) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379068,0.0104219) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0757118,-0.000345034) , 
4.52221, 0, 3, 0, 0.0844765,0.00104908) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.034147,-0.00701599) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0174914,-0.00293413) , 
0.0476189, 1, 6, 0, 0.0187136,-0.00215602) , 
0.47619, 1, 7, 0, 0.0535875,-0.000456369) , 
36.9498, 0, 1, 0, 0.0601259,-0.000739691)    );
  // itree = 481
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.228261,0.00787203) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205698,-0.00329948) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.384513,0.00189896) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.177769,-0.000193479) , 
11.7229, 0, 0, 0, 0.199607,-0.00105456) , 
218.956, 0, 0, 0, 0.199642,-0.0006926) , 
400.437, 0, 0, 0, 0.199741,-0.000887274)    );
  // itree = 482
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.784106,0.000613065) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.383376,-0.00498826) , 
11.4863, 1, 0, 0, 0.743965,-0.00039254) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.574813,0.00240391) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.137833,-0.0161209) , 
0.043473, 1, 4, 0, 0.401732,0.0371548) , 
158.237, 1, 0, 0, 0.739654,8.04166e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.614314,0.00450011) , 
400.437, 1, 0, 0, 0.739207,-5.9316e-05)    );
  // itree = 483
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338189,0.00777223) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513991,-0.00415196) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.447777,0.0151038) , 
25.4908, 0, 1, 0, 0.477603,0.0391485) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478238,-0.00908006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0503446,-0.00050449) , 
44.4276, 0, 1, 0, 0.0523449,-0.000928487) , 
12.5254, 0, 3, 0, 0.0575912,-0.000434062) , 
193.908, 0, 0, 0, 0.06078,-7.34456e-05)    );
  // itree = 484
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232859,0.000877533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0908865,-0.0038582) , 
0.761893, 1, 7, 0, 0.19998,-0.000125536) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.249144,0.00750417) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.139148,-0.010869) , 
0.0360026, 1, 4, 0, 0.202634,-0.0574941) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0955882,-0.0202746) , 
0.112778, 1, 5, 0, 0.178022,-0.0246736) , 
36.9498, 1, 1, 0, 0.199673,-0.0004686)    );
  // itree = 485
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754706,-1.0865e-06) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.627176,0.00795268) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.396332,0.000142913) , 
0.0187186, 1, 4, 0, 0.499748,0.00317017) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127385,-0.0154289) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.081388,-0.0332464) , 
0.037379, 0, 5, 0, 0.107579,0.100204) , 
0.093989, 1, 4, 0, 0.426033,0.0214096) , 
23.7041, 1, 2, 0, 0.739509,-0.000774233)    );
  // itree = 486
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.531809,-0.00303534) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386296,0.0104421) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0804814,6.18799e-05) , 
4.52221, 0, 3, 0, 0.0899117,0.00196927) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0197465,-0.0023183) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0124463,-0.0105998) , 
0.185586, 1, 4, 0, 0.0189686,-0.0018825) , 
0.428571, 1, 7, 0, 0.0539712,1.79257e-05) , 
36.9498, 0, 1, 0, 0.0605251,-0.0002233)    );
  // itree = 487
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.408299,0.00667278) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169851,-0.00470233) , 
52.661, 1, 1, 0, 0.351428,0.0351345) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.262735,-0.00976955) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.28069,-0.000659918) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195067,0.000188563) , 
8.04907, 0, 1, 0, 0.196356,-0.00147378) , 
-129.13, 1, 2, 0, 0.196655,-0.00122872) , 
4.49505, 0, 3, 0, 0.200263,-0.000381101)    );
  // itree = 488
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749972,9.16184e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.290833,0.0114539) , 
22.7397, 1, 1, 0, 0.743671,-0.00126685) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.6622,0.00039821) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538635,-0.00255263) , 
0.0175578, 1, 4, 0, 0.609475,-0.0192477) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.160165,-0.0144603) , 
0.0436981, 1, 4, 0, 0.45162,0.0259875) , 
191.516, 1, 0, 0, 0.740351,-0.000957076)    );
  // itree = 489
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.249759,0.00364268) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.681586,0.0129022) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.353571,-6.87388e-05) , 
0.066931, 0, 4, 0, 0.458448,0.0246796) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0453517,-0.000663466) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0298228,-0.00649402) , 
0.136978, 1, 5, 0, 0.0430721,-0.00164858) , 
5.80986, 0, 1, 0, 0.0512662,-0.0011292) , 
23.7041, 0, 2, 0, 0.0605166,-0.000357947)    );
  // itree = 490
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.233209,-0.00328833) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247633,-0.00276039) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.164199,-0.0171802) , 
0.0408203, 1, 4, 0, 0.204267,0.0418143) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.410904,0.00814064) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196331,-3.12322e-05) , 
5.50405, 0, 3, 0, 0.19904,-0.000728128) , 
45.2955, 0, 3, 0, 0.199076,-0.000438415) , 
163.984, 0, 2, 0, 0.199401,-0.000192718)    );
  // itree = 491
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746583,-8.52848e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.314509,0.0139928) , 
46.348, 1, 1, 0, 0.743148,-0.0007674) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.653169,-0.00247378) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536337,-0.00417311) , 
0.0171464, 1, 4, 0, 0.600974,-0.0216935) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.175864,-0.0119324) , 
0.0433116, 1, 4, 0, 0.452738,0.0235188) , 
193.908, 1, 0, 0, 0.739905,-0.000496176)    );
  // itree = 492
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.581854,0.0166348) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.395916,0.00501206) , 
0.149559, 0, 5, 0, 0.424639,0.0383647) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.542282,0.00378097) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235797,0.0102055) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0445643,-0.00159982) , 
-2.8156, 1, 3, 0, 0.0492952,-0.00100565) , 
-46.673, 1, 3, 0, 0.0521981,-0.000871357) , 
4.49505, 0, 3, 0, 0.0608563,4.07623e-05)    );
  // itree = 493
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.251209,0.0012988) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102149,-0.00315872) , 
0.523799, 1, 6, 0, 0.200222,-0.000184647) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.230081,0.00334848) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123239,-0.0127527) , 
0.0564683, 1, 4, 0, 0.198281,-0.0510737) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.113311,-0.0164857) , 
0.112778, 1, 5, 0, 0.178319,-0.0203608) , 
33.6558, 1, 1, 0, 0.1999,-0.000481489)    );
  // itree = 494
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747879,-0.000160914) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.568449,-0.00160352) , 
-1.91307, 0, 1, 0, 0.745759,0.000140224) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.523274,0.00765518) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.120153,0.0169508) , 
0.0356132, 1, 4, 0, 0.355863,-0.0549087) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0818841,-0.00308738) , 
0.112992, 1, 5, 0, 0.290551,-0.0197276) , 
37.8173, 1, 1, 0, 0.73954,-0.00013121)    );
  // itree = 495
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.800683,0.00639198) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.238705,-0.0133059) , 
0.0362644, 0, 4, 0, 0.533477,-0.0215653) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231884,0.0136037) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.10419,0.00496496) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0378176,-0.00381073) , 
1.13727, 0, 1, 0, 0.0566613,-0.000285853) , 
-2.95338, 1, 1, 0, 0.057523,-1.33264e-05) , 
82.9368, 0, 1, 0, 0.0606603,-0.000155389)    );
  // itree = 496
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208162,0.000389027) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174822,-0.000214863) , 
0.0913186, 1, 5, 0, 0.200126,-0.000108065) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.253189,0.00583998) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.167897,-0.00688036) , 
0.0356132, 1, 4, 0, 0.218326,-0.0497316) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.137344,-0.01347) , 
0.105154, 1, 5, 0, 0.198132,-0.018999) , 
25.863, 1, 1, 0, 0.200093,-0.000422976)    );
  // itree = 497
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754684,0.00108458) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.767504,-9.53396e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18025,-0.00928968) , 
36.7279, 1, 0, 0, 0.74983,-0.000686054) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.173122,-0.017879) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0495266,-0.0382773) , 
0.225099, 1, 4, 0, 0.155367,0.0651596) , 
12.2488, 1, 2, 0, 0.721181,0.00248733) , 
0.0480951, 1, 4, 0, 0.738985,0.000102577)    );
  // itree = 498
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521111,-0.00282876) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.163226,0.00260377) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0412059,-0.00315814) , 
0.0136052, 1, 7, 0, 0.103721,0.00298649) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.021481,-0.000739223) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0167708,-0.0055436) , 
0.761903, 1, 7, 0, 0.0196798,-0.00153727) , 
0.285714, 1, 7, 0, 0.0528035,0.000245704) , 
25.863, 0, 1, 0, 0.0606088,-3.48568e-05)    );
  // itree = 499
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.321564,0.00471828) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.320344,0.00132895) , 
0.104629, 1, 5, 0, 0.321236,0.03994) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393726,0.00789105) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193813,-0.000207132) , 
3.78076, 0, 3, 0, 0.198385,-0.000848365) , 
-6.8836, 1, 3, 0, 0.200271,-0.000222241) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174531,-0.00927864) , 
105.047, 1, 3, 0, 0.200177,-7.45547e-05)    );
  // itree = 500
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.748696,-0.000136937) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.298846,0.0118237) , 
25.4908, 1, 1, 0, 0.742918,-0.000540217) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.666029,-2.60422e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536316,-0.00521907) , 
0.0151534, 1, 4, 0, 0.601736,-0.016051) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16472,-0.0138055) , 
0.0433116, 1, 4, 0, 0.44661,0.0252647) , 
193.908, 1, 0, 0, 0.73954,-0.000246117)    );
  // itree = 501
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0661402,0.000870688) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491766,9.14611e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1996,-0.0169965) , 
0.0356793, 0, 5, 0, 0.316642,-0.0593584) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0577804,0.00125406) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0390668,-0.00614785) , 
0.0456593, 1, 5, 0, 0.0509361,-0.00154236) , 
37.8173, 0, 1, 0, 0.0548857,-0.00240178) , 
0.0480951, 0, 4, 0, 0.0601661,-0.000691649)    );
  // itree = 502
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.323825,6.68223e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.10786,0.000300915) , 
0.333331, 1, 7, 0, 0.200109,-0.00012053) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247552,0.00981973) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18462,-0.00504808) , 
0.0206297, 1, 5, 0, 0.208445,-0.0436923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126266,-0.0135976) , 
0.10513, 1, 5, 0, 0.187328,-0.0166324) , 
30.5689, 1, 1, 0, 0.199912,-0.000375551)    );
  // itree = 503
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754414,0.000936931) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753546,-0.00294754) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.751356,0.00400758) , 
0.0436877, 0, 5, 0, 0.752596,-0.000901474) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.176694,-0.0189298) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0632985,-0.0369917) , 
0.212362, 1, 4, 0, 0.156425,0.0471516) , 
-6.99833, 0, 2, 0, 0.723713,0.00142657) , 
0.0480951, 1, 4, 0, 0.740015,-0.000176217)    );
  // itree = 504
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0668643,0.00121992) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486738,-0.00027289) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198901,-0.0160134) , 
0.0351062, 0, 5, 0, 0.317138,-0.0549357) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0582903,0.00152461) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0387069,-0.00633359) , 
0.0456593, 1, 5, 0, 0.0511228,-0.00136133) , 
37.8173, 0, 1, 0, 0.0551333,-0.00216904) , 
0.0482983, 0, 4, 0, 0.0606156,-0.000338777)    );
  // itree = 505
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.274395,-0.0116944) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.248201,-0.00458874) , 
0.0426403, 0, 4, 0, 0.25998,0.0322978) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.37588,0.00543686) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196307,9.36502e-05) , 
5.6813, 0, 3, 0, 0.199108,-0.000808006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.186515,-0.00807885) , 
89.4555, 1, 3, 0, 0.19906,-0.00064295) , 
-112.438, 1, 2, 0, 0.199496,-0.000407233)    );
  // itree = 506
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.878824,0.00123242) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.627629,-0.00090378) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.32605,0.0163599) , 
52.983, 1, 1, 0, 0.62445,0.000780373) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.532024,0.00327038) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125241,-0.00965959) , 
0.0477276, 1, 4, 0, 0.375232,0.0285306) , 
161.737, 1, 0, 0, 0.618532,0.00143938) , 
0.47619, 0, 7, 0, 0.739196,-0.000170538)    );
  // itree = 507
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0755263,0.000283194) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0199481,-0.00325689) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00720288,-0.0201513) , 
0.316273, 1, 5, 0, 0.0195701,-0.00229671) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0419821,-0.0101027) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0137105,-0.00969719) , 
0.0952365, 1, 7, 0, 0.0151736,-0.00595153) , 
0.891152, 1, 6, 0, 0.0184714,-0.00321012) , 
0.619044, 1, 6, 0, 0.0604034,-0.000489919)    );
  // itree = 508
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.266667,0.0128977) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.221857,-0.00805073) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.202427,-0.00274231) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19933,7.48481e-05) , 
243.203, 0, 0, 0, 0.199344,-0.000449812) , 
170.533, 0, 2, 0, 0.199474,-0.000114605) , 
379.9, 0, 2, 0, 0.19969,-0.00022724)    );
  // itree = 509
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.757938,0.000212989) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.272686,-0.00377155) , 
8.04907, 1, 1, 0, 0.75023,-0.000823435) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210706,-0.0273466) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208062,-0.00782697) , 
2.63036, 1, 1, 0, 0.208743,0.0393561) , 
5.6813, 1, 3, 0, 0.741462,-0.000172818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.284813,0.00199709) , 
89.4555, 1, 3, 0, 0.739407,3.59373e-05)    );
  // itree = 510
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248915,0.0130892) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.666447,0.0226071) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17931,-0.00286159) , 
0.0477276, 0, 4, 0, 0.331823,0.0254718) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.448988,0.00444067) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0458601,-0.00086716) , 
5.64288, 0, 1, 0, 0.057017,-0.000332559) , 
191.516, 0, 0, 0, 0.0601861,-3.4978e-05) , 
-3.32186, 1, 1, 0, 0.0610092,0.000213155)    );
  // itree = 511
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.345272,0.00387238) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243966,-0.00815939) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.163583,0.00811359) , 
0.0475908, 1, 7, 0, 0.206311,0.0317685) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.395251,0.0025104) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185436,-0.000320968) , 
11.6864, 0, 2, 0, 0.19598,-0.00134369) , 
223.688, 0, 0, 0, 0.196052,-0.00111275) , 
4.49505, 0, 3, 0, 0.199526,-0.00023572)    );
  // itree = 512
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.758526,-3.06573e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.445774,-0.00108315) , 
23.7041, 1, 2, 0, 0.746017,-5.3286e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.526563,0.00716018) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125416,0.0168878) , 
0.0356132, 1, 4, 0, 0.360844,-0.0463676) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0917241,0.000479601) , 
0.104427, 1, 5, 0, 0.293703,-0.0199068) , 
37.8173, 1, 1, 0, 0.73981,-0.000325721)    );
  // itree = 513
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.365178,0.0112331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0511948,-0.00122588) , 
12.2488, 0, 2, 0, 0.0660244,0.00107844) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313036,-0.00767233) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.058523,0.000982108) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0407182,-0.00577432) , 
0.0459501, 1, 5, 0, 0.0520537,-0.00162173) , 
57.734, 0, 1, 0, 0.0548917,-0.00212158) , 
0.0480951, 0, 4, 0, 0.0601105,-0.000621463)    );
  // itree = 514
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.2722,-0.0060044) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199745,0.0086233) , 
0.0951245, 1, 7, 0, 0.23769,0.0276942) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199544,0.000170281) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.180864,-0.00411308) , 
62.1682, 1, 1, 0, 0.199433,-0.000717422) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195644,-0.00515245) , 
211.087, 1, 0, 0, 0.19941,-0.000383983) , 
186.119, 0, 2, 0, 0.199708,-0.000165568)    );
  // itree = 515
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753464,0.000697013) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.7971,0.00680555) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.790151,-0.0020964) , 
0.0441732, 1, 5, 0, 0.793197,-0.00430905) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.193319,-0.0171191) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0655159,-0.0361373) , 
0.136595, 1, 4, 0, 0.149107,0.047338) , 
7.94613, 1, 0, 0, 0.721459,0.00144336) , 
0.0480951, 1, 4, 0, 0.738465,-0.000331596)    );
  // itree = 516
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0671217,0.00143269) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489159,0.00212165) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208639,-0.0139785) , 
0.0350797, 0, 5, 0, 0.32694,-0.0396125) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0574813,0.00180929) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0373239,-0.00554114) , 
0.0450402, 1, 5, 0, 0.0500669,-0.000699144) , 
22.7987, 0, 1, 0, 0.0555693,-0.00147249) , 
0.0482131, 0, 4, 0, 0.0609656,0.000172675)    );
  // itree = 517
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386214,0.00431764) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195332,9.04648e-05) , 
4.18643, 0, 1, 0, 0.200409,-0.000442225) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213181,0.00291692) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111271,-0.0149791) , 
0.0703613, 1, 5, 0, 0.176318,-0.0253328) , 
52.661, 1, 1, 0, 0.200189,-0.000669549) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17643,-0.00786732) , 
-80.4128, 0, 3, 0, 0.200109,-0.000529173)    );
  // itree = 518
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744596,-4.46998e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.352763,0.0169036) , 
79.7009, 1, 1, 0, 0.743052,-0.000217317) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.666914,0.000211159) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.564117,-0.00243488) , 
0.0131302, 1, 4, 0, 0.608445,-0.019743) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.160798,-0.0146067) , 
0.0433116, 1, 4, 0, 0.450518,0.0234219) , 
193.908, 1, 0, 0, 0.73971,5.27252e-05)    );
  // itree = 519
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490843,0.00175997) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0642972,0.00100672) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0179386,-0.00397292) , 
0.714279, 1, 7, 0, 0.0514482,0.000544068) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.039804,-0.00177986) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.021933,-0.0142467) , 
0.0386631, 0, 4, 0, 0.0341732,-0.00570303) , 
0.135771, 1, 5, 0, 0.0489099,-0.000373841) , 
9.05078, 0, 1, 0, 0.06072,-8.58415e-05)    );
  // itree = 520
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.32816,-0.00105918) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199908,0.000177928) , 
-33.1542, 1, 3, 0, 0.200324,-0.00039227) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.24791,0.00638) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14499,-0.00876266) , 
0.0359547, 1, 4, 0, 0.203646,-0.0437385) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.11642,-0.0141984) , 
0.112778, 1, 5, 0, 0.183114,-0.0182058) , 
32.3412, 1, 1, 0, 0.200068,-0.000658052)    );
  // itree = 521
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.760031,0.0047262) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.751714,-0.00162752) , 
0.0163695, 1, 4, 0, 0.754961,-0.00188495) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.775584,0.000310617) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.162144,-0.0163794) , 
14.3386, 1, 0, 0, 0.728296,0.000138058) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.148649,-0.00942175) , 
168.085, 1, 0, 0, 0.722233,0.00107986) , 
0.0480951, 1, 4, 0, 0.739629,-0.000496015)    );
  // itree = 522
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.642404,0.0153922) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.39954,-0.000158922) , 
0.0799399, 0, 5, 0, 0.477255,0.0287737) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.519866,-0.00549289) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220716,0.0153251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0402819,-0.00334594) , 
2.21524, 0, 1, 0, 0.0510523,-0.000544518) , 
43.5083, 0, 1, 0, 0.0540818,-0.000741531) , 
11.8425, 0, 3, 0, 0.0604794,-0.000295317)    );
  // itree = 523
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210933,0.000876367) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.33367,0.00125537) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.114163,0.00201117) , 
0.238091, 1, 7, 0, 0.193376,0.00162065) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.297747,-0.00946227) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.12711,0.00162146) , 
0.0476169, 1, 6, 0, 0.18319,-0.00689949) , 
0.0163695, 0, 4, 0, 0.189401,-0.00170387) , 
0.0480951, 0, 4, 0, 0.199487,-0.000572533)    );
  // itree = 524
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.878731,0.00345593) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.708856,-0.00174882) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.70708,-0.00126907) , 
0.0959288, 1, 4, 0, 0.708381,-2.31539e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46829,0.00730165) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0937906,-0.0232369) , 
0.0937197, 1, 4, 0, 0.383965,0.0103066) , 
22.2302, 1, 0, 0, 0.66884,0.00123586) , 
0.523808, 0, 6, 0, 0.73972,-1.20418e-05)    );
  // itree = 525
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.176552,-0.0112011) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.287906,0.01472) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213978,0.00482092) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0328104,-0.00380278) , 
5.62551, 0, 0, 0, 0.0583572,-0.000743591) , 
179.118, 0, 2, 0, 0.0598446,-0.000380762) , 
400.437, 0, 0, 0, 0.0602438,-0.000511351)    );
  // itree = 526
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.225,-0.00126027) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.200283,0.000196587) , 
23.6294, 0, 1, 0, 0.20056,-0.000452818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176166,-0.000480267) , 
101.591, 1, 1, 0, 0.20046,-0.000544608) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.178794,-0.00703524) , 
-80.4128, 0, 3, 0, 0.200386,-0.000384127)    );
  // itree = 527
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.880962,0.00378432) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.691134,-0.000705851) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.359459,0.00676852) , 
54.7593, 1, 1, 0, 0.686314,-0.000340614) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.6696,-0.00231102) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106201,-0.0195826) , 
68.6302, 1, 2, 0, 0.6586,0.00381431) , 
0.0957875, 1, 4, 0, 0.679051,0.000748347) , 
0.571415, 0, 6, 0, 0.739816,-0.000288559)    );
  // itree = 528
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0693657,0.000539241) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0638076,-0.00185046) , 
0.136978, 1, 5, 0, 0.0685446,0.000385778) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0562681,-0.00837289) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0171797,-0.00133482) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0158993,-0.00730537) , 
0.0430177, 0, 5, 0, 0.0165201,-0.00256936) , 
0.0476183, 1, 7, 0, 0.0179539,-0.00303927) , 
0.761903, 1, 6, 0, 0.0605536,-0.000155226)    );
  // itree = 529
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231284,0.000545743) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.30106,0.00485372) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19019,-0.00516725) , 
0.00226677, 1, 6, 0, 0.214665,-0.00990987) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0867699,-0.00239463) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0585755,-0.010026) , 
0.184958, 1, 4, 0, 0.0840382,-0.0018894) , 
0.0476174, 1, 6, 0, 0.0926724,-0.00241955) , 
0.761903, 1, 7, 0, 0.199563,1.18699e-05)    );
  // itree = 530
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.799165,0.00345661) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.738209,-0.000621028) , 
0.13785, 0, 5, 0, 0.74694,0.000597389) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.546463,0.00578335) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.284191,0.00684136) , 
0.0173733, 1, 4, 0, 0.391851,-0.051001) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0506934,0.0178756) , 
0.0704243, 1, 4, 0, 0.285459,-0.0212858) , 
30.5689, 1, 1, 0, 0.73963,0.000250746)    );
  // itree = 531
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170315,-0.011729) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.637739,0.0200868) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185044,-0.00206995) , 
0.0401387, 0, 4, 0, 0.373311,0.0357004) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451676,-0.0120817) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.053485,-0.000105568) , 
49.6616, 0, 1, 0, 0.0559368,-0.000583577) , 
158.237, 0, 0, 0, 0.0599989,-0.000119177) , 
400.437, 0, 0, 0, 0.0603796,-0.000255087)    );
  // itree = 532
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.391276,-0.00133711) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.292728,-0.00806907) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.242318,-0.00398937) , 
0.0334379, 0, 4, 0, 0.26899,0.0256238) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206407,0.000664663) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156508,-0.00233191) , 
0.13785, 1, 5, 0, 0.199264,-0.000542904) , 
-112.438, 1, 2, 0, 0.199765,-0.00035486) , 
-4.06479, 1, 1, 0, 0.200468,-6.63888e-05)    );
  // itree = 533
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.743771,-3.74077e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.468519,-0.00476093) , 
186.67, 1, 2, 0, 0.742706,-0.000548206) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.65641,-0.00249944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51968,-0.00570656) , 
0.0167293, 1, 4, 0, 0.593423,-0.00976731) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16139,-0.0093032) , 
0.0477276, 1, 4, 0, 0.45036,0.0231618) , 
193.908, 1, 0, 0, 0.739349,-0.000275913)    );
  // itree = 534
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510574,-0.00324501) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.197477,0.00618589) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0538362,0.000100639) , 
-112.438, 1, 2, 0, 0.0546646,0.000278379) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0489111,0.00093167) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0287029,-0.0109475) , 
0.0423386, 0, 4, 0, 0.0417007,-0.00346411) , 
0.0919003, 1, 5, 0, 0.0515657,-0.000616212) , 
22.7987, 0, 1, 0, 0.0598259,-0.000941904)    );
  // itree = 535
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207682,0.000615899) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159991,-0.00220195) , 
0.13785, 1, 5, 0, 0.200826,-0.000439087) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248539,0.00625921) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14015,-0.00989815) , 
0.0359547, 1, 4, 0, 0.204314,-0.0486367) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.121951,-0.0130086) , 
0.104244, 1, 5, 0, 0.183321,-0.0204028) , 
30.5689, 1, 1, 0, 0.200553,-0.000750073)    );
  // itree = 536
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755942,0.0010777) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.768969,-4.4077e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16699,-0.0146608) , 
18.5944, 1, 0, 0, 0.735403,-0.000459704) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.228096,0.00528013) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0590989,-0.0277079) , 
0.120979, 1, 4, 0, 0.162664,0.0732962) , 
101.296, 1, 0, 0, 0.722679,0.00117879) , 
0.0480951, 1, 4, 0, 0.74035,-0.000405966)    );
  // itree = 537
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520952,-0.00467541) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0687196,0.000754453) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0180578,-0.00363912) , 
0.714284, 1, 7, 0, 0.0548871,0.000352071) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.048331,-0.000174917) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0272386,-0.0114369) , 
0.0390808, 0, 4, 0, 0.0415662,-0.00386058) , 
0.136978, 1, 5, 0, 0.0529552,-0.000258896) , 
32.3412, 0, 1, 0, 0.059964,-0.000649192)    );
  // itree = 538
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.34166,-0.00365849) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194381,0.000418663) , 
23.7041, 0, 2, 0, 0.20026,-0.00015873) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.251685,0.00767627) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.136166,-0.00946495) , 
0.0356132, 1, 4, 0, 0.203028,-0.0441958) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.121424,-0.0115551) , 
0.104244, 1, 5, 0, 0.182838,-0.0176989) , 
36.9498, 1, 1, 0, 0.200022,-0.000398911)    );
  // itree = 539
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.899733,0.00332234) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.781928,-9.51669e-05) , 
0.0952349, 0, 6, 0, 0.886944,-0.00209987) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.682233,-0.00109381) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.275556,0.00741778) , 
30.5689, 1, 1, 0, 0.673853,0.000826287) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.357564,-0.00265493) , 
-146.05, 0, 2, 0, 0.672196,0.00111524) , 
0.666666, 0, 7, 0, 0.739264,0.000111129)    );
  // itree = 540
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.535806,0.00372424) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.811429,0.00983211) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.376567,-0.00612567) , 
0.0801556, 0, 4, 0, 0.487018,-0.0148562) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0544493,0.000733789) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0397595,-0.0033722) , 
0.0913186, 1, 5, 0, 0.0509083,-0.000131431) , 
19.7118, 0, 1, 0, 0.0573326,-0.000348343) , 
-41.0958, 1, 3, 0, 0.0604079,-0.000210111)    );
  // itree = 541
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351115,0.00496367) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203919,0.000322107) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.181873,-0.00118404) , 
55.6899, 1, 1, 0, 0.203814,-0.000771144) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.431383,0.0127438) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.146308,-0.0034871) , 
3.52058, 0, 1, 0, 0.155174,-0.00497571) , 
0.133793, 1, 5, 0, 0.196508,-0.00140275) , 
4.52221, 0, 3, 0, 0.200097,-0.000558519)    );
  // itree = 542
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.877657,0.00304168) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.845993,-0.00267082) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51331,-0.000510431) , 
0.333333, 0, 7, 0, 0.660902,0.000772494) , 
0.476189, 0, 6, 0, 0.742362,-0.000213004) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.595615,0.00841923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19747,-0.0100236) , 
0.0426403, 1, 4, 0, 0.410767,0.0276359) , 
-112.438, 0, 2, 0, 0.739959,-1.12163e-05)    );
  // itree = 543
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.568677,0.00716488) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.53913,0.00831082) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.341257,0.0094712) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0484883,-0.00130057) , 
3.26225, 0, 3, 0, 0.0559859,-0.000482672) , 
87.6906, 0, 3, 0, 0.0580988,-0.00027811) , 
-60.1148, 1, 3, 0, 0.0604818,-8.80282e-05)    );
  // itree = 544
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207831,0.000264304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174902,-0.000329213) , 
0.0919003, 1, 5, 0, 0.199974,0.000319774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.241737,0.00813301) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193311,-0.00245006) , 
0.0167486, 1, 5, 0, 0.208046,-0.0386982) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.114358,-0.0147701) , 
0.112778, 1, 5, 0, 0.185854,-0.0138053) , 
30.5689, 1, 1, 0, 0.199752,9.80116e-05)    );
  // itree = 545
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751351,0.000261087) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.293094,0.0190004) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.26114,-0.00881491) , 
-5.50841, 1, 2, 0, 0.276108,-0.0168484) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.252685,-0.0220959) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13464,-0.0216328) , 
0.0342212, 1, 4, 0, 0.192383,0.0740035) , 
22.7987, 0, 1, 0, 0.225195,0.0383991) , 
4.49505, 1, 3, 0, 0.738899,-7.79683e-06)    );
  // itree = 546
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.653601,0.0177484) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174806,-0.00369105) , 
0.0480353, 0, 4, 0, 0.33455,0.0188716) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462354,-0.00917528) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.214024,0.00265523) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0394275,-0.00110836) , 
14.4859, 0, 0, 0, 0.0546247,-0.000182504) , 
65.5489, 0, 1, 0, 0.0563814,-0.000411026) , 
161.737, 0, 0, 0, 0.0607086,-0.000111061)    );
  // itree = 547
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21059,0.000694703) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.261357,0.00874462) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.231116,-0.00102978) , 
0.0124007, 1, 4, 0, 0.241932,-0.036592) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.202938,-5.51294e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.163528,-0.00239339) , 
0.0459501, 1, 5, 0, 0.188608,-0.000887937) , 
22.7987, 0, 1, 0, 0.189669,-0.00159812) , 
0.0482137, 0, 4, 0, 0.199437,-0.000234394)    );
  // itree = 548
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.743331,5.83591e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.477459,-0.00321345) , 
179.118, 1, 2, 0, 0.742094,-0.000381262) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.380648,-0.00963048) , 
218.956, 1, 0, 0, 0.739953,-5.71906e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.603683,0.00210288) , 
400.437, 1, 0, 0, 0.739481,-0.000150703)    );
  // itree = 549
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484381,0.0223419) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.222645,0.000874683) , 
0.127841, 0, 4, 0, 0.255227,0.0175349) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489658,0.0142652) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.372691,0.0132543) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0477903,-0.00095313) , 
193.018, 0, 0, 0, 0.0490158,-0.000992637) , 
-14.7754, 1, 3, 0, 0.0515979,-0.000529787) , 
23.7041, 0, 2, 0, 0.0611061,0.000313721)    );
  // itree = 550
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.20829,0.000306881) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.192069,0.00212391) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174216,-0.0137171) , 
112.329, 1, 0, 0, 0.191676,0.000871423) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152339,-0.00269304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1135,-0.0128146) , 
0.0166527, 0, 4, 0, 0.140491,-0.00770104) , 
0.0423386, 0, 4, 0, 0.173465,-0.00217856) , 
0.0919003, 1, 5, 0, 0.199962,-0.000446935)    );
  // itree = 551
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.893612,0.00413559) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.913893,0.0129338) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.85685,0.000248182) , 
0.232719, 0, 4, 0, 0.861114,-0.0008505) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.617302,-0.0015849) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.343771,-0.00331149) , 
171.268, 1, 0, 0, 0.611776,0.00222535) , 
0.42857, 0, 6, 0, 0.703349,0.0010957) , 
0.809523, 0, 7, 0, 0.738602,0.000353895)    );
  // itree = 552
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0682829,-4.56009e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0490798,-0.00407707) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0331658,-0.0149928) , 
0.0388331, 1, 5, 0, 0.0407084,-0.0139625) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0169082,-0.000796212) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0154012,-0.0074117) , 
0.0445978, 0, 5, 0, 0.0161122,-0.00244883) , 
0.0952366, 1, 7, 0, 0.0175017,-0.00309927) , 
0.761903, 1, 6, 0, 0.0602543,-0.000550884)    );
  // itree = 553
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235853,0.000700066) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.328376,-0.000475642) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0912118,-0.00340094) , 
0.0476189, 1, 7, 0, 0.10004,-0.0022132) , 
0.619046, 1, 6, 0, 0.199601,-0.000125152) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205688,0.00304892) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103245,-0.0132158) , 
0.0706719, 1, 5, 0, 0.168958,-0.0143779) , 
65.069, 1, 1, 0, 0.199327,-0.000252478)    );
  // itree = 554
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.782168,0.00164565) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.734329,-0.000430663) , 
0.0919003, 0, 5, 0, 0.745761,-0.000590753) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.440222,-0.002543) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138498,-0.00360664) , 
0.0400688, 1, 4, 0, 0.307095,-0.00504796) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0777538,-0.0287983) , 
0.112691, 1, 5, 0, 0.246429,0.0287657) , 
-11.8143, 0, 3, 0, 0.739565,-0.000226452)    );
  // itree = 555
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0760543,0.000478398) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0793037,0.0144447) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0630182,0.0012008) , 
0.800448, 0, 6, 0, 0.0705357,0.0104522) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0180249,-0.00333151) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0105917,-0.0133946) , 
0.182608, 1, 4, 0, 0.0172452,-0.00246431) , 
9.25044, 0, 0, 0, 0.0188402,-0.00207771) , 
0.619035, 1, 6, 0, 0.0608787,5.60633e-05)    );
  // itree = 556
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.317776,0.000394321) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198268,0.00014617) , 
8.40199, 0, 1, 0, 0.200254,-0.000108048) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247906,0.0082797) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138334,-0.0098088) , 
0.0279923, 1, 4, 0, 0.198829,-0.0524064) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0990338,-0.0148404) , 
0.0756601, 1, 5, 0, 0.165102,-0.0148785) , 
48.6744, 1, 1, 0, 0.199846,-0.000279256)    );
  // itree = 557
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.743278,7.14043e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.339857,-0.00801737) , 
226.823, 1, 0, 0, 0.741804,-0.000580426) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.479333,-0.00343305) , 
171.958, 1, 2, 0, 0.740015,-0.000272682) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.614958,0.00392342) , 
400.437, 1, 0, 0, 0.739588,-0.000373811)    );
  // itree = 558
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.537991,0.00410608) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.83837,0.00782775) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.34833,-0.00707779) , 
0.062088, 0, 4, 0, 0.511715,-0.0165197) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0547028,0.000350917) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0405512,-0.004018) , 
0.13785, 1, 5, 0, 0.0526674,-0.000221262) , 
36.9498, 0, 1, 0, 0.0573317,-0.000386867) , 
-41.0958, 1, 3, 0, 0.0604885,-0.000232086)    );
  // itree = 559
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.219026,0.000463913) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0961298,-0.00386822) , 
0.761901, 1, 6, 0, 0.199385,-2.92978e-06) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.251485,0.0063598) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.172299,-0.00378204) , 
0.0287397, 1, 4, 0, 0.212922,-0.0474281) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131628,-0.00997835) , 
0.105343, 1, 5, 0, 0.19295,-0.0243219) , 
30.5689, 1, 1, 0, 0.199285,-0.000378493)    );
  // itree = 560
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.887275,0.00258131) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.856465,0.00172065) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.62064,-0.00154319) , 
0.571417, 0, 6, 0, 0.676948,0.00104955) , 
0.666665, 0, 7, 0, 0.743028,0.000239962) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.415907,0.0079753) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102583,-0.00157689) , 
0.0706719, 1, 5, 0, 0.303263,-0.0207947) , 
65.069, 1, 1, 0, 0.739112,5.2673e-05)    );
  // itree = 561
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.523875,-0.00435369) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432993,0.00709164) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.326867,0.0118196) , 
0.0418769, 0, 4, 0, 0.374265,0.0533148) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.167852,0.00675487) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0479485,-0.000665246) , 
198.832, 0, 0, 0, 0.0487696,-0.000704373) , 
4.52221, 0, 3, 0, 0.0540718,0.000175577) , 
36.9498, 0, 1, 0, 0.0605569,-0.000158267)    );
  // itree = 562
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418122,0.00755272) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176981,-0.0016709) , 
34.9817, 1, 1, 0, 0.323829,0.0301403) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.394372,0.00762626) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194499,1.82389e-05) , 
3.77538, 0, 3, 0, 0.199086,-0.00127593) , 
-6.8836, 1, 3, 0, 0.201006,-0.000792329) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176065,-0.00793604) , 
105.047, 1, 3, 0, 0.200912,-0.000627563)    );
  // itree = 563
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754274,0.000706589) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744599,-0.000772902) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.264097,-0.0104373) , 
133.548, 1, 0, 0, 0.741103,-0.000406226) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0938141,-0.00126445) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0208232,-0.0246702) , 
0.123061, 1, 4, 0, 0.0662893,0.0596213) , 
5.40985, 1, 1, 0, 0.722441,0.00125383) , 
0.0482131, 1, 4, 0, 0.739389,-0.000125303)    );
  // itree = 564
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.256353,0.00454492) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498033,-0.0033586) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.443849,0.0111596) , 
6.59076, 0, 3, 0, 0.468408,0.0251156) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0440449,-0.00069106) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.026133,-0.00791821) , 
0.229751, 1, 5, 0, 0.0429507,-0.00122387) , 
5.80986, 0, 1, 0, 0.0512228,-0.000711748) , 
23.7041, 0, 2, 0, 0.0606089,0.000198256)    );
  // itree = 565
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206743,0.000398381) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.162624,-0.00147075) , 
0.13785, 1, 5, 0, 0.200397,0.00011584) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.240263,0.00374915) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123961,-0.010737) , 
0.0561439, 1, 4, 0, 0.20624,-0.0431841) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.120122,-0.0121522) , 
0.105336, 1, 5, 0, 0.184763,-0.0176075) , 
30.5689, 1, 1, 0, 0.200155,-0.000159089)    );
  // itree = 566
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.882945,0.00152303) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.657571,-0.000727506) , 
0.571428, 0, 7, 0, 0.746801,9.17333e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.522696,0.00740143) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.119253,0.0135422) , 
0.0356132, 1, 4, 0, 0.354083,-0.044378) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0851597,-0.000726215) , 
0.112778, 1, 5, 0, 0.288943,-0.0229756) , 
30.5689, 1, 1, 0, 0.739679,-0.000267106)    );
  // itree = 567
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529102,-0.00327051) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0758945,0.00113032) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0191637,-0.0016817) , 
0.619044, 1, 7, 0, 0.0558237,0.00100825) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.049655,0.000528645) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0287258,-0.0096975) , 
0.0401404, 0, 4, 0, 0.0427693,-0.00278136) , 
0.134154, 1, 5, 0, 0.0538701,0.000441121) , 
32.3412, 0, 1, 0, 0.0609084,0.000165729)    );
  // itree = 568
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.204495,0.000218897) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14986,-0.00329703) , 
0.181028, 1, 5, 0, 0.199359,0.000197035) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247429,0.00838614) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.183673,-0.00398514) , 
0.0167486, 1, 5, 0, 0.203186,-0.0401038) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.117419,-0.0123813) , 
0.112778, 1, 5, 0, 0.183147,-0.0166264) , 
30.5689, 1, 1, 0, 0.199105,-6.6642e-05)    );
  // itree = 569
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.784765,0.000695467) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.38685,-0.00317687) , 
11.7229, 1, 0, 0, 0.742742,-0.000301666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.393559,-0.00829011) , 
218.947, 1, 0, 0, 0.740761,-3.62735e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.594776,0.00116171) , 
400.437, 1, 0, 0, 0.740245,-0.000187095)    );
  // itree = 570
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.178523,-0.00940626) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404003,0.0102691) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.230132,0.00249708) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.037767,-0.00147306) , 
11.7229, 0, 0, 0, 0.0580642,-0.000336496) , 
218.947, 0, 0, 0, 0.0600738,-9.26348e-05) , 
400.437, 0, 0, 0, 0.0604834,-0.000202506)    );
  // itree = 571
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209191,0.00287667) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.22651,-0.00289633) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189088,-0.0134772) , 
0.0783859, 1, 4, 0, 0.217114,0.0365937) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.391046,0.0012689) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176995,-0.000466634) , 
11.7406, 0, 0, 0, 0.198331,-0.000433431) , 
158.521, 0, 0, 0, 0.198568,3.40114e-05) , 
400.437, 0, 0, 0, 0.198605,-7.51743e-05)    );
  // itree = 572
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.757156,0.000199759) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.565579,-0.00205903) , 
170.25, 1, 2, 0, 0.756425,-0.000784615) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276524,-0.00322661) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0583164,-0.0214415) , 
0.149454, 1, 5, 0, 0.243447,0.0228218) , 
5.80986, 1, 1, 0, 0.740625,-5.7549e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.596224,-0.00198296) , 
379.9, 1, 2, 0, 0.740156,-0.000173046)    );
  // itree = 573
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.182437,-0.010476) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.280058,0.0137224) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404632,0.0101291) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0571435,-0.000519541) , 
218.956, 0, 0, 0, 0.0591122,-0.000484268) , 
-4.95878, 1, 1, 0, 0.0598418,-0.000267588) , 
400.437, 0, 0, 0, 0.0602685,-0.000389442)    );
  // itree = 574
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.322015,-0.00245086) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.329489,0.00260148) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.262183,-0.00766593) , 
0.119807, 1, 4, 0, 0.318156,0.0325084) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474932,0.0112329) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.166471,-0.00143498) , 
6.88795, 0, 0, 0, 0.191266,-0.00153004) , 
5.04018, 0, 1, 0, 0.193983,-0.000801334) , 
23.7041, 0, 2, 0, 0.199891,-5.28853e-05)    );
  // itree = 575
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.759361,0.00052407) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.213154,-0.0163602) , 
4.18643, 1, 1, 0, 0.744205,-0.000389721) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.536735,0.00791046) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.29703,0.00971134) , 
0.0239426, 1, 5, 0, 0.415075,-0.0560999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.110097,0.000154924) , 
0.0703613, 1, 5, 0, 0.306762,-0.0214497) , 
52.661, 1, 1, 0, 0.739421,-0.000620039)    );
  // itree = 576
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.594053,0.0165659) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.394718,0.00406795) , 
0.159257, 0, 5, 0, 0.423751,0.0327926) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.536743,-0.00385244) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489505,0.00518376) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0481515,-0.000755583) , 
-46.6713, 1, 3, 0, 0.0495804,-0.000874403) , 
55.6899, 0, 1, 0, 0.05195,-0.000971198) , 
4.49505, 0, 3, 0, 0.0606562,-0.000180578)    );
  // itree = 577
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207421,-0.000962205) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393452,0.00398093) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193978,-0.000142395) , 
4.01224, 0, 1, 0, 0.199233,1.68764e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.22376,0.00235433) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.160415,-0.00624655) , 
116.361, 1, 0, 0, 0.192097,-0.0405838) , 
45.1687, 1, 1, 0, 0.199174,-0.000319483) , 
193.908, 0, 0, 0, 0.199267,-5.85621e-05)    );
  // itree = 578
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746956,-4.66731e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.390433,0.0117038) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126711,0.00612002) , 
0.0694362, 1, 5, 0, 0.287744,-0.0267228) , 
37.2379, 1, 1, 0, 0.741412,-8.98977e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.722909,-0.00934015) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.381375,0.00021563) , 
0.237811, 0, 7, 0, 0.529097,0.0157111) , 
194.453, 1, 2, 0, 0.739816,2.88709e-05)    );
  // itree = 579
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529894,-0.00361725) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0629218,0.000752377) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0180626,-0.00421193) , 
0.761886, 1, 6, 0, 0.0557172,0.000583322) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0494499,-0.000422585) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0286391,-0.009893) , 
0.0401913, 0, 4, 0, 0.0425819,-0.00357915) , 
0.13785, 1, 5, 0, 0.0538252,-1.62348e-05) , 
36.9498, 0, 1, 0, 0.0604125,-0.000290782)    );
  // itree = 580
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.329697,-0.00358061) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198701,3.47805e-05) , 
16.1339, 0, 3, 0, 0.199623,0.00045375) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.241676,0.00491015) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138826,-0.0074835) , 
0.0362616, 1, 4, 0, 0.199538,-0.0416346) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111185,-0.0117747) , 
0.103989, 1, 5, 0, 0.176763,-0.0151909) , 
36.9498, 1, 1, 0, 0.199307,0.000237987)    );
  // itree = 581
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.777476,0.00224418) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.347631,-0.0224972) , 
2.08982, 1, 1, 0, 0.745618,0.000219883) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.537407,0.00690073) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.136574,0.0220379) , 
0.0356132, 1, 4, 0, 0.36986,-0.0501559) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0835214,-0.00258047) , 
0.105558, 1, 5, 0, 0.300201,-0.0264321) , 
40.7822, 1, 1, 0, 0.739872,-0.000123906)    );
  // itree = 582
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51551,-0.0026799) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.398946,0.00770044) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0523181,0.000660471) , 
12.2771, 0, 3, 0, 0.0545299,0.00118793) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0468875,0.000383849) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0272746,-0.00958847) , 
0.0400117, 0, 4, 0, 0.0404296,-0.00275984) , 
0.13785, 1, 5, 0, 0.0525087,0.000622045) , 
22.7987, 0, 1, 0, 0.060817,0.000338516)    );
  // itree = 583
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.334306,-0.00236521) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199557,0.000115502) , 
-23.1483, 1, 3, 0, 0.200111,0.000442462) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.252214,0.00543666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159112,-0.00372986) , 
0.0359547, 1, 4, 0, 0.212305,-0.0469437) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.130604,-0.00829432) , 
0.112802, 1, 5, 0, 0.192901,-0.0262077) , 
30.5689, 1, 1, 0, 0.2,3.47908e-05)    );
  // itree = 584
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.748496,-0.000185434) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.293375,0.00969743) , 
25.4908, 1, 1, 0, 0.742629,-0.000288246) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.668446,-0.00044305) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534777,-0.00359712) , 
0.0165446, 1, 4, 0, 0.604984,-0.0151621) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.155556,-0.010742) , 
0.0475663, 1, 4, 0, 0.457053,0.0200488) , 
193.908, 1, 0, 0, 0.739398,-5.81114e-05)    );
  // itree = 585
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.53243,-0.00229219) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453002,0.00272093) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.341432,0.0217388) , 
8.80125, 0, 1, 0, 0.408743,0.0526359) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.122399,-0.00175807) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0220107,-0.000523305) , 
0.0476187, 1, 7, 0, 0.0453194,-0.00159801) , 
4.18643, 0, 1, 0, 0.0554086,-9.23861e-05) , 
52.661, 0, 1, 0, 0.0604844,-0.00022156)    );
  // itree = 586
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224761,0.000489145) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257826,0.00366744) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.168441,-0.00858463) , 
0.0181402, 1, 6, 0, 0.219225,-0.0119349) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0934431,0.00257286) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0800715,-0.00400949) , 
-0.642537, 1, 1, 0, 0.0806489,-0.0019581) , 
0.0476188, 1, 6, 0, 0.0895264,-0.00259724) , 
0.809523, 1, 7, 0, 0.199792,-1.8317e-05)    );
  // itree = 587
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749797,-0.00013106) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.352553,0.0065651) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0905119,-0.00194516) , 
0.105245, 1, 5, 0, 0.290389,-0.0200759) , 
24.07, 1, 1, 0, 0.742409,-0.000175491) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.643266,0.0135279) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.246135,-0.00566732) , 
0.0335733, 1, 4, 0, 0.430136,0.031786) , 
-112.438, 0, 2, 0, 0.740184,5.22122e-05)    );
  // itree = 588
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524429,-0.0034425) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.362058,0.0169174) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16641,0.0013953) , 
0.0866867, 0, 4, 0, 0.205944,0.0223501) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0473386,-0.000428521) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0416124,-0.00448898) , 
0.19086, 1, 4, 0, 0.0467357,-0.00105285) , 
23.7041, 0, 2, 0, 0.0529368,-0.000141299) , 
30.5689, 0, 1, 0, 0.0602907,-0.000435535)    );
  // itree = 589
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379423,0.00383809) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194541,-0.000175092) , 
4.16286, 0, 1, 0, 0.199651,0.000112405) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211524,0.00393222) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189619,-0.000587373) , 
0.023761, 1, 5, 0, 0.200284,-0.0443524) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107296,-0.0113689) , 
0.0697548, 1, 5, 0, 0.166179,-0.0131704) , 
52.661, 1, 1, 0, 0.199299,-2.70279e-05)    );
  // itree = 590
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746592,-6.6419e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.265912,0.0047486) , 
63.9962, 1, 3, 0, 0.744968,-0.000371893) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506696,0.00723419) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16417,0.00347579) , 
0.0385522, 1, 5, 0, 0.320434,-0.0162165) , 
65.069, 1, 1, 0, 0.742001,-0.000482648) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.253033,0.00163226) , 
-68.7439, 0, 3, 0, 0.740001,-0.000390622)    );
  // itree = 591
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0663971,0.000868995) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0605555,0.00296134) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0498846,-0.0013771) , 
0.0456593, 1, 5, 0, 0.0560451,0.00175519) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.108216,-0.00712587) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0265538,0.00114448) , 
0.0476172, 1, 6, 0, 0.0539609,-0.00718272) , 
0.0141034, 0, 4, 0, 0.0553655,-0.00115917) , 
0.0480951, 0, 4, 0, 0.0605393,-3.79224e-05)    );
  // itree = 592
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.31951,-0.0030669) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.337894,0.0012032) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.203428,-0.00560473) , 
27.9728, 1, 3, 0, 0.300588,0.016374) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463243,0.00845951) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.170976,-0.000663569) , 
8.28436, 0, 0, 0, 0.192154,-0.00125586) , 
5.80986, 0, 1, 0, 0.194301,-0.000906736) , 
23.7041, 0, 2, 0, 0.200103,-0.000131597)    );
  // itree = 593
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.887641,0.00421733) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.719852,-0.000672107) , 
0.761886, 0, 6, 0, 0.746715,0.000410984) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.562637,0.010646) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.283224,0.00868192) , 
0.015526, 1, 5, 0, 0.361637,-0.0429426) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0889571,-0.00216073) , 
0.10422, 1, 5, 0, 0.293194,-0.0214513) , 
30.5689, 1, 1, 0, 0.739774,7.63913e-05)    );
  // itree = 594
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.523585,0.00297209) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0669608,0.000835622) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0182205,-0.00427451) , 
0.761901, 1, 6, 0, 0.0592101,0.000727726) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.668761,0.0149743) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0396112,-0.00395219) , 
12.8575, 0, 3, 0, 0.0505716,-0.0027558) , 
0.0919003, 1, 5, 0, 0.0571433,-0.000105722) , 
-33.1542, 1, 3, 0, 0.0606475,2.02742e-05)    );
  // itree = 595
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200512,-0.0056296) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.268966,-0.00184404) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199576,0.000156472) , 
-21.1143, 1, 3, 0, 0.200104,-0.000458868) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.163306,-0.00196835) , 
94.6443, 1, 1, 0, 0.199974,-0.000580488) , 
59.8632, 0, 3, 0, 0.199977,-0.000428493)    );
  // itree = 596
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.893802,0.00362161) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.899111,0.00527152) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.758333,0.00393596) , 
0.154183, 0, 7, 0, 0.88244,-0.00384293) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.729928,4.59596e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.684105,-0.00102683) , 
0.0903637, 0, 5, 0, 0.695304,0.000711902) , 
0.904759, 0, 6, 0, 0.704099,0.000497839) , 
0.809523, 0, 7, 0, 0.739252,2.73986e-06)    );
  // itree = 597
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0671641,0.00108622) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473128,0.00313225) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.230453,-0.00864959) , 
0.0403315, 0, 5, 0, 0.319909,-0.0221385) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0556083,0.00171646) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0348373,-0.00514196) , 
0.0456593, 1, 5, 0, 0.0480251,-0.00049275) , 
11.9172, 0, 1, 0, 0.055462,-0.00108484) , 
0.0482131, 0, 4, 0, 0.060937,0.000142648)    );
  // itree = 598
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.296352,-0.000273264) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.104507,0.000304222) , 
0.428569, 1, 7, 0, 0.1992,0.000371672) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250314,0.00943141) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18598,-0.00302238) , 
0.0167626, 1, 5, 0, 0.206096,-0.0394965) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118655,-0.0107625) , 
0.112802, 1, 5, 0, 0.185408,-0.0190053) , 
30.5689, 1, 1, 0, 0.198983,6.60377e-05)    );
  // itree = 599
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.780767,0.00101444) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.734574,-0.000409751) , 
0.0900804, 0, 5, 0, 0.745871,-8.97319e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48344,0.00690969) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0619866,0.0117713) , 
0.0562683, 1, 4, 0, 0.357446,-0.0323989) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0800593,-0.00556803) , 
0.112778, 1, 5, 0, 0.29324,-0.0105066) , 
36.9498, 1, 1, 0, 0.739649,-0.000232933)    );
  // itree = 600
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.562259,0.0038911) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499622,-0.00511074) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.537143,0.00757908) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0547382,-0.000351395) , 
72.7121, 0, 3, 0, 0.0567494,-0.000299279) , 
113.124, 0, 1, 0, 0.0581409,-0.000378306) , 
-58.4584, 1, 3, 0, 0.0606095,-0.000270896)    );
  // itree = 601
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208463,0.000238704) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174313,-0.000400355) , 
0.0919003, 1, 5, 0, 0.200313,-4.35475e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.245049,0.00561142) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.135003,-0.00784765) , 
0.0363478, 1, 4, 0, 0.199229,-0.0415771) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.11471,-0.009642) , 
0.104244, 1, 5, 0, 0.177978,-0.0190374) , 
36.9498, 1, 1, 0, 0.200002,-0.000308169)    );
  // itree = 602
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.74558,-0.00019946) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.343319,0.0120268) , 
63.9569, 1, 1, 0, 0.743556,-0.000332161) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.563699,-0.00259906) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.130586,-0.0134991) , 
0.0433116, 1, 4, 0, 0.391314,0.0345031) , 
176.534, 1, 0, 0, 0.739945,2.4988e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.614458,0.00533467) , 
426.805, 1, 0, 0, 0.739551,-9.9811e-05)    );
  // itree = 603
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51768,-0.00216098) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151636,0.00111032) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0294064,-9.62609e-05) , 
0.0272105, 1, 7, 0, 0.0746792,0.00141656) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0323824,-0.00703825) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0170854,-0.00144019) , 
0.0476189, 1, 6, 0, 0.018166,-0.00127908) , 
0.571428, 1, 7, 0, 0.0522459,0.000346502) , 
22.7987, 0, 1, 0, 0.0605376,0.000124196)    );
  // itree = 604
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351121,0.00454053) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.588165,0.0123251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19189,5.96201e-05) , 
-6.77394, 1, 2, 0, 0.209027,0.000430209) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243525,-0.00727532) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.182118,-0.000356571) , 
54.7717, 0, 0, 0, 0.185532,-0.00222541) , 
0.0481996, 0, 4, 0, 0.196574,-0.000977303) , 
4.49505, 0, 3, 0, 0.200167,-0.000112486)    );
  // itree = 605
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.782706,0.00124448) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.73556,-0.000290758) , 
0.0903637, 0, 5, 0, 0.747011,0.000516168) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.550968,0.00804289) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.272621,0.00786673) , 
0.0167788, 1, 5, 0, 0.359517,-0.04039) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0810811,-0.00378339) , 
0.112802, 1, 5, 0, 0.293143,-0.0216582) , 
30.5689, 1, 1, 0, 0.740018,0.000174501)    );
  // itree = 606
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338563,0.00551866) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.532641,-0.00112081) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.437859,-0.0142091) , 
106.964, 0, 0, 0, 0.491228,-0.0395588) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.159043,0.00976917) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.038687,-0.00324318) , 
1.67453, 0, 1, 0, 0.0535852,0.000103933) , 
42.9354, 0, 1, 0, 0.0573489,-0.00023716) , 
191.516, 0, 0, 0, 0.0605737,1.31054e-05)    );
  // itree = 607
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208922,0.000308624) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.173615,-0.000527524) , 
0.0913186, 1, 5, 0, 0.200451,2.97788e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.252235,0.00658517) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159129,-0.00579229) , 
0.028473, 1, 4, 0, 0.207418,-0.0384001) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126875,-0.00881435) , 
0.105154, 1, 5, 0, 0.187776,-0.0177644) , 
30.5689, 1, 1, 0, 0.200254,-0.00024578)    );
  // itree = 608
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744987,-0.000123877) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50101,0.00506676) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.172819,0.00608414) , 
0.0383287, 1, 5, 0, 0.321723,-0.0167108) , 
65.3866, 1, 1, 0, 0.741693,-0.000650623) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.595081,0.00795363) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.21087,-0.00473305) , 
0.0427609, 1, 4, 0, 0.42107,0.0209952) , 
-112.438, 0, 2, 0, 0.739386,-0.000494914)    );
  // itree = 609
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.537548,0.00851806) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.586083,0.0231826) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.365558,0.00262599) , 
0.1444, 0, 5, 0, 0.406061,0.0330564) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.330918,0.00813488) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0443921,-0.00141429) , 
3.18177, 0, 3, 0, 0.0518509,-0.000700354) , 
-4.81198, 1, 3, 0, 0.0582355,-9.189e-05) , 
79.17, 0, 3, 0, 0.0606186,0.000141352)    );
  // itree = 610
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.349548,0.00456087) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232078,0.00158116) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.20657,0.000367378) , 
-46.673, 1, 3, 0, 0.206704,-0.000200143) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.188374,0.00235883) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.134486,-0.00604052) , 
0.0419499, 0, 4, 0, 0.169148,-0.00373992) , 
0.0903637, 1, 5, 0, 0.197578,-0.00106034) , 
4.49505, 0, 3, 0, 0.201117,-0.000316074)    );
  // itree = 611
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.861703,0.000860944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517505,0.0044158) , 
0.047619, 0, 7, 0, 0.800133,-0.00282989) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.419965,-0.0054618) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.067058,-0.0360186) , 
0.130711, 1, 4, 0, 0.366652,0.0168503) , 
6.43282, 1, 0, 0, 0.739932,-9.67435e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.602731,0.00345591) , 
394.633, 1, 0, 0, 0.739434,-0.000236831)    );
  // itree = 612
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.523301,-0.00420762) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0709431,0.000760099) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0550509,-0.00224436) , 
0.136978, 1, 5, 0, 0.0686656,0.000699074) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.05133,-0.00764676) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0170937,-0.0023789) , 
0.0476182, 1, 7, 0, 0.0183925,-0.00175829) , 
0.571427, 1, 6, 0, 0.053382,-4.79912e-05) , 
32.3412, 0, 1, 0, 0.0604517,-0.000390763)    );
  // itree = 613
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.262701,-0.00774522) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207832,0.000252234) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174253,-3.791e-05) , 
0.0913186, 1, 5, 0, 0.199716,0.000318254) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.219463,0.00530055) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.133148,-0.00597287) , 
0.0385522, 1, 5, 0, 0.172298,-0.0236804) , 
65.069, 1, 1, 0, 0.199502,0.000130765) , 
-112.438, 1, 2, 0, 0.199948,0.000299622)    );
  // itree = 614
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.784411,0.00240037) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.740152,-0.000650793) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.304788,0.00562185) , 
16.0199, 1, 1, 0, 0.734854,0.000584523) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501969,0.00430357) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.201402,0.00331422) , 
0.0330341, 1, 5, 0, 0.349499,-0.0266169) , 
65.069, 1, 1, 0, 0.731543,0.000350858) , 
0.135164, 0, 5, 0, 0.7394,-0.000114545)    );
  // itree = 615
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.318812,0.0057857) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.765423,-0.00252894) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.24912,-0.00563054) , 
0.0361315, 0, 4, 0, 0.504796,-0.0218867) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510092,-0.00490656) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0527245,-0.000264909) , 
37.2807, 0, 1, 0, 0.0553281,-0.000514141) , 
75.0001, 0, 1, 0, 0.0583368,-0.000657203) , 
-112.438, 1, 2, 0, 0.0602001,-0.000475334)    );
  // itree = 616
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.369573,0.0092584) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.341897,0.00726029) , 
0.0724761, 0, 5, 0, 0.352554,0.0289846) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.400629,0.0130773) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.178116,-0.00203783) , 
1.94729, 0, 1, 0, 0.196606,-0.000833507) , 
-4.81198, 1, 3, 0, 0.199422,-0.000295156) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189125,-0.00616766) , 
79.17, 1, 3, 0, 0.19937,-0.000149357)    );
  // itree = 617
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.782461,0.000837506) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.734925,-0.000466153) , 
0.0919003, 0, 5, 0, 0.746327,0.000320545) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.534255,0.00739049) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.26029,0.00510341) , 
0.0169775, 1, 5, 0, 0.346757,-0.026574) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0836707,-0.00378974) , 
0.112985, 1, 5, 0, 0.286985,-0.00980507) , 
30.5689, 1, 1, 0, 0.739253,0.000164621)    );
  // itree = 618
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.685676,0.0176135) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.429229,0.000899625) , 
0.110371, 0, 5, 0, 0.48961,0.0277771) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.570308,0.00456534) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.112693,0.0100286) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0477668,-0.00144422) , 
1.71761, 0, 3, 0, 0.0523198,-0.000234832) , 
-66.6896, 1, 3, 0, 0.0545352,-0.000125964) , 
13.1005, 0, 3, 0, 0.0609607,0.000286125)    );
  // itree = 619
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.25692,-0.00865588) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248387,-0.00484754) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.224114,-0.00103163) , 
0.0928671, 1, 5, 0, 0.238306,0.00705492) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.197259,-0.000105689) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174335,-0.00110235) , 
59.8519, 1, 1, 0, 0.197057,-0.000573516) , 
-1.32758, 1, 1, 0, 0.198098,-0.000381054) , 
-112.438, 1, 2, 0, 0.198525,-0.000196517)    );
  // itree = 620
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.893582,0.00343541) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.730699,0.00455398) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.716701,-0.00233498) , 
0.0163695, 1, 4, 0, 0.72225,-0.000297177) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.720755,-0.000140667) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.146074,-0.0210006) , 
-6.77394, 0, 2, 0, 0.686692,0.00192929) , 
0.0480951, 1, 4, 0, 0.705419,0.000756663) , 
0.809522, 0, 7, 0, 0.740247,0.000210364)    );
  // itree = 621
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0736347,0.000392179) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0386218,-0.00511043) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0150489,-0.0200687) , 
0.0181287, 1, 6, 0, 0.028608,-0.0123208) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0169249,-0.00146716) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00695518,-0.0173668) , 
0.274125, 1, 4, 0, 0.0164969,-0.00104471) , 
0.0476174, 1, 6, 0, 0.0172806,-0.00177435) , 
0.761904, 1, 7, 0, 0.0607727,0.000102659)    );
  // itree = 622
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210858,0.000736949) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.394356,0.00974395) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193851,0.00292481) , 
3.31867, 0, 3, 0, 0.199378,0.00312179) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.310356,-0.00766937) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126359,0.001889) , 
0.0476169, 1, 6, 0, 0.184571,-0.00494537) , 
0.0231679, 0, 4, 0, 0.19101,-0.0014374) , 
0.0480951, 0, 4, 0, 0.200319,-0.000202058)    );
  // itree = 623
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.89466,0.00370239) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.871716,0.00243036) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.679892,-0.0163077) , 
12.8422, 1, 2, 0, 0.868605,-0.00119957) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.766556,0.0103183) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.642573,-0.00144583) , 
0.367601, 0, 5, 0, 0.645076,0.00134875) , 
0.571427, 0, 6, 0, 0.704443,0.000671935) , 
0.809523, 0, 7, 0, 0.739581,6.17008e-05)    );
  // itree = 624
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.5525,0.00338296) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.544919,0.00723711) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386837,0.0082512) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0534439,-0.000442185) , 
-8.33302, 1, 3, 0, 0.0562999,-0.000209467) , 
118.326, 0, 3, 0, 0.0578733,-8.49092e-05) , 
-47.9096, 1, 3, 0, 0.0606724,2.20939e-05)    );
  // itree = 625
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231504,-0.00155772) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.228809,0.00236026) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.171852,-0.0134118) , 
0.0433116, 1, 4, 0, 0.204437,0.0342086) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220322,2.65198e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199919,0.000234269) , 
25.4908, 0, 1, 0, 0.200169,-0.00101022) , 
193.018, 0, 0, 0, 0.200201,-0.000745454) , 
186.119, 0, 2, 0, 0.200449,-0.000551369)    );
  // itree = 626
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.782034,0.00105515) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.735103,-0.000282257) , 
0.0919003, 0, 5, 0, 0.74632,0.000346284) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.530088,0.00488328) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1288,0.0128192) , 
0.0356132, 1, 4, 0, 0.365776,-0.0418546) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0736623,-0.00833122) , 
0.105154, 1, 5, 0, 0.294007,-0.0178757) , 
36.9498, 1, 1, 0, 0.740069,9.44282e-05)    );
  // itree = 627
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512305,-0.00397479) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.361958,0.0105433) , 
24.07, 0, 1, 0, 0.419663,0.0274583) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.549107,0.00356078) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235784,0.00896653) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0441527,-0.00143584) , 
-2.8156, 1, 3, 0, 0.0488997,-0.000886286) , 
-46.673, 1, 3, 0, 0.0518752,-0.000763272) , 
4.49505, 0, 3, 0, 0.0604144,-0.000108028)    );
  // itree = 628
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380186,0.00375883) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195426,-9.98463e-05) , 
4.18643, 0, 1, 0, 0.200578,0.000175719) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235512,0.00807353) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190286,4.47881e-05) , 
0.0330027, 1, 5, 0, 0.21376,-0.0434924) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.087296,-0.0128944) , 
0.0709166, 1, 4, 0, 0.17446,-0.0207798) , 
52.661, 1, 1, 0, 0.200299,-4.85427e-05)    );
  // itree = 629
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.80654,0.00256641) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.38916,-0.00991724) , 
5.87105, 1, 0, 0, 0.750891,-0.000659036) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.366381,0.0045444) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.218478,-0.0120541) , 
48.6744, 0, 1, 0, 0.263094,0.0153151) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0726035,-0.0249334) , 
0.119684, 1, 5, 0, 0.222874,0.0289679) , 
6.41982, 1, 3, 0, 0.740494,-7.56189e-05)    );
  // itree = 630
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313988,0.00555125) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.772632,0.00428296) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.411934,-0.00743815) , 
0.0967471, 0, 5, 0, 0.509912,-0.0242692) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0543921,0.000308012) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0396545,-0.00389717) , 
0.182637, 1, 5, 0, 0.0530237,5.55624e-06) , 
36.9498, 0, 1, 0, 0.0587235,-0.000297277) , 
-112.438, 1, 2, 0, 0.0605718,-0.000123653)    );
  // itree = 631
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210949,0.000781385) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.199938,0.00321999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.183252,-0.00107555) , 
0.0272108, 0, 4, 0, 0.19183,0.00161664) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.297587,-0.00942072) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129408,0.00262784) , 
0.0476172, 1, 6, 0, 0.186202,-0.00677309) , 
0.014265, 0, 4, 0, 0.189977,-0.00114556) , 
0.0482481, 0, 4, 0, 0.199793,7.16431e-05)    );
  // itree = 632
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751548,0.000198918) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498594,0.000960448) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.114079,0.00870761) , 
0.0296554, 1, 4, 0, 0.283939,-0.0136979) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.348097,-0.0329777) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.149738,-0.0124423) , 
0.0476023, 0, 6, 0, 0.193206,0.0467096) , 
33.6558, 0, 1, 0, 0.22297,0.0268938) , 
4.52221, 1, 3, 0, 0.739287,1.66616e-05)    );
  // itree = 633
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470138,0.00217923) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.178082,0.00496971) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0481728,-0.000273762) , 
-112.438, 1, 2, 0, 0.048836,-0.00025926) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0365727,-0.00175441) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0188152,-0.0143842) , 
0.0388637, 0, 4, 0, 0.0310301,-0.005019) , 
0.182637, 1, 5, 0, 0.0471926,-0.000698561) , 
5.96452, 0, 1, 0, 0.0605219,-0.000279079)    );
  // itree = 634
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346876,-0.00306608) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193967,0.000251789) , 
23.7041, 0, 2, 0, 0.200041,-0.000162255) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.234957,0.00425964) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.121988,-0.00838988) , 
0.0537766, 1, 4, 0, 0.201387,-0.0357673) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0992647,-0.0128774) , 
0.112985, 1, 5, 0, 0.17756,-0.0169814) , 
36.9498, 1, 1, 0, 0.199731,-0.0003941)    );
  // itree = 635
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753979,0.000503912) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.737881,-0.000785119) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159298,-0.00290734) , 
162.011, 1, 0, 0, 0.733652,0.000228034) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.309556,0.0134211) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.128546,-0.0155841) , 
0.0865524, 1, 4, 0, 0.200428,0.0617199) , 
-42.2275, 0, 2, 0, 0.723609,0.00138616) , 
0.048089, 1, 4, 0, 0.739746,-0.000120274)    );
  // itree = 636
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0927724,0.000737938) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0702994,0.00764932) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0265019,-0.0101603) , 
0.00226692, 1, 6, 0, 0.0365104,-0.00570009) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0181862,-0.000118584) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0109736,-0.00891305) , 
0.182342, 1, 4, 0, 0.017418,-0.00047439) , 
0.0476188, 1, 6, 0, 0.0187925,-0.000850608) , 
0.523808, 1, 7, 0, 0.0611853,0.000504372)    );
  // itree = 637
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210161,0.00053488) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208013,0.00200589) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.167576,-0.0010948) , 
0.0456593, 1, 5, 0, 0.191382,0.00136272) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.244231,-0.000780821) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.181147,-0.00450332) , 
54.7717, 0, 0, 0, 0.1868,-0.00844832) , 
0.0118373, 0, 4, 0, 0.190199,-0.00117025) , 
0.0480951, 0, 4, 0, 0.199565,-1.15288e-05)    );
  // itree = 638
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754683,0.000654581) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753007,0.00416472) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.752887,-0.00277554) , 
0.0441732, 1, 5, 0, 0.75294,-0.000317385) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.173458,-0.0161325) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0568112,-0.0357276) , 
0.216224, 1, 4, 0, 0.154088,0.039219) , 
-6.77394, 0, 2, 0, 0.72322,0.00164476) , 
0.0481996, 1, 4, 0, 0.739922,1.64741e-05)    );
  // itree = 639
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.579334,0.00590982) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.807143,0.00528049) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.396994,-0.00460531) , 
0.0879534, 0, 4, 0, 0.49086,-0.0153682) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0527471,0.000434653) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0347281,-0.00534808) , 
0.181028, 1, 5, 0, 0.0510541,2.6408e-05) , 
19.7118, 0, 1, 0, 0.0580824,-0.000219606) , 
-58.4584, 1, 3, 0, 0.060598,-6.21936e-05)    );
  // itree = 640
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210384,0.003667) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.201456,-0.00194045) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.38332,0.000336018) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.178067,-1.30795e-05) , 
11.721, 0, 0, 0, 0.199622,-0.000176214) , 
218.947, 0, 0, 0, 0.199632,8.65687e-05) , 
400.437, 0, 0, 0, 0.19967,-5.29589e-05)    );
  // itree = 641
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.78015,0.000504934) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.736236,-9.05673e-05) , 
0.0913186, 0, 5, 0, 0.74682,-0.000189) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.249798,-0.00351083) , 
-23.7213, 0, 3, 0, 0.743883,-7.46654e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.42591,0.00540703) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.112982,0.00174725) , 
0.0654293, 1, 5, 0, 0.306456,-0.0178685) , 
65.069, 1, 1, 0, 0.740023,-0.000231685)    );
  // itree = 642
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466637,0.00223623) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0719043,0.00193348) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0468153,-0.000336627) , 
0.00862022, 1, 5, 0, 0.0508449,0.000203923) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0419803,0.000526911) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0239696,-0.011145) , 
0.0419232, 0, 4, 0, 0.0356285,-0.00334872) , 
0.0905142, 1, 5, 0, 0.047161,-0.000656183) , 
5.96452, 0, 1, 0, 0.0604659,-0.000226023)    );
  // itree = 643
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211167,0.000644158) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205247,0.00142336) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174027,0.000319529) , 
0.0448942, 1, 5, 0, 0.191917,0.00122851) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.295801,-0.00916663) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.128347,0.00222008) , 
0.0476172, 1, 6, 0, 0.184539,-0.00785162) , 
0.0141032, 0, 4, 0, 0.189504,-0.00174099) , 
0.0480945, 0, 4, 0, 0.199643,-0.000421201)    );
  // itree = 644
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.790319,0.000876108) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.39049,-0.00506234) , 
9.25044, 1, 0, 0, 0.744689,0.000311354) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.585777,0.00395459) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.312178,0.00638699) , 
0.0178384, 1, 4, 0, 0.425197,-0.043116) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0502035,0.0146978) , 
0.0708617, 1, 4, 0, 0.309464,-0.0220112) , 
48.6744, 1, 1, 0, 0.739776,5.93712e-05)    );
  // itree = 645
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.796748,0.0176237) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.42179,0.000381824) , 
0.140099, 0, 4, 0, 0.466617,0.0131106) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.36432,0.0156772) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0489065,-1.362e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.029976,-0.00545917) , 
0.13785, 1, 5, 0, 0.0461907,-0.000760067) , 
12.5254, 0, 3, 0, 0.0473232,-0.000444022) , 
5.96452, 0, 1, 0, 0.0605393,-1.67827e-05)    );
  // itree = 646
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209725,0.00042626) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.36224,0.00112791) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.119358,0.00207251) , 
0.142857, 1, 7, 0, 0.19384,0.00210895) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.298731,-0.00849781) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129043,0.00247261) , 
0.0476169, 1, 6, 0, 0.184879,-0.00636707) , 
0.0163694, 0, 4, 0, 0.190339,-0.00120217) , 
0.0480951, 0, 4, 0, 0.199429,-0.000164872)    );
  // itree = 647
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753595,-0.000299893) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.641389,0.00976978) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.407654,0.00151016) , 
0.0173002, 1, 4, 0, 0.506161,-0.00443991) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.146969,-0.0127352) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0626506,-0.0289165) , 
0.163993, 1, 4, 0, 0.111561,0.0748569) , 
0.0865537, 1, 4, 0, 0.426312,0.0116062) , 
23.7041, 1, 2, 0, 0.738485,0.000157408)    );
  // itree = 648
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529271,-0.00201398) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404924,0.0155485) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.183893,-0.000282928) , 
0.0865537, 0, 4, 0, 0.228394,0.0158546) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471032,-0.00363765) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0456366,-0.000453523) , 
15.9731, 0, 1, 0, 0.0487192,-0.000712838) , 
23.7041, 0, 2, 0, 0.0562264,-2.06118e-05) , 
65.069, 0, 1, 0, 0.0604205,-0.00011249)    );
  // itree = 649
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320703,0.00199665) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436551,0.00267465) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.393639,-0.00395558) , 
0.00226745, 0, 7, 0, 0.409054,-0.00406857) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133196,0.00185282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.101083,-0.00524458) , 
0.188533, 1, 4, 0, 0.12974,-0.000184912) , 
0.0476188, 1, 7, 0, 0.197685,-0.00112963) , 
6.41982, 0, 3, 0, 0.200095,-0.000477752)    );
  // itree = 650
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.890681,0.00248879) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.703884,-0.000390604) , 
0.7619, 0, 7, 0, 0.747147,0.000437637) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.5525,0.00725568) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.26773,0.00647212) , 
0.0167436, 1, 5, 0, 0.356877,-0.0357837) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0853659,0.00154501) , 
0.112778, 1, 5, 0, 0.293447,-0.0184311) , 
30.5689, 1, 1, 0, 0.740014,0.000140984)    );
  // itree = 651
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.539055,0.00619283) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.59747,0.0237853) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.367225,0.00240245) , 
0.150165, 0, 5, 0, 0.407528,0.0317763) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.329193,0.00801592) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0442854,-0.00143665) , 
3.12858, 0, 3, 0, 0.051883,-0.000718671) , 
-4.86455, 1, 3, 0, 0.0583644,-0.000126466) , 
79.17, 0, 3, 0, 0.0608638,4.94299e-05)    );
  // itree = 652
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.216854,0.00123306) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.134317,-0.00999854) , 
0.140126, 1, 5, 0, 0.202109,-0.0118506) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393596,0.00307408) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203641,0.000232827) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.146294,-0.00344849) , 
0.181028, 1, 5, 0, 0.198256,-0.00025182) , 
-14.0072, 1, 3, 0, 0.199209,5.27597e-05) , 
22.7987, 0, 1, 0, 0.199261,-0.000160223)    );
  // itree = 653
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.896708,0.00600495) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.738475,-0.000167787) , 
0.904759, 0, 6, 0, 0.747602,0.000333736) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521543,0.00251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270565,0.00527528) , 
0.0167493, 1, 5, 0, 0.347938,-0.0321345) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0818125,-0.000540029) , 
0.112778, 1, 5, 0, 0.284185,-0.017234) , 
30.5689, 1, 1, 0, 0.740339,5.84131e-05)    );
  // itree = 654
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525259,-0.00372179) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207139,0.00411334) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0491099,-0.000250125) , 
23.7041, 0, 2, 0, 0.0555715,0.000380635) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0188926,-0.0103556) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0137399,-0.00556737) , 
0.380945, 1, 7, 0, 0.0148749,-0.00387251) , 
0.904759, 1, 6, 0, 0.0532022,0.000133013) , 
30.5689, 0, 1, 0, 0.0605291,-0.000180937)    );
  // itree = 655
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212642,0.00130862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194669,-0.000482312) , 
-0.629162, 1, 3, 0, 0.199506,8.76182e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.226073,0.00319049) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.173395,-0.00122866) , 
0.0754349, 1, 5, 0, 0.210608,-0.0313763) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0973054,-0.0118085) , 
0.105235, 1, 4, 0, 0.187259,-0.0159842) , 
30.5689, 1, 1, 0, 0.199318,-0.000158888)    );
  // itree = 656
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.762013,0.00429909) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.750347,-0.00171794) , 
0.0163695, 1, 4, 0, 0.754898,-0.000963444) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.785597,0.000754713) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156387,-0.0172573) , 
9.71079, 1, 0, 0, 0.727926,0.000380916) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.148321,-0.00828041) , 
162.011, 1, 0, 0, 0.72166,0.00107621) , 
0.0480951, 1, 4, 0, 0.739337,-8.58818e-06)    );
  // itree = 657
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.17562,-0.0100409) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.290948,0.0137453) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.370989,0.00504764) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.055849,-2.63879e-05) , 
158.45, 0, 0, 0, 0.0598373,0.000238203) , 
-4.95878, 1, 1, 0, 0.0605988,0.000456153) , 
400.437, 0, 0, 0, 0.0609928,0.000340607)    );
  // itree = 658
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212353,0.000814403) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18924,-0.000488643) , 
0.048089, 0, 4, 0, 0.200099,1.9097e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248753,0.00572112) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138862,-0.00711024) , 
0.0359547, 1, 4, 0, 0.202049,-0.0328859) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111622,-0.00979721) , 
0.112778, 1, 5, 0, 0.18054,-0.0156459) , 
32.3412, 1, 1, 0, 0.199804,-0.000217762)    );
  // itree = 659
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.745947,-0.000242287) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.332298,0.0091456) , 
50.8865, 1, 1, 0, 0.743389,-0.000454651) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.658789,0.00119731) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510658,-0.00464665) , 
0.0153234, 1, 4, 0, 0.583293,-0.00873208) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176865,-0.00382754) , 
0.043473, 1, 4, 0, 0.434743,0.016705) , 
161.737, 1, 0, 0, 0.738627,-0.000189877)    );
  // itree = 660
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0666875,0.000902163) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.397189,0.0120447) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0413174,-0.000288024) , 
3.23666, 0, 1, 0, 0.0569141,0.00268004) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.113946,-0.0053394) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.025612,0.00159298) , 
0.0476169, 1, 6, 0, 0.0537404,-0.00468267) , 
0.0210089, 0, 4, 0, 0.0552936,-0.00107947) , 
0.048199, 0, 4, 0, 0.0606243,1.88467e-05)    );
  // itree = 661
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351289,0.00479644) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434592,0.00230872) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.390229,-0.00426119) , 
0.00226751, 0, 7, 0, 0.406196,-0.0035833) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.161948,0.00286663) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0982239,-0.000972367) , 
0.591836, 1, 7, 0, 0.129797,3.88288e-05) , 
0.0476189, 1, 7, 0, 0.196175,-0.000831042) , 
4.52221, 0, 3, 0, 0.199798,-0.000136939)    );
  // itree = 662
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846706,-0.00112879) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.589111,-0.000296931) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.419765,0.00272548) , 
0.0476068, 0, 6, 0, 0.48219,-0.0302174) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.414787,0.00462695) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.334357,-0.0085079) , 
0.000431875, 1, 7, 0, 0.399659,0.011722) , 
0.00226751, 0, 7, 0, 0.427924,-0.00264151) , 
0.0476183, 0, 7, 0, 0.739899,-0.000490152)    );
  // itree = 663
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.165533,-0.0121283) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.359553,0.0133854) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.202136,0.000897824) , 
0.12907, 0, 4, 0, 0.225832,0.0122713) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.217651,0.0256626) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0337827,-0.002805) , 
18.6767, 0, 2, 0, 0.0346233,-0.00244551) , 
7.57135, 0, 0, 0, 0.0596796,-0.000516985) , 
430.216, 0, 0, 0, 0.0600103,-0.000642191)    );
  // itree = 664
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208159,0.000179434) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174553,-0.000146696) , 
0.0919003, 1, 5, 0, 0.200131,8.64208e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.23151,0.00468755) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.177419,0.000454214) , 
0.0690167, 1, 5, 0, 0.21455,-0.0369038) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.096679,-0.0109211) , 
0.10565, 1, 4, 0, 0.189963,-0.0219191) , 
32.3412, 1, 1, 0, 0.199975,-0.000251179)    );
  // itree = 665
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.804577,0.00232108) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.359888,-0.00981961) , 
5.66047, 1, 0, 0, 0.742161,-0.000292539) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.466642,-0.00627325) , 
179.118, 1, 2, 0, 0.740369,5.64655e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.600408,0.00239123) , 
400.437, 1, 0, 0, 0.739883,-5.76266e-05)    );
  // itree = 666
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16928,-0.000657642) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0367009,0.0163686) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0238614,0.0010586) , 
-1.32758, 1, 1, 0, 0.024088,0.000904613) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.017711,-0.0043882) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0115854,-0.0131529) , 
0.372872, 1, 4, 0, 0.0163094,-0.00362966) , 
0.185586, 1, 4, 0, 0.023233,0.000406197) , 
0.0476189, 1, 7, 0, 0.0604006,-0.000303819)    );
  // itree = 667
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436549,0.00954586) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18076,0.00114617) , 
34.9817, 1, 1, 0, 0.349485,0.0243252) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.197329,-9.43204e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190167,-0.00104534) , 
47.8593, 1, 1, 0, 0.197297,-0.00107244) , 
-4.7892, 1, 3, 0, 0.20003,-0.000616284) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.172065,-0.00717369) , 
107.373, 1, 3, 0, 0.199932,-0.000470438)    );
  // itree = 668
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744842,-0.000147676) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498536,0.00115154) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18849,0.00869418) , 
0.0328965, 1, 5, 0, 0.318405,-0.0212154) , 
65.069, 1, 1, 0, 0.741532,-0.000335463) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.627371,0.0110854) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.250746,-0.0036867) , 
0.0331909, 1, 4, 0, 0.427166,0.0180349) , 
-109.378, 0, 2, 0, 0.739191,-0.000198672)    );
  // itree = 669
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.526826,-0.00418234) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.406149,0.00682999) , 
-50.753, 1, 2, 0, 0.425056,0.0276635) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.528607,-0.00338958) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0500261,-9.19257e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0312764,-0.00607077) , 
0.224471, 1, 5, 0, 0.0488363,-0.000472189) , 
37.1758, 0, 1, 0, 0.0520575,-0.000589507) , 
4.52221, 0, 3, 0, 0.0607482,6.87801e-05)    );
  // itree = 670
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208051,0.000110683) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.173483,-0.000414631) , 
0.0905142, 1, 5, 0, 0.199645,0.000647508) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.235722,0.00449036) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.175017,-0.00217073) , 
0.069836, 1, 5, 0, 0.217794,-0.0407928) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102093,-0.00995774) , 
0.0927309, 1, 4, 0, 0.19034,-0.0252538) , 
30.5689, 1, 1, 0, 0.199499,0.000240303)    );
  // itree = 671
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.80947,0.00376763) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.739561,-0.000431188) , 
0.183801, 0, 5, 0, 0.745984,9.76713e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.557718,0.00793659) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.265999,0.00529337) , 
0.016985, 1, 5, 0, 0.3568,-0.0383124) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0866035,0.000177248) , 
0.112985, 1, 5, 0, 0.293057,-0.0198966) , 
33.6558, 1, 1, 0, 0.739276,-0.000198459)    );
  // itree = 672
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.333194,0.003804) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513202,-0.00324088) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.376449,0.0117138) , 
25.4908, 0, 1, 0, 0.419,0.0392755) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483541,-0.0073348) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0481392,-0.000568883) , 
44.5072, 0, 1, 0, 0.0500105,-0.000899295) , 
4.52221, 0, 3, 0, 0.057628,-6.99177e-05) , 
193.908, 0, 0, 0, 0.060732,9.59965e-05)    );
  // itree = 673
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211289,0.000687883) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205233,0.00127692) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.170748,-0.000439986) , 
0.0451818, 1, 5, 0, 0.190949,0.00157089) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.294441,-0.00881456) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.130946,0.00255998) , 
0.0476139, 1, 6, 0, 0.187304,-0.008112) , 
0.0118373, 0, 4, 0, 0.190006,-0.000933399) , 
0.0480951, 0, 4, 0, 0.199982,0.000131081)    );
  // itree = 674
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753257,0.000485351) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.727039,-0.00179995) , 
-0.629162, 0, 3, 0, 0.74621,0.000556092) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464848,0.00412884) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0673783,0.0146509) , 
0.0561439, 1, 4, 0, 0.346983,-0.0346763) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0889184,0.00129713) , 
0.112802, 1, 5, 0, 0.287717,-0.0211567) , 
30.5689, 1, 1, 0, 0.739101,0.000219472)    );
  // itree = 675
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.362488,0.00769783) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0714823,-0.00144711) , 
0.047597, 1, 6, 0, 0.248302,0.0213415) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.574121,0.00848424) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510149,-0.0072042) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0522633,5.57927e-05) , 
31.9798, 0, 1, 0, 0.0571738,-0.00035233) , 
87.9393, 0, 3, 0, 0.059135,-0.000175267) , 
186.119, 0, 2, 0, 0.0606497,-2.98152e-06)    );
  // itree = 676
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21056,0.000595556) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351652,-0.0019663) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.293886,-0.00858462) , 
0.0120736, 0, 4, 0, 0.333775,-0.00720587) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.143126,0.00543562) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106773,-0.00158659) , 
0.0451818, 1, 5, 0, 0.128987,0.00123553) , 
0.0476179, 1, 6, 0, 0.190297,-0.00129171) , 
0.0480951, 0, 4, 0, 0.1998,-0.000160893)    );
  // itree = 677
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749104,1.32916e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.253727,-0.00599439) , 
-14.0072, 0, 3, 0, 0.745208,-0.000102181) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49534,0.00245026) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.170692,0.00408033) , 
0.038445, 1, 5, 0, 0.315602,-0.0150832) , 
65.069, 1, 1, 0, 0.741777,-0.00022182) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.421745,0.00487546) , 
-116.789, 0, 2, 0, 0.739599,-9.13708e-05)    );
  // itree = 678
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.341423,0.00473737) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483907,-0.00471517) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.269451,0.0163467) , 
20.473, 0, 1, 0, 0.326438,0.0426701) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0989831,-0.00423994) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0213341,-0.000654013) , 
0.0476188, 1, 6, 0, 0.0408906,-0.00336915) , 
2.56946, 0, 1, 0, 0.0570703,-0.000760473) , 
193.908, 0, 0, 0, 0.0602785,-0.000545261)    );
  // itree = 679
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206632,0.000276305) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159367,-0.00194564) , 
0.13785, 1, 5, 0, 0.199833,-3.56176e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.234576,0.00690943) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.186311,-0.00147677) , 
0.0167493, 1, 5, 0, 0.201352,-0.0387444) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123803,-0.00603108) , 
0.112778, 1, 5, 0, 0.183051,-0.023231) , 
33.6558, 1, 1, 0, 0.199588,-0.000374582)    );
  // itree = 680
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846984,-0.0010044) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.546615,0.0241647) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.478294,0.000148384) , 
81.7737, 0, 0, 0, 0.48307,-0.0312657) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500987,0.00950158) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.304467,-0.00666986) , 
0.744388, 1, 1, 0, 0.399506,0.0119622) , 
0.00226723, 0, 7, 0, 0.428063,-0.00281053) , 
0.0476189, 0, 7, 0, 0.740024,-0.000363197)    );
  // itree = 681
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465698,0.00301114) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0681221,0.00233498) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0443055,-0.000668758) , 
0.0109405, 1, 5, 0, 0.0482884,-8.93315e-06) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0936639,-0.00623679) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0119377,-0.00790727) , 
0.0952268, 1, 7, 0, 0.0276331,-0.006241) , 
0.229751, 1, 5, 0, 0.0470471,-0.000383467) , 
5.40985, 0, 1, 0, 0.0608175,0.000198174)    );
  // itree = 682
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.292365,-0.0090015) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.242149,-0.0030924) , 
0.0334527, 0, 4, 0, 0.268725,0.0178389) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207568,0.00138244) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19969,9.77429e-05) , 
37.2142, 0, 1, 0, 0.199741,0.00012221) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.176403,0.00225689) , 
80.2909, 1, 1, 0, 0.199595,-1.75133e-05) , 
-112.438, 1, 2, 0, 0.200091,0.000110592)    );
  // itree = 683
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847148,-0.000895289) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485705,0.000440517) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.443515,0.00926735) , 
16.3312, 1, 2, 0, 0.481064,-0.0308316) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501015,0.00912866) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.301641,-0.00671929) , 
0.744388, 1, 1, 0, 0.398246,0.0131329) , 
0.00226723, 0, 7, 0, 0.426549,-0.00189204) , 
0.0476189, 0, 7, 0, 0.739869,-0.000290252)    );
  // itree = 684
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.215644,0.00311756) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0810171,-0.0104931) , 
0.00226751, 1, 7, 0, 0.169729,-0.00167481) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.166501,0.00768537) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0233648,0.00157419) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0156166,-0.00666636) , 
0.188533, 1, 4, 0, 0.0225302,0.000508467) , 
5.96452, 0, 1, 0, 0.0234506,0.000665218) , 
0.0476189, 1, 7, 0, 0.0607763,6.81167e-05)    );
  // itree = 685
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.319428,0.0020504) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434334,0.00227839) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.393349,-0.00359334) , 
0.00226722, 0, 7, 0, 0.407985,-0.00272095) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133214,0.00179353) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0900865,-0.00891558) , 
0.235539, 1, 4, 0, 0.130086,0.000154985) , 
0.047619, 1, 7, 0, 0.197634,-0.000544062) , 
6.41982, 0, 3, 0, 0.200049,-6.80631e-05)    );
  // itree = 686
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.893188,0.00305019) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.780043,0.00277271) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.708166,-0.000474839) , 
0.136978, 0, 5, 0, 0.718725,-0.000158492) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.2455,0.00339647) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194071,-0.0220904) , 
9.05143, 0, 1, 0, 0.222026,0.0214962) , 
4.52221, 1, 3, 0, 0.704903,0.000444094) , 
0.809523, 0, 7, 0, 0.739839,4.03591e-06)    );
  // itree = 687
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.77854,0.00437887) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.438465,-0.00586132) , 
0.105154, 0, 5, 0, 0.523683,-0.0189437) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209556,0.00326881) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0762996,0.000599365) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0195238,-0.00117354) , 
0.42857, 1, 6, 0, 0.0525928,0.000363756) , 
-112.438, 1, 2, 0, 0.0534901,0.000437442) , 
30.5689, 0, 1, 0, 0.060588,0.00014487)    );
  // itree = 688
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.392927,-0.00100023) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125814,0.00125059) , 
0.0476189, 1, 6, 0, 0.200435,-0.000339163) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224329,0.0016761) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.187234,4.32736e-05) , 
0.0698434, 1, 5, 0, 0.213518,-0.0397875) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0994734,-0.0107744) , 
0.0838147, 1, 4, 0, 0.183748,-0.0219621) , 
30.5689, 1, 1, 0, 0.200177,-0.000673635)    );
  // itree = 689
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755944,0.000837147) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.770611,0.000675733) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.128302,-0.0287264) , 
8.03378, 1, 2, 0, 0.746671,-0.000557354) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.219971,0.0055935) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0446898,-0.0289096) , 
0.168078, 1, 4, 0, 0.178919,0.0371905) , 
54.9469, 1, 0, 0, 0.723507,0.000982766) , 
0.0480951, 1, 4, 0, 0.740705,-0.000259628)    );
  // itree = 690
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525483,-0.00353062) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.183252,0.00308831) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0776332,-0.0102087) , 
0.00226751, 1, 7, 0, 0.145282,-0.0022659) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0241784,0.00210572) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0194961,-0.00299829) , 
0.0945197, 1, 4, 0, 0.0229365,0.000531149) , 
0.0476189, 1, 7, 0, 0.0529091,-0.000154082) , 
30.5689, 0, 1, 0, 0.0603077,-0.000446726)    );
  // itree = 691
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224376,0.000366301) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168009,0.00307345) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.15092,-0.00104653) , 
0.900217, 1, 7, 0, 0.15932,-0.00686359) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0781353,-0.00417606) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0778368,-0.00409577) , 
0.818588, 1, 7, 0, 0.0778503,-0.00132491) , 
0.142852, 1, 6, 0, 0.0893771,-0.00210856) , 
0.809516, 1, 7, 0, 0.199363,5.6103e-06)    );
  // itree = 692
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.796263,0.00234119) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.737327,-0.000416501) , 
0.135771, 0, 5, 0, 0.745982,-0.00030613) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517158,0.00553993) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.260501,0.00529872) , 
0.0207288, 1, 5, 0, 0.357943,-0.0328187) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0891632,-0.00114548) , 
0.104467, 1, 5, 0, 0.290759,-0.0181585) , 
36.9498, 1, 1, 0, 0.739707,-0.000552237)    );
  // itree = 693
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424104,0.00438151) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.350516,0.00808638) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0395564,-0.00143287) , 
26.019, 0, 0, 0, 0.0567129,0.000688285) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.109701,-0.00283144) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0232463,0.00104501) , 
0.0476181, 1, 6, 0, 0.0479686,-0.00189779) , 
0.0480808, 0, 4, 0, 0.0520868,-0.000679851) , 
4.49505, 0, 3, 0, 0.0607396,-0.000100633)    );
  // itree = 694
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207134,0.000330595) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.161049,-0.00139317) , 
0.134539, 1, 5, 0, 0.200282,0.00025338) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.241688,0.00434206) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.146552,-0.00478119) , 
0.0356132, 1, 4, 0, 0.201334,-0.0306955) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106667,-0.00983106) , 
0.10513, 1, 5, 0, 0.177378,-0.0149003) , 
33.6558, 1, 1, 0, 0.199945,3.06495e-05)    );
  // itree = 695
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.787658,0.00132671) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.739296,-3.7369e-05) , 
0.0919003, 0, 5, 0, 0.750833,-0.000310332) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.350742,0.000943617) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.220151,-0.0113727) , 
65.069, 0, 1, 0, 0.249369,0.0107458) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0753425,-0.0234209) , 
0.149708, 1, 5, 0, 0.22111,0.0215573) , 
5.43105, 1, 3, 0, 0.739579,0.000154236)    );
  // itree = 696
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.526211,-0.00329199) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45425,0.00100783) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.335908,0.0167659) , 
8.8014, 0, 1, 0, 0.408077,0.0371874) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.122897,-0.00163508) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0218507,-9.77437e-05) , 
0.047619, 1, 7, 0, 0.0454256,-0.00129206) , 
4.18643, 0, 1, 0, 0.0554852,-0.00022468) , 
52.661, 0, 1, 0, 0.0604933,-0.000400723)    );
  // itree = 697
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.406185,-0.00083232) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.137284,0.0021498) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0896556,-0.00417469) , 
0.183801, 1, 5, 0, 0.132594,0.000644256) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.204753,-0.00595541) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0493204,-0.0172372) , 
0.0952195, 1, 6, 0, 0.0717872,-0.00640458) , 
0.325476, 1, 4, 0, 0.130401,0.000390044) , 
0.047619, 1, 7, 0, 0.201054,-0.000441332)    );
  // itree = 698
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.84946,-0.00153757) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.689395,0.00141681) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.403401,-0.0012087) , 
0.047619, 0, 7, 0, 0.563209,-0.0166516) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.42577,0.00577922) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.387603,-0.0059386) , 
0.000215942, 1, 6, 0, 0.415955,0.00407496) , 
0.0022675, 0, 6, 0, 0.467582,-0.0031917) , 
0.0476179, 0, 6, 0, 0.739166,-0.000742884)    );
  // itree = 699
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0664439,0.000517657) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0582233,0.00189914) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0461231,-0.00262274) , 
0.0901093, 1, 5, 0, 0.0555853,0.00144583) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.107071,-0.0078026) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0274945,0.00283445) , 
0.0476162, 1, 6, 0, 0.0541657,-0.00710611) , 
0.0142261, 0, 4, 0, 0.0551175,-0.00137233) , 
0.0482131, 0, 4, 0, 0.0604129,-0.000391249)    );
  // itree = 700
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.416685,-0.0010031) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129954,0.000930048) , 
0.047619, 1, 7, 0, 0.200119,-0.000278212) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.233537,0.00573167) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.184688,-0.00266365) , 
0.0155252, 1, 5, 0, 0.198931,-0.0318366) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123856,-0.00670665) , 
0.10422, 1, 5, 0, 0.180541,-0.0166807) , 
30.5689, 1, 1, 0, 0.19981,-0.000537386)    );
  // itree = 701
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75474,0.000703465) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75243,-0.00265603) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.75217,0.00429806) , 
0.0441732, 0, 5, 0, 0.752316,-0.000794395) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.172727,-0.0148097) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.053523,-0.0350772) , 
0.225133, 1, 4, 0, 0.154637,0.0376133) , 
-6.99833, 0, 2, 0, 0.723015,0.00108853) , 
0.0481996, 1, 4, 0, 0.739882,-7.7012e-05)    );
  // itree = 702
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0625397,0.000852032) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.701585,0.017021) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.591845,0.00277349) , 
0.197157, 0, 5, 0, 0.632895,0.0453138) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.110946,-0.00464273) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0178291,-0.0017265) , 
0.0476178, 1, 7, 0, 0.0343423,-0.00337339) , 
4.62837, 0, 1, 0, 0.0570317,-0.0015278) , 
0.0913186, 1, 5, 0, 0.0612082,0.000587953)    );
  // itree = 703
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.2971,0.000390282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.230089,-0.00117416) , 
11.4549, 1, 2, 0, 0.272219,0.0167003) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.306418,0.0085999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.170339,-0.00289528) , 
1.3147, 0, 1, 0, 0.199008,-0.000307193) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185332,0.0018303) , 
42.5881, 1, 1, 0, 0.198917,-0.000447514) , 
13.1005, 0, 3, 0, 0.19997,-0.000201326)    );
  // itree = 704
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75941,0.000373002) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.207435,-0.0150363) , 
4.17916, 1, 1, 0, 0.744108,-5.82168e-06) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.544787,0.0039644) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.306151,0.00283889) , 
0.0225847, 1, 5, 0, 0.421858,-0.0334427) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.109049,-0.00207931) , 
0.0655399, 1, 5, 0, 0.30289,-0.0103112) , 
52.661, 1, 1, 0, 0.739377,-0.00011632)    );
  // itree = 705
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0667665,0.000743932) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.181355,-0.00737756) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0546665,0.00123023) , 
-112.438, 1, 2, 0, 0.0557126,0.00138055) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.105057,-0.00836045) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0276851,0.00242907) , 
0.0476139, 1, 6, 0, 0.0543894,-0.00818687) , 
0.0119603, 0, 4, 0, 0.0553657,-0.00112742) , 
0.0482137, 0, 4, 0, 0.060692,-0.000112132)    );
  // itree = 706
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200482,7.81463e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227063,-0.00707363) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.204567,0.00143724) , 
0.00645452, 1, 5, 0, 0.206948,0.000759126) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.18162,0.00152331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.116169,-0.00866103) , 
0.0400117, 0, 4, 0, 0.160024,-0.003427) , 
0.135546, 1, 5, 0, 0.200067,0.000145291) , 
24.07, 0, 1, 0, 0.200075,-0.000118988)    );
  // itree = 707
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.752924,0.000365259) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481942,-0.00756577) , 
-2.67515, 0, 1, 0, 0.751818,-0.000842229) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421742,-0.0262161) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.209549,-0.00245237) , 
0.0476023, 0, 6, 0, 0.253733,0.0110233) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0678322,-0.0260121) , 
0.159104, 1, 5, 0, 0.226794,0.018935) , 
4.52221, 1, 3, 0, 0.73959,-0.000381622)    );
  // itree = 708
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418401,0.00264993) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.742748,0.0093942) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.342894,2.94329e-05) , 
0.0704835, 0, 4, 0, 0.456525,0.0145439) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0478072,2.00203e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0271892,-0.00629263) , 
0.180219, 1, 5, 0, 0.0458658,-0.00050186) , 
8.04907, 0, 1, 0, 0.0522518,-0.000267887) , 
4.49505, 0, 3, 0, 0.0607337,7.91422e-05)    );
  // itree = 709
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212531,0.00067805) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18965,-0.000428644) , 
0.0483021, 0, 4, 0, 0.200364,3.28773e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227845,0.00297395) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17126,-0.000561966) , 
0.0756885, 1, 5, 0, 0.211447,-0.0328444) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0962406,-0.0107704) , 
0.105235, 1, 4, 0, 0.188192,-0.019844) , 
30.5689, 1, 1, 0, 0.200175,-0.00027615)    );
  // itree = 710
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753835,0.000472854) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.726576,-0.00186779) , 
-0.629162, 0, 3, 0, 0.746513,6.13235e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.546456,0.0063895) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.278329,0.00588212) , 
0.0156767, 1, 5, 0, 0.358212,-0.0337032) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0867192,-0.00025304) , 
0.105154, 1, 5, 0, 0.289611,-0.0167358) , 
30.5689, 1, 1, 0, 0.739462,-0.00019791)    );
  // itree = 711
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.73913,0.00923562) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.417625,-0.00449948) , 
0.119411, 0, 5, 0, 0.484334,-0.0100066) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338674,0.0132392) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0506034,0.000200979) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0300506,-0.0064911) , 
0.183801, 1, 5, 0, 0.0487281,-0.00031354) , 
-14.0072, 1, 3, 0, 0.0496917,-7.98422e-05) , 
11.4536, 0, 1, 0, 0.0602736,-0.000321519)    );
  // itree = 712
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220693,0.000464681) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.144245,-0.00748893) , 
0.150122, 1, 5, 0, 0.208278,-0.0169401) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.377373,-0.00059341) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.204948,0.000137348) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.157247,-0.00145347) , 
0.13785, 1, 5, 0, 0.198112,-3.14883e-05) , 
12.5254, 0, 3, 0, 0.19925,0.00025906) , 
19.7118, 0, 1, 0, 0.199426,-7.58316e-05)    );
  // itree = 713
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753025,1.68204e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509467,0.00370319) , 
-129.13, 0, 2, 0, 0.752028,-0.000621284) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.369961,0.00430187) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0986437,-0.00702167) , 
0.11234, 1, 5, 0, 0.318144,-0.0221832) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0196312,-0.0119678) , 
0.119832, 1, 4, 0, 0.268822,-0.00904512) , 
11.9172, 1, 1, 0, 0.740405,-0.00082391)    );
  // itree = 714
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470518,0.0020076) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.163348,0.00705315) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0504012,0.000310937) , 
193.908, 0, 0, 0, 0.0512029,0.000572161) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0425346,0.00151618) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0238277,-0.0103339) , 
0.0423386, 0, 4, 0, 0.0358099,-0.00234072) , 
0.0919003, 1, 5, 0, 0.0475127,-0.000126163) , 
5.96452, 0, 1, 0, 0.06083,0.000241388)    );
  // itree = 715
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.224973,-0.000556773) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.208266,0.000121794) , 
-41.9555, 1, 3, 0, 0.208362,0.000268447) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.266007,-0.00232703) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.190355,0.00228915) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13842,-0.00449861) , 
0.0422961, 0, 4, 0, 0.171769,-0.00278199) , 
10.9769, 0, 3, 0, 0.173551,-0.00166227) , 
0.0919003, 1, 5, 0, 0.200023,-0.000194067)    );
  // itree = 716
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.758946,0.000308351) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.212379,-0.0132922) , 
4.16027, 1, 1, 0, 0.743905,2.84334e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.534139,0.003304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.295257,0.00350726) , 
0.0240846, 1, 5, 0, 0.410954,-0.0248574) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.109816,0.000591883) , 
0.0700654, 1, 5, 0, 0.302669,-0.0109105) , 
52.661, 1, 1, 0, 0.739171,-8.89208e-05)    );
  // itree = 717
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250234,0.00207907) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.185686,0.00204562) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0758433,-0.00935828) , 
0.00226751, 1, 7, 0, 0.145837,-0.00386525) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0230767,0.000961892) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0150564,-0.00737762) , 
0.186317, 1, 4, 0, 0.0221891,0.000103833) , 
0.0476188, 1, 7, 0, 0.050448,-0.000803276) , 
19.2441, 0, 2, 0, 0.0605067,-0.000318373)    );
  // itree = 718
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227446,0.00128311) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107749,-0.0130068) , 
0.12013, 1, 4, 0, 0.207626,-0.02187) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243207,-0.00270268) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203502,5.42668e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.147615,-0.00276354) , 
0.181028, 1, 5, 0, 0.1982,5.09908e-05) , 
194.453, 0, 2, 0, 0.198443,0.000204943) , 
19.7118, 0, 1, 0, 0.198621,-0.000221906)    );
  // itree = 719
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.74973,-7.38741e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.271159,0.0089151) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.239232,-0.0018253) , 
27.6979, 0, 1, 0, 0.258211,-0.0147694) , 
16.0199, 1, 1, 0, 0.743557,0.000145863) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.42623,0.00455312) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.101996,-0.00334135) , 
0.0707738, 1, 5, 0, 0.310572,-0.0129393) , 
65.069, 1, 1, 0, 0.739676,2.85789e-05)    );
  // itree = 720
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.527545,-0.00368668) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513193,0.00909738) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.35,-0.0020751) , 
0.0378662, 0, 5, 0, 0.440815,0.0271762) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.38556,0.00591893) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0461532,-0.000498083) , 
5.93, 0, 1, 0, 0.050634,-0.00014552) , 
12.5254, 0, 3, 0, 0.0537586,7.32783e-05) , 
33.6558, 0, 1, 0, 0.0607135,-0.000211389)    );
  // itree = 721
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.277756,-0.0052254) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465436,0.00587448) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.302822,0.000618756) , 
19.2922, 1, 1, 0, 0.456566,0.0134876) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505071,0.0101915) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174972,-0.000277499) , 
6.60563, 0, 3, 0, 0.176712,-0.00102425) , 
10.7862, 0, 0, 0, 0.19531,-5.98538e-05) , 
54.7717, 0, 0, 0, 0.199773,-0.000378316)    );
  // itree = 722
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.892879,0.00508271) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751188,0.00391647) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.742692,-0.00148359) , 
0.0142248, 1, 4, 0, 0.745493,-0.000475592) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.743432,-6.05759e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.150114,-0.0183873) , 
-6.77394, 0, 2, 0, 0.712946,0.00123182) , 
0.0482094, 1, 4, 0, 0.730202,0.000326577) , 
0.904759, 0, 6, 0, 0.73943,9.63754e-05)    );
  // itree = 723
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.334023,0.00302324) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.548417,0.00252828) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.447724,-0.0110378) , 
114.02, 0, 0, 0, 0.488124,-0.0334653) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.177992,-0.00321737) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0496748,0.000359291) , 
92.661, 0, 0, 0, 0.0517435,0.000237877) , 
25.4908, 0, 1, 0, 0.0574128,-0.000199977) , 
193.908, 0, 0, 0, 0.0605735,-6.53027e-05)    );
  // itree = 724
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346576,0.00433813) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.394068,-0.00298806) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.366186,0.00114228) , 
0.00226756, 1, 6, 0, 0.383847,-0.00235614) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.127007,0.00172685) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0664557,-0.014326) , 
0.326254, 1, 4, 0, 0.124837,0.000279814) , 
0.0476189, 1, 6, 0, 0.19627,-0.000447168) , 
4.52221, 0, 3, 0, 0.199761,-8.11227e-05)    );
  // itree = 725
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.8339,0.00617202) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.747362,-0.000365438) , 
0.229751, 0, 5, 0, 0.752628,0.000144655) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.363899,0.00388889) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103926,-0.00663448) , 
0.119522, 1, 5, 0, 0.317498,-0.0195516) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0247525,-0.00996924) , 
0.119832, 1, 4, 0, 0.271307,-0.00760762) , 
9.05078, 1, 1, 0, 0.739492,-6.69164e-05)    );
  // itree = 726
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.543847,0.0053871) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452118,-0.00430161) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.440165,0.0109984) , 
28.3649, 0, 2, 0, 0.445367,0.0224135) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.373867,0.00455514) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0458447,-0.000765835) , 
3.69446, 0, 3, 0, 0.0537598,-0.00035696) , 
-8.21069, 1, 3, 0, 0.0593461,-3.21388e-05) , 
116.826, 0, 3, 0, 0.0608985,5.68989e-05)    );
  // itree = 727
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232791,0.000552889) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0931611,-0.00194402) , 
0.761904, 1, 7, 0, 0.200624,0.000199732) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.246029,0.00569269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.163804,-0.00289378) , 
0.028473, 1, 4, 0, 0.206517,-0.0312103) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.117904,-0.00619199) , 
0.105154, 1, 5, 0, 0.184073,-0.0178613) , 
32.3412, 1, 1, 0, 0.200377,-7.00426e-05)    );
  // itree = 728
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.743284,0.000105071) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.400293,-0.00526785) , 
218.88, 1, 0, 0, 0.741607,-0.000601331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.389916,-0.000480321) , 
-140.926, 0, 2, 0, 0.740117,-0.000441163) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.599733,0.00182277) , 
400.437, 1, 0, 0, 0.739619,-0.00051802)    );
  // itree = 729
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525205,-0.00370572) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.444586,0.00343402) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0794304,0.000542107) , 
12.5254, 0, 3, 0, 0.0846162,0.00137296) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0348959,-0.00489651) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0173065,-0.000646829) , 
0.0476189, 1, 6, 0, 0.0185918,-0.000723782) , 
0.476188, 1, 7, 0, 0.0535027,0.000384889) , 
30.5689, 0, 1, 0, 0.0608377,7.36609e-05)    );
  // itree = 730
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212217,0.000600208) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189919,-0.000423751) , 
0.0480951, 0, 4, 0, 0.200392,0.000234521) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.25367,0.00995489) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156182,-0.00377405) , 
0.0278155, 1, 4, 0, 0.209981,-0.0323785) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111798,-0.00652255) , 
0.0697548, 1, 5, 0, 0.174065,-0.0116323) , 
48.6744, 1, 1, 0, 0.20009,9.8312e-05)    );
  // itree = 731
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.780406,0.000717924) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.735753,1.24299e-05) , 
0.0919003, 0, 5, 0, 0.746448,-0.000275377) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.535037,0.00322607) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.121016,0.00857099) , 
0.0359547, 1, 4, 0, 0.362201,-0.0252057) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0863214,0.000945635) , 
0.104244, 1, 5, 0, 0.292256,-0.011466) , 
36.9498, 1, 1, 0, 0.740068,-0.000432573)    );
  // itree = 732
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169678,-0.000471951) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0239445,0.00132225) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00831665,-0.0164751) , 
0.367601, 1, 5, 0, 0.023611,0.000698776) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0362185,-0.000276601) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00808793,-0.0160346) , 
0.0952197, 1, 6, 0, 0.0121529,-0.00625453) , 
0.32534, 1, 4, 0, 0.0232017,0.000450393) , 
0.0476189, 1, 7, 0, 0.0605286,-9.8242e-05)    );
  // itree = 733
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379394,-0.00158258) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.132962,0.00223784) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.129926,0.0020257) , 
0.00935052, 1, 4, 0, 0.130225,0.00109281) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.268798,0.00442753) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0680054,-0.00912447) , 
0.142853, 1, 7, 0, 0.0920828,-0.00451494) , 
0.184037, 1, 4, 0, 0.125985,0.000469322) , 
0.0476188, 1, 6, 0, 0.199191,-3.82729e-05)    );
  // itree = 734
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.887779,0.00389562) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.72072,-0.00040434) , 
0.761903, 0, 6, 0, 0.747426,-0.000177593) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.564399,0.00737093) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.278209,0.00519747) , 
0.0155491, 1, 5, 0, 0.361792,-0.0402968) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0871731,-0.00143585) , 
0.104244, 1, 5, 0, 0.292206,-0.0252586) , 
32.3412, 1, 1, 0, 0.740604,-0.000553482)    );
  // itree = 735
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0672257,0.000821121) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0586039,0.0019825) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0450626,-0.00299781) , 
0.0919003, 1, 5, 0, 0.0557154,0.0014963) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.108815,-0.00674112) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0267797,0.00176773) , 
0.0476172, 1, 6, 0, 0.0543304,-0.00639217) , 
0.0142261, 0, 4, 0, 0.05526,-0.00109738) , 
0.0482137, 0, 4, 0, 0.0608558,-4.47199e-05)    );
  // itree = 736
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388579,-0.00160457) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.232486,-0.0028723) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.184106,0.0124373) , 
0.0475534, 1, 7, 0, 0.21301,0.0130541) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.19927,9.94011e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.187853,-0.000536967) , 
37.8781, 1, 1, 0, 0.19915,-4.39273e-05) , 
223.688, 0, 0, 0, 0.199273,7.24687e-05) , 
-4.6237, 1, 1, 0, 0.199915,0.000215322)    );
  // itree = 737
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.857453,-0.000367897) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.575819,0.00567371) , 
0.0476181, 0, 6, 0, 0.799963,-0.00189726) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388501,-0.00631238) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0450842,-0.0375814) , 
0.217162, 1, 4, 0, 0.366921,0.0137179) , 
6.43282, 1, 0, 0, 0.739814,0.000271665) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.607665,0.00166998) , 
394.633, 1, 0, 0, 0.739366,0.000134462)    );
  // itree = 738
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.171906,-0.0114983) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.295867,0.0120668) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445731,0.00982223) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0567796,-0.000336013) , 
205.159, 0, 0, 0, 0.058698,-0.000256498) , 
179.118, 0, 2, 0, 0.0602441,4.85733e-05) , 
400.437, 0, 0, 0, 0.0606373,-8.43038e-05)    );
  // itree = 739
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210253,0.000476319) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.28176,-0.00751762) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190065,0.00134726) , 
-42.2979, 1, 2, 0, 0.192257,0.00147857) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.300671,-0.00706185) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126778,0.00113996) , 
0.0476172, 1, 6, 0, 0.184899,-0.00614085) , 
0.0142114, 0, 4, 0, 0.189848,-0.00101673) , 
0.048199, 0, 4, 0, 0.199411,-7.53576e-05)    );
  // itree = 740
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751019,1.25399e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.197344,-0.00670238) , 
12.5254, 1, 3, 0, 0.746717,0.000474963) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.538462,0.00486864) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.267412,0.00385655) , 
0.016985, 1, 5, 0, 0.35164,-0.027837) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0878689,0.00153999) , 
0.112985, 1, 5, 0, 0.290572,-0.0149158) , 
30.5689, 1, 1, 0, 0.739619,0.000235453)    );
  // itree = 741
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.281091,-0.00134492) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.415821,-0.00925983) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18453,0.00518573) , 
19.2922, 0, 1, 0, 0.197428,0.015018) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0392615,0.000638047) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0315973,-0.00524472) , 
0.143366, 1, 4, 0, 0.0380128,-0.000289765) , 
10.7862, 0, 0, 0, 0.0485706,0.000724045) , 
54.7717, 0, 0, 0, 0.0612277,0.000367038)    );
  // itree = 742
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211156,0.000625268) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206589,0.00148609) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.169655,-0.000565733) , 
0.0448942, 1, 5, 0, 0.191087,0.00112759) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.294511,-0.00776222) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131593,0.00209785) , 
0.0476139, 1, 6, 0, 0.187441,-0.00823877) , 
0.0119455, 0, 4, 0, 0.190133,-0.00132232) , 
0.048199, 0, 4, 0, 0.19997,-0.000397865)    );
  // itree = 743
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.746505,-0.000202599) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.24872,0.00798022) , 
45.2955, 1, 3, 0, 0.744875,-0.000260071) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.535179,0.00300761) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118471,0.00890889) , 
0.0361244, 1, 4, 0, 0.361597,-0.0260066) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0803571,-0.00269876) , 
0.103742, 1, 5, 0, 0.292357,-0.0138847) , 
36.9498, 1, 1, 0, 0.738556,-0.000450332)    );
  // itree = 744
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168827,-0.000572991) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0387303,0.00493653) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0202262,-0.00681349) , 
0.179385, 1, 5, 0, 0.0367825,0.0037621) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0212133,0.000528641) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0138607,-0.00641863) , 
0.18572, 1, 4, 0, 0.0204193,-5.47666e-05) , 
0.274375, 1, 7, 0, 0.0235126,0.00066677) , 
0.0476188, 1, 7, 0, 0.0605154,-2.73679e-05)    );
  // itree = 745
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404153,-0.000965318) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213369,0.00159974) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.21105,0.000872863) , 
0.0935209, 1, 4, 0, 0.212738,0.00322026) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.132705,0.00370713) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0980915,-0.00119312) , 
0.585359, 1, 7, 0, 0.110949,-0.000115671) , 
0.274377, 1, 7, 0, 0.130188,0.000514851) , 
0.047619, 1, 7, 0, 0.200213,-0.000289282)    );
  // itree = 746
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.797753,0.00201753) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.737532,-0.000320298) , 
0.136978, 0, 5, 0, 0.74626,0.000409833) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.553419,0.00471399) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.260568,0.00188706) , 
0.0170882, 1, 5, 0, 0.350459,-0.0218827) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0784314,-0.00248392) , 
0.113076, 1, 5, 0, 0.289322,-0.00906794) , 
36.9498, 1, 1, 0, 0.739894,0.000277775)    );
  // itree = 747
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51966,-0.00399677) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0555061,0.000410545) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0532095,-0.00230208) , 
0.190993, 1, 4, 0, 0.0552858,0.000217581) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0481656,0.0004294) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0274661,-0.00958022) , 
0.0398996, 0, 4, 0, 0.0413839,-0.00259605) , 
0.13785, 1, 5, 0, 0.0532814,-0.000188092) , 
32.3412, 0, 1, 0, 0.060148,-0.000494408)    );
  // itree = 748
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403484,-0.000982331) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.165088,0.00267747) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0999007,-0.000711405) , 
0.591836, 1, 7, 0, 0.132289,0.000488613) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.083296,-0.00906757) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0663496,-0.0156159) , 
0.361049, 1, 4, 0, 0.0697695,-0.00546695) , 
0.329716, 1, 4, 0, 0.130095,0.000279646) , 
0.047619, 1, 7, 0, 0.199853,-0.000345205)    );
  // itree = 749
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.761467,0.00062618) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.229075,-0.0141301) , 
3.79181, 1, 3, 0, 0.74954,-0.000721303) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.30631,-0.0105923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0842365,-0.0183189) , 
0.0789599, 1, 4, 0, 0.237944,0.0236947) , 
-6.87056, 0, 3, 0, 0.741547,-0.000339823) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.276105,-0.000459952) , 
105.047, 1, 3, 0, 0.739832,-0.000241571)    );
  // itree = 750
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524785,-0.0031174) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.447376,-0.000542763) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.35186,0.0182881) , 
8.8014, 0, 1, 0, 0.409811,0.035303) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.123091,-0.00145752) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0220642,0.000301133) , 
0.0476188, 1, 7, 0, 0.0455864,-0.000955186) , 
4.18643, 0, 1, 0, 0.0556926,5.08782e-05) , 
52.661, 0, 1, 0, 0.0607224,-0.000118293)    );
  // itree = 751
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381338,-0.00113596) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.149243,0.00442301) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.104604,-0.0017107) , 
0.591824, 1, 6, 0, 0.13105,0.00132004) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.108944,-0.00167923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0952535,-0.00755638) , 
0.0389556, 0, 5, 0, 0.103895,-0.00345137) , 
0.139732, 1, 4, 0, 0.126517,0.000523401) , 
0.0476179, 1, 6, 0, 0.200206,-8.13074e-05)    );
  // itree = 752
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.860397,0.000610638) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518887,0.0033888) , 
0.047619, 0, 7, 0, 0.799316,-0.00176677) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389088,-0.006048) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0473047,-0.0365882) , 
0.217288, 1, 4, 0, 0.367821,0.0115976) , 
6.42107, 1, 0, 0, 0.739285,9.25404e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.600536,0.00174592) , 
394.633, 1, 0, 0, 0.738794,-2.4611e-05)    );
  // itree = 753
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.309061,0.00257112) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.692918,0.00134161) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.275616,-0.00733002) , 
0.0383287, 0, 5, 0, 0.498337,-0.0131893) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463662,-0.00352938) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0499926,-0.0001251) , 
16.0133, 0, 1, 0, 0.0548787,-0.000411896) , 
65.069, 0, 1, 0, 0.0583675,-0.000512418) , 
-112.438, 1, 2, 0, 0.0601645,-0.000430441)    );
  // itree = 754
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401724,-0.0011857) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.308424,0.0050892) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.133094,-0.00136438) , 
0.190472, 1, 6, 0, 0.19292,0.00299707) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.113724,0.00157885) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.086708,-0.00387918) , 
0.84883, 1, 7, 0, 0.106323,-0.000342675) , 
0.365079, 1, 7, 0, 0.129653,0.000557088) , 
0.047619, 1, 7, 0, 0.198977,-1.68494e-05)    );
  // itree = 755
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.758852,-0.00013651) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.443233,0.00128187) , 
23.7041, 1, 2, 0, 0.74651,0.000161965) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.54854,0.00483566) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.267986,0.0058577) , 
0.0167788, 1, 5, 0, 0.35392,-0.0318612) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0814664,-0.000748189) , 
0.112802, 1, 5, 0, 0.290035,-0.0177189) , 
32.3412, 1, 1, 0, 0.739741,-0.000103185)    );
  // itree = 756
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525639,-0.00348403) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.184101,0.00297398) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0774758,-0.00976979) , 
0.00226745, 1, 7, 0, 0.145984,-0.00188009) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0358458,0.00381056) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0199106,-0.000406453) , 
0.274376, 1, 7, 0, 0.0229224,0.000473097) , 
0.047619, 1, 7, 0, 0.0531451,-0.000104824) , 
30.5689, 0, 1, 0, 0.0605201,-0.000390862)    );
  // itree = 757
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.219646,0.00154675) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.423836,0.0115532) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.181407,-0.00148526) , 
2.07202, 0, 1, 0, 0.199502,0.000261211) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.221858,0.00345389) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.165612,-0.00249105) , 
114.479, 1, 0, 0, 0.194452,-0.0351991) , 
43.129, 1, 1, 0, 0.199459,-4.13587e-05) , 
191.516, 0, 0, 0, 0.199693,6.74837e-05)    );
  // itree = 758
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754163,-0.0001679) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.646091,0.00864959) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.429797,0.00380135) , 
0.0142901, 1, 4, 0, 0.506082,-0.00445386) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.12368,-0.00958348) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0867052,-0.0274833) , 
0.0320689, 0, 5, 0, 0.109683,0.0604826) , 
0.093989, 1, 4, 0, 0.432468,0.00760526) , 
23.7041, 1, 2, 0, 0.739196,0.000174687)    );
  // itree = 759
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.590742,0.0100364) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.392094,0.00111355) , 
0.159236, 0, 5, 0, 0.419868,0.0129093) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.236949,0.00505419) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502092,-0.00571985) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0478576,-0.000802687) , 
42.5881, 0, 1, 0, 0.050495,-0.00118976) , 
-112.438, 1, 2, 0, 0.0515991,-0.00106571) , 
4.52221, 0, 3, 0, 0.0600574,-0.000744739)    );
  // itree = 760
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385617,0.00443357) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195348,-6.2231e-05) , 
4.17418, 0, 1, 0, 0.200619,-9.47376e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.254007,0.0113045) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.145536,-0.00617471) , 
0.0263848, 1, 4, 0, 0.205076,-0.0290668) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.107692,-0.00744571) , 
0.0703613, 1, 5, 0, 0.170524,-0.010848) , 
52.661, 1, 1, 0, 0.200294,-0.000211128)    );
  // itree = 761
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.804773,0.00217924) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.3591,-0.00905854) , 
5.66047, 1, 0, 0, 0.742341,-0.000406007) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.477319,-0.00221344) , 
168.195, 1, 2, 0, 0.740484,-0.000175625) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.606456,0.00212828) , 
400.437, 1, 0, 0, 0.740022,-0.000271321)    );
  // itree = 762
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.214798,0.00250434) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0811976,-0.00947045) , 
0.00226751, 1, 7, 0, 0.169318,-0.00202887) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.166667,0.00646859) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0228668,0.00110357) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0109022,-0.0132072) , 
0.329552, 1, 4, 0, 0.0224468,0.000446315) , 
5.96452, 0, 1, 0, 0.0233736,0.000580375) , 
0.047619, 1, 7, 0, 0.0606671,-8.63734e-05)    );
  // itree = 763
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203147,-8.20362e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351812,-0.00356893) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.200659,0.00058851) , 
23.7041, 0, 2, 0, 0.206691,0.000274129) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0906204,-0.00489583) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0888219,-0.00443459) , 
0.0423456, 0, 4, 0, 0.0896975,-0.00364013) , 
0.904759, 1, 6, 0, 0.19995,4.86043e-05) , 
22.7987, 0, 1, 0, 0.200009,-0.000192032)    );
  // itree = 764
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.752449,0.00022037) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.300815,-0.0120171) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.12201,-0.0258211) , 
0.0405378, 1, 5, 0, 0.210917,0.023928) , 
3.87783, 1, 3, 0, 0.742887,-0.000246301) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432555,0.00784433) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.134225,-0.00517813) , 
0.0381412, 1, 5, 0, 0.26905,0.0131271) , 
41.9836, 1, 3, 0, 0.739061,-0.000138312)    );
  // itree = 765
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.256352,0.00249967) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.187228,0.00167776) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0760353,-0.00880993) , 
0.00226751, 1, 7, 0, 0.147233,-0.00397646) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.025537,0.0020968) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0167441,-0.0029396) , 
0.727887, 1, 7, 0, 0.022473,0.000402332) , 
0.0476187, 1, 7, 0, 0.0512075,-0.000606187) , 
23.7041, 0, 2, 0, 0.0606691,-8.31568e-05)    );
  // itree = 766
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212558,0.000703971) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190026,-0.000289887) , 
0.0482481, 0, 4, 0, 0.20058,0.00013157) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.242337,0.00580717) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.11463,-0.00854813) , 
0.055, 1, 4, 0, 0.204352,-0.0326689) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.100446,-0.00923586) , 
0.112802, 1, 5, 0, 0.180283,-0.0178675) , 
36.9498, 1, 1, 0, 0.200302,-0.000115278)    );
  // itree = 767
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747121,0.000156622) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.315927,0.006793) , 
45.5789, 1, 1, 0, 0.743572,-0.000630982) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.662673,-0.00034111) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531021,-0.0060805) , 
0.0153234, 1, 4, 0, 0.598703,-0.0101837) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156851,-0.00949084) , 
0.043473, 1, 4, 0, 0.443883,0.0181281) , 
193.908, 1, 0, 0, 0.740212,-0.000420655)    );
  // itree = 768
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.066416,0.000596913) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465409,0.00738862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0519004,0.000787592) , 
30.1838, 0, 3, 0, 0.055806,0.00146493) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.106704,-0.00745938) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0278104,0.00326899) , 
0.0476172, 1, 6, 0, 0.0543205,-0.00644557) , 
0.0142261, 0, 4, 0, 0.055317,-0.00113925) , 
0.0482131, 0, 4, 0, 0.0605039,-0.000217486)    );
  // itree = 769
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206735,-0.00447332) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.366137,0.00243129) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.327201,0.000777335) , 
-1.76988, 0, 2, 0, 0.35074,0.0231208) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.387034,-0.00113698) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125721,0.00114592) , 
0.0476188, 1, 6, 0, 0.1988,-0.000617239) , 
9.48795, 0, 3, 0, 0.200193,-0.000399534) , 
47.5493, 0, 3, 0, 0.200243,-0.000244326)    );
  // itree = 770
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.894231,0.00491931) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.737108,-0.000343266) , 
0.904757, 0, 6, 0, 0.746196,0.000282356) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.544444,0.00340809) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.279707,0.00404397) , 
0.0154617, 1, 5, 0, 0.356865,-0.0233681) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0890188,0.00231535) , 
0.103742, 1, 5, 0, 0.290066,-0.0121107) , 
33.6558, 1, 1, 0, 0.739547,0.000101694)    );
  // itree = 771
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464091,0.0115462) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.184687,-0.00503844) , 
0.0322636, 0, 5, 0, 0.32087,0.0112417) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.376214,0.00614282) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480178,-0.00642371) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0544476,-8.81358e-06) , 
59.0136, 0, 1, 0, 0.0567353,-0.000197911) , 
173.138, 0, 0, 0, 0.0583029,-6.43192e-05) , 
223.688, 0, 0, 0, 0.0606403,3.63272e-05)    );
  // itree = 772
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210476,0.000516002) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.383115,0.00422503) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.269781,0.0207999) , 
0.0950298, 1, 7, 0, 0.362436,0.0353869) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.331261,-0.00400951) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126773,0.00227866) , 
0.0476181, 1, 6, 0, 0.184709,-0.00234919) , 
3.38131, 0, 3, 0, 0.19046,-0.00112809) , 
0.0482094, 0, 4, 0, 0.199845,6.39834e-05)    );
  // itree = 773
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75841,-0.000143405) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.446962,0.00191566) , 
23.7041, 1, 2, 0, 0.746142,-0.000121465) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.55791,0.00569834) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.27355,0.00428413) , 
0.0167731, 1, 5, 0, 0.360666,-0.0288854) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0785268,-0.00184232) , 
0.112802, 1, 5, 0, 0.293681,-0.0170591) , 
33.6558, 1, 1, 0, 0.739673,-0.000363628)    );
  // itree = 774
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151741,-0.000684372) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0396694,0.0119545) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0242286,0.00137657) , 
0.00489781, 1, 4, 0, 0.0247821,0.00125119) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0207499,0.000365049) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0175644,-0.00745983) , 
0.0426006, 0, 5, 0, 0.0194877,-0.00175955) , 
0.0927217, 1, 4, 0, 0.0233431,0.000432905) , 
0.0476189, 1, 6, 0, 0.060337,-0.000333298)    );
  // itree = 775
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401999,-0.00114566) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.146924,0.00269034) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.135206,-4.8241e-05) , 
0.0933162, 1, 4, 0, 0.143673,0.00121241) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213885,-0.00159108) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0790087,-0.00380042) , 
0.0476174, 1, 6, 0, 0.0876907,-0.00186275) , 
0.818593, 1, 7, 0, 0.130407,0.000483666) , 
0.0476189, 1, 7, 0, 0.19961,-0.000275596)    );
  // itree = 776
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.790279,0.00314196) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.578817,-0.0100859) , 
1.34062, 1, 1, 0, 0.746379,-0.000148847) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.407183,0.00568329) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123132,0.00428297) , 
0.0697548, 1, 5, 0, 0.299785,-0.0194674) , 
42.5881, 1, 1, 0, 0.742437,-0.00031935) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.27029,0.000665288) , 
59.8632, 1, 3, 0, 0.739444,-0.000177155)    );
  // itree = 777
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.197486,0.000872522) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0641887,-0.00686103) , 
0.00226753, 1, 6, 0, 0.150937,-0.00269895) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.175802,0.0131165) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0225303,0.000335188) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0114497,-0.0117904) , 
0.325531, 1, 4, 0, 0.0221293,-8.10708e-06) , 
3.93644, 0, 1, 0, 0.0231621,0.000252736) , 
0.0476189, 1, 6, 0, 0.0601432,-0.000601556)    );
  // itree = 778
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403333,-0.00101272) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220102,0.00223227) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.114265,0.00145302) , 
0.274374, 1, 7, 0, 0.134314,0.00044914) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0980704,-0.00519737) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0482516,-0.0218239) , 
0.480068, 1, 4, 0, 0.0901402,-0.00386581) , 
0.232549, 1, 4, 0, 0.131063,0.0001315) , 
0.0476186, 1, 7, 0, 0.200563,-0.000589799)    );
  // itree = 779
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846998,-0.000713129) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489431,0.00026712) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.403099,0.00671539) , 
-9.3268, 0, 2, 0, 0.479687,-0.0248685) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421867,0.004976) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.329519,-0.00893115) , 
0.000215937, 1, 7, 0, 0.399346,0.00843215) , 
0.00226751, 0, 7, 0, 0.426963,-0.00301507) , 
0.047619, 0, 7, 0, 0.73964,-0.000569293)    );
  // itree = 780
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0667982,0.000673162) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.135114,0.00212171) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0209487,-0.000204984) , 
0.142856, 1, 7, 0, 0.0561784,0.00187426) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.106834,-0.00729353) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0269981,0.00173434) , 
0.0476172, 1, 6, 0, 0.0537882,-0.00696244) , 
0.0141034, 0, 4, 0, 0.0553998,-0.00100432) , 
0.0480951, 0, 4, 0, 0.0607376,-9.39896e-05)    );
  // itree = 781
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200386,0.000125033) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195293,-0.00105811) , 
35.0509, 1, 1, 0, 0.200348,-0.000342432) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185206,-0.00394577) , 
-66.5225, 0, 3, 0, 0.200283,-0.000223689) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198188,-0.0042134) , 
59.8632, 1, 3, 0, 0.20027,-0.000106512)    );
  // itree = 782
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754905,0.000729833) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751442,-0.00298269) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.751025,0.00355715) , 
0.0441732, 0, 5, 0, 0.751259,-0.000228398) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.170664,-0.0142252) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0501319,-0.0349122) , 
0.225187, 1, 4, 0, 0.152043,0.0290531) , 
-6.77394, 0, 2, 0, 0.721596,0.00122116) , 
0.0482525, 1, 4, 0, 0.739314,1.2622e-05)    );
  // itree = 783
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.528758,-0.0022087) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.455945,0.00025543) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.336528,0.0152994) , 
8.79591, 0, 1, 0, 0.408703,0.0323862) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.182897,0.00665614) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0448406,-0.000841375) , 
-112.438, 1, 2, 0, 0.0455271,-0.000907756) , 
4.18118, 0, 1, 0, 0.0555994,1.56181e-05) , 
52.661, 0, 1, 0, 0.0607333,-0.000104677)    );
  // itree = 784
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220096,0.00525491) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.283143,-0.00693835) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196022,0.00036444) , 
63.545, 0, 0, 0, 0.199496,-0.000100346) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196355,-0.00300632) , 
218.956, 1, 0, 0, 0.199478,8.86487e-05) , 
400.437, 0, 0, 0, 0.199549,-6.24924e-05)    );
  // itree = 785
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.764654,0.000888422) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.258285,-0.0158066) , 
3.22236, 1, 3, 0, 0.751549,-0.000585559) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.304462,-0.00870978) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0899209,-0.0311602) , 
0.105707, 1, 5, 0, 0.248186,0.0185209) , 
-4.77222, 0, 3, 0, 0.742312,-0.000234948) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.279058,0.000660553) , 
79.17, 1, 3, 0, 0.740077,-9.74226e-05)    );
  // itree = 786
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466641,0.00219413) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.196178,0.00242167) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0780489,-0.00952561) , 
0.00226745, 1, 7, 0, 0.154428,-0.00273852) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0291749,0.00221398) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0184418,-0.00147587) , 
0.501134, 1, 7, 0, 0.0227524,0.000204439) , 
0.047619, 1, 7, 0, 0.0552726,-0.000522392) , 
-11.8143, 1, 3, 0, 0.0603476,-0.000367384)    );
  // itree = 787
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213944,0.00334032) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.36662,-0.00147066) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200324,-0.00167063) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19859,-2.08192e-05) , 
218.956, 0, 0, 0, 0.1986,-0.000427126) , 
-2.85891, 1, 1, 0, 0.19945,-0.000227428) , 
400.437, 0, 0, 0, 0.1995,-0.000366765)    );
  // itree = 788
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847664,-0.000480641) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489184,0.000235506) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.394635,0.00543394) , 
-9.3268, 0, 2, 0, 0.478598,-0.0248538) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.416427,0.00410742) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.335176,-0.00770634) , 
0.000323887, 1, 7, 0, 0.399102,0.00945193) , 
0.00226745, 0, 7, 0, 0.426248,-0.00226275) , 
0.0476187, 0, 7, 0, 0.739753,-0.000414384)    );
  // itree = 789
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.18206,-0.00860385) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.407454,0.0064392) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.275337,-0.00282942) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0492246,0.000266768) , 
63.545, 0, 0, 0, 0.0581849,-0.00018338) , 
218.956, 0, 0, 0, 0.0601628,-3.30204e-05) , 
400.437, 0, 0, 0, 0.0605963,-0.00013193)    );
  // itree = 790
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211439,0.000642997) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.279325,-0.00821347) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190399,0.00132047) , 
-40.0719, 1, 2, 0, 0.19259,0.00174638) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.296098,-0.00718062) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.13086,0.00191737) , 
0.0476172, 1, 6, 0, 0.186552,-0.00724964) , 
0.0141033, 0, 4, 0, 0.190623,-0.00118436) , 
0.0480951, 0, 4, 0, 0.200383,-6.0281e-06)    );
  // itree = 791
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75818,0.000257732) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.247372,-0.0244436) , 
-8.58062, 0, 3, 0, 0.756397,-0.00061661) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.323811,-0.00114711) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0235054,-0.0195352) , 
0.10521, 1, 4, 0, 0.276773,-0.00136674) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0493827,-0.0200048) , 
0.187486, 1, 5, 0, 0.25301,0.008073) , 
5.40985, 1, 1, 0, 0.739788,-0.00032989)    );
  // itree = 792
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169568,-0.000575705) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0255463,0.00153847) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0172597,-0.00241314) , 
0.818592, 1, 7, 0, 0.02357,0.000513263) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.031746,-0.0032986) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00837469,-0.0143361) , 
0.0952197, 1, 6, 0, 0.0117595,-0.00573088) , 
0.325366, 1, 4, 0, 0.0231466,0.000289401) , 
0.0476189, 1, 7, 0, 0.0604555,-0.000310827)    );
  // itree = 793
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209988,0.000348445) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.302099,3.45838e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.192085,0.00113858) , 
11.1708, 0, 3, 0, 0.193721,0.00195416) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.302446,-0.00619726) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.1295,0.00172902) , 
0.0476172, 1, 6, 0, 0.186902,-0.00530579) , 
0.0163693, 0, 4, 0, 0.191069,-0.000868917) , 
0.0480945, 0, 4, 0, 0.19992,5.16399e-05)    );
  // itree = 794
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.89528,0.00511164) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.901004,0.00262068) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.748265,0.00203285) , 
0.0430838, 0, 6, 0, 0.890688,-0.00179819) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.709252,-0.000495793) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.213897,-0.00900641) , 
4.52221, 1, 3, 0, 0.694545,0.000481171) , 
0.809515, 0, 7, 0, 0.729233,7.80585e-05) , 
0.904759, 0, 6, 0, 0.738716,-0.000154766)    );
  // itree = 795
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.527516,-0.00264739) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.177813,0.0010331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0624927,-0.00666917) , 
0.00226754, 1, 6, 0, 0.136226,-0.00231737) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0745149,0.00310762) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0197723,0.000373075) , 
0.0476183, 1, 7, 0, 0.0231257,0.000557956) , 
0.0476189, 1, 6, 0, 0.0550323,-0.0002532) , 
48.6744, 0, 1, 0, 0.0603682,-0.000400658)    );
  // itree = 796
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207739,1.22873e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17418,-0.000152383) , 
0.0919003, 1, 5, 0, 0.199738,-3.39785e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231369,0.00309248) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.157086,-0.000485408) , 
144.154, 1, 0, 0, 0.202679,-0.0355392) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.139466,-0.00473408) , 
88.5186, 1, 3, 0, 0.189716,-0.020715) , 
30.5689, 1, 1, 0, 0.199582,-0.000354901)    );
  // itree = 797
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75228,-0.000367305) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.329069,0.017108) , 
34.3566, 1, 1, 0, 0.750818,-2.08948e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.663366,0.0101492) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.386198,0.00719551) , 
0.0189481, 1, 4, 0, 0.50392,-0.0216847) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0578512,-0.0219068) , 
0.127576, 1, 4, 0, 0.449831,-0.00624808) , 
84.5511, 1, 0, 0, 0.739467,-0.000255743)    );
  // itree = 798
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.518603,-0.00428813) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.435975,-0.00241272) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.337766,0.0145622) , 
8.80125, 0, 1, 0, 0.397238,0.0211052) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.121769,-0.0018076) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0217581,-0.000108691) , 
0.0476185, 1, 7, 0, 0.045002,-0.00141384) , 
4.18643, 0, 1, 0, 0.0546194,-0.00079899) , 
52.661, 0, 1, 0, 0.0594503,-0.00101387)    );
  // itree = 799
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231579,0.0022413) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.200511,-0.00824374) , 
0.0436946, 1, 4, 0, 0.220562,0.00937983) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.449578,0.0115038) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18694,-0.000780572) , 
2.49377, 0, 1, 0, 0.200387,-6.53895e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.200237,0.00244522) , 
50.8671, 1, 1, 0, 0.200386,-0.000317831) , 
161.737, 0, 0, 0, 0.200702,-0.000165994)    );
  // itree = 800
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.799887,0.00180328) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.739131,-0.000332485) , 
0.136978, 0, 5, 0, 0.74796,0.000211717) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.553881,0.0030735) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.276846,0.00531478) , 
0.0139286, 1, 4, 0, 0.362599,-0.0287042) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0390754,0.0148934) , 
0.0927309, 1, 4, 0, 0.285282,-0.0174263) , 
22.7987, 1, 1, 0, 0.73964,-0.000105424)    );
  // itree = 801
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525506,-0.0029687) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.253382,0.0074695) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0478603,-0.000230254) , 
-6.99833, 1, 2, 0, 0.0568589,0.00120227) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0507289,-0.00377514) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0507052,0.00146712) , 
0.0163418, 1, 4, 0, 0.0507144,-0.00101688) , 
0.0480121, 0, 4, 0, 0.0536009,2.56087e-05) , 
33.6558, 0, 1, 0, 0.0604878,-0.000199336)    );
  // itree = 802
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.280463,-0.0049547) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462568,0.00444367) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.290839,-0.00255415) , 
18.777, 1, 1, 0, 0.452427,0.0170864) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.181288,0.000742471) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.144774,-0.00647589) , 
0.191037, 1, 4, 0, 0.177412,-0.000863139) , 
10.7881, 0, 0, 0, 0.195559,0.000321247) , 
54.7717, 0, 0, 0, 0.200178,-0.000273112)    );
  // itree = 803
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850866,-0.000932463) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.565923,0.000189035) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.417951,0.0021216) , 
0.0022675, 0, 6, 0, 0.470109,-0.00300063) , 
0.0476175, 0, 6, 0, 0.742247,-0.000645093) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.624652,0.00923054) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.237159,-0.00124607) , 
0.0339781, 1, 4, 0, 0.421839,0.0175182) , 
-112.438, 0, 2, 0, 0.739963,-0.0005156)    );
  // itree = 804
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.150674,-0.000829565) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.143061,0.0182738) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0540421,-0.00473216) , 
0.00226723, 1, 7, 0, 0.0776206,0.00594095) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0202245,0.000480171) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00953792,-0.0120751) , 
0.319668, 1, 4, 0, 0.0198154,6.69078e-05) , 
0.0476188, 1, 7, 0, 0.0233781,0.000428949) , 
0.0476188, 1, 6, 0, 0.0602166,-0.000473045)    );
  // itree = 805
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211616,0.000388166) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189358,-0.000586208) , 
0.0481996, 0, 4, 0, 0.199789,8.38768e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.253342,0.00943382) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195133,-0.00044945) , 
0.0177179, 1, 4, 0, 0.21875,-0.0326864) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0895196,-0.0106997) , 
0.0707487, 1, 4, 0, 0.177244,-0.0162018) , 
36.9498, 1, 1, 0, 0.199485,-0.000135982)    );
  // itree = 806
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754576,0.000569947) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.833139,0.00663322) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.174986,-0.0312103) , 
3.31723, 1, 0, 0, 0.738,0.000142948) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.23194,0.00938779) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0618067,-0.020134) , 
0.120974, 1, 4, 0, 0.167269,0.0292824) , 
91.8349, 1, 0, 0, 0.723639,0.000876205) , 
0.0480945, 1, 4, 0, 0.740088,-0.000180302)    );
  // itree = 807
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.528386,-0.00256359) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.184083,0.00256269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0779873,-0.00854487) , 
0.00226751, 1, 7, 0, 0.146067,-0.00148265) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0239703,0.00133771) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0136481,-0.0050974) , 
0.183801, 1, 5, 0, 0.0229378,0.00056736) , 
0.0476189, 1, 7, 0, 0.053172,6.39819e-05) , 
30.5689, 0, 1, 0, 0.0607074,-0.00014917)    );
  // itree = 808
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257322,0.000631157) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199573,4.2029e-06) , 
194.453, 0, 2, 0, 0.199903,-8.74386e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.242105,0.00558178) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.148472,-0.00509202) , 
0.0277161, 1, 4, 0, 0.195186,-0.0193818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111828,-0.00553744) , 
0.112778, 1, 5, 0, 0.175692,-0.00959516) , 
36.9498, 1, 1, 0, 0.199562,-0.00022135)    );
  // itree = 809
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.819749,0.0050987) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.741956,-0.000259391) , 
0.228297, 0, 5, 0, 0.746757,-4.0063e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.55758,0.00649025) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.262813,0.00270393) , 
0.0169837, 1, 5, 0, 0.355406,-0.0267584) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0869268,0.00296229) , 
0.112992, 1, 5, 0, 0.293673,-0.014198) , 
32.3412, 1, 1, 0, 0.739949,-0.000252803)    );
  // itree = 810
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51031,-0.00163248) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0743766,0.00145623) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0498305,6.76209e-05) , 
0.00861945, 1, 5, 0, 0.0531259,0.000439125) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0434783,0.000301421) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0306056,-0.00670787) , 
0.0768556, 0, 4, 0, 0.0363921,-0.00327763) , 
0.181028, 1, 5, 0, 0.0515547,9.01404e-05) , 
19.7118, 0, 1, 0, 0.0605491,-8.57484e-05)    );
  // itree = 811
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.348635,-0.00310268) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193756,0.000208639) , 
23.7041, 0, 2, 0, 0.19974,-0.000186216) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.243478,0.00696115) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.188843,-0.00138006) , 
0.0204493, 1, 5, 0, 0.209115,-0.0203854) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.118001,-0.00663069) , 
0.10422, 1, 5, 0, 0.186254,-0.00974387) , 
30.5689, 1, 1, 0, 0.199529,-0.000335903)    );
  // itree = 812
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744372,0.000222068) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.487372,-0.00200239) , 
168.195, 1, 2, 0, 0.742578,-0.000211547) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.408246,-0.00488633) , 
-2.85891, 0, 1, 0, 0.74083,-3.79996e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.622476,0.00382033) , 
400.437, 1, 0, 0, 0.740415,-0.000139008)    );
  // itree = 813
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.066666,0.000493694) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.405291,-6.80122e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.159309,-0.0146673) , 
0.0123585, 0, 4, 0, 0.317872,-0.0260306) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0570524,0.00139066) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0364423,-0.00508196) , 
0.0459501, 1, 5, 0, 0.0495699,-0.000742664) , 
22.7987, 0, 1, 0, 0.0548102,-0.00123657) , 
0.048199, 0, 4, 0, 0.0603661,-0.000334607)    );
  // itree = 814
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.35763,0.00505155) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.392534,-0.0028824) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.366808,0.0012843) , 
0.00226754, 1, 6, 0, 0.383128,-0.00201608) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.128683,0.00183739) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.112447,-0.00196977) , 
0.0933162, 1, 4, 0, 0.124334,0.000291524) , 
0.0476189, 1, 6, 0, 0.196137,-0.000348729) , 
4.49505, 0, 3, 0, 0.199942,-0.00010283)    );
  // itree = 815
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.853301,-0.000823001) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.486275,0.00166005) , 
0.0476189, 0, 6, 0, 0.752065,-0.000400801) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464076,-0.0202334) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.215955,-0.00278035) , 
0.142564, 0, 6, 0, 0.25675,0.01113) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0654685,-0.025936) , 
0.149708, 1, 5, 0, 0.226507,0.01787) , 
4.52221, 1, 3, 0, 0.739829,2.45895e-05)    );
  // itree = 816
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.522837,-0.00270891) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0580668,0.000600853) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0437636,-0.00157868) , 
0.13785, 1, 5, 0, 0.0559958,0.000498385) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.016229,0.000838985) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.013772,-0.00974491) , 
0.0765462, 0, 5, 0, 0.0144621,-0.00382737) , 
0.904744, 1, 6, 0, 0.0535899,0.000247816) , 
30.5689, 0, 1, 0, 0.060921,2.26814e-05)    );
  // itree = 817
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21187,0.000664821) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.202346,0.00347974) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.183822,-0.0012648) , 
0.0308295, 0, 4, 0, 0.190641,0.000575569) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.296055,-0.00668594) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131717,0.00165475) , 
0.0476126, 1, 6, 0, 0.188664,-0.00765861) , 
0.0118372, 0, 4, 0, 0.190131,-0.00154759) , 
0.0480951, 0, 4, 0, 0.200319,-0.00029949)    );
  // itree = 818
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.78126,0.000607296) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.736106,-4.32027e-05) , 
0.0901093, 0, 5, 0, 0.74714,-4.11556e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.53069,0.00356617) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.109048,0.00520015) , 
0.0359708, 1, 4, 0, 0.3536,-0.0244139) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0789793,-0.000844355) , 
0.10513, 1, 5, 0, 0.285585,-0.0132082) , 
30.5689, 1, 1, 0, 0.739895,-0.000247854)    );
  // itree = 819
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.186107,-0.00735157) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494953,0.0115913) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.207419,-0.00546358) , 
0.0850244, 0, 4, 0, 0.273036,-0.00452394) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0461675,0.00108786) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0424832,-0.00252694) , 
0.0953879, 1, 4, 0, 0.045196,0.000172645) , 
37.6519, 0, 0, 0, 0.0599425,-0.000131333) , 
400.437, 0, 0, 0, 0.0603965,-0.000216416)    );
  // itree = 820
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210587,0.000443196) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212208,0.0021545) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190143,0.000292851) , 
54.4485, 0, 1, 0, 0.190375,0.00175783) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.236041,-0.00128905) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.183026,-0.00295641) , 
54.7717, 0, 0, 0, 0.187709,-0.007062) , 
0.0118373, 0, 4, 0, 0.189687,-0.00051773) , 
0.0480951, 0, 4, 0, 0.199504,0.000234551)    );
  // itree = 821
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.745559,6.13413e-07) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.345024,0.00666882) , 
65.186, 1, 1, 0, 0.743536,-0.000212966) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.568065,-0.00129084) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.144894,-0.00620446) , 
0.0433116, 1, 4, 0, 0.402147,0.0242145) , 
176.326, 1, 0, 0, 0.739922,4.56449e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.61283,0.00227621) , 
426.805, 1, 0, 0, 0.739525,-6.83174e-05)    );
  // itree = 822
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213847,0.00206741) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.080671,-0.00868555) , 
0.00226723, 1, 7, 0, 0.168329,-0.00226421) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.161772,0.0043948) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0339707,0.00261167) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0194796,-0.000414475) , 
0.274376, 1, 7, 0, 0.0221976,0.00025115) , 
5.80986, 0, 1, 0, 0.0231165,0.000345774) , 
0.0476189, 1, 7, 0, 0.0600953,-0.000318866)    );
  // itree = 823
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389858,-0.00117111) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.126155,0.000991641) , 
0.0476189, 1, 6, 0, 0.199964,-0.000258289) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.230999,0.00231577) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.15477,-0.00200247) , 
0.0405174, 1, 4, 0, 0.207458,-0.0254607) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0941493,-0.00891529) , 
0.0930382, 1, 4, 0, 0.180886,-0.0162277) , 
32.3412, 1, 1, 0, 0.199678,-0.000497639)    );
  // itree = 824
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.849627,-0.00118718) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.690701,0.00174794) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.40623,-0.00126018) , 
0.047619, 0, 7, 0, 0.56495,-0.0120048) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.431658,0.0061368) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.375,-0.00714683) , 
0.000107976, 1, 6, 0, 0.413996,0.00324868) , 
0.00226754, 0, 6, 0, 0.466747,-0.00208167) , 
0.0476189, 0, 6, 0, 0.739275,-0.000252549)    );
  // itree = 825
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.52689,-0.00252079) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45434,0.00334193) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0801227,0.000572908) , 
12.5254, 0, 3, 0, 0.0853642,0.00142354) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0358219,-0.00361744) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0175231,-0.000115674) , 
0.0476175, 1, 6, 0, 0.0188574,-0.000354988) , 
0.47619, 1, 7, 0, 0.0541549,0.000588939) , 
32.3412, 0, 1, 0, 0.0611146,0.000388963)    );
  // itree = 826
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.309366,-0.00651256) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195285,0.000412399) , 
54.7717, 0, 0, 0, 0.199957,0.000187117) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.247305,0.00823955) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194071,0.000566574) , 
0.0167493, 1, 5, 0, 0.210681,-0.0300188) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.116388,-0.00526648) , 
0.112778, 1, 5, 0, 0.18813,-0.0194759) , 
32.3412, 1, 1, 0, 0.199783,-0.000103027)    );
  // itree = 827
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.819593,0.00306214) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.745372,-0.000396691) , 
0.182637, 0, 5, 0, 0.752238,0.000196332) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.340812,0.00318155) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0762712,-0.0100658) , 
0.149537, 1, 5, 0, 0.303587,-0.0200933) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0224719,-0.00659904) , 
0.140107, 1, 4, 0, 0.268739,-0.0105267) , 
9.05078, 1, 1, 0, 0.73911,-9.48159e-05)    );
  // itree = 828
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525194,-0.00231452) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0603075,0.000849738) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0158611,-0.00493885) , 
0.904761, 1, 7, 0, 0.0559747,0.000882813) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439864,0.00857624) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0299975,-0.00415067) , 
3.69773, 0, 1, 0, 0.0418242,-0.00220163) , 
0.135771, 1, 5, 0, 0.0538924,0.000428928) , 
32.3412, 0, 1, 0, 0.0607869,0.000248409)    );
  // itree = 829
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.214076,0.00104478) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.272566,0.00175453) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189826,-0.00136664) , 
74.0798, 1, 0, 0, 0.215654,-0.0304105) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.265697,-0.00659145) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19895,-3.36569e-05) , 
179.118, 0, 2, 0, 0.199194,-0.000277122) , 
25.4908, 0, 1, 0, 0.199408,-0.000668731) , 
193.908, 0, 0, 0, 0.199574,-0.000564033)    );
  // itree = 830
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850644,-0.000871754) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.69164,0.00163773) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.404404,-0.00137811) , 
0.047619, 0, 7, 0, 0.565338,-0.0108357) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.425378,0.00486619) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.382789,-0.00625441) , 
0.00021595, 1, 6, 0, 0.414573,0.00432313) , 
0.00226754, 0, 6, 0, 0.46716,-0.000964317) , 
0.0476189, 0, 6, 0, 0.73988,0.000394374)    );
  // itree = 831
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.545092,0.00272716) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0669735,0.00078879) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.016415,-0.00467462) , 
0.857141, 1, 7, 0, 0.0597737,0.000715064) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0609112,0.00142298) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0343655,-0.00799411) , 
0.0416995, 0, 4, 0, 0.0515511,-0.00183945) , 
0.0919003, 1, 5, 0, 0.0578021,0.000102537) , 
-41.067, 1, 3, 0, 0.0609776,0.000197843)    );
  // itree = 832
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404912,-0.000562517) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16455,0.00235169) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0988736,-0.00104952) , 
0.591836, 1, 7, 0, 0.131377,0.000437424) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0893029,-0.0148876) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0471618,-0.0163812) , 
0.455641, 1, 7, 0, 0.0639826,-0.0068099) , 
0.376559, 1, 4, 0, 0.129709,0.000258015) , 
0.047619, 1, 7, 0, 0.199936,-0.000324439)    );
  // itree = 833
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.885265,0.00309646) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.800079,0.00539692) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.714827,-0.00255096) , 
0.0424082, 1, 4, 0, 0.744815,-0.000974564) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.704933,-0.000489633) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.34349,0.00737598) , 
-41.0958, 0, 3, 0, 0.702519,0.000886798) , 
0.0913186, 0, 5, 0, 0.712758,0.000436202) , 
0.761903, 0, 6, 0, 0.739944,9.13419e-05)    );
  // itree = 834
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151725,-0.000556459) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0836105,0.00508954) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0223949,0.0014654) , 
0.0476187, 1, 7, 0, 0.0280216,0.001753) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0606549,-0.00420664) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0181829,-0.00074862) , 
0.0476189, 1, 7, 0, 0.0199495,-0.000700963) , 
0.41043, 1, 6, 0, 0.0232038,0.00028837) , 
0.0476189, 1, 6, 0, 0.0603012,-0.000315699)    );
  // itree = 835
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.38892,7.02238e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386252,-0.00229579) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.373966,0.00205508) , 
0.00226737, 1, 6, 0, 0.381906,-0.00210947) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.130577,0.00160464) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0911285,-0.00562507) , 
0.186554, 1, 4, 0, 0.126287,0.000310771) , 
0.0476189, 1, 6, 0, 0.199286,-0.000380396) , 
-3.32186, 1, 1, 0, 0.200095,-0.00022325)    );
  // itree = 836
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.84709,-0.000642233) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.436649,0.000983633) , 
0.0476189, 0, 7, 0, 0.746103,-5.54841e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.539661,0.00264244) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270659,0.00310198) , 
0.0167692, 1, 5, 0, 0.353063,-0.0231767) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.083795,0.000722939) , 
0.112802, 1, 5, 0, 0.290941,-0.0153402) , 
33.6558, 1, 1, 0, 0.73937,-0.000281572)    );
  // itree = 837
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.629359,0.0103928) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.171916,-0.00256151) , 
0.0436981, 0, 4, 0, 0.33425,0.0107173) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458689,-0.00631301) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421889,0.00634734) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0451855,-0.000467072) , 
4.4651, 0, 1, 0, 0.0542332,0.000340487) , 
52.983, 0, 1, 0, 0.05662,0.000139612) , 
161.737, 0, 0, 0, 0.0609173,0.000303342)    );
  // itree = 838
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380275,-0.0010877) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404096,0.0185317) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.12884,0.00133655) , 
5.33709, 0, 3, 0, 0.130343,0.00119119) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151745,-0.00313571) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0635772,-0.00672303) , 
0.380941, 1, 7, 0, 0.0924169,-0.0034749) , 
0.186554, 1, 4, 0, 0.126226,0.000684627) , 
0.0476189, 1, 6, 0, 0.199582,9.50705e-05)    );
  // itree = 839
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.75812,0.000157835) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.420406,0.00485679) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.340192,-0.0129978) , 
21.4214, 0, 0, 0, 0.401488,0.00904066) , 
19.7873, 1, 2, 0, 0.742372,-0.000358606) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.705508,-0.000278063) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.245893,-0.00657682) , 
0.0476072, 0, 6, 0, 0.475762,0.0103789) , 
223.688, 1, 0, 0, 0.739997,-0.000262956)    );
  // itree = 840
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525394,-0.00223371) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.171002,0.00106339) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0633183,-0.00576725) , 
0.00226756, 1, 6, 0, 0.131773,-0.0016129) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0364239,0.00465991) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0212101,-5.0321e-05) , 
0.138323, 1, 6, 0, 0.0228775,0.000439627) , 
0.0476189, 1, 6, 0, 0.0533207,-0.000134184) , 
32.3412, 0, 1, 0, 0.0603387,-0.000302134)    );
  // itree = 841
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206127,0.000138939) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194286,0.00233105) , 
52.661, 1, 1, 0, 0.20603,0.000531781) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.184116,0.00285612) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.142442,-0.00463992) , 
0.0792051, 0, 4, 0, 0.160298,-0.00224688) , 
0.13785, 1, 5, 0, 0.199446,0.000131737) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.177995,-0.00470794) , 
-68.7439, 0, 3, 0, 0.199358,0.000249937)    );
  // itree = 842
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846904,-0.000576124) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487495,-0.000139388) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.395394,0.00518961) , 
-9.3268, 0, 2, 0, 0.477169,-0.0216337) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418421,0.00360618) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.332125,-0.00770194) , 
0.000323887, 1, 7, 0, 0.400014,0.00806436) , 
0.00226751, 0, 7, 0, 0.426317,-0.0020601) , 
0.047619, 0, 7, 0, 0.7396,-0.00038155)    );
  // itree = 843
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46841,0.0130857) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.212947,-0.00131795) , 
0.117191, 0, 4, 0, 0.249001,0.00511308) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.395987,0.0045082) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508913,-0.00419865) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0465595,-6.59527e-05) , 
24.7217, 0, 1, 0, 0.0498535,-0.000251456) , 
193.018, 0, 0, 0, 0.0514783,-0.000165849) , 
23.7041, 0, 2, 0, 0.0605908,7.76893e-05)    );
  // itree = 844
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.225142,0.000475449) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.159763,0.000639856) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.147681,-0.00211167) , 
0.945581, 1, 7, 0, 0.156548,-0.00620495) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0794519,-0.00340623) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0659875,-0.00725904) , 
0.918364, 1, 6, 0, 0.0781389,-0.000922136) , 
0.142856, 1, 6, 0, 0.0891503,-0.00166403) , 
0.809523, 1, 7, 0, 0.199925,-0.000123158)    );
  // itree = 845
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749861,3.67367e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.277524,0.00343013) , 
20.1128, 1, 1, 0, 0.742448,-2.45302e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.36743,-0.00788286) , 
218.947, 1, 0, 0, 0.740273,0.000167214) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.611224,0.00160334) , 
400.437, 1, 0, 0, 0.739822,4.8465e-05)    );
  // itree = 846
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.23941,0.00478659) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.60286,0.00986699) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.121701,-0.00851879) , 
0.047617, 1, 6, 0, 0.396606,0.01708) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496601,-0.00416109) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0514155,-9.14193e-06) , 
25.4908, 0, 1, 0, 0.0567493,-0.000292488) , 
193.018, 0, 0, 0, 0.0593201,-0.00016108) , 
194.453, 0, 2, 0, 0.0606742,-3.29709e-05)    );
  // itree = 847
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380401,-0.000980994) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.444867,0.0113759) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.127201,0.00268623) , 
0.0476187, 1, 7, 0, 0.156129,0.00188954) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.346283,0.00154533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0956682,-0.00231174) , 
0.0476186, 1, 7, 0, 0.106056,-0.000758541) , 
0.410423, 1, 6, 0, 0.126241,0.000308902) , 
0.0476181, 1, 6, 0, 0.199651,-0.000527827)    );
  // itree = 848
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846512,-0.000661091) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.540984,0.0189253) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.480568,0.000604188) , 
128.504, 0, 0, 0, 0.482776,-0.0220991) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.414045,0.00299347) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.334311,-0.00741952) , 
0.000323798, 1, 7, 0, 0.397222,0.00875307) , 
0.0022669, 0, 7, 0, 0.426367,-0.00175719) , 
0.0476189, 0, 7, 0, 0.739509,-0.000338769)    );
  // itree = 849
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.238233,0.0045044) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.55308,0.0212969) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.251267,-0.00376206) , 
0.211801, 0, 4, 0, 0.268726,-0.00911168) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.198968,0.00355773) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0403653,-0.000192979) , 
17.6028, 0, 0, 0, 0.0451241,0.000215682) , 
36.7279, 0, 0, 0, 0.0591513,-0.000369448) , 
194.453, 0, 2, 0, 0.0604626,-0.000249338)    );
  // itree = 850
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.402775,-0.000715545) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.144756,0.00247645) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.130259,0.000534607) , 
0.0131281, 1, 5, 0, 0.13275,0.000497031) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.12633,-0.0112517) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0612102,-0.00853556) , 
0.27437, 1, 7, 0, 0.0744755,-0.00506598) , 
0.275701, 1, 5, 0, 0.130109,0.000244887) , 
0.047619, 1, 7, 0, 0.199528,-0.000492203)    );
  // itree = 851
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747454,0.000154879) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.339307,0.00696019) , 
50.3219, 1, 1, 0, 0.744993,-0.000476151) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.66119,0.000115124) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510292,-0.00254952) , 
0.0165644, 1, 4, 0, 0.588574,-0.0100728) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156992,-0.00255012) , 
0.0475663, 1, 4, 0, 0.440212,0.00823823) , 
161.737, 1, 0, 0, 0.740228,-0.000339895)    );
  // itree = 852
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.192924,-0.00632274) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.391273,0.0156685) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.400574,0.00647448) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0570968,-0.000369946) , 
218.947, 0, 0, 0, 0.0588058,-0.000375849) , 
-155.837, 1, 2, 0, 0.0599075,-0.000159307) , 
400.437, 0, 0, 0, 0.0603782,-0.000230957)    );
  // itree = 853
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.440649,0.00239747) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.387688,-0.00223973) , 
0.00226751, 0, 7, 0, 0.405967,-0.00316864) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133415,0.00109896) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.09292,-0.00626493) , 
0.235705, 1, 4, 0, 0.130494,0.000467267) , 
0.0476187, 1, 7, 0, 0.200127,-0.00045181) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.173791,-0.00392923) , 
-80.4128, 0, 3, 0, 0.200038,-0.000363709)    );
  // itree = 854
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.851479,-0.000718133) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481057,0.00126834) , 
0.0476179, 0, 6, 0, 0.748072,-2.2519e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.562232,0.00251919) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.255034,0.00338044) , 
0.0157196, 1, 4, 0, 0.354827,-0.0150711) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0313138,0.00811204) , 
0.105235, 1, 4, 0, 0.288886,-0.00805543) , 
25.863, 1, 1, 0, 0.740258,-0.000159215)    );
  // itree = 855
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510696,-0.00217816) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.372297,0.0140006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.167959,-0.00076531) , 
0.129326, 0, 4, 0, 0.193582,0.00748829) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.300442,0.00691443) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0450118,-0.000237478) , 
-8.58062, 1, 3, 0, 0.0463136,-0.000103013) , 
23.7041, 0, 2, 0, 0.0518071,0.000180161) , 
19.7118, 0, 1, 0, 0.0606747,-5.01404e-05)    );
  // itree = 856
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207944,4.96476e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.427042,0.00233516) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111008,-0.00116447) , 
0.0476179, 1, 7, 0, 0.174654,-0.0026081) , 
0.0903637, 1, 5, 0, 0.199816,-0.000460047) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.25,0.00257788) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.146018,-0.0122624) , 
0.0404789, 1, 4, 0, 0.198765,0.0162841) , 
59.8632, 1, 3, 0, 0.199809,-0.000351487)    );
  // itree = 857
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.894697,0.00313293) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.714881,-0.000428531) , 
0.809522, 0, 7, 0, 0.748752,-6.81987e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.534884,0.00486814) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.24366,0.00110306) , 
0.0149601, 1, 5, 0, 0.32086,-0.0169488) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.059657,-0.00990923) , 
0.150122, 1, 5, 0, 0.27874,-0.00751339) , 
19.7118, 1, 1, 0, 0.739509,-0.000214607)    );
  // itree = 858
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521479,-0.0018298) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.37691,0.00465376) , 
37.8173, 0, 1, 0, 0.420581,0.0158488) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.176126,0.0148637) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0528535,-7.93911e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0376831,-0.0045784) , 
0.182637, 1, 5, 0, 0.0514578,-0.000480258) , 
-2.67515, 1, 1, 0, 0.051973,-0.000289202) , 
4.49505, 0, 3, 0, 0.0606242,8.95595e-05)    );
  // itree = 859
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40338,-0.000596783) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393378,0.0217225) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.147952,0.00170283) , 
3.86916, 0, 1, 0, 0.150953,0.00116467) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.123162,-0.0031111) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0821806,-0.00327994) , 
0.365086, 1, 7, 0, 0.0907629,-0.00119377) , 
0.619046, 1, 6, 0, 0.130323,0.000356332) , 
0.0476188, 1, 7, 0, 0.199846,-0.000368055)    );
  // itree = 860
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.898013,0.0041137) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.792247,0.00165735) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.720783,-0.000586985) , 
0.136978, 0, 5, 0, 0.73125,0.000105372) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.272049,-0.00238845) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0630828,-0.012522) , 
0.159081, 1, 5, 0, 0.243498,0.00444487) , 
5.96452, 1, 1, 0, 0.713415,0.000264051) , 
0.857142, 0, 7, 0, 0.739364,-0.000100659)    );
  // itree = 861
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0617954,0.00046467) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0702135,0.00528148) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0658243,0.000211797) , 
0.312361, 0, 5, 0, 0.0667209,0.00131426) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0745458,0.00630697) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0439153,-0.00520589) , 
0.0640996, 0, 4, 0, 0.0480098,-0.00368555) , 
0.0789968, 0, 4, 0, 0.0560601,-0.00153443) , 
0.135164, 1, 5, 0, 0.0609438,0.000348227)    );
  // itree = 862
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.225764,0.00713867) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207282,0.000230502) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379199,-0.000444853) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.178291,-1.83646e-05) , 
11.7443, 0, 0, 0, 0.199418,-0.000218056) , 
218.956, 0, 0, 0, 0.199463,-6.37962e-05) , 
400.437, 0, 0, 0, 0.199557,-0.000201579)    );
  // itree = 863
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755219,0.000621003) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.750782,-0.0026929) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.749751,0.00328164) , 
0.0441732, 0, 5, 0, 0.750327,-0.000759185) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.180744,-0.0111283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0595186,-0.0322559) , 
0.180802, 1, 4, 0, 0.152036,0.0269079) , 
-6.99833, 0, 2, 0, 0.72122,0.000586837) , 
0.0480808, 1, 4, 0, 0.739289,-9.26116e-05)    );
  // itree = 864
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.573823,0.00911032) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.658208,0.0152051) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.341507,-0.000739338) , 
0.0819914, 0, 4, 0, 0.436808,0.0199448) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.373261,0.00403269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0454363,-0.000851267) , 
3.77249, 0, 3, 0, 0.0529844,-0.00054121) , 
-6.88699, 1, 3, 0, 0.0588267,-0.000229385) , 
105.022, 0, 3, 0, 0.0607145,-5.69154e-05)    );
  // itree = 865
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403266,-0.000597968) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.139377,0.00159821) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125984,-0.000168783) , 
0.0363211, 0, 4, 0, 0.132905,0.00115531) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.522273,0.0400762) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0754865,-0.00948053) , 
2.82538, 0, 0, 0, 0.101252,-0.00233801) , 
0.188533, 1, 4, 0, 0.129503,0.000779853) , 
0.047619, 1, 7, 0, 0.199421,-0.000136342)    );
  // itree = 866
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850619,-0.0007175) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.688423,0.00136256) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.404574,-0.0013213) , 
0.0476161, 0, 7, 0, 0.563099,-0.0113663) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.431581,0.00558714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.375328,-0.00676002) , 
0.000107976, 1, 6, 0, 0.414067,0.00480101) , 
0.00226752, 0, 6, 0, 0.466081,-0.000841612) , 
0.0476181, 0, 6, 0, 0.739474,0.000172194)    );
  // itree = 867
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151993,-0.000606015) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0359318,0.00535178) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0224934,0.00100582) , 
0.183674, 1, 6, 0, 0.0246193,0.00128166) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0170549,-0.00214716) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0135192,-0.0104185) , 
0.072931, 0, 5, 0, 0.0150084,-0.00380094) , 
0.186687, 1, 4, 0, 0.0235765,0.000730215) , 
0.0476189, 1, 6, 0, 0.0606653,-4.75589e-05)    );
  // itree = 868
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404267,-0.000429519) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.176814,0.00194819) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103696,-0.000541979) , 
0.501135, 1, 7, 0, 0.132783,0.00101519) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.114595,-1.80065e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0632119,-0.0152205) , 
0.372972, 1, 4, 0, 0.102792,-0.00206575) , 
0.18572, 1, 4, 0, 0.129474,0.000675244) , 
0.047619, 1, 7, 0, 0.199796,-0.000347407)    );
  // itree = 869
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847497,-0.000310156) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48797,0.0153948) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481904,1.48405e-05) , 
24.9108, 0, 2, 0, 0.482439,-0.0235724) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421187,0.00347304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.330257,-0.00790953) , 
0.000215918, 1, 7, 0, 0.398933,0.00881927) , 
0.00226723, 0, 7, 0, 0.427463,-0.0022474) , 
0.047619, 0, 7, 0, 0.740739,-0.000294181)    );
  // itree = 870
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168543,-0.000683238) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0598232,-0.0105478) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0239582,0.001454) , 
223.688, 0, 0, 0, 0.0241458,0.000855004) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0190381,0.00306166) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0149783,-0.00784428) , 
0.108648, 0, 5, 0, 0.0161812,-0.00262924) , 
0.188732, 1, 4, 0, 0.0232937,0.000482226) , 
0.0476188, 1, 7, 0, 0.0604265,-0.00026579)    );
  // itree = 871
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.269142,-0.00332468) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195122,0.005592) , 
0.095057, 1, 7, 0, 0.234004,0.0163861) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.341849,0.00634033) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.19788,-4.54227e-05) , 
-6.00212, 1, 3, 0, 0.2001,-0.000462238) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.165652,-0.0086474) , 
95.3092, 1, 3, 0, 0.199979,-0.000322946) , 
186.119, 0, 2, 0, 0.200243,-0.000193501)    );
  // itree = 872
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.780487,0.000265762) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.734258,-0.00037762) , 
0.0905142, 0, 5, 0, 0.745536,7.55046e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.560704,0.000243388) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.247166,0.00125513) , 
0.0157196, 1, 4, 0, 0.349322,-0.0147838) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0243183,-0.0010335) , 
0.105235, 1, 4, 0, 0.282398,-0.00881373) , 
30.5689, 1, 1, 0, 0.738335,-6.26992e-05)    );
  // itree = 873
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.182901,-0.00759442) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.637448,0.0119823) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.189598,-0.000546207) , 
0.039934, 0, 4, 0, 0.376653,0.0219838) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464854,-0.00366678) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0496099,0.000174547) , 
14.4396, 0, 1, 0, 0.0563233,-0.000125971) , 
158.45, 0, 0, 0, 0.0602889,0.000147738) , 
400.437, 0, 0, 0, 0.0607027,6.59874e-05)    );
  // itree = 874
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436919,0.0019666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.386471,-0.00176449) , 
0.00226693, 0, 7, 0, 0.403671,-0.00221852) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.274396,0.0119137) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133155,0.00104969) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.112061,-0.00258864) , 
0.141668, 1, 4, 0, 0.129704,1.47749e-05) , 
5.96452, 0, 1, 0, 0.130655,0.0001162) , 
0.0476182, 1, 7, 0, 0.200297,-0.000479356)    );
  // itree = 875
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847209,-0.000402522) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.589766,0.000125936) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.416587,0.00146705) , 
0.0476085, 0, 6, 0, 0.480765,-0.0209345) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421632,0.00363872) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.331151,-0.0074677) , 
0.000215926, 1, 7, 0, 0.399606,0.00750359) , 
0.00226745, 0, 7, 0, 0.427126,-0.00213954) , 
0.0476189, 0, 7, 0, 0.739792,-0.000349207)    );
  // itree = 876
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0738407,0.000391538) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0570397,0.00247246) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0216424,-0.0118631) , 
0.00226752, 1, 6, 0, 0.0293885,-0.0080266) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0171862,-0.00036851) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00993193,-0.00788115) , 
0.182935, 1, 4, 0, 0.0164677,-0.000468769) , 
0.0476188, 1, 6, 0, 0.0173124,-0.00096287) , 
0.761903, 1, 7, 0, 0.0609365,0.000281525)    );
  // itree = 877
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.213224,0.00394098) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.259707,-0.00639945) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199424,0.000178414) , 
117.956, 0, 2, 0, 0.200101,0.000187961) , 
400.437, 0, 0, 0, 0.200143,0.000128793) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.192891,-0.00303096) , 
-50.0014, 0, 3, 0, 0.200104,0.000220308)    );
  // itree = 878
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.895633,0.00516078) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.921461,0.0126465) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.394107,0.00341234) , 
0.0476041, 0, 7, 0, 0.821904,0.00372423) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.760301,-0.00025373) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.721396,-0.000488379) , 
0.12253, 0, 5, 0, 0.727063,0.000374359) , 
0.321651, 0, 5, 0, 0.729799,0.000471018) , 
0.904757, 0, 6, 0, 0.73924,0.000297853)    );
  // itree = 879
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168071,-0.00093892) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0319913,0.00275862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0199858,-0.000163495) , 
0.45578, 1, 7, 0, 0.0241759,0.000754315) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208317,0.000338526) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0164733,-0.00847735) , 
0.0426006, 0, 5, 0, 0.0190959,-0.00200631) , 
0.0945197, 1, 4, 0, 0.0228287,2.2199e-05) , 
0.0476188, 1, 7, 0, 0.0598219,-0.000839233)    );
  // itree = 880
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208356,6.45989e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.233236,0.00248138) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17551,-0.0063608) , 
0.15792, 1, 5, 0, 0.203378,0.0242146) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.311995,-0.011906) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.16675,0.00027825) , 
44.9167, 0, 0, 0, 0.1713,-0.00203208) , 
11.3527, 0, 1, 0, 0.172197,-0.00129781) , 
0.0919003, 1, 5, 0, 0.199674,0.000180625)    );
  // itree = 881
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846768,-0.000419892) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.58766,-0.000173148) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.418537,0.00187728) , 
0.0476068, 0, 6, 0, 0.481535,-0.0231096) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.420432,0.0032369) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.33366,-0.00699061) , 
0.000215937, 1, 7, 0, 0.399228,0.0093909) , 
0.00226751, 0, 7, 0, 0.427471,-0.00176149) , 
0.0476185, 0, 7, 0, 0.739912,-0.000376888)    );
  // itree = 882
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.151699,-0.000782771) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133592,0.0127533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0571011,-0.00225558) , 
0.00226722, 1, 7, 0, 0.0772211,0.00559863) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0201141,0.000334109) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00865801,-0.0134875) , 
0.371877, 1, 4, 0, 0.0198136,3.908e-05) , 
0.0476188, 1, 7, 0, 0.0233648,0.000382988) , 
0.0476189, 1, 6, 0, 0.0605096,-0.000461559)    );
  // itree = 883
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.255477,-0.00177962) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206904,-0.000100283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.172025,-0.000314034) , 
0.0919003, 1, 5, 0, 0.198582,1.96908e-05) , 
16.0199, 0, 1, 0, 0.199295,-0.000161027) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.197414,0.0031616) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.100801,-0.0073334) , 
0.0626917, 1, 5, 0, 0.159508,0.00976123) , 
65.069, 1, 1, 0, 0.198936,-7.13817e-05)    );
  // itree = 884
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.755307,-0.000426499) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.444268,0.00913296) , 
60.6289, 1, 0, 0, 0.744497,-0.000130775) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.515472,0.0016376) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0823442,-0.0148113) , 
0.0781753, 1, 4, 0, 0.405786,0.0224507) , 
158.521, 1, 0, 0, 0.740229,0.000153751) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.604871,0.000345304) , 
400.437, 1, 0, 0, 0.739757,3.26135e-05)    );
  // itree = 885
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.582063,0.00481796) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529995,0.00379649) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.38485,0.00495877) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0521033,-0.000464273) , 
-6.29737, 1, 3, 0, 0.055996,-0.000299914) , 
78.3956, 0, 3, 0, 0.0583743,-0.000198511) , 
-69.8289, 1, 3, 0, 0.0604833,-9.54412e-05)    );
  // itree = 886
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313799,-0.0026219) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.395069,-0.00158896) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.369048,0.00195463) , 
0.00226754, 1, 6, 0, 0.385471,-0.00184942) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.129856,0.0013171) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.101569,-0.0037182) , 
0.140136, 1, 4, 0, 0.125132,9.10322e-05) , 
0.0476189, 1, 6, 0, 0.194562,-0.000426467) , 
26.6705, 0, 2, 0, 0.199804,-0.000106409)    );
  // itree = 887
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.750816,0.000280206) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.245554,-0.0140445) , 
-6.37587, 0, 3, 0, 0.74485,-0.000382034) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.246328,-0.00158669) , 
-66.5499, 0, 3, 0, 0.742753,-0.000280938) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.272761,-0.0012272) , 
59.8632, 1, 3, 0, 0.73973,-0.000127353)    );
  // itree = 888
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.278368,-0.0015743) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320346,0.0157083) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.191859,0.00282241) , 
0.247456, 0, 4, 0, 0.198581,0.0142535) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.230933,0.0231815) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.036426,-0.000887841) , 
18.6767, 0, 2, 0, 0.0376475,-0.000387044) , 
10.7881, 0, 0, 0, 0.0483006,0.000582096) , 
54.7717, 0, 0, 0, 0.0607953,0.000181613)    );
  // itree = 889
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.201083,0.000967071) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.221916,-0.00462809) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.20426,0.000860889) , 
0.00862022, 1, 5, 0, 0.207108,0.000935948) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.192576,0.00176543) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.141237,-0.00381456) , 
0.0419866, 0, 4, 0, 0.174345,-0.00125984) , 
0.0905142, 1, 5, 0, 0.199156,0.000403022) , 
24.07, 0, 1, 0, 0.19919,8.19171e-05)    );
  // itree = 890
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.788447,0.00115012) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.740437,-4.84862e-06) , 
0.0919003, 0, 5, 0, 0.751894,-0.00014744) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432228,-0.0200277) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.206484,-0.00258633) , 
0.0476023, 0, 6, 0, 0.252615,0.00917096) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0664311,-0.0242091) , 
0.159104, 1, 5, 0, 0.225806,0.0169512) , 
4.49505, 1, 3, 0, 0.739695,0.000249043)    );
  // itree = 891
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.326573,0.00707736) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0540926,-0.000387549) , 
-6.99833, 1, 2, 0, 0.0674137,0.00110317) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.15394,-0.00992706) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0580822,-0.00480103) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0537404,0.000363701) , 
0.00749712, 1, 4, 0, 0.0542916,-0.000614592) , 
-116.789, 1, 2, 0, 0.0550153,-0.000885457) , 
0.0482756, 0, 4, 0, 0.0608081,4.36733e-05)    );
  // itree = 892
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403842,-0.000401556) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446318,0.0130556) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.2667,-0.00198191) , 
0.00226754, 1, 6, 0, 0.315665,0.00508092) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.109618,-9.77393e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0458994,-0.0151818) , 
0.321651, 1, 5, 0, 0.107612,-0.000226456) , 
0.0476189, 1, 6, 0, 0.129428,0.000330059) , 
0.0476187, 1, 7, 0, 0.199435,-0.000225657)    );
  // itree = 893
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850776,-0.000728208) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481569,0.000991017) , 
0.0476188, 0, 6, 0, 0.748212,8.34913e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.538012,0.0048496) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.261863,0.00294219) , 
0.0167493, 1, 5, 0, 0.349814,-0.0258461) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0833803,-0.000354524) , 
0.112778, 1, 5, 0, 0.288244,-0.0159912) , 
22.7987, 1, 1, 0, 0.739883,-0.000207594)    );
  // itree = 894
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.514061,-0.00132755) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0545166,-0.00336808) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0500253,0.000598715) , 
0.0410345, 1, 5, 0, 0.0518704,-0.00163935) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.139989,-0.00741321) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0509756,0.000495517) , 
-112.438, 1, 2, 0, 0.0515082,0.000483551) , 
0.0957816, 0, 4, 0, 0.0516019,-6.57528e-05) , 
19.7118, 0, 1, 0, 0.060605,-0.000203556)    );
  // itree = 895
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.217391,0.00430434) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227971,-0.000925624) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.182317,-0.00924465) , 
0.0694537, 1, 4, 0, 0.215551,0.0201619) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.297125,-0.00538867) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195698,0.000349504) , 
60.4166, 0, 0, 0, 0.199209,-0.000542475) , 
158.237, 0, 0, 0, 0.199417,-0.00027954) , 
400.437, 0, 0, 0, 0.19948,-0.000362846)    );
  // itree = 896
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753589,0.000384968) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.726142,-0.00147738) , 
-0.629162, 0, 3, 0, 0.746174,0.000372765) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.544836,0.00496121) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.263699,-0.000676027) , 
0.0191407, 1, 5, 0, 0.363897,-0.0191832) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0966749,0.00266571) , 
0.097432, 1, 5, 0, 0.293459,-0.0115685) , 
33.6558, 1, 1, 0, 0.739589,0.000199082)    );
  // itree = 897
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152478,-0.000426939) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.141838,0.0154394) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0549244,-0.00337008) , 
0.00226693, 1, 7, 0, 0.0776995,0.00610246) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0206045,0.0011336) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0094193,-0.011496) , 
0.325476, 1, 4, 0, 0.020196,0.00045972) , 
0.0476188, 1, 7, 0, 0.0237769,0.000811106) , 
0.0476189, 1, 6, 0, 0.0609426,0.000178081)    );
  // itree = 898
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208379,0.000349108) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.223855,-0.00613323) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.204745,0.00119028) , 
0.00643632, 1, 5, 0, 0.206758,0.000170015) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.438595,0.00184018) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.100472,-0.00220524) , 
0.0476178, 1, 7, 0, 0.1613,-0.00347074) , 
0.135164, 1, 5, 0, 0.200053,-0.000366949) , 
19.7118, 0, 1, 0, 0.200216,-0.000594615)    );
  // itree = 899
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846453,-0.000529733) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.548578,0.0195118) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.478611,0.000261527) , 
111.636, 0, 0, 0, 0.481806,-0.0231287) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.415143,0.0023489) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.336232,-0.00618038) , 
0.000431875, 1, 7, 0, 0.400362,0.00846305) , 
0.00226751, 0, 7, 0, 0.428191,-0.00233162) , 
0.0476189, 0, 7, 0, 0.739759,-0.000267817)    );
  // itree = 900
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.543651,0.00295001) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.202103,0.0019054) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0784988,-0.00849701) , 
0.00226723, 1, 7, 0, 0.158848,-0.00268154) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0294843,0.00223272) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0187615,-0.000803405) , 
0.501133, 1, 7, 0, 0.0230758,0.000446319) , 
0.0476189, 1, 7, 0, 0.0571087,-0.000337713) , 
-41.067, 1, 3, 0, 0.0602934,-0.000231909)    );
  // itree = 901
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.218198,0.000290589) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.272483,0.00453961) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.168294,-0.00722705) , 
0.00906707, 1, 6, 0, 0.210931,-0.00857512) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0794326,-0.00479129) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0764562,-0.00314531) , 
0.0439057, 1, 5, 0, 0.0780354,-0.00144366) , 
0.0476174, 1, 6, 0, 0.0861747,-0.00188043) , 
0.857137, 1, 7, 0, 0.199672,-4.19894e-05)    );
  // itree = 902
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846788,-0.00040377) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.588802,6.71538e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.416004,0.00138097) , 
0.0476085, 0, 6, 0, 0.480589,-0.0207947) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418456,0.00266366) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.33229,-0.0064126) , 
0.000323784, 1, 7, 0, 0.399848,0.00793578) , 
0.00226751, 0, 7, 0, 0.427468,-0.00189238) , 
0.047619, 0, 7, 0, 0.739888,-2.46652e-05)    );
  // itree = 903
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.282353,0.00762324) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.557467,0.00498967) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.448189,0.00317791) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.052709,-0.000336183) , 
-7.0049, 1, 3, 0, 0.0582889,-0.000196055) , 
105.022, 0, 3, 0, 0.0600072,-0.000109154) , 
-4.6237, 1, 1, 0, 0.0607658,2.24523e-05)    );
  // itree = 904
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208375,0.000105666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.175625,0.000157988) , 
0.0913186, 1, 5, 0, 0.20048,0.000152875) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.2463,0.0051507) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.123741,-0.0065956) , 
0.0558983, 1, 4, 0, 0.21057,-0.0212217) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.125607,-0.0037959) , 
0.103065, 1, 5, 0, 0.188747,-0.0107683) , 
30.5689, 1, 1, 0, 0.200303,-1.27246e-05)    );
  // itree = 905
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.893679,0.00419079) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.922898,0.013524) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498815,0.0145574) , 
0.0430752, 0, 6, 0, 0.805145,0.00371109) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753815,0.0033197) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.721101,-0.00166638) , 
0.0163695, 1, 4, 0, 0.728124,0.000117182) , 
0.333626, 0, 4, 0, 0.730764,0.000240357) , 
0.904759, 0, 6, 0, 0.740123,3.92568e-05)    );
  // itree = 906
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.526213,-0.00159794) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0766313,0.00213505) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0509375,0.00011108) , 
0.00869686, 1, 5, 0, 0.0544158,0.000666008) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0442229,-0.00079276) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0260053,-0.00784194) , 
0.0387742, 0, 4, 0, 0.0385599,-0.00259688) , 
0.182637, 1, 5, 0, 0.0529421,0.000362744) , 
25.863, 0, 1, 0, 0.0609104,0.000216447)    );
  // itree = 907
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.24241,0.000705663) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.330389,-0.000697877) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.324371,-0.00098579) , 
0.0436877, 1, 5, 0, 0.327496,-0.00882352) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0982432,-0.00177227) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0906355,-0.00294799) , 
0.693876, 1, 6, 0, 0.0929773,-0.000954396) , 
0.0476183, 1, 7, 0, 0.101821,-0.00125113) , 
0.571425, 1, 6, 0, 0.200089,-2.97726e-05)    );
  // itree = 908
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.765437,0.000604446) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.735607,-0.000393339) , 
0.0480951, 1, 4, 0, 0.751388,2.35453e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.263966,-0.0125517) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.217571,0.00340086) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.201788,-0.0210754) , 
5.80986, 0, 1, 0, 0.21073,0.0108991) , 
76.7024, 0, 2, 0, 0.218392,0.0170551) , 
4.49505, 1, 3, 0, 0.738854,0.000424056)    );
  // itree = 909
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16898,-0.000475897) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.105496,0.0150999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0265215,0.00130607) , 
9.11649, 0, 2, 0, 0.0283485,0.00162154) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0247592,-0.00328544) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0167772,-0.000384128) , 
0.190476, 1, 6, 0, 0.0183231,-0.000649241) , 
0.591836, 1, 7, 0, 0.023301,0.00047826) , 
0.0476189, 1, 7, 0, 0.0603593,-7.47748e-05)    );
  // itree = 910
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205764,0.00139001) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203176,-0.000122334) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.22512,-0.000126635) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199392,-2.57643e-05) , 
18.4879, 0, 1, 0, 0.199816,0.000189436) , 
218.956, 0, 0, 0, 0.199835,0.000325343) , 
400.437, 0, 0, 0, 0.199856,0.000254494)    );
  // itree = 911
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.851019,-0.000415632) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.77302,0.0128748) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.617566,0.0174459) , 
0.0476123, 0, 7, 0, 0.662512,-0.0216556) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456291,-0.0100667) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.294976,-0.0095327) , 
0.00226709, 0, 6, 0, 0.346886,0.0103257) , 
2.26163, 1, 0, 0, 0.467238,-0.00186915) , 
0.0476189, 0, 6, 0, 0.739934,-0.00043142)    );
  // itree = 912
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.257745,0.00169559) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.342713,0.0122371) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198494,0.000631235) , 
0.173831, 0, 4, 0, 0.213461,0.00786816) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0373946,0.000739269) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0319191,-0.00400736) , 
0.0183749, 0, 2, 0, 0.0346464,-0.00162652) , 
8.28436, 0, 0, 0, 0.0507137,-0.000773384) , 
23.7041, 0, 2, 0, 0.0602311,-0.000402701)    );
  // itree = 913
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206529,0.00138544) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199976,8.59757e-05) , 
34.1954, 0, 1, 0, 0.200026,-0.000429051) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.173099,-0.00504184) , 
-66.5225, 0, 3, 0, 0.199913,-0.000337406) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.240305,0.000956728) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.133284,-0.0142266) , 
0.0408136, 1, 4, 0, 0.188437,0.0250494) , 
59.8632, 1, 3, 0, 0.199837,-0.000169378)    );
  // itree = 914
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.757834,-0.00036869) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508409,0.00829066) , 
54.7717, 1, 0, 0, 0.747965,0.000122651) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.373031,0.00250422) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0512508,0.0161309) , 
0.0704243, 1, 4, 0, 0.275074,-0.0162237) , 
23.6294, 1, 1, 0, 0.741928,-8.60509e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.31537,0.00168259) , 
101.591, 1, 1, 0, 0.73978,-0.000168653)    );
  // itree = 915
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169654,-0.000460217) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0287828,0.00165575) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0189936,-0.000833063) , 
0.591836, 1, 7, 0, 0.0238205,0.000403918) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0258065,-0.0104577) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0156529,-0.00407497) , 
0.0929712, 1, 7, 0, 0.0160644,-0.00243974) , 
0.185763, 1, 4, 0, 0.0229719,9.28051e-05) , 
0.0476189, 1, 7, 0, 0.0604607,-0.000350351)    );
  // itree = 916
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404089,-0.000262022) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.327833,0.00367458) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.138411,-0.000892558) , 
0.142854, 1, 6, 0, 0.193614,0.00242999) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212155,0.00434439) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0919797,-0.00115893) , 
0.0952378, 1, 6, 0, 0.10653,-0.000350696) , 
0.365078, 1, 7, 0, 0.129951,0.00039717) , 
0.0476188, 1, 7, 0, 0.199818,-9.85732e-05)    );
  // itree = 917
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.867313,0.0022933) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.844425,-0.00164463) , 
0.0935302, 0, 4, 0, 0.850567,0.000305539) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.566241,0.000327724) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.421903,0.00134853) , 
0.00226754, 0, 6, 0, 0.473081,-0.00190166) , 
0.0476189, 0, 6, 0, 0.742955,-0.000323681) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.254552,-0.00159646) , 
-41.0958, 0, 3, 0, 0.739787,-0.000196305)    );
  // itree = 918
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.215377,0.00197525) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0808528,-0.0078939) , 
0.00226723, 1, 7, 0, 0.169566,-0.00162656) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0713333,-0.00658872) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0837056,0.00830049) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0215076,0.000268709) , 
21.4423, 0, 0, 0, 0.0230158,0.000526966) , 
223.688, 0, 0, 0, 0.0232456,0.000462383) , 
0.047619, 1, 7, 0, 0.0606068,-7.10021e-05)    );
  // itree = 919
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.277567,-0.00426987) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.442908,0.00231601) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.337762,-0.000671232) , 
9.59528, 1, 1, 0, 0.382731,0.0259198) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505809,0.00747301) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.190764,0.000248328) , 
6.48763, 0, 3, 0, 0.192551,-0.000124332) , 
4.97653, 0, 1, 0, 0.195363,0.000260726) , 
54.7717, 0, 0, 0, 0.199818,-0.000230981)    );
  // itree = 920
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.769016,0.00037827) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.878179,0.00172571) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.817841,-0.0139516) , 
0.00437618, 0, 5, 0, 0.875445,-0.000716702) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.643021,0.00883115) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.62156,-0.00204595) , 
0.00437613, 1, 5, 0, 0.623967,0.00210419) , 
0.523805, 0, 7, 0, 0.729908,0.000915823) , 
0.0919003, 0, 5, 0, 0.739268,0.000359087)    );
  // itree = 921
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524053,0.00303613) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.580645,0.00466787) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44375,-0.00430124) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0536801,-0.000364844) , 
-30.4144, 1, 3, 0, 0.0551701,-0.000579546) , 
-66.5188, 1, 3, 0, 0.0573775,-0.000473305) , 
59.8632, 0, 3, 0, 0.0604021,-0.000365643)    );
  // itree = 922
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.299148,0.00192437) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.232429,-0.00481323) , 
0.150118, 1, 5, 0, 0.289306,0.00753779) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200946,0.00011805) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.135585,-0.00422133) , 
0.228297, 1, 5, 0, 0.19696,-0.000228357) , 
5.80986, 0, 1, 0, 0.19964,-2.91508e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.168701,-0.00473266) , 
-80.4128, 0, 3, 0, 0.199538,8.13666e-05)    );
  // itree = 923
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.796544,0.00147514) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.737698,-0.000414247) , 
0.13785, 0, 5, 0, 0.746223,0.000595733) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.555004,0.0049747) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.306087,0.00343958) , 
0.0152415, 1, 5, 0, 0.387955,-0.0261853) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.102359,-0.000313314) , 
0.0756885, 1, 5, 0, 0.289695,-0.0151091) , 
30.5689, 1, 1, 0, 0.739177,0.000353318)    );
  // itree = 924
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.152151,-0.000399212) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0802206,0.00501887) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0212959,0.00120817) , 
0.0476185, 1, 7, 0, 0.0249451,0.00126874) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0208587,0.000316635) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0162775,-0.00863679) , 
0.0420627, 0, 5, 0, 0.0190549,-0.00198527) , 
0.0932695, 1, 4, 0, 0.023356,0.00039086) , 
0.0476179, 1, 6, 0, 0.0606361,-9.4596e-05)    );
  // itree = 925
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.20652,-2.16416e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.175546,0.00106108) , 
0.122531, 1, 5, 0, 0.202026,1.589e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.328209,0.00726356) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0917384,-0.0135133) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.055434,-0.0209218) , 
0.0336329, 0, 4, 0, 0.0822803,-0.00277807) , 
1.48464, 0, 1, 0, 0.112886,0.00352086) , 
0.321651, 1, 5, 0, 0.199495,0.000115385)    );
  // itree = 926
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.751109,-4.85566e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.280241,0.00562513) , 
16.2332, 1, 1, 0, 0.743992,-0.000220213) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.705591,-0.00843198) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.367575,-0.00133539) , 
0.142687, 0, 7, 0, 0.535513,0.014176) , 
194.453, 1, 2, 0, 0.742583,-0.000122905) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.270987,-0.000628937) , 
59.8632, 1, 3, 0, 0.739558,-1.15553e-05)    );
  // itree = 927
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476321,0.0133805) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.223796,-0.000543831) , 
0.127482, 0, 4, 0, 0.256772,0.00740785) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412445,0.00471609) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.319405,0.00851299) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0484387,-0.000433559) , 
-127.677, 1, 2, 0, 0.0496168,-0.000370978) , 
193.018, 0, 0, 0, 0.0512491,-0.000284207) , 
23.7041, 0, 2, 0, 0.0607506,7.14049e-05)    );
  // itree = 928
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.209355,0.000272317) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.290754,0.00242408) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.245203,-0.00397467) , 
0.197642, 1, 5, 0, 0.274206,0.0352737) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.189213,0.00208242) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.135061,-0.00414052) , 
0.041781, 0, 4, 0, 0.170096,-0.00294644) , 
4.62837, 0, 1, 0, 0.174069,-0.00148813) , 
0.0919003, 1, 5, 0, 0.200895,0.000145516)    );
  // itree = 929
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.826149,0.00523272) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.7425,-0.000327826) , 
0.225909, 0, 5, 0, 0.747739,0.000203345) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.410079,0.00404595) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.04,0.0055612) , 
0.0801556, 1, 4, 0, 0.327845,-0.0210864) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0627334,-0.00783657) , 
0.150122, 1, 5, 0, 0.284565,-0.00984613) , 
19.7118, 1, 1, 0, 0.738752,8.33983e-06)    );
  // itree = 930
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.253942,0.00131671) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.573134,0.00827714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17274,-0.00257336) , 
0.0313568, 0, 4, 0, 0.385176,0.0153891) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493738,-0.00687017) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0471894,-5.834e-06) , 
40.5794, 0, 1, 0, 0.0488804,-0.000151358) , 
148.258, 0, 0, 0, 0.05151,-2.9843e-05) , 
23.7041, 0, 2, 0, 0.0608816,0.000232844)    );
  // itree = 931
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.405093,-0.00011715) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409016,0.00188609) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.161145,-0.000534562) , 
0.0476179, 1, 6, 0, 0.211394,0.00306572) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.113254,0.000522303) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0612567,-0.00716175) , 
0.275701, 1, 5, 0, 0.11094,-0.000227148) , 
0.274376, 1, 7, 0, 0.129978,0.000396915) , 
0.0476188, 1, 7, 0, 0.199874,-0.000248525)    );
  // itree = 932
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.785615,0.00022721) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.342899,-0.00774747) , 
10.7872, 1, 0, 0, 0.756272,0.000296141) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.669192,0.00935826) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.406504,0.00570611) , 
0.0140527, 1, 4, 0, 0.487769,-0.0184425) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.062819,-0.0214591) , 
0.140275, 1, 4, 0, 0.440768,-0.00757738) , 
54.7717, 1, 0, 0, 0.739123,-0.000131833)    );
  // itree = 933
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421911,0.00245024) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.2844,0.00184818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0558587,4.18401e-05) , 
161.737, 0, 0, 0, 0.0588668,0.000152759) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0187965,0.000875667) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0154661,-0.00653717) , 
0.0456196, 0, 4, 0, 0.0170442,-0.00170493) , 
0.761889, 1, 6, 0, 0.0521488,-0.00014564) , 
4.49505, 0, 3, 0, 0.0607746,0.000172789)    );
  // itree = 934
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.237149,0.000388248) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0937921,-0.00212018) , 
0.761903, 1, 7, 0, 0.205702,0.000303758) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.207823,-0.00255539) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0789963,-0.00504822) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0750675,-0.00648335) , 
0.972784, 1, 6, 0, 0.0780139,-0.00219553) , 
0.142853, 1, 7, 0, 0.0873072,-0.00270209) , 
0.904757, 1, 6, 0, 0.199014,0.000133952)    );
  // itree = 935
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.811588,0.00506531) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.753864,-0.00301059) , 
0.0792081, 1, 4, 0, 0.786828,-0.00240802) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.737808,-0.000304317) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.347847,0.00142926) , 
33.6558, 1, 1, 0, 0.733223,0.000710122) , 
0.13785, 0, 5, 0, 0.740957,0.000260248) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.239635,-0.00415728) , 
-80.4128, 0, 3, 0, 0.739274,0.000361626)    );
  // itree = 936
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.183518,-0.0070074) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409345,0.00471496) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.276201,-0.00216374) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0489555,0.00020994) , 
63.221, 0, 0, 0, 0.0579949,-0.000130928) , 
218.585, 0, 0, 0, 0.0600783,-1.94589e-05) , 
400.437, 0, 0, 0, 0.060499,-9.55532e-05)    );
  // itree = 937
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21127,0.00158548) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.24062,0.00289292) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.156366,-0.00371956) , 
135.747, 1, 0, 0, 0.219949,-0.0233455) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.313274,-0.00588152) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.197564,0.000129679) , 
93.4853, 0, 0, 0, 0.199355,-0.000131192) , 
24.2319, 0, 1, 0, 0.199624,-0.00043528) , 
191.516, 0, 0, 0, 0.199759,-0.000302721)    );
  // itree = 938
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.750626,4.93746e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.233005,-0.0119853) , 
-14.0072, 0, 3, 0, 0.748102,0.000344843) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.532412,0.00257701) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.251338,0.000366727) , 
0.016985, 1, 5, 0, 0.342463,-0.0146692) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0852757,0.00168861) , 
0.112985, 1, 5, 0, 0.282655,-0.0060087) , 
22.7987, 1, 1, 0, 0.739797,0.00023148)    );
  // itree = 939
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521107,-0.00286088) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0653884,0.000756193) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0171774,-0.00277114) , 
0.809523, 1, 7, 0, 0.0563218,0.000708019) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0509086,0.00164557) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0302774,-0.00756303) , 
0.0420025, 0, 4, 0, 0.0435556,-0.00138063) , 
0.0919003, 1, 5, 0, 0.053269,0.00020856) , 
30.5689, 0, 1, 0, 0.0605044,-2.02904e-05)    );
  // itree = 940
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.216745,0.00242408) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212334,-0.00071654) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.204136,0.000333062) , 
0.0956836, 0, 4, 0, 0.20612,0.000495762) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.180065,0.00157498) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.119308,-0.00646761) , 
0.0400626, 0, 4, 0, 0.160078,-0.0016046) , 
0.136978, 1, 5, 0, 0.19947,0.000192406) , 
19.7118, 0, 1, 0, 0.199808,-3.59183e-05)    );
  // itree = 941
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.745199,0.00011374) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.364019,0.00708781) , 
80.5128, 1, 1, 0, 0.743684,0.000131324) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.664769,-0.00443191) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538361,-0.0060295) , 
0.0155228, 1, 4, 0, 0.602437,-0.0121252) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.168784,-0.0049477) , 
0.0436981, 1, 4, 0, 0.452221,0.00908908) , 
193.908, 1, 0, 0, 0.740395,0.000232406)    );
  // itree = 942
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.716387,0.0153234) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.230695,-0.00126254) , 
0.0787984, 0, 4, 0, 0.335243,0.0101915) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458488,-0.00644184) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498269,-0.00222716) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0508055,3.84914e-05) , 
21.4978, 0, 1, 0, 0.0545326,-5.96944e-05) , 
63.7857, 0, 1, 0, 0.05636,-0.000210804) , 
161.737, 0, 0, 0, 0.0607169,-4.82937e-05)    );
  // itree = 943
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.244201,-0.00729684) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.388622,-0.00156984) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.369836,0.00113519) , 
0.0022675, 1, 6, 0, 0.382024,-0.00111242) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.130547,0.00120524) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.101248,-0.00378909) , 
0.139874, 1, 4, 0, 0.125692,0.000300108) , 
0.0476179, 1, 6, 0, 0.199011,-0.000103921) , 
-129.13, 1, 2, 0, 0.199264,4.77203e-05)    );
  // itree = 944
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.892492,0.00228948) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.870064,0.00235391) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.86215,0.00192176) , 
0.673478, 0, 6, 0, 0.868787,-0.000873847) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.783186,0.00984567) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.651709,-0.0012578) , 
0.403617, 0, 5, 0, 0.653728,0.000946625) , 
0.619046, 0, 6, 0, 0.703401,0.000526145) , 
0.809523, 0, 7, 0, 0.738426,0.000210723)    );
  // itree = 945
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.708148,0.0122041) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.42756,-0.00152387) , 
0.105987, 0, 5, 0, 0.495347,0.00923196) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.561678,0.00206226) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.172844,0.00624885) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0470792,-0.000611479) , 
-2.14404, 1, 3, 0, 0.0526928,8.51024e-05) , 
-60.6603, 1, 3, 0, 0.0551055,0.000136361) , 
16.1339, 0, 3, 0, 0.0609232,0.000256557)    );
  // itree = 946
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434094,0.00116453) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.393943,-0.00111541) , 
0.00226751, 0, 7, 0, 0.407851,-0.00331141) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133077,0.000441361) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0820763,-0.00520738) , 
0.226285, 1, 5, 0, 0.129614,0.000728369) , 
0.0476189, 1, 7, 0, 0.199636,-0.00028829) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198082,-0.00332214) , 
59.8632, 1, 3, 0, 0.199626,-0.00014386)    );
  // itree = 947
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.758204,-0.000298314) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.25991,0.0043281) , 
8.00336, 1, 1, 0, 0.751101,7.85228e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.681973,0.00758783) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.439765,0.00578017) , 
0.0123257, 1, 4, 0, 0.507196,-0.0201537) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0674049,-0.0185999) , 
0.121397, 1, 4, 0, 0.449258,-0.00642282) , 
84.5511, 1, 0, 0, 0.739844,-0.000163928)    );
  // itree = 948
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.420682,0.00207471) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.16925,0.000908346) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0611294,-0.00541683) , 
0.00226752, 1, 6, 0, 0.129567,-0.00169781) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0278395,0.00258645) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0195737,-0.000970157) , 
0.365072, 1, 6, 0, 0.0224882,0.000310766) , 
0.0476181, 1, 6, 0, 0.0520047,-0.000242905) , 
4.49505, 0, 3, 0, 0.0606546,3.10764e-05)    );
  // itree = 949
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.229339,0.00753867) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.284776,-0.0044462) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196734,0.000379288) , 
63.5068, 0, 0, 0, 0.200218,-0.000119824) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198209,-0.000769181) , 
218.947, 1, 0, 0, 0.200206,3.5955e-05) , 
400.437, 0, 0, 0, 0.200306,-7.01586e-05)    );
  // itree = 950
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.750242,1.00487e-05) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.401756,0.00674143) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14934,0.00235621) , 
0.0355005, 1, 5, 0, 0.262301,-0.0203998) , 
16.0133, 1, 1, 0, 0.744023,-0.000151651) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.414399,-0.00199744) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.101068,-0.00789847) , 
0.0655399, 1, 5, 0, 0.298366,0.0127557) , 
65.069, 1, 1, 0, 0.740027,-3.59183e-05)    );
  // itree = 951
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.063654,0.000224935) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0171014,-0.00240026) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00834561,-0.0164795) , 
0.15558, 1, 4, 0, 0.0160563,-0.0020204) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0124175,-0.0152191) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0118542,-0.00777356) , 
0.571371, 1, 7, 0, 0.0120602,-0.00578467) , 
0.968252, 1, 6, 0, 0.0148882,-0.00312066) , 
0.904759, 1, 6, 0, 0.0608748,0.000130323)    );
  // itree = 952
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.227931,0.00675577) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.277832,-0.00114064) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.14017,-0.00284368) , 
15.7906, 1, 1, 0, 0.219985,0.0205378) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210716,0.00530294) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199824,4.61301e-05) , 
49.6616, 0, 1, 0, 0.199889,-8.08724e-05) , 
158.45, 0, 0, 0, 0.200143,0.000179113) , 
400.437, 0, 0, 0, 0.200243,8.30153e-05)    );
  // itree = 953
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754972,-0.000225858) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.445391,0.00798437) , 
63.545, 1, 0, 0, 0.742564,-0.000235143) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.376788,-0.00773123) , 
218.947, 1, 0, 0, 0.74044,-8.30889e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.608207,0.00203774) , 
400.437, 1, 0, 0, 0.739968,-0.000193852)    );
  // itree = 954
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.250834,0.00496542) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.663837,0.0121699) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.180964,-0.00306171) , 
0.0433116, 0, 4, 0, 0.378472,0.0153418) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.373072,0.00642063) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0423913,-0.00161749) , 
3.22242, 0, 1, 0, 0.0556168,-0.0005161) , 
166.646, 0, 0, 0, 0.0589309,-0.00035332) , 
186.119, 0, 2, 0, 0.0604226,-0.000209048)    );
  // itree = 955
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.380587,-0.000684339) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.536745,0.0230519) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.352177,2.45515e-05) , 
0.00226723, 1, 7, 0, 0.400897,0.00596597) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.113083,0.000659026) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0932114,-0.00371828) , 
0.0935209, 1, 4, 0, 0.107746,0.000127879) , 
0.0476189, 1, 7, 0, 0.12574,0.000486236) , 
0.0476189, 1, 6, 0, 0.199273,2.39769e-05)    );
  // itree = 956
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.756659,-0.000205317) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.442084,0.00127546) , 
23.7041, 1, 2, 0, 0.743867,0.000127508) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.58032,-0.00125856) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.196105,0.00192174) , 
0.0266876, 1, 4, 0, 0.400189,-0.0185265) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.106357,-0.00105734) , 
0.0754601, 1, 5, 0, 0.300291,-0.00803265) , 
48.6744, 1, 1, 0, 0.738816,3.45914e-05)    );
  // itree = 957
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169673,-0.000493162) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0251269,0.00156365) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0138836,-0.00467696) , 
0.183801, 1, 5, 0, 0.024073,0.000782124) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0173673,-0.000175193) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0141427,-0.00850851) , 
0.0727112, 0, 5, 0, 0.0155013,-0.00269499) , 
0.188666, 1, 4, 0, 0.0231611,0.000412204) , 
0.0476189, 1, 7, 0, 0.0605475,-0.000140684)    );
  // itree = 958
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.211096,0.00373957) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.217807,0.000268006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199214,-4.99186e-06) , 
20.1904, 0, 1, 0, 0.199506,2.19498e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199503,9.23344e-05) , 
218.956, 1, 0, 0, 0.199506,0.000176144) , 
400.437, 0, 0, 0, 0.199546,8.29219e-05)    );
  // itree = 959
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.753323,0.0004078) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.30558,-0.0106277) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.137177,-0.0214631) , 
0.036906, 1, 5, 0, 0.214141,0.0166909) , 
3.86285, 1, 3, 0, 0.743811,-0.000330401) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4589,0.00737664) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.127702,-0.00709373) , 
0.0363864, 1, 5, 0, 0.272496,0.0168289) , 
41.9836, 1, 3, 0, 0.739879,-0.000187249)    );
  // itree = 960
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.169685,-0.000384167) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0626814,0.00502314) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0238879,0.00101386) , 
0.0476181, 1, 6, 0, 0.0297003,0.00172546) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0190239,-0.000605748) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00743297,-0.01452) , 
0.367601, 1, 5, 0, 0.0187923,-0.000439316) , 
0.501129, 1, 7, 0, 0.0231723,0.000429923) , 
0.0476185, 1, 7, 0, 0.0605329,-2.77096e-05)    );
  // itree = 961
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.205734,0.000207582) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.198056,0.00730042) , 
89.0508, 1, 1, 0, 0.205701,0.0002753) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.387167,0.0178191) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.111351,-0.00743297) , 
1.48464, 0, 1, 0, 0.147135,-0.00251931) , 
0.182637, 1, 5, 0, 0.200298,1.74821e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.200231,-0.00172289) , 
-43.4535, 0, 3, 0, 0.200298,7.82073e-05)    );
  // itree = 962
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.851482,-0.000417701) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.477408,0.000732081) , 
0.0476188, 0, 6, 0, 0.746544,-0.000380653) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.549795,0.00210855) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.275802,0.00138651) , 
0.0156487, 1, 5, 0, 0.35736,-0.0210222) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0818071,-0.00258913) , 
0.10513, 1, 5, 0, 0.288588,-0.011477) , 
30.5689, 1, 1, 0, 0.73944,-0.000552771)    );
  // itree = 963
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525507,-0.00232776) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.206809,-0.00316005) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0700851,0.000513936) , 
161.737, 0, 0, 0, 0.0716505,0.000720006) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0196651,-0.000958222) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0136673,-0.00623969) , 
0.139989, 1, 4, 0, 0.0187283,-0.000951508) , 
0.523808, 1, 6, 0, 0.053534,0.000147808) , 
33.6558, 0, 1, 0, 0.0603498,-2.192e-05)    );
  // itree = 964
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.217858,8.19848e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.17614,-0.00217398) , 
-80.4128, 0, 3, 0, 0.217691,0.000392552) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.31318,-0.00258474) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0915453,-0.00326404) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0826557,-0.00393944) , 
0.044075, 1, 5, 0, 0.0873235,-0.00151994) , 
0.0476183, 1, 7, 0, 0.0951293,-0.0018255) , 
0.761903, 1, 6, 0, 0.198407,4.35661e-05)    );
  // itree = 965
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.877002,0.000451891) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.66121,0.000659027) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.608814,-0.000199) , 
0.0895584, 0, 5, 0, 0.620862,0.000916408) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231299,0.0112818) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.185615,-0.0149041) , 
-5.50841, 1, 2, 0, 0.20067,0.0156133) , 
4.52221, 1, 3, 0, 0.60255,0.00155691) , 
0.428571, 0, 7, 0, 0.739711,0.000651947)    );
  // itree = 966
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.596251,0.00658266) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.208401,0.00174836) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0793993,-0.00786087) , 
0.00226745, 1, 7, 0, 0.164115,-0.00222424) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0365503,0.00333003) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0199883,-0.000287168) , 
0.274377, 1, 7, 0, 0.0231144,0.000461078) , 
0.047619, 1, 7, 0, 0.0588482,-0.000219461) , 
-80.4128, 1, 3, 0, 0.06061,-0.000108198)    );
  // itree = 967
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.210575,0.000397005) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.370052,0.00092445) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.122302,0.000453025) , 
0.0952366, 1, 7, 0, 0.192273,0.00120933) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.296658,-0.00530793) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131737,0.00130988) , 
0.0476139, 1, 6, 0, 0.188629,-0.00703509) , 
0.0119603, 0, 4, 0, 0.191316,-0.0009545) , 
0.0482137, 0, 4, 0, 0.200326,-0.000154178)    );
  // itree = 968
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.850989,-0.000441854) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.567448,-0.000473872) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.565046,0.0183623) , 
57.3604, 1, 0, 0, 0.56729,-0.0108901) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424216,0.00333083) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.386132,-0.00523057) , 
0.00021595, 1, 6, 0, 0.414431,0.00400937) , 
0.00226754, 0, 6, 0, 0.467703,-0.00118318) , 
0.0476189, 0, 6, 0, 0.740249,-9.14769e-05)    );
  // itree = 969
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.528296,-0.00289863) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473165,0.0206002) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.166317,-0.00473154) , 
0.140259, 0, 4, 0, 0.197528,-0.00413049) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.216702,0.00371723) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0451646,-6.76518e-07) , 
33.9603, 0, 2, 0, 0.0479709,0.000258577) , 
59.6956, 0, 0, 0, 0.0536863,9.08488e-05) , 
33.6558, 0, 1, 0, 0.0606024,-0.000120997)    );
  // itree = 970
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381569,-0.000502528) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.133731,0.00138334) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0933263,-0.00302401) , 
0.909295, 1, 6, 0, 0.130579,0.000608576) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.266701,0.00446048) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.069778,-0.00640667) , 
0.142853, 1, 7, 0, 0.0933178,-0.00292851) , 
0.186554, 1, 4, 0, 0.126535,0.000224772) , 
0.0476189, 1, 6, 0, 0.200258,-0.000530343)    );
  // itree = 971
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.749635,-8.73897e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.285671,0.00345968) , 
20.1904, 1, 1, 0, 0.742377,8.8583e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.399503,-0.00379678) , 
218.947, 1, 0, 0, 0.740417,0.00022359) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.599864,0.000359986) , 
400.437, 1, 0, 0, 0.739929,0.000133987)    );
  // itree = 972
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.527089,-0.00192984) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0692762,0.0014056) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0513887,5.7718e-06) , 
0.0131286, 1, 5, 0, 0.0554479,0.00055423) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0501231,0.00128335) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0277976,-0.00764458) , 
0.0400149, 0, 4, 0, 0.0428068,-0.00123065) , 
0.13785, 1, 5, 0, 0.0536315,0.000297759) , 
32.3412, 0, 1, 0, 0.0607228,0.000148311)    );
  // itree = 973
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.387597,-0.00226356) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.282257,-0.00396679) , 
0.127646, 0, 4, 0, 0.294595,0.00782953) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.21186,0.000477503) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.231852,-0.00193974) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.194444,0.000114213) , 
17.6886, 0, 1, 0, 0.194819,-8.79501e-06) , 
193.018, 0, 0, 0, 0.194902,8.66408e-05) , 
34.4782, 0, 2, 0, 0.198795,0.000389021)    );
  // itree = 974
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.88709,0.00331027) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.735173,-0.000887856) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.424472,0.0076199) , 
42.0815, 1, 0, 0, 0.716074,0.000231405) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.573877,-0.00562451) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.179669,-0.00057895) , 
0.039551, 1, 4, 0, 0.419407,0.00862908) , 
193.908, 1, 0, 0, 0.712484,0.000333005) , 
0.761903, 0, 6, 0, 0.740005,9.19411e-06)    );
  // itree = 975
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.540498,0.00627577) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.103311,-0.00576733) , 
0.047617, 1, 6, 0, 0.334028,0.00912924) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.279372,0.0136652) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.260421,-0.00324356) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0473104,0.000542012) , 
48.5273, 0, 0, 0, 0.0569621,-3.06607e-05) , 
179.118, 0, 2, 0, 0.057942,0.000200776) , 
193.908, 0, 0, 0, 0.0610646,0.000301758)    );
  // itree = 976
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379866,-0.000665555) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.537237,0.0220839) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.352613,-0.000111196) , 
0.00226722, 1, 7, 0, 0.401457,0.00561621) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.111826,5.45589e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.073711,-0.00618409) , 
0.18634, 1, 4, 0, 0.107633,0.000136107) , 
0.0476189, 1, 7, 0, 0.12575,0.000473992) , 
0.0476181, 1, 6, 0, 0.199225,-0.000276387)    );
  // itree = 977
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.849867,-0.000743274) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.69148,0.00202997) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.403944,-0.00158254) , 
0.0476161, 0, 7, 0, 0.565526,-0.00971377) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.426913,0.003416) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.38895,-0.00467646) , 
0.000215952, 1, 6, 0, 0.417303,0.00284678) , 
0.00226754, 0, 6, 0, 0.469171,-0.00154856) , 
0.0476188, 0, 6, 0, 0.739755,0.000138501)    );
  // itree = 978
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.525702,0.00271182) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.542547,-0.00138108) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490622,-0.00521525) , 
88.9308, 0, 1, 0, 0.513983,-0.0179106) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.240516,0.00954191) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0399946,-0.00275985) , 
2.21234, 0, 1, 0, 0.0529194,-0.000619703) , 
43.5083, 0, 1, 0, 0.0569626,-0.000771329) , 
59.8632, 0, 3, 0, 0.0600041,-0.000673563)    );
  // itree = 979
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.239295,0.00115671) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193679,-0.00666457) , 
0.238449, 1, 4, 0, 0.236013,0.000467609) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.102392,-0.00293759) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0783572,-0.00425461) , 
0.13512, 1, 5, 0, 0.0990727,-0.00117674) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0406616,-0.0168798) , 
0.405362, 1, 5, 0, 0.0983196,-0.00127239) , 
0.619028, 1, 6, 0, 0.199462,5.71663e-06)    );
  // itree = 980
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.744556,0.00010609) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.591236,-0.00128124) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.166435,-0.00195898) , 
0.039551, 1, 4, 0, 0.394584,0.0230218) , 
193.018, 1, 0, 0, 0.741969,-0.000142571) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.656716,0.00049297) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.349442,-0.00662626) , 
0.0249527, 1, 4, 0, 0.533532,0.0106983) , 
186.119, 1, 2, 0, 0.740316,-5.65939e-05)    );
  // itree = 981
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168672,-0.000606675) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0248362,0.00140098) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0123861,-0.00712741) , 
0.226285, 1, 5, 0, 0.024041,0.000703038) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0183701,0.00112939) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0137612,-0.00871888) , 
0.072931, 0, 5, 0, 0.0156967,-0.00245947) , 
0.188533, 1, 4, 0, 0.023153,0.000366464) , 
0.0476189, 1, 7, 0, 0.0601905,-0.00027418)    );
  // itree = 982
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.268065,-0.00230331) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.20516,0.00844898) , 
0.09504, 1, 7, 0, 0.237821,0.0165051) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.268111,-0.00594715) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.199846,0.000168926) , 
-147.603, 1, 2, 0, 0.200065,-0.000476899) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.18842,-0.00306658) , 
235.506, 1, 0, 0, 0.200008,-0.000343091) , 
186.119, 0, 2, 0, 0.200303,-0.000211701)    );
  // itree = 983
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.895081,0.00294411) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.713255,-0.000246747) , 
0.809523, 0, 7, 0, 0.747396,-0.000124262) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.545148,0.0014343) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.286466,0.00166734) , 
0.0155677, 1, 5, 0, 0.36473,-0.0188137) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0827834,-0.00224094) , 
0.103038, 1, 5, 0, 0.293214,-0.00974889) , 
30.5689, 1, 1, 0, 0.740346,-0.000273669)    );
  // itree = 984
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.429761,0.00309361) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.168406,0.000728165) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0620318,-0.00476289) , 
0.0022675, 1, 6, 0, 0.129565,-0.00162627) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0710395,0.00319551) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0194622,7.50595e-05) , 
0.0476183, 1, 7, 0, 0.0225285,0.000375861) , 
0.0476179, 1, 6, 0, 0.0521174,-0.000177604) , 
4.52221, 0, 3, 0, 0.0607846,0.000219693)    );
  // itree = 985
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.264532,0.00247655) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.193567,-0.00515613) , 
0.149537, 1, 5, 0, 0.253654,-0.00552648) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.22,-0.0025165) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.318182,-0.00566694) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.195164,0.000169765) , 
72.064, 0, 0, 0, 0.198078,0.000267512) , 
223.688, 0, 0, 0, 0.198192,0.000319783) , 
9.05078, 0, 1, 0, 0.199681,0.000162846)    );
  // itree = 986
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847144,-0.000217863) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.545981,0.0185063) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.473265,-0.000861931) , 
80.8936, 0, 0, 0, 0.478385,-0.0188682) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.416927,0.00203812) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.338944,-0.00510063) , 
0.00032389, 1, 7, 0, 0.400259,0.00758454) , 
0.00226751, 0, 7, 0, 0.42687,-0.00142587) , 
0.047619, 0, 7, 0, 0.74002,-0.00012574)    );
  // itree = 987
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.58468,0.0049605) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.191563,0.000695949) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0629675,-0.00577837) , 
0.00226756, 1, 6, 0, 0.146177,-0.00225505) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0762643,0.00329954) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.019675,-2.52333e-05) , 
0.0476187, 1, 7, 0, 0.0231668,0.000366829) , 
0.0476189, 1, 6, 0, 0.0584917,-0.0003861) , 
-80.4128, 1, 3, 0, 0.0602596,-0.000298194)    );
  // itree = 988
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381146,-0.00047649) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.533027,0.0206938) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.336429,-0.0018549) , 
0.00453446, 1, 7, 0, 0.40505,0.00623761) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.111453,-7.1509e-05) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0733376,-0.00611462) , 
0.18519, 1, 4, 0, 0.107235,0.000327307) , 
0.0476189, 1, 7, 0, 0.125707,0.000693888) , 
0.0476189, 1, 6, 0, 0.199303,0.000208721)    );
  // itree = 989
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.754465,-0.000356315) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.441716,0.00620361) , 
63.545, 1, 0, 0, 0.741999,-0.000189823) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.391677,-0.00308938) , 
218.947, 1, 0, 0, 0.73996,-7.19544e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.606855,0.00133134) , 
400.437, 1, 0, 0, 0.739492,-0.000152522)    );
  // itree = 990
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.065534,0.000335249) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0228097,-0.00520296) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0148883,-0.0165614) , 
0.931974, 0, 7, 0, 0.0204753,-0.00670706) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0159266,-0.001283) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.00941506,-0.0100432) , 
0.133952, 1, 4, 0, 0.0149879,-0.00110803) , 
0.142856, 1, 6, 0, 0.0157364,-0.00187182) , 
0.904761, 1, 7, 0, 0.0608175,0.000273506)    );
  // itree = 991
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.200508,9.67136e-05) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.258727,0.011774) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.22328,0.00156428) , 
0.015712, 1, 4, 0, 0.241599,0.00557493) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.143491,-0.00352766) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.116379,-0.00061563) , 
0.0716297, 1, 5, 0, 0.128696,-0.0252492) , 
0.0356132, 1, 4, 0, 0.183698,-0.0102329) , 
36.9498, 1, 1, 0, 0.200278,-3.04922e-05)    );
  // itree = 992
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.747386,6.21322e-06) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.329621,0.00257522) , 
46.8317, 1, 1, 0, 0.744681,-0.000105145) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501293,0.000908898) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.220786,-0.00942144) , 
40.4274, 1, 1, 0, 0.401108,0.013292) , 
158.521, 1, 0, 0, 0.740267,6.6994e-05) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.603874,0.00157729) , 
400.437, 1, 0, 0, 0.739784,-2.69336e-05)    );
  // itree = 993
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512702,-0.00143671) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0693222,0.00209999) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0504418,8.72196e-06) , 
0.0131285, 1, 5, 0, 0.0552396,0.000916664) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0483482,0.00132321) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0283152,-0.00782251) , 
0.0422961, 0, 4, 0, 0.0411968,-0.00163762) , 
0.0919003, 1, 5, 0, 0.0518855,0.000306572) , 
19.7118, 0, 1, 0, 0.0608251,0.00015323)    );
  // itree = 994
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403111,-0.000330743) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.14555,0.00235494) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.131221,0.000115452) , 
0.0107752, 1, 5, 0, 0.133189,0.000876977) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0856913,-0.00336765) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0457727,-0.0192465) , 
0.536625, 1, 5, 0, 0.0822782,-0.00388654) , 
0.226285, 1, 5, 0, 0.129685,0.000549077) , 
0.047619, 1, 7, 0, 0.199539,-0.000377338)    );
  // itree = 995
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.847346,-0.00018814) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.589541,0.000262592) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.414664,0.000847672) , 
0.0476005, 0, 6, 0, 0.480115,-0.0188355) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418554,0.00222838) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.33233,-0.00570643) , 
0.000323906, 1, 7, 0, 0.400106,0.00702643) , 
0.00226751, 0, 7, 0, 0.427335,-0.00177485) , 
0.0476189, 0, 7, 0, 0.740019,4.65838e-05)    );
  // itree = 996
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520634,-0.00215425) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0569742,0.00132654) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0564903,-0.0015476) , 
0.0956549, 1, 4, 0, 0.0568626,0.000939833) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0523094,0.00173973) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0302614,-0.0076347) , 
0.0423754, 0, 4, 0, 0.0443804,-0.00133744) , 
0.0905142, 1, 5, 0, 0.0538317,0.000386866) , 
32.3412, 0, 1, 0, 0.0608581,0.000218663)    );
  // itree = 997
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.350619,0.00415781) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.212394,0.00114312) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.204074,0.000187447) , 
-46.6454, 1, 3, 0, 0.204121,0.000280918) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.409936,0.000455514) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0989424,-0.00195975) , 
0.0476179, 1, 7, 0, 0.154301,-0.00255712) , 
0.13785, 1, 5, 0, 0.196919,-0.000129338) , 
4.52221, 0, 3, 0, 0.200467,0.000141686)    );
  // itree = 998
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.846649,-0.000367054) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492421,0.000536267) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.400049,0.00521374) , 
-9.3268, 0, 2, 0, 0.48212,-0.0202553) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.416501,0.00172772) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.333333,-0.00546977) , 
0.000323798, 1, 7, 0, 0.398881,0.00765838) , 
0.00226692, 0, 7, 0, 0.427226,-0.0018467) , 
0.047619, 0, 7, 0, 0.73952,-0.000119946)    );
  // itree = 999
  fBoostWeights.push_back(1);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467698,0.00103598) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0720185,0.00231103) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0457421,-2.55961e-05) , 
0.00875222, 1, 5, 0, 0.0492875,0.000530116) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0372464,-0.000245711) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0168468,-0.0117659) , 
0.0389748, 0, 4, 0, 0.0308667,-0.00269) , 
0.183801, 1, 5, 0, 0.0475991,0.000234963) , 
5.96452, 0, 1, 0, 0.0609433,0.000412658)    );
   return;
};
 
// Clean up
inline void Readbdt::Clear() 
{
   for (unsigned int itree=0; itree<fForest.size(); itree++) { 
      delete fForest[itree]; 
   }
}
   inline double Readbdt::GetMvaValue( const std::vector<double>& inputValues ) const
   {
      // classifier response value
      double retval = 0;

      // classifier response, sanity check first
      if (!IsStatusClean()) {
         std::cout << "Problem in class \"" << fClassName << "\": cannot return classifier response"
                   << " because status is dirty" << std::endl;
         retval = 0;
      }
      else {
         if (IsNormalised()) {
            // normalise variables
            std::vector<double> iV;
            int ivar = 0;
            for (std::vector<double>::const_iterator varIt = inputValues.begin();
                 varIt != inputValues.end(); varIt++, ivar++) {
               iV.push_back(NormVariable( *varIt, fVmin[ivar], fVmax[ivar] ));
            }
            retval = GetMvaValue__( iV );
         }
         else {
            retval = GetMvaValue__( inputValues );
         }
      }

      return retval;
   }
